<?php
admin::CheckRank(5);

if (isset($_GET['user'])) {
    $user = $dbh->prepare("SELECT id, ip_reg, ip_last, last_ip FROM players WHERE username = :user");
    $user->bindParam(':user', $_GET['user']);
    $user->execute();

    $user = $user->rowCount() > 0 ? $user->fetch() : null;

    if ($user == null) {
        echo '<script>alert("Usuário não encontrado.")</script>';
    }
}
?>
<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Usuários banidos</div>
                                    <div class="card-body">
                                        <?php admin::DeleteBans(); ?>
                                        <?php admin::deleteOldBans(); ?>

                                        <form id="form-usuario" class="row justify-content-center">
                                            <div class="col-4">
                                                <div class="form-group row">
                                                    <div class="col-md-12">
                                                        <div class="input-group">
                                                            <input type="text" class="form-control" id="username" name="username" value="<?= isset($_GET['user']) && $user != null ? $_GET['user'] : '' ?>" placeholder="Nome do usuário...">
                                                            <span class="input-group-append">
                                                                <button class="btn btn-primary" type="submit">
                                                                    <svg class="c-icon">
                                                                        <use xlink:href="/adminpan/vendors/@coreui/icons/svg/free.svg#cil-magnifying-glass"></use>
                                                                    </svg> Procurar
                                                                </button>
                                                            </span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>

                                        <script type="text/javascript">
                                            document.getElementById('form-usuario').addEventListener("submit", function(e) {
                                                e.preventDefault();
                                                window.location = '/adminpan/bans/' + document.getElementById('username').value;
                                            });
                                        </script>

                                        <form method="POST">
                                            <div class="form-group">
                                                <div class="col-sm-12" style="padding: 0px 3px 15px 6px">
                                                    <button style="float: right;" name="deleteOldBans" type="submit" class="btn btn-danger">Excluir banimentos antigos</button>
                                                </div>
                                            </div>
                                        </form>

                                        <table class="table table-responsive-sm table-bordered table-striped table-sm mt-5">
                                            <thead>
                                                <tr>
                                                    <th>ID</th>
                                                    <th>Tipo Banimento</th>
                                                    <th>Usuário/IP/Máquina</th>
                                                    <th>Banido por</th>
                                                    <th>Motivo</th>
                                                    <th>Expira em</th>
                                                    <?php if (User::userData('rank') > 8) { ?>
                                                        <th>Ações</th>
                                                    <?php } ?>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                if ($user != null) {
                                                    $getBans = $dbh->prepare("SELECT * FROM bans WHERE 
                                        							data = :id_usuario OR 
                                        							data = :ip_reg OR 
                                                                    data = :ip_last OR 
                                                                    data = :last_ip 
                                                                    ORDER BY id DESC");
                                                    $getBans->bindParam(':id_usuario', $user['id']);
                                                    $getBans->bindParam(':ip_reg', $user['ip_reg']);
                                                    $getBans->bindParam(':ip_last', $user['ip_last']);
                                                    $getBans->bindParam(':last_ip', $user['last_ip']);
                                                    $getBans->execute();
                                                } else {
                                                    $getBans = $dbh->prepare("SELECT * FROM bans ORDER BY id DESC");
                                                    $getBans->execute();
                                                }

                                                while ($ban = $getBans->fetch()) {
                                                    $data = $ban['data'];
                                                    if ($ban['type'] == 'user') {
                                                        $data = $dbh->prepare("SELECT username FROM players WHERE id = :userid");
                                                        $data->bindParam(':userid', $ban['data']);
                                                        $data->execute();
                                                        $data = $data->fetch()['username'];
                                                    }

                                                    $reason = $ban["reason"] != '' ? $ban["reason"] : '<i>Não especificado</i>';

                                                    $staff = $dbh->prepare("SELECT username FROM players WHERE id = :userid");
                                                    $staff->bindParam(':userid', $ban['added_by']);
                                                    $staff->execute();
                                                    $staff = $staff->fetch();
                                                    echo '';
                                                    echo '<tr>
                                                        <td>' . $ban["id"] . '</td>
                                                        <td>' . $ban["type"] . '</td>
                                                        <td>' . $data . '</td>
                                                        <td>' . $staff["username"] . '</td>
                                                        <td>' . $reason . '</td>
                                                        <td>' . ($ban['expire'] == 0 ? 'Nunca' : gmdate('d/m/Y', $ban['expire']) . ' às ' . gmdate('H:i:s', $ban['expire'])) . '</td>
                                                        ';
                                                    if (User::userData('rank') > '8') {
                                                        echo '	
                                                            <td style="text-align: center"><a href="/adminpan/bans/delete/' . $ban["id"] . '"><i style="padding-top: 4px; color:red;" class="fa fa-trash"></i></center></a></td>
                                                            </tr>
                                                            ';
                                                    }
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>