<?php
admin::CheckRank(6);
?>

<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Adicionar página no catálogo (aba "New")</div>
                                    <div class="card-body">
                                        <form action="" method="POST">
                                            <?php
                                            admin::addCatalogPage();
                                            ?>
                                            <div class="form-group">
                                                <label class="control-label">Título da Página</label>
                                                <input type="text" name="caption" class="form-control" placeholder="Ex.: Ásia 2020" required>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Link da Página</label>
                                                <input type="text" name="link" class="form-control" placeholder="Ex.: asia-2020" required>
                                            </div>
                                            <br>
                                            <button style="width: 130px;float: right;" name="addCatalogPage" type="submit" class="btn btn-primary">Adicionar</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Páginas na aba "New"</div>
                                    <div class="card-body">
                                        <?php admin::deleteCatalogPage(); ?>
                                        <table class="table table-responsive-sm table-bordered table-striped table-sm">
                                            <thead>
                                                <tr>
                                                    <th>ID</th>
                                                    <th>Título da Página</th>
                                                    <th>Link da Página</th>
                                                    <th>Ações</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                $categorias = $dbh->prepare('SELECT id, caption, link FROM catalog_pages WHERE parent_id = 423423581 AND enabled = \'1\' ORDER BY caption');
                                                $categorias->execute();
                                                while ($cat = $categorias->fetch()) { ?>
                                                    <tr>
                                                        <td><?= $cat['id'] ?></td>
                                                        <td><?= $cat['caption'] ?></td>
                                                        <td><?= $cat['link'] ?></td>
                                                        <td><a href="/adminpan/catalog_pages/delete/<?= $cat['id'] ?>"><i style="padding-top: 4px; color:red;" class="fa fa-trash"></i></center></a></td>
                                                    </tr>
                                                <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>