<?php
	admin::CheckRank(6);

	if (isset($_GET['user'])) {
        $user = $dbh->prepare("SELECT id, username, ip_reg, ip_last, last_ip FROM players WHERE username = :user");
        $user->bindParam(':user', $_GET['user']);
        $user->execute();
      	
      	$user = $user->rowCount() > 0 ? $user->fetch() : null;
      	
      	if ($user == null) {
          	echo '<script>alert("Usuário não encontrado.")</script>';
        }
    }
?>
<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Visualizar contas fakes de um usuário</div>
                                    <div class="card-body">
                                        <?php admin::recoveryUserPassword(); ?>
                                        <div class="form-group row">
                                            <div class="col-sm-12" style="margin-bottom: 15px">Digite o nome de um usuário abaixo para ver todas as contas que o(s) IP(s) dele já acessou.</div>
                                            <div class="col-md-12">
                                                <form id="form-usuario">
                                                    <div class="input-group">
                                                        <input type="text" id="username" name="username" class="form-control" value="<?= isset($_GET['user']) && $user != null ? $_GET['user'] : '' ?>" placeholder="Nome do Usuário">
                                                        <span class="input-group-append">
                                                          	<button class="btn btn-primary" type="submit" name="zoek">
                                                                <svg class="c-icon">
                                                                    <use xlink:href="/adminpan/vendors/@coreui/icons/svg/free.svg#cil-magnifying-glass"></use>
                                                                </svg> Procurar
                                                            </button>
                                                        </span>
                                                    </div>
                                                </form>

                                                <script type="text/javascript">
                                                    document.getElementById('form-usuario').addEventListener("submit", function(e) {
                                                        e.preventDefault();
                                                        window.location = '/adminpan/clones/' + document.getElementById('username').value;
                                                    });
                                                </script>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php if (isset($_GET['user']) && $user != null) { ?>
                                <div class="col-md-12">
                                    <div class="card">
                                        <div class="card-header">Contas encontradas</div>
                                        <div class="card-body">
                                            <table class="table table-responsive-sm table-bordered table-striped table-sm">
                                                <thead>
                                                    <tr>
                                                        <th>Usuário</th>
                                                        <th>Membro desde</th>
                                                        <th>Último login</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php
                                                    $getClones = $dbh->prepare("SELECT id, ip_reg, ip_last, last_ip, username, reg_timestamp, last_online FROM players WHERE 
																			(ip_reg = :ip_reg OR
																			ip_reg = :ip_last OR
																			ip_reg = :last_ip OR

																			ip_last = :ip_reg2 OR
																			ip_last = :ip_last2 OR
																			ip_last = :last_ip2 OR

																			last_ip = :ip_reg3 OR
																			last_ip = :ip_last3 OR
																			last_ip = :last_ip3) AND username != :username");
                                                    $getClones->bindParam(':username', $user['username']);
                                                    $getClones->bindParam(':ip_reg', $user['ip_reg']);
                                                    $getClones->bindParam(':ip_reg2', $user['ip_reg']);
                                                    $getClones->bindParam(':ip_reg3', $user['ip_reg']);
                                                    $getClones->bindParam(':ip_last', $user['ip_last']);
                                                    $getClones->bindParam(':ip_last2', $user['ip_last']);
                                                    $getClones->bindParam(':ip_last3', $user['ip_last']);
                                                    $getClones->bindParam(':last_ip', $user['last_ip']);
                                                    $getClones->bindParam(':last_ip2', $user['last_ip']);
                                                    $getClones->bindParam(':last_ip3', $user['last_ip']);
                                                    $getClones->execute();

                                                    while ($clone = $getClones->fetch()) {
                                                        echo '<tr>
                                                    	<td>' . $clone['username'] . '</td>
                                                    	<td>' . date('d/m/Y H:i', $clone['reg_timestamp']) . '</td>
                                                    	<td>' . (User::userSettingsById('hide_last_online', $clone['id']) == '0' ? date('d/m/Y H:i', $clone['last_online']) : '--/--/----') . '</td>
                                                      </tr>';
                                                    }
                                                    ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>