<?php
$_SESSION['title'] = '';
$_SESSION['slogan'] = '';
$_SESSION['news'] = '';
if (!in_array($_SESSION['id'], $config['dash_allowed_ids'])) {
    admin::CheckRank(6);
}
?>
<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>
        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <?php if (User::userData('rank') >= $config['staffCheckHkMinimumRank']) { ?>
                            <?php
                            $info = $dbh->prepare("SELECT * FROM server_status");
                            $info->execute();
                            $info = $info->fetch();

                            $totalPlayers = $dbh->prepare("SELECT count(id) AS total FROM players");
                            $totalPlayers->execute();
                            $totalPlayers = $totalPlayers->fetch();
                            $totalBans = $dbh->prepare("SELECT count(id) AS total FROM bans");
                            $totalBans->execute();
                            $totalBans = $totalBans->fetch();
                            $totalQuartos = $dbh->prepare("SELECT count(id) AS total FROM rooms");
                            $totalQuartos->execute();
                            $totalQuartos = $totalQuartos->fetch();
                            $totalNews = $dbh->prepare("SELECT count(id) AS total FROM cms_news");
                            $totalNews->execute();
                            $totalNews = $totalNews->fetch();
                            ?>
                            <div class="row">
                                <div class="col-sm-6 col-md-4 col-xl-2">
                                    <div class="card text-white bg-gradient-primary">
                                        <div class="card-body card-body d-flex justify-content-between align-items-start">
                                            <div>
                                                <div class="text-value-lg"><?= formatThousands($info['active_players']); ?></div>
                                                <div class="dash-item-text">Usuários online</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-6 col-md-4 col-xl-2">
                                    <div class="card text-white bg-gradient-info">
                                        <div class="card-body card-body d-flex justify-content-between align-items-start">
                                            <div>
                                                <div class="text-value-lg"><?= formatThousands($info['player_record']); ?></div>
                                                <div class="dash-item-text">Record online</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-6 col-md-4 col-xl-2">
                                    <div class="card text-white bg-gradient-success">
                                        <div class="card-body card-body d-flex justify-content-between align-items-start">
                                            <div>
                                                <div class="text-value-lg"><?= formatThousands($totalPlayers['total']); ?></div>
                                                <div class="dash-item-text">Usuários registrados</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-6 col-md-4 col-xl-2">
                                    <a href="/adminpan/bans" class="dash-card-link">
                                        <div class="card text-white bg-gradient-danger">
                                            <div class="card-body card-body d-flex justify-content-between align-items-start">
                                                <div>
                                                    <div class="text-value-lg"><?= formatThousands($totalBans['total']); ?></div>
                                                    <div class="dash-item-text">Banimentos</div>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                                <div class="col-sm-6 col-md-4 col-xl-2">
                                    <a href="/adminpan/rooms" class="dash-card-link">
                                        <div class="card text-white bg-gradient-success">
                                            <div class="card-body card-body d-flex justify-content-between align-items-start">
                                                <div>
                                                    <div class="text-value-lg"><?= formatThousands($totalQuartos['total']); ?></div>
                                                    <div class="dash-item-text">Quartos criados</div>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>

                                <div class="col-sm-6 col-md-4 col-xl-2">
                                    <a href="/adminpan/news" class="dash-card-link">
                                        <div class="card text-white bg-gradient-warning">
                                            <div class="card-body card-body d-flex justify-content-between align-items-start">
                                                <div>
                                                    <div class="text-value-lg"><?= formatThousands($totalNews['total']); ?></div>
                                                    <div class="dash-item-text">Notícias</div>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        <?php } ?>

                        <!-- <div class="card">
                            <div class="card-body">
                                <div class="d-flex justify-content-between">
                                    <div>
                                        <h4 class="card-title mb-0">Traffic</h4>
                                        <div class="small text-muted">September 2019</div>
                                    </div>
                                    <div class="btn-toolbar d-none d-md-block" role="toolbar" aria-label="Toolbar with buttons">
                                        <div class="btn-group btn-group-toggle mx-3" data-toggle="buttons">
                                            <label class="btn btn-outline-secondary">
                                                <input id="option1" type="radio" name="options" autocomplete="off"> Day
                                            </label>
                                            <label class="btn btn-outline-secondary active">
                                                <input id="option2" type="radio" name="options" autocomplete="off" checked=""> Month
                                            </label>
                                            <label class="btn btn-outline-secondary">
                                                <input id="option3" type="radio" name="options" autocomplete="off"> Year
                                            </label>
                                        </div>
                                        <button class="btn btn-primary" type="button">
                                            <svg class="c-icon">
                                                <use xlink:href="/adminpan/vendors/@coreui/icons/svg/free.svg#cil-cloud-download">
                                                </use>
                                            </svg>
                                        </button>
                                    </div>
                                </div>
                                <div class="c-chart-wrapper" style="height:300px;margin-top:40px;">
                                    <canvas class="chart" id="main-chart" height="300"></canvas>
                                </div>
                            </div>
                            <div class="card-footer">
                                <div class="row text-center">
                                    <div class="col-sm-12 col-md mb-sm-2 mb-0">
                                        <div class="text-muted">Visits</div><strong>29.703 Users (40%)</strong>
                                        <div class="progress progress-xs mt-2">
                                            <div class="progress-bar bg-gradient-success" role="progressbar" style="width: 40%" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
                                        </div>
                                    </div>
                                    <div class="col-sm-12 col-md mb-sm-2 mb-0">
                                        <div class="text-muted">Unique</div><strong>24.093 Users (20%)</strong>
                                        <div class="progress progress-xs mt-2">
                                            <div class="progress-bar bg-gradient-info" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
                                        </div>
                                    </div>
                                    <div class="col-sm-12 col-md mb-sm-2 mb-0">
                                        <div class="text-muted">Pageviews</div><strong>78.706 Views (60%)</strong>
                                        <div class="progress progress-xs mt-2">
                                            <div class="progress-bar bg-gradient-warning" role="progressbar" style="width: 60%" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100"></div>
                                        </div>
                                    </div>
                                    <div class="col-sm-12 col-md mb-sm-2 mb-0">
                                        <div class="text-muted">New Users</div><strong>22.123 Users (80%)</strong>
                                        <div class="progress progress-xs mt-2">
                                            <div class="progress-bar bg-gradient-danger" role="progressbar" style="width: 80%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100"></div>
                                        </div>
                                    </div>
                                    <div class="col-sm-12 col-md mb-sm-2 mb-0">
                                        <div class="text-muted">Bounce Rate</div><strong>40.15%</strong>
                                        <div class="progress progress-xs mt-2">
                                            <div class="progress-bar" role="progressbar" style="width: 40%" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div> -->

                        <!-- <div class="row">
                            <div class="col-sm-6 col-lg-4">
                                <div class="card">
                                    <div class="card-header bg-facebook content-center">
                                        <svg class="c-icon c-icon-3xl text-white my-4">
                                            <use xlink:href="/adminpan/vendors/@coreui/icons/svg/brand.svg#cib-facebook-f"></use>
                                        </svg>
                                    </div>
                                    <div class="card-body row text-center">
                                        <div class="col">
                                            <div class="text-value-xl">89k</div>
                                            <div class="text-uppercase text-muted small">friends</div>
                                        </div>
                                        <div class="c-vr"></div>
                                        <div class="col">
                                            <div class="text-value-xl">459</div>
                                            <div class="text-uppercase text-muted small">feeds</div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-sm-6 col-lg-4">
                                <div class="card">
                                    <div class="card-header bg-twitter content-center">
                                        <svg class="c-icon c-icon-3xl text-white my-4">
                                            <use xlink:href="/adminpan/vendors/@coreui/icons/svg/brand.svg#cib-twitter"></use>
                                        </svg>
                                    </div>
                                    <div class="card-body row text-center">
                                        <div class="col">
                                            <div class="text-value-xl">973k</div>
                                            <div class="text-uppercase text-muted small">followers</div>
                                        </div>
                                        <div class="c-vr"></div>
                                        <div class="col">
                                            <div class="text-value-xl">1.792</div>
                                            <div class="text-uppercase text-muted small">tweets</div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-sm-6 col-lg-4">
                                <div class="card">
                                    <div class="card-header bg-linkedin content-center">
                                        <svg class="c-icon c-icon-3xl text-white my-4">
                                            <use xlink:href="/adminpan/vendors/@coreui/icons/svg/brand.svg#cib-linkedin"></use>
                                        </svg>
                                    </div>
                                    <div class="card-body row text-center">
                                        <div class="col">
                                            <div class="text-value-xl">500+</div>
                                            <div class="text-uppercase text-muted small">contacts</div>
                                        </div>
                                        <div class="c-vr"></div>
                                        <div class="col">
                                            <div class="text-value-xl">292</div>
                                            <div class="text-uppercase text-muted small">feeds</div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div> -->

                        <div class="row">
                            <div class="col-md-8">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="card">
                                            <div class="card-header">Painel de Controle Staff usado no <?= $config['hotelName'] ?></div>
                                            <div class="card-body">
                                                O Painel de Controle do <?= $config['hotelName'] ?> está de cara nova!<br><br>

                                                Use-o da forma correta, regras são regras e acordos foram feitos.<br>
                                                Tudo o que você faz aqui, podemos descobrir.<br><br>

                                                Novas funcionalidades podem e serão adicionadas aqui ao longo do tempo.<br><br>

                                                <span style="text-decoration: line-through;" title="kk to sem usar discord por enquanto">
                                                    Se algo não funcionar como deveria, chama no Discord: <b>Emerson#0010</b> que o pai resolve.
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <?php if (User::userData('rank') >= $config['staffCheckHkMinimumRank']) { ?>
                                        <?php
                                        $acessosFlash30fpsHoje = $dbh->prepare('SELECT count(id) AS total FROM cms_client_access WHERE client_version = "FLASH_30" AND timestamp >= ' . (time() - 86400));
                                        $acessosFlash30fpsHoje->execute();
                                        $acessosFlash30fpsHoje = $acessosFlash30fpsHoje->fetch()['total'];
                                        $acessosFlash30fpsOntem = $dbh->prepare('SELECT count(id) AS total FROM cms_client_access WHERE client_version = "FLASH_30" AND timestamp >= ' . (time() - 172800) . ' AND timestamp <= ' . (time() - 86400));
                                        $acessosFlash30fpsOntem->execute();
                                        $acessosFlash30fpsOntem = $acessosFlash30fpsOntem->fetch()['total'];
                                        $acessosFlash30fpsAnteontem = $dbh->prepare('SELECT count(id) AS total FROM cms_client_access WHERE client_version = "FLASH_30" AND timestamp >= ' . (time() - 259200) . ' AND timestamp <= ' . (time() - 172800));
                                        $acessosFlash30fpsAnteontem->execute();
                                        $acessosFlash30fpsAnteontem = $acessosFlash30fpsAnteontem->fetch()['total'];

                                        $acessosFlash60fpsHoje = $dbh->prepare('SELECT count(id) AS total FROM cms_client_access WHERE client_version = "FLASH_60" AND timestamp >= ' . (time() - 86400));
                                        $acessosFlash60fpsHoje->execute();
                                        $acessosFlash60fpsHoje = $acessosFlash60fpsHoje->fetch()['total'];
                                        $acessosFlash60fpsOntem = $dbh->prepare('SELECT count(id) AS total FROM cms_client_access WHERE client_version = "FLASH_60" AND timestamp >= ' . (time() - 172800) . ' AND timestamp <= ' . (time() - 86400));
                                        $acessosFlash60fpsOntem->execute();
                                        $acessosFlash60fpsOntem = $acessosFlash60fpsOntem->fetch()['total'];
                                        $acessosFlash60fpsAnteontem = $dbh->prepare('SELECT count(id) AS total FROM cms_client_access WHERE client_version = "FLASH_60" AND timestamp >= ' . (time() - 259200) . ' AND timestamp <= ' . (time() - 172800));
                                        $acessosFlash60fpsAnteontem->execute();
                                        $acessosFlash60fpsAnteontem = $acessosFlash60fpsAnteontem->fetch()['total'];

                                        $acessosHtml30fpsHoje = $dbh->prepare('SELECT count(id) AS total FROM cms_client_access WHERE client_version = "HTML5_30" AND timestamp >= ' . (time() - 86400));
                                        $acessosHtml30fpsHoje->execute();
                                        $acessosHtml30fpsHoje = $acessosHtml30fpsHoje->fetch()['total'];
                                        $acessosHtml30fpsOntem = $dbh->prepare('SELECT count(id) AS total FROM cms_client_access WHERE client_version = "HTML5_30" AND timestamp >= ' . (time() - 172800) . ' AND timestamp <= ' . (time() - 86400));
                                        $acessosHtml30fpsOntem->execute();
                                        $acessosHtml30fpsOntem = $acessosHtml30fpsOntem->fetch()['total'];
                                        $acessosHtml30fpsAnteontem = $dbh->prepare('SELECT count(id) AS total FROM cms_client_access WHERE client_version = "HTML5_30" AND timestamp >= ' . (time() - 259200) . ' AND timestamp <= ' . (time() - 172800));
                                        $acessosHtml30fpsAnteontem->execute();
                                        $acessosHtml30fpsAnteontem = $acessosHtml30fpsAnteontem->fetch()['total'];

                                        $acessosHtml60fpsHoje = $dbh->prepare('SELECT count(id) AS total FROM cms_client_access WHERE client_version = "HTML5_60" AND timestamp >= ' . (time() - 86400));
                                        $acessosHtml60fpsHoje->execute();
                                        $acessosHtml60fpsHoje = $acessosHtml60fpsHoje->fetch()['total'];
                                        $acessosHtml60fpsOntem = $dbh->prepare('SELECT count(id) AS total FROM cms_client_access WHERE client_version = "HTML5_60" AND timestamp >= ' . (time() - 172800) . ' AND timestamp <= ' . (time() - 86400));
                                        $acessosHtml60fpsOntem->execute();
                                        $acessosHtml60fpsOntem = $acessosHtml60fpsOntem->fetch()['total'];
                                        $acessosHtml60fpsAnteontem = $dbh->prepare('SELECT count(id) AS total FROM cms_client_access WHERE client_version = "HTML5_60" AND timestamp >= ' . (time() - 259200) . ' AND timestamp <= ' . (time() - 172800));
                                        $acessosHtml60fpsAnteontem->execute();
                                        $acessosHtml60fpsAnteontem = $acessosHtml60fpsAnteontem->fetch()['total'];

                                        $totalAcessosFlashHoje = $acessosFlash30fpsHoje + $acessosFlash60fpsHoje;
                                        $totalAcessosHtmlHoje = $acessosHtml30fpsHoje + $acessosHtml60fpsHoje;
                                        $totalAcessosHoje = $totalAcessosFlashHoje + $totalAcessosHtmlHoje;

                                        $porcentagemFlashHoje = get_percentage($totalAcessosHoje, $totalAcessosFlashHoje);
                                        $porcentagemHtmlHoje = get_percentage($totalAcessosHoje, $totalAcessosHtmlHoje);
                                        ?>
                                        <div class="col-md-12">
                                            <div class="card">
                                                <div class="card-body">
                                                    <div class="d-flex justify-content-between mb-3">
                                                        <div>
                                                            <h4 class="card-title mb-0">Acessos nas clients</h4>
                                                            <div class="small text-muted">Últimos 3 dias</div>
                                                        </div>
                                                    </div>
                                                    <div class="c-chart-wrapper">
                                                        <canvas id="main-canvas" height="400"></canvas>
                                                    </div>
                                                </div>
                                                <div class="card-footer">
                                                    <div class="text-center text-muted mb-3">Estatísticas de hoje</div>
                                                    <div class="row text-center">
                                                        <div class="col-sm-12 col-md mb-sm-2 mb-0">
                                                            <div class="text-muted">Client FLASH</div><strong><?= formatThousands($totalAcessosFlashHoje); ?> acessos (<?= $porcentagemFlashHoje ?>%)</strong>
                                                            <div class="progress progress-xs mt-2">
                                                                <div class="progress-bar bg-warning" role="progressbar" style="width: <?= $porcentagemFlashHoje ?>%" aria-valuenow="<?= $porcentagemFlashHoje ?>" aria-valuemin="0" aria-valuemax="100"></div>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 col-md mb-sm-2 mb-0">
                                                            <div class="text-muted">Client HTML5</div><strong><?= formatThousands($totalAcessosHtmlHoje); ?> acessos (<?= $porcentagemHtmlHoje ?>%)</strong>
                                                            <div class="progress progress-xs mt-2">
                                                                <div class="progress-bar bg-primary" role="progressbar" style="width: <?= $porcentagemHtmlHoje ?>%" aria-valuenow="<?= $porcentagemHtmlHoje ?>" aria-valuemin="0" aria-valuemax="100"></div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    <?php } else { ?>
                                        Você não tem permissão para ver estas informações.
                                    <?php } ?>
                                    <div class="col-md-12">
                                        <div class="card">
                                            <div class="card-header">Equipe Staff</div>
                                            <div class="card-body">
                                                <div class="row">
                                                    <?php if (User::userData('rank') >= $config['staffCheckHkMinimumRank']) { ?>
                                                        <div class="col-md-6">
                                                            <?php
                                                            global $dbh;
                                                            $ranks = $dbh->prepare("SELECT id,name FROM ranks WHERE id >= 4 AND id <= 9 ORDER BY id DESC");
                                                            $ranks->execute();
                                                            while ($rank = $ranks->fetch()) { ?>
                                                                <div class="card border-secondary">
                                                                    <div class="card-header">
                                                                        <b><?= $rank['name'] ?></b>
                                                                    </div>
                                                                    <div class="card-body">
                                                                        <?php
                                                                        $staffs = $dbh->prepare("SELECT id,username,figure,motto,online,last_online FROM players WHERE rank = :rank ORDER BY username");
                                                                        $staffs->bindParam(':rank', $rank['id']);
                                                                        $staffs->execute();
                                                                        while ($row = $staffs->fetch()) {
                                                                        ?>
                                                                            <table>
                                                                                <tr>
                                                                                    <td>
                                                                                        <img style="margin-right: 10px" src="https://habbo.city/habbo-imaging/avatarimage?figure=<?= $row['figure'] ?>&gesture=sml">
                                                                                    </td>
                                                                                    <td>
                                                                                        <div style="margin-top: 20px">
                                                                                            <strong>
                                                                                              	<?php if (User::userData('rank') >= '9') { ?>
                                                                                              		<a href="/adminpan/user/<?= $row['username'] ?>"><?= $row['username'] ?></a>
                                                                                              	<?php } else { ?>
                                                                                              		<?= $row['username'] ?>
                                                                                              	<?php } ?>
                                                                                         	</strong><br>
                                                                                            Missão: <strong><?= htmlspecialchars($row['motto'], ENT_QUOTES, 'UTF-8'); ?></strong><br>
                                                                                            Último login: <strong><?= User::userSettingsById('hide_last_online', $row['id']) == '0' ? date("d/m/Y H:i", $row['last_online']) : '--/--/----' ?></strong><br>
                                                                                            <?php if ($row['online'] == '1' && User::userSettingsById('hide_online', $row['id']) == '0') { ?>
                                                                                                Status: <span style="color:darkgreen"><b>Online</b></span>
                                                                                            <?php } else { ?>
                                                                                                Status: <span style="color:darkred"><b>Offline</b></span>
                                                                                            <?php } ?>
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        <?php } ?>
                                                                    </div>
                                                                </div>
                                                            <?php } ?>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <?php
                                                            global $dbh;
                                                            $ranks = $dbh->prepare("SELECT id,name FROM ranks WHERE id >= 10 AND id <= 12 ORDER BY id DESC");
                                                            $ranks->execute();
                                                            while ($rank = $ranks->fetch()) {
                                                                if ($rank['name'] != 'Oculto' || ($rank['name'] == 'Oculto' && User::userData('rank') >= $config['ownerRank'])) {
                                                            ?>
                                                                    <div class="card border-secondary">
                                                                        <div class="card-header">
                                                                            <b><?= $rank['name'] ?></b>
                                                                        </div>
                                                                        <div class="card-body">
                                                                            <?php
                                                                            $staffs = $dbh->prepare("SELECT id,username,figure,motto,online,last_online FROM players WHERE rank = :rank ORDER BY id");
                                                                            $staffs->bindParam(':rank', $rank['id']);
                                                                            $staffs->execute();
                                                                            while ($row = $staffs->fetch()) {
                                                                            ?>
                                                                                <table>
                                                                                    <tr>
                                                                                        <td>
                                                                                            <img style="margin-right: 10px" src="https://habbo.city/habbo-imaging/avatarimage?figure=<?= $row['figure'] ?>&gesture=sml">
                                                                                        </td>
                                                                                        <td>
                                                                                            <div style="margin-top: 20px">
                                                                                                <strong>
                                                                                                    <?php if (User::userData('rank') >= '9') { ?>
                                                                                                        <a href="/adminpan/user/<?= $row['username'] ?>"><?= $row['username'] ?></a>
                                                                                                    <?php } else { ?>
                                                                                                        <?= $row['username'] ?>
                                                                                                    <?php } ?>
                                                                                                </strong><br>
                                                                                                Missão: <strong><?= htmlspecialchars($row['motto'], ENT_QUOTES, 'UTF-8'); ?></strong><br>
                                                                                                Último login: <strong><?= User::userSettingsById('hide_last_online', $row['id']) == '0' ? date("d/m/Y H:i", $row['last_online']) : '--/--/----' ?></strong><br>
                                                                                                <?php if ($row['online'] == '1' && User::userSettingsById('hide_online', $row['id']) == '0') { ?>
                                                                                                    Status: <span style="color:darkgreen"><b>Online</b></span>
                                                                                                <?php } else { ?>
                                                                                                    Status: <span style="color:darkred"><b>Offline</b></span>
                                                                                                <?php } ?>
                                                                                            </div>
                                                                                        </td>
                                                                                    </tr>
                                                                                </table>
                                                                            <?php } ?>
                                                                        </div>
                                                                    </div>
                                                            <?php }
                                                            } ?>
                                                        </div>
                                                    <?php } else { ?>
                                                        <div class="col-md-12">Você não tem permissão para ver estas informações.</div>
                                                    <?php } ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4" style="padding: 0">
                                <div class="col-md-12">
                                    <div class="card">
                                        <div class="card-header">Acessos nas clients nas últimas 24 horas</div>
                                        <div class="card-body">
                                            <?php if (User::userData('rank') >= $config['staffCheckHkMinimumRank']) { ?>
                                                <strong>Client FLASH 30 FPS:</strong> <?= formatThousands($acessosFlash30fpsHoje) ?> acessos<br>
                                                <strong>Client FLASH 60 FPS:</strong> <?= formatThousands($acessosFlash60fpsHoje) ?> acessos<br>
                                                <strong>Total FLASH:</strong> <?= formatThousands($acessosFlash30fpsHoje + $acessosFlash60fpsHoje) ?> acessos<br>
                                                <br>
                                                <strong>Client HTML5 30 FPS:</strong> <?= formatThousands($acessosHtml30fpsHoje) ?> acessos<br>
                                                <strong>Client HTML5 60 FPS:</strong> <?= formatThousands($acessosHtml60fpsHoje) ?> acessos<br>
                                                <strong>Total HTML5:</strong> <?= formatThousands($acessosHtml30fpsHoje + $acessosHtml60fpsHoje) ?> acessos<br>
                                                <br>
                                                <b>Total:</b> <?= formatThousands($acessosFlash30fpsHoje + $acessosFlash60fpsHoje + $acessosHtml30fpsHoje + $acessosHtml60fpsHoje) ?> acessos
                                            <?php } else { ?>
                                                Você não tem permissão para ver estas informações.
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="card">
                                        <div class="card-header">Informações do aplicativo</div>
                                        <div class="card-body">
                                            <?php if (User::userData('rank') >= $config['staffCheckHkMinimumRank']) { ?>
                                                <?php
                                                $total = 0;
                                                $query = $dbh->prepare('SELECT DISTINCT version FROM cms_app_downloads');
                                                $query->execute();

                                                while ($row = $query->fetch()) {
                                                    $qtd = $dbh->prepare('SELECT count(id) AS total FROM cms_app_downloads WHERE version = :version');
                                                    $qtd->bindParam(':version', $row['version']);
                                                    $qtd->execute();

                                                    $count = $qtd->fetch()['total'];
                                                    $total += $count;

                                                    echo '<strong>Versão ' . $row['version'] . ':</strong> ' . formatThousands($count) . ' downloads<br>';
                                                }
                                                ?>
                                                <br>
                                                <b>Total:</b> <?= formatThousands($total) ?> downloads
                                            <?php } else { ?>
                                                Você não tem permissão para ver estas informações.
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="card">
                                        <div class="card-header">Mensagem para a equipe</div>
                                        <div class="card-body pb-2">
                                            <?php if (User::userData('rank') >= $config['staffCheckHkMinimumRank']) { ?>
                                                <?php
                                                $existente = $dbh->prepare('SELECT conteudo FROM cms_adminpan_text LIMIT 1');
                                                $existente->execute();
                                                if ($existente->RowCount() == 1) {
                                                    $existente = $existente->fetch();
                                                ?>
                                                    <?= $existente['conteudo'] ?>
                                                <?php } else { ?>
                                                    <p>Hmm, nenhuma mensagem aqui.</p>
                                                <?php } ?>
                                            <?php } else { ?>
                                                Você não tem permissão para ver estas informações.
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <?php if (User::userData('rank') >= $config['staffCheckHkMinimumRank']) { ?>
                                    <div class="col-md-12">
                                        <div class="card">
                                            <div class="card-header">
                                                <?php
                                                $vips = $dbh->prepare("SELECT id,username,figure,motto,online,last_online,vip_expire FROM players WHERE rank = 2 ORDER BY vip_expire DESC");
                                                $vips->execute();
                                                ?>
                                                Usuários vips
                                                <span class="badge badge-pill badge-info float-right"><?= $vips->RowCount() ?></span>
                                            </div>
                                            <div class="card-body">
                                                <?php
                                                while ($row = $vips->fetch()) {
                                                ?>
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img style="margin-right: 10px" src="https://habbo.city/habbo-imaging/avatarimage?figure=<?= $row['figure'] ?>&gesture=sml">
                                                            </td>
                                                            <td>
                                                                <div style="margin-top: 20px">
                                                                    <strong>
                                                                        <?php if (User::userData('rank') >= '9') { ?>
                                                                        <a href="/adminpan/user/<?= $row['username'] ?>"><?= $row['username'] ?></a>
                                                                        <?php } else { ?>
                                                                        <?= $row['username'] ?>
                                                                        <?php } ?>
                                                                    </strong><br>
                                                                    Missão: <strong><?= htmlspecialchars($row['motto'], ENT_QUOTES, 'UTF-8'); ?></strong><br>
                                                                    Último login: <strong><?= User::userSettingsById('hide_last_online', $row['id']) == '0' ? date("d/m/Y H:i", $row['last_online']) : '--/--/----' ?></strong><br>
                                                                    VIP Expira em: <strong><?= date("d/m/Y H:i", strtotime($row['vip_expire'])) ?></strong><br>
                                                                    <?php if ($row['online'] == '1' && User::userSettingsById('hide_online', $row['id']) == '0') { ?>
                                                                        Status: <span style="color:darkgreen"><b>Online</b></span>
                                                                    <?php } else { ?>
                                                                        Status: <span style="color:darkred"><b>Offline</b></span>
                                                                    <?php } ?>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>

        <script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-datalabels@0.7.0"></script>

        <script>
            var barChartData = {
                labels: ['Anteontem', 'Ontem', 'Hoje'],
                datasets: [{
                    label: 'Client FLASH 30 FPS',
                    backgroundColor: "#dd9124",
                    // borderColor: window.chartColors.red,
                    borderWidth: 1,
                    data: [<?= $acessosFlash30fpsAnteontem ?>, <?= $acessosFlash30fpsOntem ?>, <?= $acessosFlash30fpsHoje ?>],
                    datalabels: {
                        color: '#FFF'
                    }
                }, {
                    label: 'Client FLASH 60 FPS',
                    backgroundColor: '#ad6b0e',
                    // borderColor: window.chartColors.blue,
                    borderWidth: 1,
                    data: [<?= $acessosFlash60fpsAnteontem ?>, <?= $acessosFlash60fpsOntem ?>, <?= $acessosFlash60fpsHoje ?>],
                    datalabels: {
                        color: '#FFF'
                    }
                }, {
                    label: 'Client HTML5 30 FPS',
                    backgroundColor: '#624988',
                    // borderColor: window.chartColors.blue,
                    borderWidth: 1,
                    data: [<?= $acessosHtml30fpsAnteontem ?>, <?= $acessosHtml30fpsOntem ?>, <?= $acessosHtml30fpsHoje ?>],
                    datalabels: {
                        color: '#FFF'
                    }
                }, {
                    label: 'Client HTML5 60 FPS',
                    backgroundColor: '#4941aa',
                    // borderColor: window.chartColors.blue,
                    borderWidth: 1,
                    data: [<?php $acessosHtml60fpsAnteontem ?>, <?= $acessosHtml60fpsOntem ?>, <?= $acessosHtml60fpsHoje ?>],
                    datalabels: {
                        color: '#FFF'
                    }
                }]

            };

            Chart.plugins.register({
                id: 'paddingBelowLegends',
                beforeInit: function(chart, options) {
                    chart.legend.afterFit = function() {
                        this.height = this.height + 20;
                    };
                }
            });

            window.onload = function() {
                var ctx = document.getElementById('main-canvas').getContext('2d');
                window.myBar = new Chart(ctx, {
                    type: 'bar',
                    data: barChartData,
                    options: {
                        responsive: true,
                        legend: {
                            position: 'top',
                            labels: {
                                // padding: 10
                            }
                        },
                        title: {
                            display: false,
                            text: 'Gráfico de acessos'
                        },
                        scales: {
                            yAxes: [{
                                ticks: {
                                    precision: 0,
                                    beginAtZero: true
                                }
                            }]
                        }
                    },
                });
            };
        </script>
    </div>
</body>

</html>