<?php
admin::CheckRank(9);
?>

<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Adicionar Categoria de Música</div>
                                    <div class="card-body">
                                        <?php admin::addMusicCategory(); ?>
                                        <?php admin::removeMusicCategory(); ?>
                                        <?php
                                        $musicas = $dbh->prepare('SELECT id, title, artist, song_data FROM furniture_music ORDER BY id DESC');
                                        $musicas->execute();
                                        ?>
                                        <form action="" method="POST">
                                            <div class="form-group">
                                                <label class="control-label">Nome da Categoria</label>
                                                <input type="text" name="caption" class="form-control" placeholder="Ex.: Rap" minlength="2" maxlength="50" required>
                                            </div>
                                            <br>
                                            <button style="width: 130px;float: right;" name="addMusicCategory" type="submit" class="btn btn-primary">Adicionar</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Todas as categorias</div>
                                    <div class="card-body">
                                        <div>
                                            <small>OBS: as músicas de uma categoria excluída continuam no inventário/quartos de quem as comprou.</small>
                                        </div><br>
                                        <table class="table table-responsive-sm table-bordered table-striped table-sm">
                                            <thead>
                                                <tr>
                                                    <th>ID</th>
                                                    <th>Nome da Categoria</th>
                                                    <th>Ações</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                $categorias = $dbh->prepare('SELECT id, caption FROM catalog_pages WHERE parent_id = 423423524 AND enabled = \'1\' ORDER BY caption');
                                                $categorias->execute();
                                                while ($cat = $categorias->fetch()) { ?>
                                                    <tr>
                                                        <td><?= $cat['id'] ?></td>
                                                        <td><?= $cat['caption'] ?></td>
                                                        <td>
                                                            <a style="color: red" href="/adminpan/music_categories/delete/<?= $cat['id'] ?>"><i style="padding-top: 4px; color:red;" class="fa fa-trash"></i></a>
                                                        </td>
                                                    </tr>
                                                <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>