<?php
admin::CheckRank(9);

$categorias = $dbh->prepare('SELECT id, caption FROM catalog_pages WHERE parent_id = 423423524 AND enabled = \'1\'');
$categorias->execute();
?>

<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Hospedar música no Hotel</div>
                                    <div class="card-body">
                                        <?php admin::addMusic(); ?>
                                        <?php
                                        $musicas = $dbh->prepare('SELECT id, title, artist, song_data FROM furniture_music ORDER BY id DESC');
                                        $musicas->execute();
                                        ?>
                                        <form enctype="multipart/form-data" action="" method="POST">
                                            <input type="hidden" id="duracao" name="duracao" value="">
                                            <div class="form-group">
                                                <label class="control-label">Música (.mp3)</label>
                                                <input type="file" id="arquivo" name="arquivo" class="form-control" accept=".mp3" required>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Título</label>
                                                <input type="text" name="titulo" class="form-control" placeholder="Ex.: Infarto" minlength="2" maxlength="50" required>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Cantor</label>
                                                <input type="text" name="cantor" class="form-control" placeholder="Ex.: Diego & Victor Hugo" minlength="2" maxlength="50" required>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Categoria</label>
                                                <select class="form-control" name="page_id">
                                                    <?php
                                                    while ($cat = $categorias->fetch()) { ?>
                                                        <option value="<?= $cat['id'] ?>"><?= $cat['caption'] ?></option>
                                                    <?php } ?>
                                                </select>
                                            </div>
                                            <br>
                                            <button style="width: 130px;float: right;" name="addMusic" type="submit" class="btn btn-primary">Adicionar</button>
                                        </form>
                                    </div>
                                </div>

                                <script type="text/javascript">
                                    // Create a non-dom allocated Audio element
                                    var audio = document.createElement('audio');

                                    // Add a change event listener to the file input
                                    document.getElementById("arquivo").addEventListener('change', function(event) {
                                        var target = event.currentTarget;
                                        var file = target.files[0];
                                        var reader = new FileReader();

                                        if (target.files && file) {
                                            var reader = new FileReader();

                                            reader.onload = function(e) {
                                                audio.src = e.target.result;
                                                audio.addEventListener('loadedmetadata', function() {
                                                    // Obtain the duration in seconds of the audio file (with milliseconds as well, a float value)
                                                    var duration = audio.duration;

                                                    // example 12.3234 seconds
                                                    console.log("The duration of the song is of: " + parseInt(duration) + " seconds");

                                                    document.getElementById("duracao").value = parseInt(duration);
                                                }, false);
                                            };

                                            reader.readAsDataURL(file);
                                        }
                                    }, false);
                                </script>
                            </div>
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Todas as músicas</div>
                                    <div class="card-body">
                                        <?php admin::removeMusic(); ?>
                                        <table class="table table-responsive-sm table-bordered table-striped table-sm">
                                            <thead>
                                                <tr>
                                                    <th>ID</th>
                                                    <th>Título</th>
                                                    <th>Cantor</th>
                                                    <th>Áudio</th>
                                                    <th>Ações</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php while ($m = $musicas->fetch()) {
                                                    $musicId = substr($m['song_data'], 2, strpos($m['song_data'], ',') - 2);
                                                ?>
                                                    <tr>
                                                        <td><?= $m['id'] ?></td>
                                                        <td><?= $m['title'] ?></td>
                                                        <td><?= $m['artist'] ?></td>
                                                        <td>
                                                            <audio src="/swf/hof_furni/mp3/sound_machine_sample_<?= $musicId ?>.mp3" controls controlsList="nodownload"></audio>
                                                        </td>
                                                        <td style="text-align: center;">
                                                            <a style="color: red" href="/adminpan/musics/delete/<?= $m['id'] ?>"><i style="padding-top: 4px; color:red;" class="fa fa-trash"></i></a>
                                                        </td>
                                                    </tr>
                                                <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>