<?php
admin::CheckRank($config['minRankManagePolls']);
?>

<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>

    <script type="text/javascript">
        function addPoll(e) {
            let btnAddPoll = $('#btnAddPoll');

            let titulo = $('#titulo');
            let descricao = $("#descricao");
            let data_encerramento = (new Date($("#data_encerramento").val())).getTime();
            let precisa_login = $("#precisa_login");
            let votos_por_usuario = $("#votos_por_usuario");
            let ativada = $("#ativada");
            let usuarios = $('input[name^="usuarios"]').map(function() {
                return $(this).val();
            }).get();

            btnAddPoll.prop('disabled', true);

            $.ajax({
                type: "POST",
                url: "api/add_poll.php",
                async: true,
                data: {
                    'titulo': titulo.val(),
                    'descricao': descricao.val(),
                    'data_encerramento': data_encerramento / 1000,
                    'precisa_login': precisa_login.val(),
                    'votos_por_usuario': votos_por_usuario.val(),
                    'ativada': ativada.val(),
                    'usuarios': usuarios
                },
                success: function(response) {
                    console.log("SUCESSO:", response);

                    if (response.success) {
                        titulo.val('');
                        descricao.val('');
                        $("#data_encerramento").val('')
                        precisa_login.val('1');
                        votos_por_usuario.val('ilimitado');
                        ativada.val('1');
                        //usuarios.text([]);

                        alert('Votação cadastrada com sucesso!');
                        document.location.reload(true);
                    } else {
                        $(".alert").css('display', 'block');
                        $("#alerta-sucesso-erro").text(response.message);
                    }
                },
                error: function(error) {
                    console.log("ERRO:", error);
                    $("#alerta-sucesso-erro").text("Ocorreu um erro. Por favor contate um Staff.");
                },
                complete: function() {
                    btnAddPoll.prop('disabled', false);
                }
            });

            return false;
        }

        function handlePrecisaLogin(value) {
            let selectVotos = document.getElementById('votos_por_usuario');
            let labelVotos = document.getElementById('labelVotos');

            if (value === '1') {
                selectVotos.disabled = false;
                labelVotos.style.textDecoration = 'none';
            } else {
                selectVotos.disabled = true;
                labelVotos.style.textDecoration = 'line-through';
                selectVotos.value = 'ilimitado';
            }
        }
    </script>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Criar nova votação</div>
                                    <div class="card-body">
                                        <form method="POST" onsubmit="return addPoll()">
                                            <div class="alert alert-block alert-danger" style="display: none"><strong id="alerta-sucesso-erro"></strong></div>

                                            <div class="form-group">
                                                <label for="titulo">Título da Votação</label>
                                                <input type="text" id="titulo" name="titulo" class="form-control" placeholder="Ex.: Big Brother Lella" minlength="1" maxlength="50" required>
                                            </div>
                                            <div class="form-group">
                                                <label>Descrição da Votação</label>
                                                <input type="text" id="descricao" name="descricao" class="form-control" placeholder="Ex.: Decida quem vai levar o prêmio pra casa!" minlength="1" maxlength="100" required>
                                            </div>
                                            <div class="form-group">
                                                <label>Data de encerramento</label>
                                                <input type="datetime-local" id="data_encerramento" name="data_encerramento" class="form-control" required>
                                            </div>
                                            <div class="form-group">
                                                <label>Precisa estar logado para votar</label>
                                                <select class="form-control" id="precisa_login" name="precisa_login" onchange="handlePrecisaLogin(this.value)">
                                                    <option value="1" selected>Sim</option>
                                                    <option value="0">Não</option>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label id="labelVotos">Votos por usuário</label>
                                                <select class="form-control" id="votos_por_usuario" name="votos_por_usuario">
                                                    <option value="ilimitado" selected>Sem limite</option>
                                                    <option value="1">1</option>
                                                    <option value="5">5</option>
                                                    <option value="10">10</option>
                                                    <option value="15">15</option>
                                                    <option value="20">20</option>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label>Ativar votação</label>
                                                <select class="form-control" id="ativada" name="ativada">
                                                    <option value="1" selected>Sim</option>
                                                    <option value="0">Não</option>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label>Usuários</label>
                                                <div class="usuarios">
                                                    <div>
                                                        <div class="col-sm-12 p-0">
                                                            <input type="text" name="usuarios[0]" maxlength="50" class="form-control" placeholder="Nome do usuário" required>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <div class="col-sm-2 col-sm-2 control-label"></div>
                                                <button style="margin-top: 5px;" type="button" class="btn btn-info" onclick="addPlayer()">Novo usuário</button>
                                            </div>
                                            <div>
                                                <button style="width: 130px;float: right;margin-right: 14px;" id="btnAddPoll" name="btnAddPoll" type="submit" class="btn btn-primary">Adicionar</button>
                                            </div>
                                        </form>
                                    </div>
                                    <script type="text/javascript">
                                        var arr = []

                                        function addPlayer() {
                                            var nextNumber = arr.length > 0 ? arr[arr.length - 1] + 1 : 1;
                                            arr.push(nextNumber);
                                            $('.usuarios').append(`
                                                <div id="usuario_${nextNumber}" class="form-group row mt-3">
                                                    <div class="col-md-12">
                                                        <div class="input-group">
                                                            <input type="text" name="usuarios[${nextNumber}]" maxlength="100" class="form-control" placeholder="Nome do usuário" required>
                                                            <span class="input-group-append">
                                                                <button type="button" style="width: 100%;height: 34px" class="btn btn-danger" onclick="removerPlayer(${nextNumber})"><i style="color:white;" class="fa fa-trash" title="Remover"></i></button>
                                                            </span>
                                                        </div>
                                                    </div>
                                                </div>
                                            `);
                                        }

                                        function removerPlayer(num) {
                                            arr.splice(arr.indexOf(num), 1);
                                            $('#usuario_' + num).remove();
                                        }
                                    </script>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Todas as votações</div>
                                    <div class="card-body">
                                        <?php if (isset($_GET['poll_id'])) { ?>
                                            <script type="text/javascript">
                                                var arr = window.location.href.split('/');
                                                window.history.pushState('painel', 'Painel de Controle', '/adminpan/' + arr[arr.length - 3]);
                                            </script>
                                        <?php } ?>
                                        <?php Admin::deletePoll() ?>
                                        <table class="table table-responsive-sm table-bordered table-striped table-sm">
                                            <thead>
                                                <tr>
                                                    <th>ID</th>
                                                    <th>Título</th>
                                                    <th>Descrição</th>
                                                    <th>Data de Encerramento</th>
                                                    <th>Precisa de login</th>
                                                    <th>Votos por usuário</th>
                                                    <th>Ativada</th>
                                                    <th colspan="2">Ações</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                $polls = $dbh->prepare('SELECT * FROM cms_polls');
                                                $polls->execute();
                                                while ($poll = $polls->fetch()) { ?>
                                                    <tr>
                                                        <td><?= $poll['id'] ?></td>
                                                        <td><?= htmlspecialchars($poll['titulo'], ENT_QUOTES, 'UTF-8') ?></td>
                                                        <td><?= htmlspecialchars($poll['descricao'], ENT_QUOTES, 'UTF-8') ?></td>
                                                        <td><?= date('d/m/Y - H:i', $poll['data_encerramento']) ?></td>
                                                        <td><?= $poll['precisa_login'] == '1' ? 'Sim' : 'Não' ?></td>
                                                        <td><?= $poll['votos_por_usuario'] == null ? 'Sem limite' : $poll['votos_por_usuario'] ?></td>
                                                        <td><?= $poll['ativada'] == '1' ? 'Sim' : 'Não' ?></td>
                                                        <td style="text-align: center;">
                                                            <a href="/adminpan/polls/<?= $poll["id"] ?>"><i style="padding-right: 5px; color:green;" class="fa fa-edit"></i></a>
                                                            <a style="color: red" href="/adminpan/polls/delete/<?= $poll['id'] ?>"><i style="padding-top: 4px; color:red;" class="fa fa-trash"></i></a>
                                                        </td>
                                                    </tr>
                                                <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>