<?php
admin::CheckRank(7);

?>

<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Adicionar Quarto Público</div>
                                    <div class="card-body">
                                        <form enctype="multipart/form-data" action="" method="POST">
                                            <?php
                                            /*if (isset($_POST['addpublicroom'])) {
                                                echo $_FILES['miniatura']
                                            }*/
                                            ?>
                                            <?php admin::addPublicRoom(); ?>
                                            <div class="form-group">
                                                <label class="control-label">ID do quarto</label>
                                                <input type="number" name="room_id" class="form-control" placeholder="Ex.: 10" required>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Nome do Quarto</label>
                                                <input type="text" name="caption" class="form-control" placeholder="Nome que aparecerá no Navegador de Quartos..." required>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Descrição do Quarto</label>
                                                <input type="text" name="desc" class="form-control" placeholder="Descrição que aparecerá no Navegador de Quartos..." required>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Categoria</label>
                                                <select class="form-control" name="category" required>
                                                    <?php
                                                    $categories = $dbh->prepare("SELECT id,public_name FROM navigator_categories WHERE category = 'official_view' AND category_type = 'public'");
                                                    $categories->execute();
                                                    while ($category = $categories->fetch()) { ?>
                                                        <option value="<?= $category['id'] ?>"><?= $category['public_name'] ?></option>
                                                    <?php } ?>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Ordem de Exibição</label>
                                                <input type="number" name="order_num" class="form-control" placeholder="Ex.: 1, será o primeiro no Navegador de Quartos" required>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Imagem miniatura (110x110)</label>
                                                <input type="file" name="miniatura" class="form-control" accept="image/png" required>
                                            </div>
                                            <br>
                                            <button style="width: 130px;float: right;" name="addpublicroom" type="submit" class="btn btn-primary">Adicionar</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Todos os Quartos Públicos</div>
                                    <div class="card-body">
                                        <?php admin::removePublicRoom(); ?>
                                        <?php
                                        $getCategories = $dbh->prepare("SELECT id,category_identifier,public_name FROM navigator_categories WHERE category = 'official_view' AND category_type = 'public'");
                                        $getCategories->execute();

                                        while ($cat = $getCategories->fetch()) {
                                            $getPublicRooms = $dbh->prepare("SELECT * FROM navigator_publics WHERE category = :cat ORDER BY category DESC, order_num ASC");
                                            $getPublicRooms->bindParam(':cat', $cat['category_identifier']);
                                            $getPublicRooms->execute();

                                            if ($getPublicRooms->rowCount() > 0) { ?>
                                                <div class="card border-secondary">
                                                    <div class="card-header">
                                                        <b><?= $cat['public_name'] ?></b>
                                                    </div>
                                                    <div class="card-body" style="padding: 0px;">
                                                        <table class="table table-responsive-sm table-bordered table-striped table-sm mb-0">
                                                            <thead>
                                                                <tr>
                                                                    <th>ID do Quarto</th>
                                                                    <th>Nome do Quarto (no Navegador de Quartos)</th>
                                                                    <th>Descrição do Quarto (no Navegador de Quartos)</th>
                                                                    <th>Imagem miniatura</th>
                                                                    <th>Ordem de Exibição</th>
                                                                    <th>Ações</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <?php while ($room = $getPublicRooms->fetch()) { ?>
                                                                    <tr>
                                                                        <td><?= $room["room_id"] ?></td>
                                                                        <td><?= $room["caption"] ?></td>
                                                                        <td><?= $room["description"] ?></td>
                                                                        <td><img src="<?= $config['c_imagesURL'] . $room["image_url"] ?>" width="110" height="110"></td>
                                                                        <td><?= $room["order_num"] ?>°</td>
                                                                        <td style="text-align: center;"><a href="/adminpan/public_rooms/delete/<?= $room["room_id"] ?>"><i style="padding-top: 4px; color:red;" class="fa fa-trash"></i></center></a></td>
                                                                    </tr>
                                                                <?php } ?>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            <?php } ?>
                                        <?php } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>