<?php
	admin::CheckRank(5);
?>
<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Compras de raros (Edição Limitada)</div>
                                    <div class="card-body">
                                        <table class="table table-responsive-sm table-bordered table-striped table-sm">
                                            <thead>
                                                <tr>
                                                    <th>ID</th>
                                                    <th>Usuário</th>
                                                    <th>Raro (nome no catálogo)</th>
                                                    <th>Quantidade</th>
                                                    <th>Data</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                $getLogs = $dbh->prepare("SELECT * FROM player_recent_purchases WHERE catalog_item IN 
                                                                        (SELECT id FROM catalog_items WHERE page_id = :rarosSemanais OR page_id = :rarosMensais)
                                                                        ORDER BY id DESC LIMIT 1000");
                                                $getLogs->bindParam(':rarosSemanais', $config['idPaginaRarosSemanais']);
                                                $getLogs->bindParam(':rarosMensais', $config['idPaginaRarosMensais']);
                                                $getLogs->execute();
                                                while ($log = $getLogs->fetch()) {
                                                    $user = $dbh->prepare("SELECT username,rank FROM players WHERE id = :userid");
                                                    $user->bindParam(':userid', $log['player_id']);
                                                    $user->execute();
                                                    $user = $user->fetch();
                                                    $raro = $dbh->prepare("SELECT * FROM catalog_items WHERE id = :id");
                                                    $raro->bindParam(':id', $log['catalog_item']);
                                                    $raro->execute();
                                                    $raro = $raro->fetch();
                                                    echo '';
                                                    echo '<tr>
                                                            <td>' . $log["id"] . '</td>
                                                            <td>' . $user["username"] . ($user["rank"] > 5 ? ' (<span style=\'color: green;font-weight: bold\'>Staff</span>)' : '') . '</td>
                                                            <td>' . $raro["catalog_name"] . ' <i>(ID: ' . $raro["id"] . ')</i></td>
                                                            <td>' . $log["amount"] . '</td>
                                                            <td>' . date('d/m/Y', strtotime($log['purchase_date'])) . ' às ' . date('H:i:s ', strtotime($log['purchase_date'])) . '</td>
                                                            ';
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>