<?php
	admin::CheckRank(7);
?>
<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Resposta do usuário <?= $_GET['user'] ?> na pesquisa <?= $_GET['id'] ?></div>
                                    <div class="card-body">
                                        <table class="table table-responsive-sm table-bordered table-striped table-sm">
                                            <?php
                                            $user = $dbh->prepare('SELECT id,username FROM players WHERE username = :username LIMIT 1');
                                            $user->bindParam(':username', $_GET['user']);
                                            $user->execute();

                                            $poll = $dbh->prepare('SELECT title FROM polls WHERE id = :id');
                                            $poll->bindParam(':id', $_GET['id']);
                                            $poll->execute();

                                            if ($user->RowCount() == 0 || $poll->RowCount() == 0) {
                                                header('Location: /adminpan/researches');
                                                exit;
                                            }

                                            $user = $user->fetch();
                                            $poll = $poll->fetch();

                                            $perguntas = $dbh->prepare('SELECT * FROM polls_questions WHERE poll_id = :poll_id');
                                            $perguntas->bindParam(':poll_id', $_GET['id']);
                                            $perguntas->execute(); ?>

                                            <thead>
                                                <tr>
                                                    <th>Pergunta</th>
                                                    <th>Opções de resposta</th>
                                                    <th>Resposta de <?= $user['username'] ?></th>
                                                </tr>
                                            </thead>

                                            <?php
                                            while ($pg = $perguntas->fetch()) {
                                                $resp = $dbh->prepare('SELECT * FROM polls_answers WHERE question_id = :question_id AND player_id = :player_id');
                                                $resp->bindParam(':question_id', $pg['id']);
                                                $resp->bindParam(':player_id', $user['id']);
                                                $resp->execute();

                                                if ($resp->RowCount() > 0) {
                                                    $resp = $resp->fetch();
                                            ?>
                                                    <tbody>
                                                        <tr>
                                                            <td><?= $pg['question'] ?></td>
                                                            <td><?= $pg['options'] != null ? $pg['options'] : '<i>Resposta aberta</i>' ?></td>
                                                            <td><?= $resp['answer'] ?></td>
                                                        </tr>
                                                    </tbody>
                                                <?php } else { ?>
                                                    <tbody>
                                                        <tr>
                                                            <td><?= $pg['question'] ?></td>
                                                            <td><?= $pg['options'] != null ? $pg['options'] : '<i>Resposta aberta</i>' ?></td>
                                                            <td><i>Ainda não respondeu</i></td>
                                                        </tr>
                                                    </tbody>
                                                <?php } ?>
                                            <?php } ?>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>