<?php
	admin::CheckRank(7);
?>
<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Perguntas da pesquisa <?= $_GET['id'] ?></div>
                                    <div class="card-body">
                                        <table class="table table-responsive-sm table-bordered table-striped table-sm">
                                            <?php
                                            $poll = $dbh->prepare('SELECT title FROM polls WHERE id = :id');
                                            $poll->bindParam(':id', $_GET['id']);
                                            $poll->execute();

                                            if ($poll->RowCount() == 0) {
                                                header('Location: /adminpan/researches');
                                                exit;
                                            }

                                            $poll = $poll->fetch();

                                            $perguntas = $dbh->prepare('SELECT * FROM polls_questions WHERE poll_id = :poll_id');
                                            $perguntas->bindParam(':poll_id', $_GET['id']);
                                            $perguntas->execute(); ?>

                                            <thead>
                                                <tr>
                                                    <td><b>Id</b></td>
                                                    <td><b>Pergunta</b></td>
                                                    <td><b>Opções de resposta</b></td>
                                                </tr>
                                            </thead>

                                            <?php
                                            while ($pg = $perguntas->fetch()) { ?>
                                                <tbody>
                                                    <tr>
                                                        <td><?= $pg['id'] ?></td>
                                                        <td><?= $pg['question'] ?></td>
                                                        <td><?= $pg['options'] != null ? $pg['options'] : '<i>Nenhuma</i>' ?></td>
                                                    </tr>
                                                </tbody>
                                            <?php } ?>
                                        </table>
                                        <form method="POST">
                                            <?php
                                            if (isset($_POST['searchanswers'])) {
                                                if (!empty($_POST['username'])) {
                                                    $user = $dbh->prepare('SELECT username FROM players WHERE username = :username');
                                                    $user->bindParam(':username', $_POST['username']);
                                                    $user->execute();

                                                    if ($user->RowCount() > 0) {
                                                        header('Location: ' . $_GET['id'] . '/' . $user->fetch()['username']);
                                                        exit;
                                                    } else {
                                                        Admin::error('Este usuário não existe.');
                                                    }
                                                }
                                            }
                                            ?>
                                            <div class="form-group row">
                                                <div class="col-sm-12" style="margin-bottom: 15px">Para ver as respostas de um usuário nas perguntas acima, digite o nome dele abaixo.</div>
                                                <div class="col-md-12">
                                                    <div class="input-group">
                                                        <input class="form-control" type="text" name="username" placeholder="Nome do usuário">
                                                        <input type="hidden" name="searchanswers" />
                                                        <span class="input-group-append">
                                                            <button class="btn btn-primary" type="submit">
                                                                <svg class="c-icon">
                                                                    <use xlink:href="/adminpan/vendors/@coreui/icons/svg/free.svg#cil-magnifying-glass"></use>
                                                                </svg> Ver respostas
                                                            </button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                      
                                      
                                      <form method="POST">
                                            <?php
                                            if (isset($_POST['searchpollq'])) {
                                                if (!empty($_POST['idquest'])) {
                                                    $question = $dbh->prepare('SELECT question_id FROM polls_answers WHERE question_id = :idquest AND poll_id = :idpoll');
                                                  $question->bindParam(':idpoll', $_GET['id']);  
                                                  $question->bindParam(':idquest', $_POST['idquest']);
                                                    $question->execute();

                                                    if ($question->RowCount() > 0) {
                                                        header('Location: ' . $_GET['id'] . '/' . $question->fetch()['idquest']);
                                                        exit;
                                                    } else {
                                                        Admin::error('Esta pergunta não existe.');
                                                    }
                                                }
                                            }
                                            ?>
                                            <div class="form-group row">
                                                <div class="col-sm-12" style="margin-bottom: 15px">Para ver as respostas de uma pergunta em geral, digite o id dela abaixo.</div>
                                                <div class="col-md-12">
                                                    <div class="input-group">
                                                        <input class="form-control" type="text" name="idquest" placeholder="Id da pergunta">
                                                        <input type="hidden" name="searchpollq" />
                                                        <span class="input-group-append">
                                                            <button class="btn btn-primary" type="submit">
                                                                <svg class="c-icon">
                                                                    <use xlink:href="/adminpan/vendors/@coreui/icons/svg/free.svg#cil-magnifying-glass"></use>
                                                                </svg> Ver respostas
                                                            </button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>