<?php
	admin::CheckRank(9);
?>
<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="card">
                                    <header class="card-header">
                                        Resetar Hall da Fama
                                    </header>
                                    <div class="card-body">
                                        <div class="alert alert-block alert-danger">
                                            <strong>
                                                Tenha em mente que ao resetar o Hall da Fama todos os pontos de eventos e/ou promoções de todos os usuários serão zerados. Esta ação não pode ser desfeita e, portanto, só deve ser efetuada no primeiro dia de cada mês.
                                            </strong>
                                        </div>
                                        <form method="POST">
                                            <?php admin::resetHall(); ?>
                                            <div class="input-group">
                                                <select name="tipo" class="form-control">
                                                    <option value="eventos" selected>Resetar Hall de Eventos</option>
                                                    <option value="promos">Resetar Hall de Promoções</option>
                                                    <option value="ambos">Resetar ambos</option>
                                                </select>
                                                <span class="input-group-append">
                                                    <button style="width: 100%" name="resethall" type="submit" class="btn btn-danger">Resetar Hall</button>
                                                </span>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="card">
                                    <header class="card-header">
                                        Top 10 de eventos
                                    </header>
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <?php
                                                $staffs = $dbh->prepare("SELECT username,figure,event_points FROM players WHERE rank <= " . $config['hallMaximumRank'] . " AND event_points > 0 ORDER BY event_points DESC LIMIT 10");
                                                $staffs->execute();
                                                while ($row = $staffs->fetch()) {
                                                ?>
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img style="margin-right: 10px" src="http://habbo.city/habbo-imaging/avatarimage?figure=<?= $row['figure'] ?>&action=wav&direction=2&head_direction=3&gesture=sml&size=m" width="40">
                                                            </td>
                                                            <td>
                                                                <div style="margin-top: 20px">
                                                                    <strong><?= $row['username'] ?></strong><br>
                                                                    Pontos: <strong><?= $row['event_points'] ?></strong><br>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="card">
                                    <header class="card-header">
                                        Top 10 de promoções
                                    </header>
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <?php
                                                $staffs = $dbh->prepare("SELECT username,figure,promo_points FROM players WHERE rank <= " . $config['hallMaximumRank'] . " AND promo_points > 0 ORDER BY promo_points DESC LIMIT 10");
                                                $staffs->execute();
                                                while ($row = $staffs->fetch()) {
                                                ?>
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img style="margin-right: 10px" src="http://habbo.city/habbo-imaging/avatarimage?figure=<?= $row['figure'] ?>&action=wav&direction=2&head_direction=3&gesture=sml&size=m" width="40">
                                                            </td>
                                                            <td>
                                                                <div style="margin-top: 20px">
                                                                    <strong><?= $row['username'] ?></strong><br>
                                                                    Pontos: <strong><?= $row['promo_points'] ?></strong><br>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>