<?php
admin::CheckRank(6);
?>
<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Chatlog dos comandos dos Staffs (últimos 500 executados)</div>
                                    <div class="card-body">
                                        <table class="table table-responsive-sm table-bordered table-striped table-sm">
                                            <thead>
                                                <tr>
                                                    <th>ID</th>
                                                    <th>Comando</th>
                                                    <th>Staff</th>
                                                    <th>Quarto</th>
                                                    <th>Data</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                $getChatlogs = $dbh->prepare("SELECT logs.id, players.username, rooms.name AS room_name, logs.room_id, logs.data, logs.timestamp FROM logs 
                                                                      INNER JOIN players ON
                                                                      players.id = logs.user_id
                                                                      INNER JOIN rooms ON
                                                                      rooms.id = logs.room_id
                                                                      WHERE logs.type = 'COMMAND' AND logs.user_id IN (SELECT id FROM players WHERE rank >= 5) 
                                                                      ORDER BY logs.id DESC LIMIT 500");
                                                $getChatlogs->execute();
                                                while ($log = $getChatlogs->fetch()) {
                                                    echo '';
                                                    echo '<tr>
                                                        <td>' . $log["id"] . '</td>
                                                        <td>' . filter($log["data"]) . '</td>
                                                        <td>' . $log["username"] . '</td>
                                                        <td>' . $log["room_name"] . ' <i>(ID: ' . $log["room_id"] . ')</i></td>
                                                        <td>' . date('d/m/Y', $log['timestamp']) . ' às ' . date('H:i:s ', $log['timestamp']) . '</td>
                                                        ';
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>