<?php
	admin::CheckRank(8);
?>
<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Editar usuário: <b><?php echo admin::EditUser("username"); ?></div>
                                    <div class="card-body">
                                        <?php
                                        $rankStaff = User::userData('rank');
                                        if ($rankStaff >= admin::EditUser("rank") || $rankStaff >= $config['ownerRank']) {
                                            admin::EditUser("username");
                                            admin::UpdateUser();
                                        ?>
                                            <form name="mygallery" action="" method="POST">
                                                <h2>Detalhes da Conta</h2>
                                                <hr>
                                                <div class="form-group">
                                                    <label class="control-label">ID</label>
                                                    <input type="text" value="<?php echo admin::EditUser("id"); ?>" name="id" class="form-control" readonly>
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label">Nome de Usuário</label>
                                                    <input type="text" value="<?php echo admin::EditUser("username"); ?>" name="username" class="form-control">
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label">E-mail</label>
                                                    <input type="text" value="<?php echo admin::EditUser("email"); ?>" name="mail" class="form-control">
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label">Missão</label>
                                                    <input type="text" value="<?php echo admin::EditUser("motto"); ?>" name="motto" class="form-control">
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label">Rank</label>
                                                    <select class="form-control" name="rank">
                                                        <?php
                                                        $ranks = $dbh->prepare("SELECT id,name FROM ranks");
                                                        $ranks->execute();
                                                        while ($rank = $ranks->fetch()) { ?>
                                                            <option <?= (admin::EditUser("rank") == $rank['id'] ? 'selected' : '') ?> value="<?= $rank['id'] ?>"><?= $rank['id'] ?> - <?= $rank['name'] ?></option>
                                                        <?php } ?>
                                                    </select>
                                                </div>
                                                <?php /*
                                                <div class="form-group">
                                                    <label class="control-label">Team Rank</label>
                                                    <div class="col-sm-10">
                                                        <input type="text"  value="<?php echo admin::EditUser("teamrank"); ?>" name="teamrank" class="form-control">
                                                    </div>
                                                </div>-->
                                                <div class="form-group">
                                                    <label class="control-label">Moedas</label>
                                                    <div class="col-sm-10">
                                                        <input type="text"  value="<?php echo admin::EditUser("credits"); ?>" name="credits" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label">Duckets</label>
                                                    <div class="col-sm-10">
                                                        <input type="text"  value="<?php echo admin::EditUser("activity_points"); ?>" name="activity_points" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label">Diamantes</label>
                                                    <div class="col-sm-10">
                                                        <input type="text"  value="<?php echo admin::EditUser("vip_points"); ?>" name="vip_points" class="form-control">
                                                    </div>
                                                </div>
                                                <br><br>
                                                */ ?>
                                                <div class="form-group">
                                                    <label class="control-label">Data de Registro</label>
                                                    <input type="text" value="<?php echo date('d/m/Y', admin::EditUser("reg_timestamp")) . ' às ' . date('H:i:s', admin::EditUser("reg_timestamp")); ?>" class="form-control" readonly>
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label">Último Acesso</label>
                                                    <input type="text" value="<?php echo date('d/m/Y', admin::EditUser("last_online")) . ' às ' . date('H:i:s', admin::EditUser("last_online")) ?>" class="form-control" readonly>
                                                </div>

                                                <?php if (in_array($_SESSION['id'], $config['view_account_ips'])) { ?>
                                                    <div class="form-group">
                                                        <label class="control-label">IP de registro</label>
                                                        <input type="text" value="<?php echo admin::EditUser("ip_reg"); ?>" class="form-control" readonly>
                                                    </div>
                                                    <div class="form-group">
                                                        <label class="control-label">IP último acesso</label>
                                                        <input type="text" value="<?php echo admin::EditUser("ip_last"); ?>" class="form-control" readonly>
                                                    </div>
                                                    <div class="form-group">
                                                        <label class="control-label">IP último acesso (na client)</label>
                                                        <input type="text" value="<?php echo admin::EditUser("last_ip") ?>" class="form-control" readonly>
                                                    </div>
                                                <?php } ?>

                                                <div class="form-group">
                                                    <label class="control-label">Vídeo Favorito (<small>youtube.com/watch?v=</small>)</label>
                                                    <input type="text" value="<?php echo admin::EditUser("cms_video"); ?>" name="video" class="form-control">
                                                </div>
                                                <?php if (admin::EditUser("rank") >= 4) { ?>
                                                    <div class="form-group">
                                                        <label class="control-label">Ocultar rank</label>
                                                        <select class="form-control" name="oculto">
                                                            <option <?= (admin::EditUser("oculto") == '0' ? 'selected' : '') ?> value="0">Não</option>
                                                            <option <?= (admin::EditUser("oculto") == '1' ? 'selected' : '') ?> value="1">Sim</option>
                                                        </select>
                                                    </div>
                                                <?php } else { ?>
                                                    <input type="hidden" name="oculto" value="0">
                                                <?php } ?>
                                                <br>
                                                <div style="margin-bottom: 30px;">
                                                    <button style="width: 140px;float: right;" name="update" type="submit" class="btn btn-primary">Salvar Alterações</button>
                                                </div>
                                            </form>

                                            <?php
                                            /*if (User::userData('rank') >= '8')
                                            {
                                                echo'<a href="user.php?user='. admin::EditUser("username") .'&delete='. admin::EditUser("id") .'">
                                                <button style="width: 160px;
                                                float: right;
                                                margin-right: 14px;" name="delete" type="submit" class="btn btn-danger">Gebruiker verwijderen</button>
                                                </a><form action="client.php" method="POST" target="_blank">
                                                <input type="hidden" name="sso" value='. admin::EditUser("username") .'>
                                                <button style="width: 140px;
                                                float: right;
                                                margin-right: 14px;" name="postsso" type="submit" class="btn btn-default">Hotel in met '.admin::EditUser("username").'</button>
                                                </form>';
                                            }
                                            echo'';*/
                                            ?>
                                        <?php } else {
                                            admin::error("Você não pode editar um usuário com rank maior que o seu!");
                                        } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>