<?php
admin::CheckRank(5);
?>
<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Chatlog dos comandos dos usuários (últimos 500 executados)</div>
                                    <div class="card-body">
                                        <table class="table table-responsive-sm table-bordered table-striped table-sm">
                                            <thead>
                                                <tr>
                                                    <th>ID</th>
                                                    <th>Comando</th>
                                                    <th>Staff</th>
                                                    <th>Quarto</th>
                                                    <th>Data</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                $getChatlogs = $dbh->prepare("SELECT * FROM logs WHERE type = 'COMMAND' AND user_id IN 
																(SELECT id FROM players WHERE rank < 5) 
																ORDER BY id DESC LIMIT 500");
                                                $getChatlogs->execute();
                                                while ($log = $getChatlogs->fetch()) {
                                                    $user = $dbh->prepare("SELECT username FROM players WHERE id = :userid");
                                                    $user->bindParam(':userid', $log['user_id']);
                                                    $user->execute();
                                                    $user = $user->fetch();
                                                    $quarto = $dbh->prepare("SELECT name FROM rooms WHERE id = :roomid");
                                                    $quarto->bindParam(':roomid', $log['room_id']);
                                                    $quarto->execute();
                                                    $quarto = $quarto->fetch();
                                                    echo '';
                                                    echo '<tr>
                                                        <td>' . $log["id"] . '</td>
                                                        <td>' . filter($log["data"]) . '</td>
                                                        <td>' . $user["username"] . '</td>
                                                        <td>' . $quarto["name"] . ' <i>(ID: ' . $log["room_id"] . ')</i></td>
                                                        <td>' . date('d/m/Y', $log['timestamp']) . ' às ' . date('H:i:s ', $log['timestamp']) . '</td>
                                                        ';
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>