<?php
admin::CheckRank(8);
?>

<!DOCTYPE html>

<html lang="en">

<head>
    <?php include_once("includes/head.php") ?>
</head>

<body class="c-app c-dark-theme c-no-layout-transition">
    <?php include_once("includes/navi.php") ?>

    <div class="c-wrapper">
        <?php include_once("includes/header.php") ?>

        <div class="c-body">
            <main class="c-main">
                <div class="container-fluid">
                    <div class="fade-in">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Criar código de recompensa</div>
                                    <div class="card-body">
                                        <form method="POST">
                                            <?php admin::addVoucher(); ?>
                                            <div class="form-group">
                                                <label class="control-label">Código</label>
                                                <input type="text" name="code" class="form-control" maxlength="30" placeholder="Ex.: voucher-00001">
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Tipo</label>
                                                <select class="form-control" name="type">
                                                    <option value="VIP_POINTS" selected>Diamantes</option>
                                                    <option value="COINS">Moedas</option>
                                                    <option value="DUCKETS">Duckets</option>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Quantidade</label>
                                                <input type="text" name="amount" class="form-control" placeholder="Ex.: 100">
                                            </div>
                                            <br>
                                            <button style="width: 130px;float: right;" name="addvoucher" type="submit" class="btn btn-primary">Adicionar</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header">Todos os códigos de recompensas</div>
                                    <div class="card-body">
                                        <?php admin::removeVoucher(); ?>
                                        <table class="table table-responsive-sm table-bordered table-striped table-sm">
                                            <thead>
                                                <tr>
                                                    <th>ID</th>
                                                    <th>Código</th>
                                                    <th>Tipo</th>
                                                    <th>Quantidade</th>
                                                    <th>Criado por</th>
                                                    <th>Data de Criação</th>
                                                    <th>Status</th>
                                                    <th>Obtido por</th>
                                                    <th>Data de Obtenção</th>
                                                    <th>Ações</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                $getVouchers = $dbh->prepare("SELECT * FROM vouchers ORDER BY id DESC");
                                                $getVouchers->execute();

                                                while ($vouchers = $getVouchers->fetch()) {
                                                    $staff = $dbh->prepare("SELECT username FROM players WHERE id = :staffid");
                                                    $staff->bindParam(':staffid', $vouchers['created_by']);
                                                    $staff->execute();
                                                    $staff = $staff->fetch()['username'];;

                                                    $user = '<i>Ninguém</i>';
                                                    if ($vouchers['claimed_by'] > 0) {
                                                        $user = $dbh->prepare("SELECT username FROM players WHERE id = :userid");
                                                        $user->bindParam(':userid', $vouchers['claimed_by']);
                                                        $user->execute();
                                                        $user = $user->fetch()['username'];
                                                    }

                                                    $type = $vouchers['type'];
                                                    if ($vouchers['type'] == 'VIP_POINTS') {
                                                        $type = 'Diamantes';
                                                    } else if ($vouchers['type'] == 'COINS') {
                                                        $type = 'Moedas';
                                                    } else if ($vouchers['type'] == 'DUCKETS') {
                                                        $type = 'Duckets';
                                                    }
                                                    $status = $vouchers['status'] == 'CLAIMED' ? 'Obtido' : 'Não obtido';
                                                    $claimedAt = $vouchers['claimed_at'] != 0 ? date('d/m/Y', $vouchers['claimed_at']) . ' às ' . date('H:i:s', $vouchers['claimed_at']) : '<i>Não obtido</i>';

                                                    echo '<tr>
                                                    <td>' . $vouchers["id"] . '</td>
                                                    <td>' . $vouchers["code"] . '</td>
                                                    <td>' . $type . '</td>
                                                    <td>' . $vouchers["data"] . '</td>
                                                    <td>' . $staff . '</td>
                                                    <td>' . date('d/m/Y', $vouchers['created_at']) . ' às ' . date('H:i:s', $vouchers['created_at']) . '</td>
                                                    <td>' . $status . '</td>
                                                    <td>' . $user . '</td>
                                                    <td>' . $claimedAt . '</td>
                                                    <td style="text-align: center"><a href="/adminpan/vouchers/delete/' . $vouchers["code"] . '"><i style="padding-top: 4px; color:red;" class="fa fa-trash"></i></center></a></td>
                                                    </tr>';
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
        </div>
        <?php include_once("includes/footer.php") ?>
    </div>
</body>

</html>