<?php
if (!defined('BRAIN_CMS')) {
    die('Sorry but you cannot access this file!');
}

/*
    Functions list Class Admin.
    ---------------
    error();
    gelukt();
    CheckRank();
    staffpin();
    staffCheck();
    UpdateUser();send
    UpdateUserOfTheWeek();
    UpdateNews();
    searchUser();
    searchUserOfTheWeek();
    EditUser();
    EditUserOfTheWeek();
    EditNews();
    LookSollie();
    DeleteNews();
    DeleteSollie();
    DeleteBans();
    PostNews();
    getRankNameById();
    getUsernameById();
    getFigureByUsername();
*/

class Admin
{
    public static function error($errorName, $color = "red")
    {
        echo "<div class=\"alert alert-block alert-danger \"><strong style='color: " . $color . ";'>" . $errorName . "</strong></div>";
    }

    public static function succeed($errorName, $color = "green")
    {
        echo "<div class=\"alert alert-block alert-success \"><strong style='color: " . $color . ";'>" . $errorName . "</strong></div>";
    }

    public static function waveError( $message ){
        echo "<center> <span id=\"erro-wave\" class=\"badge rounded-pill bg-erro\">Erro: $message</span></center>";
    }

    public static function CheckRank($rank)
    {
        if (User::userData('rank') < $rank){
            header('Location: /index');
            exit();
        }
    }

    public static function getFigureByUsername($username, $headonly = true)
    {
        global $dbh;
        $searchFigure = $dbh->prepare("SELECT * FROM users WHERE username = :username");
        $searchFigure->bindValue(":username", $username);
        $searchFigure->execute();
        $figure = $searchFigure->fetch(PDO::FETCH_ASSOC)['look'];
        echo $headonly ? "https://habbo.city/habbo-imaging/avatarimage?size=m&gesture=sml&figure=$figure&headonly=1" : "https://habbo.city/habbo-imaging/avatarimage?size=m&gesture=sml&figure=$figure&headonly=0";
    }


    public static function limitStr ($string, $replace ){
        $length = 17;
        $str =    "";
        if (strlen($string) > $length){
            $str = substr($string, 0, $string - $length) . $replace;
        }
        return $str;
    }

    public static function tokenHK()
    {
        $ipuser = $_SESSION['login_ip'];

        if ($ipuser && loggedIn() !== userIp()) {
            setcookie('PHPSESSID', '', time() - 3600);

            header('Location: wavehk/index');

            return true;
        }
    }

    public static function UpdateUser()
    {
        global $dbh, $config;
        if (isset($_POST['update'])) {
            if ($config['hotelEmu'] == 'comet') {
                $userExistente = $dbh->prepare('SELECT username,rank FROM players WHERE id = :id');
                $userExistente->bindParam(':id', $_POST['id']);
                $userExistente->execute();
                $userExistente = $userExistente->rowCount() > 0 ? $userExistente->fetch() : null;

                if (User::userData('rank') < $config['ownerRank'] && $userExistente != null && $_POST['rank'] != $userExistente['rank']) {
                    if ($_POST['username'] != User::userData('username') && $_POST['rank'] >= User::userData('rank')) {
                        self::error('Você não pode dar a este usuário um rank igual ou maior que o seu!');
                        return;
                    } else if ($_POST['username'] == User::userData('username') && $_POST['rank'] > User::userData('rank')) {
                        self::error('Você não pode aumentar o seu próprio rank!');
                        return;
                    }
                }

                if ($userExistente != null && strtolower($userExistente['username']) != strtolower($_POST['username']) && User::usertaken($_POST['username'])) {
                    self::error('Este nome de usuário já está em uso.');
                    return;
                }

                $ranks = $dbh->prepare("SELECT id,name FROM ranks");
                $ranks->execute();
                while ($rank = $ranks->fetch()) {
                    if ($_POST['rank'] == $rank['id']) {
                        $upateUser = $dbh->prepare("UPDATE players SET 
                            username=:name,
                            motto=:motto,
                            email=:mail,
                            rank=:rank,
                            cms_video=:video,
                            oculto=:oculto
                            WHERE id = :id");
                        $upateUser->bindParam(':id', $_POST['id']);
                        $upateUser->bindParam(':name', $_POST['username']);
                        $upateUser->bindParam(':motto', $_POST['motto']);
                        $upateUser->bindParam(':mail', $_POST['mail']);
                        $upateUser->bindParam(':rank', $_POST['rank']);
                        $upateUser->bindParam(':video', $_POST['video']);
                        $upateUser->bindParam(':oculto', $_POST['oculto']);
                        $upateUser->execute();

                        $updateRoom = $dbh->prepare('UPDATE rooms SET owner=:owner WHERE owner_id=:owner_id');
                        $updateRoom->bindParam(':owner', $_POST['username']);
                        $updateRoom->bindParam(':owner_id', $_POST['id']);
                        $updateRoom->execute();

                        /*$getUserCurrency = $dbh->prepare("SELECT * FROM players WHERE username=:username LIMIT 1");
                        $getUserCurrency->bindParam(':username', $_POST['username']);
                        $getUserCurrency->execute();
                        $getUserCurrencyData = $getUserCurrency->fetch();

                        $updateUserCurrencyDuckets = $dbh->prepare("UPDATE players SET
                        activity_points=:activity_points
                        WHERE id = :user_id");
                        $updateUserCurrencyDuckets->bindParam(':user_id', $getUserCurrencyData['id']);
                        $updateUserCurrencyDuckets->bindParam(':activity_points', $_POST['activity_points']);
                        $updateUserCurrencyDuckets->execute();

                        $updateUserCurrencyDiamonds = $dbh->prepare("UPDATE players SET
                        vip_points=:vip_points
                        WHERE id = :user_id");
                        $updateUserCurrencyDiamonds->bindParam(':user_id', $getUserCurrencyData['id']);
                        $updateUserCurrencyDiamonds->bindParam(':vip_points', $_POST['vip_points']);
                        $updateUserCurrencyDiamonds->execute();*/

                        if ($upateUser->RowCount() > 0) {
                            echo "<script>
                                            alert('Usuário salvo com sucesso!');
                                            window.location.href='/adminpan/user/" . $_POST['username'] . "'
                                      </script>";
                            //header('Location: ' . $_POST['username'] . '?success');
                            exit;
                        }

                        break;
                    }
                }
            } else if ($config['hotelEmu'] == 'arcturus') {
                $upateUser = $dbh->prepare("UPDATE users SET 
                    motto=:motto,
                    username=:name,
                    mail=:mail,
                    credits=:credits,
                    teamrank=:teamrank,
                    rank=:rank
                    WHERE username = :name");
                $upateUser->bindParam(':motto', $_POST['motto']);
                $upateUser->bindParam(':name', $_POST['username']);
                $upateUser->bindParam(':mail', $_POST['mail']);
                $upateUser->bindParam(':credits', $_POST['credits']);
                $upateUser->bindParam(':teamrank', $_POST['teamrank']);
                $upateUser->bindParam(':rank', $_POST['rank']);
                $upateUser->execute();
                $getUserCurrency = $dbh->prepare("SELECT * FROM players WHERE username=:username LIMIT 1");
                $getUserCurrency->bindParam(':username', $_POST['username']);
                $getUserCurrency->execute();
                $getUserCurrencyData = $getUserCurrency->fetch();
                $updateUserCurrencyDuckets = $dbh->prepare("UPDATE users_currency SET 
                    amount=:activity_points
                    WHERE user_id = :user_id and type = 0");
                $updateUserCurrencyDuckets->bindParam(':user_id', $getUserCurrencyData['id']);
                $updateUserCurrencyDuckets->bindParam(':activity_points', $_POST['activity_points']);
                $updateUserCurrencyDuckets->execute();
                $updateUserCurrencyDiamonds = $dbh->prepare("UPDATE users_currency SET 
                    amount=:vip_points
                    WHERE user_id = :user_id and type = 5");
                $updateUserCurrencyDiamonds->bindParam(':user_id', $getUserCurrencyData['id']);
                $updateUserCurrencyDiamonds->bindParam(':vip_points', $_POST['vip_points']);
                $updateUserCurrencyDiamonds->execute();
                self::succeed("The user is saved!");
            } else {
                $upateUser = $dbh->prepare("UPDATE users SET 
                    motto=:motto,
                    username=:name,
                    mail=:mail,
                    credits=:credits,
                    vip_points=:vip_points,
                    activity_points=:activity_points,
                    teamrank=:teamrank,
                    rank=:rank
                    WHERE username = :name");
                $upateUser->bindParam(':motto', $_POST['motto']);
                $upateUser->bindParam(':name', $_POST['username']);
                $upateUser->bindParam(':mail', $_POST['mail']);
                $upateUser->bindParam(':credits', $_POST['credits']);
                $upateUser->bindParam(':vip_points', $_POST['vip_points']);
                $upateUser->bindParam(':activity_points', $_POST['activity_points']);
                $upateUser->bindParam(':teamrank', $_POST['teamrank']);
                $upateUser->bindParam(':rank', $_POST['rank']);
                $upateUser->execute();
                self::succeed("The user is saved!");
            }
        }
    }

    public static function Random($type, $length = null)
    {
        switch ($type) {
            case "sso":
                $data = 'CrazzY-' . self::Random("random", 16) . '-' . self::Random("random", 8) . '-' . self::Random("random", 18);
                return $data;
                break;
            case "random":
                $data = null;
                $possible  = 'abcdefghijklmnopqrstuvwxyz';
                $possible .= 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
                $possible .= '1234567890';

                for ($i = 0; $i < $length; $i++) {
                    $data .= substr($possible, rand() % (strlen($possible)), 1);
                }

                return $data;
                break;
            case "random_number":
                $data = "";
                $possible = "1234567890";
                $i  = 0;

                while ($i < $length) {
                    $char = substr($possible, mt_rand(0, strlen($possible) - 1), 1);
                    $data = $char;
                    $i++;
                }

                return $data;
                break;
        }
    }

    public static function UpdateUserOfTheWeek()
    {
        global $dbh;
        if (isset($_POST['update'])) {
            $getUserData = $dbh->prepare("SELECT id,username FROM players WHERE username = :name");
            $getUserData->bindParam(':name', $_POST['username']);
            $getUserData->execute();
            $upateUser2 = $getUserData->fetch();
            if ($upateUser = $dbh->prepare("UPDATE uotw SET userid=:userdata,text=:txt")) {
                $upateUser->bindParam(':userdata', $upateUser2['id']);
                $upateUser->bindParam(':txt', $_POST['uftwtext']);
                $upateUser->execute();
                self::succeed("The user now has UOTW");
            } else {
                self::error("Did not work!");
            }
        }
    }

    public static function getFormsAnswerById($variable, $idStaff, $rankStaff)
    {
        global $dbh;

        date_default_timezone_set('America/Sao_Paulo');
        if (isset($_GET['news'])) {
            $verifyUrNew = $dbh->prepare("SELECT * FROM cms_forms WHERE article_id = ? ORDER BY id DESC");
            $verifyUrNew->bindValue(1, $_GET['news']);
            $verifyUrNew->execute();


            if ($verifyUrNew->rowCount() >= 1) {
                while ($fetchUrNew = $verifyUrNew->fetch()) {
                    $getOwnerArticle = $dbh->prepare("SELECT * FROM cms_news WHERE author = ?");
                    $getOwnerArticle->bindValue(1, $fetchUrNew['author']);
                    $getOwnerArticle->execute();
                    $fetchOwnerArticle = $getOwnerArticle->fetch();

                    if ($fetchUrNew['author_id'] != $idStaff) {
                        if ($rankStaff < 8) {
                            header('Location: /adminpan/dash');
                        }
                    }

                    echo '<tr>
                            <td>' . $fetchUrNew["usernames"] . '</td>
                            <td>' . $fetchUrNew["link"] . '</td>
                            <td>' . date('d/m/Y', $fetchUrNew['timestamp']) . ' às ' . date('H:i:s ', $fetchUrNew['timestamp']) . '</td>
                        </tr>';
                }
            } else {
                self::error("Essa noticia não possuí respostas.");
            }
        }
    }

    public static function UpdateNews()
    {
        global $dbh;
        if (isset($_POST['update'])) {
            $classificacao = $_POST['classificacao'] == 'nenhuma' ? null : $_POST['classificacao'];

            $editNews = $dbh->prepare("UPDATE cms_news SET 
                id=:id,
                title=:title,
                shortstory=:shortstory,
                longstory=:longstory,
                image=:topstory,
                rascunho=:rascunho,
                form=:formulario,
                limite_de_comentarios=:limite_de_comentarios,
                classificacao=:classificacao 
                WHERE id = :id");
            $editNews->bindParam(':title', $_POST['title']);
            $editNews->bindParam(':shortstory', $_POST['shortstory']);
            $editNews->bindParam(':topstory', $_POST['topstory']);
            $editNews->bindParam(':longstory', $_POST['longstory']);
            $editNews->bindParam(':id', $_POST['id']);
            $editNews->bindParam(':rascunho', $_POST['rascunho']);
            $editNews->bindParam(':formulario', $_POST['formulario']);
            $editNews->bindParam(':limite_de_comentarios', $_POST['limite_de_comentarios']);
            $editNews->bindParam(':classificacao', $classificacao);
            $editNews->execute();
            self::succeed("Notícia editada com sucesso!");
        }
    }

    public static function searchUser()
    {
        global $dbh, $config;
        if (isset($_POST['zoek'])) {
            $searchUser = $dbh->prepare("SELECT id,rank FROM players WHERE username = :user");
            $searchUser->bindParam(':user', $_POST['user']);
            $searchUser->execute();
            if ($searchUser->RowCount() == 1) {
                $user = $searchUser->fetch();
                $rankStaff = User::userData('rank');
                if ($rankStaff < $user['rank'] && $rankStaff < $config['ownerRank']) {
                    self::error("Você não pode editar um usuário com rank maior que o seu!");
                } else {
                    self::succeed('Usuário ' . $_POST['user'] . ' encontrado! Clique <a href ="/adminpan/user/' . $_POST['user'] . '">aqui</a> para acessar a conta.');
                }
            } else {
                self::error("Usuário " . $_POST['user'] . " não encontrado!");
            }
        }
    }

    public static function getRoomInfo($room_id, $key)
    {
        global $dbh;

        $searchRoom = $dbh->prepare("SELECT * FROM rooms WHERE id = :room_id");
        $searchRoom->bindValue(":room_id", htmlspecialchars($room_id));
        $searchRoom->execute();
        if ($searchRoom->rowCount() == 1) {
            return $searchRoom->fetch(PDO::FETCH_ASSOC)[$key];
        }
    }

    public static function getItemInfobyId($id, $key)
    {
        global $dbh;
        $searchItem = $dbh->prepare("SELECT * FROM catalog_items WHERE item_ids = :item_id");
        $searchItem->bindValue(":item_id", $id);
        $searchItem->execute();
        if ($searchItem->rowCount() >= 1) return $searchItem->fetch(PDO::FETCH_ASSOC)[$key];
    }

    public static function getCategoryInfoById($category_id, $key)
    {
        global $dbh;

        $searchCategory = $dbh->prepare("SELECT * FROM navigator_categories WHERE id = :category_id");
        $searchCategory->bindValue(":category_id", $category_id);
        $searchCategory->execute();

        if ($searchCategory->rowCount() == 1) return $searchCategory->fetch(PDO::FETCH_ASSOC)[$key];
    }



    public static function Filter($type, $string)
    {
        if ($type == 'XSS' || $type == 'xss') {
            $value = htmlspecialchars($string);
        } else if ($type == "username") {
            $value = htmlspecialchars($string);
        } else if ($type == 'emoji') {
            $value = htmlspecialchars_decode($string);
            $value = trim($value);

            $search = [
                ":D", ":d", ":laughing:", ":rindo:",
                "<3", ":heart:", ":coracao:", "|",
                ":O", ":o", ":gaping:", ":supreso:", ":boquiaberto:",
                ";P", ":stuck_out_tongue_winking_eye:", ":piscando_com_a_lingua_pra_fora:",
                ";(", ":crying:", ":chorando:",
                ":(", ":sad:", ":triste:",
                "B)", "b)", ":sunglasses:", ":cool:", ":descolado:",
                ":|", ":neutral_face:", ":entendiado:",
                ":)", ":happy_face:", ":sorrindo:"
            ];

            $replace = [
                '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/laughing.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/laughing.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/laughing.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/laughing.png">',
                '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/heart.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/heart.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/heart.png">',
                '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/gaping.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/gaping.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/gaping.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/gaping.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/gaping.png">',
                '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/blinking.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/blinking.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/blinking.png">',
                '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/crying.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/crying.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/crying.png">',
                '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/sad.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/sad.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/sad.png">',
                '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/sunglasses.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/sunglasses.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/sunglasses.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/sunglasses.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/sunglasses.png">',
                '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/bored.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/bored.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/bored.png">',
                '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/smiling.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/smiling.png">', '<img class="emoji" src="https://habbling.com.br/templates/clean/img/emoticons/smiling.png">',
            ];

            $value = str_replace($search, $replace, $value);
        } else if ($type == 'article') {
            $value = htmlspecialchars_decode($string);

            $search = [
                "<script", "/script>",
                "<?php", "?>", "<?=",
                "<svg", "/svg>",
                "<link", "<?xml"
            ];

            $replace = [
                "", "",
                "", "", "",
                "", "",
                "", "",
            ];

            $value = str_replace($search, $replace, $value);
        }

        return $value;
    }

    public static function getRankNameById($rankId)
    {
        global $dbh;
        $nameRank = $dbh->prepare("SELECT * FROM permissions WHERE id = :id");
        $nameRank->bindValue(":id", $rankId);
        $nameRank->execute();
        $rank = $nameRank->fetch(PDO::FETCH_ASSOC);
        $rankName = $rank['rank_name'];
        if($rankName == "Moderator")
            $rankName = "Moderador";
        else if ($rankName == "Member")
            $rankName = "Membro";
        return $rankName;
    }

    public static function getUsernameById($id)
    {
        global $dbh;
        $username = $dbh->prepare("SELECT * FROM users WHERE id = :id");
        $username->bindValue(":id", $id);
        $username->execute();
        $user = $username->fetch(PDO::FETCH_ASSOC);
        $name = $user['username'];
        return $name;
    }


    public static function sendVip()
    {
        global $dbh;
        if (isset($_POST['btnSubmit'])) {
            $searchUser = $dbh->prepare("SELECT id,vip_expire,vip_points,vip,achievement_points,`online`, activity_points FROM players WHERE username = :user");
            $searchUser->bindParam(':user', $_POST['user']);
            $searchUser->execute();
            if ($searchUser->RowCount() == 1) {
                $fetch = $searchUser->fetch();
                $is_vip = $fetch['vip'];
                $expire = $fetch['vip_expire'];
                $vip_points = $fetch['vip_points'];
                $achievement_points = $fetch['achievement_points'];
                $duckets = $fetch['activity_points'];
                $idUser = $fetch['id'];
                $isOnline = $fetch['online'];
                $plan = $_POST['plan'];


                $configsVips = $dbh->prepare("SELECT * FROM cms_clubvipnew");
                $configsVips->execute();
                $configsVips = $configsVips->rowCount() == 1 ? $configsVips->fetch() : null;

                //15 DIAS PREMIOS
                $diamonds15Days = $configsVips != null ? $configsVips['fiveteen_diamonds_amount'] : 500;
                $duckets15Days = $configsVips != null ? $configsVips['fiveteen_duckets_amount'] : 30;
                $achievements15Days = $configsVips != null ? $configsVips['fiveteen_achievements_amount'] : 500;

                //1 MES PREMIOS
                $diamondsOneMonth = $configsVips != null ? $configsVips['one_month_diamonds_amount'] : 1000;
                $ducketsOneMonth = $configsVips != null ? $configsVips['one_month_duckets_amount'] : 60;
                $achievementOneMonth = $configsVips != null ? $configsVips['one_month_achievements_amount'] : 1000;

                //2 MESES
                $diamondsTwoMonth = $configsVips != null ? $configsVips['two_month_diamonds_amount'] : 2000;
                $ducketsTwoMonth = $configsVips != null ? $configsVips['two_month_duckets_amount'] : 120;
                $achievementsTwoMonth = $configsVips != null ? $configsVips['two_month_achievements_amount'] : 2000;

                //3 MESES
                $diamondsThreeMonth = $configsVips != null ? $configsVips['three_month_diamonds_amount'] : 5000;
                $ducketsThreeMonth = $configsVips != null ? $configsVips['three_month_duckets_amount'] : 200;
                $achievementsThreeMonth = $configsVips != null ? $configsVips['three_month_achievements_amount'] : 5000;

                //Verificar se já possui o emblema
                $verifyHasExistBadgeVip = $dbh->prepare("SELECT id FROM player_badges WHERE badge_code = ? AND player_id = ?");
                $verifyHasExistBadgeVip->bindValue(1, 'VIP2021'); // NOME EMBLEMA)
                $verifyHasExistBadgeVip->bindValue(2, $idUser);
                $verifyHasExistBadgeVip->execute();

                $allResults = $verifyHasExistBadgeVip->rowCount();


                //$date = date('Y-m-d', strtotime($expire));
                if ($plan == 15) {
                    if ($isOnline <= 0) {
                        if ($expire != null) {
                            $date = date('Y-m-d', strtotime($expire));
                            $time = date('Y-m-d H:i:s', strtotime("$date +2 week +1 day"));
                        } else {
                            $time = date('Y-m-d H:i:s', strtotime("+2 week +1 day"));
                        }

                        $id = $fetch['id'];

                        $vip_points += $diamonds15Days;
                        $duckets += $duckets15Days;
                        $achievement_points += $achievements15Days;

                        //ENVIAR DADOS
                        $sendPlan15 = $dbh->prepare("UPDATE players SET achievement_points = ?, rank = ?, vip = ?, vip_expire = ?, vip_points = ?, activity_points = ? WHERE username = ?");
                        $sendPlan15->bindValue(1, $achievement_points);
                        $sendPlan15->bindValue(2, '2');
                        $sendPlan15->bindValue(3, '1');
                        $sendPlan15->bindValue(4, $time);
                        $sendPlan15->bindValue(5, $vip_points);
                        $sendPlan15->bindValue(6, $duckets);
                        $sendPlan15->bindValue(7, $_POST['user']);
                        $sendPlan15->execute();

                        //ENVIANDO EMBLEMA
                        if ($allResults <= 0) {
                            $sendPlan15Badge = $dbh->prepare("INSERT INTO player_badges (badge_code, player_id) VALUES (?,?)");
                            $sendPlan15Badge->bindValue(1, "VIP2021"); //NOME EMBLEMA
                            $sendPlan15Badge->bindValue(2, $id);
                            $sendPlan15Badge->execute();
                        }

                        $verifyHasExistBadgeRarePink = $dbh->prepare("SELECT id FROM player_badges WHERE badge_code = ? AND player_id = ?");
                        $verifyHasExistBadgeRarePink->bindValue(1, 'VIPROS'); // NOME EMBLEMA)
                        $verifyHasExistBadgeRarePink->bindValue(2, $id);
                        $verifyHasExistBadgeRarePink->execute();
                        $resultPink = $verifyHasExistBadgeRarePink->rowCount();

                        if ($resultPink <= 0) {
                            $sendPlan15Badge2 = $dbh->prepare("INSERT INTO player_badges (badge_code, player_id) VALUES (?,?)");
                            $sendPlan15Badge2->bindValue(1, "VIPROS"); //NOME EMBLEMA
                            $sendPlan15Badge2->bindValue(2, $id);
                            $sendPlan15Badge2->execute();
                        }

                        //ENVIANDO RARO
                        $sendPlan15Rare = $dbh->prepare("INSERT INTO items (user_id, room_id, base_item, extra_data, wall_pos) VALUES (?,?,?,?,?)");
                        $sendPlan15Rare->bindValue(1, $id);
                        $sendPlan15Rare->bindValue(2, '0'); // 0 envia pro inventário
                        $sendPlan15Rare->bindValue(3, '1356474394'); // id do mobi no catalogo
                        $sendPlan15Rare->bindValue(4, '0');
                        $sendPlan15Rare->bindValue(5, ' ');
                        $sendPlan15Rare->execute();
                    } else {
                        self::error("Usuário " . $_POST['user'] . " tem que está offline!");
                        return;
                    }
                } else if ($plan == 1) {
                    if ($isOnline <= 0) {
                        if ($expire != null) {
                            $date = date('Y-m-d', strtotime($expire));
                            $time = date('Y-m-d H:i:s', strtotime("$date +1 month"));
                        } else {
                            $time = date('Y-m-d H:i:s', strtotime("+1 month"));
                        }

                        $id = $fetch['id'];

                        $vip_points += $diamondsOneMonth;
                        $duckets += $ducketsOneMonth;
                        $achievement_points += $achievementOneMonth;

                        //ENVIAR DADOS
                        $sendPlan1Month = $dbh->prepare("UPDATE players SET achievement_points = ?, rank = ?, vip = ?, vip_expire = ?, vip_points = ?, activity_points = ? WHERE username = ?");
                        $sendPlan1Month->bindValue(1, $achievement_points);
                        $sendPlan1Month->bindValue(2, '2');
                        $sendPlan1Month->bindValue(3, '1');
                        $sendPlan1Month->bindValue(4, $time);
                        $sendPlan1Month->bindValue(5, $vip_points);
                        $sendPlan1Month->bindValue(6, $duckets);
                        $sendPlan1Month->bindValue(7, $_POST['user']);
                        $sendPlan1Month->execute();

                        //ENVIANDO EMBLEMA
                        if ($allResults <= 0) {
                            $sendPlan1MonthBadge = $dbh->prepare("INSERT INTO player_badges (badge_code, player_id) VALUES (?,?)");
                            $sendPlan1MonthBadge->bindValue(1, "VIP2021"); //NOME EMBLEMA
                            $sendPlan1MonthBadge->bindValue(2, $id);
                            $sendPlan1MonthBadge->execute();
                        }


                        $verifyHasExistBadgeRareYellow = $dbh->prepare("SELECT id FROM player_badges WHERE badge_code = ? AND player_id = ?");
                        $verifyHasExistBadgeRareYellow->bindValue(1, 'VIPAMA'); // NOME EMBLEMA
                        $verifyHasExistBadgeRareYellow->bindValue(2, $idUser);
                        $verifyHasExistBadgeRareYellow->execute();
                        $reusltYellow = $verifyHasExistBadgeRareYellow->rowCount();

                        if ($reusltYellow <= 0) {
                            $sendPlan1MonthBadge2 = $dbh->prepare("INSERT INTO player_badges (badge_code, player_id) VALUES (?,?)");
                            $sendPlan1MonthBadge2->bindValue(1, "VIPAMA"); //NOME EMBLEMA
                            $sendPlan1MonthBadge2->bindValue(2, $id);
                            $sendPlan1MonthBadge2->execute();
                        }

                        //ENVIANDO RARO
                        $sendPlan1MonthRare = $dbh->prepare("INSERT INTO items (user_id, room_id, base_item, extra_data, wall_pos) VALUES (?,?,?,?,?)");
                        $sendPlan1MonthRare->bindValue(1, $id);
                        $sendPlan1MonthRare->bindValue(2, '0'); // 0 envia pro inventário
                        $sendPlan1MonthRare->bindValue(3, '1356474392'); // id do mobi no catalogo
                        $sendPlan1MonthRare->bindValue(4, '0');
                        $sendPlan1MonthRare->bindValue(5, ' ');
                        $sendPlan1MonthRare->execute();
                    } else {
                        self::error("Usuário " . $_POST['user'] . " tem que está offline!");
                        return;
                    }
                } else if ($plan == 2) {
                    if ($isOnline <= 0) {
                        if ($expire != null) {
                            $date = date('Y-m-d', strtotime($expire));
                            $time = date('Y-m-d H:i:s', strtotime("$date +2 month"));
                        } else {
                            $time = date('Y-m-d H:i:s', strtotime("+2 month"));
                        }

                        $id = $fetch['id'];

                        $vip_points += $diamondsTwoMonth;
                        $duckets += $ducketsTwoMonth;
                        $achievement_points += $achievementsTwoMonth;

                        //ENVIAR DADOS
                        $sendPlan2Month = $dbh->prepare("UPDATE players SET achievement_points = ?, rank = ?, vip = ?, vip_expire = ?, vip_points = ?, activity_points = ? WHERE username = ?");
                        $sendPlan2Month->bindValue(1, $achievement_points);
                        $sendPlan2Month->bindValue(2, '2');
                        $sendPlan2Month->bindValue(3, '1');
                        $sendPlan2Month->bindValue(4, $time);
                        $sendPlan2Month->bindValue(5, $vip_points);
                        $sendPlan2Month->bindValue(6, $duckets);
                        $sendPlan2Month->bindValue(7, $_POST['user']);

                        $sendPlan2Month->execute();

                        //ENVIANDO EMBLEMA
                        if ($allResults <= 0) {
                            $sendPlanTwoBadge = $dbh->prepare("INSERT INTO player_badges (badge_code, player_id) VALUES (?,?)");
                            $sendPlanTwoBadge->bindValue(1, "VIP2021"); //NOME EMBLEMA
                            $sendPlanTwoBadge->bindValue(2, $id);
                            $sendPlanTwoBadge->execute();
                        }


                        $verifyHasExistBadgeRareBlue = $dbh->prepare("SELECT id FROM player_badges WHERE badge_code = ? AND player_id = ?");
                        $verifyHasExistBadgeRareBlue->bindValue(1, 'VIPAZU'); // NOME EMBLEMA)
                        $verifyHasExistBadgeRareBlue->bindValue(2, $id);
                        $verifyHasExistBadgeRareBlue->execute();
                        $resultBlue = $verifyHasExistBadgeRareBlue->rowCount();

                        if ($resultBlue <= 0) {
                            $sendPlanTwoBadge2 = $dbh->prepare("INSERT INTO player_badges (badge_code, player_id) VALUES (?,?)");
                            $sendPlanTwoBadge2->bindValue(1, "VIPAZU"); //NOME EMBLEMA
                            $sendPlanTwoBadge2->bindValue(2, $id);
                            $sendPlanTwoBadge2->execute();
                        }

                        //ENVIANDO RARO
                        $sendPlanTwoRare = $dbh->prepare("INSERT INTO items (user_id, room_id, base_item, extra_data, wall_pos) VALUES (?,?,?,?,?)");
                        $sendPlanTwoRare->bindValue(1, $id);
                        $sendPlanTwoRare->bindValue(2, '0'); // 0 envia pro inventário
                        $sendPlanTwoRare->bindValue(3, '1356474389'); // id do mobi no catalogo
                        $sendPlanTwoRare->bindValue(4, '0');
                        $sendPlanTwoRare->bindValue(5, ' ');
                        $sendPlanTwoRare->execute();
                    } else {
                        self::error("Usuário " . $_POST['user'] . " tem que está offline!");
                        return;
                    }
                } else if ($plan == 3) {
                    if ($isOnline <= 0) {
                        if ($expire != null) {
                            $date = date('Y-m-d', strtotime($expire));
                            $time = date('Y-m-d H:i:s', strtotime("$date +3 month"));
                        } else {
                            $time = date('Y-m-d H:i:s', strtotime("+3 month"));
                        }

                        $id = $fetch['id'];

                        $vip_points += $diamondsThreeMonth;
                        $duckets += $ducketsThreeMonth;
                        $achievement_points += $achievementsThreeMonth;

                        //ENVIAR DADOS
                        $sendPlan3Month = $dbh->prepare("UPDATE players SET achievement_points = ?, rank = ?, vip = ?, vip_expire = ?, vip_points = ?, activity_points = ? WHERE username = ?");
                        $sendPlan3Month->bindValue(1, $achievement_points);
                        $sendPlan3Month->bindValue(2, '2');
                        $sendPlan3Month->bindValue(3, '1');
                        $sendPlan3Month->bindValue(4, $time);
                        $sendPlan3Month->bindValue(5, $vip_points);
                        $sendPlan3Month->bindValue(6, $duckets);
                        $sendPlan3Month->bindValue(7, $_POST['user']);

                        $sendPlan3Month->execute();

                        //ENVIANDO EMBLEMA
                        if ($allResults <= 0) {
                            $sendPlanThreeBadge = $dbh->prepare("INSERT INTO player_badges (badge_code, player_id) VALUES (?,?)");
                            $sendPlanThreeBadge->bindValue(1, "VIP2021"); //NOME EMBLEMA
                            $sendPlanThreeBadge->bindValue(2, $id);
                            $sendPlanThreeBadge->execute();
                        }

                        $verifyHasExistBadgeRareRed = $dbh->prepare("SELECT id FROM player_badges WHERE badge_code = ? AND player_id = ?");
                        $verifyHasExistBadgeRareRed->bindValue(1, 'VIPVER'); // NOME EMBLEMA)
                        $verifyHasExistBadgeRareRed->bindValue(2, $id);
                        $verifyHasExistBadgeRareRed->execute();
                        $resultRed = $verifyHasExistBadgeRareRed->rowCount();

                        if ($resultBlue <= 0) {
                            $sendPlanThreeBadge2 = $dbh->prepare("INSERT INTO player_badges (badge_code, player_id) VALUES (?,?)");
                            $sendPlanThreeBadge2->bindValue(1, "VIPVER"); //NOME EMBLEMA
                            $sendPlanThreeBadge2->bindValue(2, $id);
                            $sendPlanThreeBadge2->execute();
                        }

                        //ENVIANDO RARO
                        $sendPlanThreeRare = $dbh->prepare("INSERT INTO items (user_id, room_id, base_item, extra_data, wall_pos) VALUES (?,?,?,?,?)");
                        $sendPlanThreeRare->bindValue(1, $id);
                        $sendPlanThreeRare->bindValue(2, '0'); // 0 envia pro inventário
                        $sendPlanThreeRare->bindValue(3, '1356474395'); // id do mobi no catalogo
                        $sendPlanThreeRare->bindValue(4, '0');
                        $sendPlanThreeRare->bindValue(5, ' ');
                        $sendPlanThreeRare->execute();
                    } else {
                        self::error("Usuário " . $_POST['user'] . " tem que está offline!");
                        return;
                    }
                }
                self::succeed('Usuário ' . $_POST['user'] . ' agora é vip!');
            } else {
                self::error("Usuário " . $_POST['user'] . " não encontrado!");
            }
        }
    }

    public static function searchUserOfTheWeek()
    {
        global $dbh, $config;
        if (isset($_POST['searching'])) {
            $searchUser = $dbh->prepare("SELECT * FROM players WHERE username = :user");
            $searchUser->bindParam(':user', $_POST['user']);
            $searchUser->execute();
            if ($searchUser->RowCount() == 1) {
                self::succeed('' . $_POST['user'] . ' Found! Klik <a href ="' . $config['hotelUrl'] . '/adminpan/giveuseroftheweek/' . $_POST['user'] . '">here</a> in order to give this user ' . $config['hotelName'] . ' of the week!');
            } else {
                self::error("User " . $_POST['user'] . " not found!");
            }
        }
        if (isset($_POST['delete'])) {
            $upateUser = $dbh->prepare("UPDATE uotw SET userid = '0' ,text = 'empty'");
            $upateUser->execute();
            self::succeed("You have removed UOTW");
        }
    }

    public static function EditUser($variable)
    {
        global $dbh, $config;
        if (isset($_GET['user'])) {
            if ($config['hotelEmu'] == 'comet') {
                $getUser = $dbh->prepare("SELECT * FROM players WHERE username=:username LIMIT 1");
                $getUser->bindParam(':username', $_GET['user']);
                $getUser->execute();
                if ($getUser->RowCount() == 1) {
                    $user = $getUser->fetch();
                    return filter($user[$variable]);
                } else {
                    self::error("usuário não encontrado!");
                    exit;
                }
            } else if ($config['hotelEmu'] == 'arcturus') {
                if (in_array($variable, array('activity_points', 'vip_points'))) {
                    switch ($variable) {
                        case "activity_points":
                            $variable = '0';
                            break;
                        case "vip_points":
                            $variable = '5';
                            break;
                        default:
                            break;
                    }
                    $getUserCurrency = $dbh->prepare("SELECT * FROM players WHERE username=:username LIMIT 1");
                    $getUserCurrency->bindParam(':username', $_GET['user']);
                    $getUserCurrency->execute();
                    $getUserCurrencyData = $getUserCurrency->fetch();
                    $stmt = $dbh->prepare("SELECT " . $variable . ",user_id,type,amount FROM users_currency WHERE user_id = :id AND type = :type");
                    $stmt->bindParam(':id', $getUserCurrencyData['id']);
                    $stmt->bindParam(':type', $variable);
                    $stmt->execute();
                    if ($stmt->RowCount() > 0) {
                        $row = $stmt->fetch();
                        return $row['amount'];
                    } else {
                        return '0';
                    }
                } else {
                    $getUser = $dbh->prepare("SELECT * FROM players WHERE username=:username LIMIT 1");
                    $getUser->bindParam(':username', $_GET['user']);
                    $getUser->execute();
                    if ($getUser->RowCount() == 1) {
                        $user = $getUser->fetch();
                        return filter($user[$variable]);
                    } else {
                        self::error("user not found!");
                        exit;
                    }
                }
            } else {
                $getUser = $dbh->prepare("SELECT * FROM players WHERE username=:username LIMIT 1");
                $getUser->bindParam(':username', $_GET['user']);
                $getUser->execute();
                if ($getUser->RowCount() == 1) {
                    $user = $getUser->fetch();
                    return filter($user[$variable]);
                } else {
                    self::error("user not found!");
                    exit;
                }
            }
        }
    }

    public static function EditUserOfTheWeek($variable)
    {
        global $dbh;
        if (isset($_GET['user'])) {
            $getUser = $dbh->prepare("SELECT * FROM players WHERE username=:username LIMIT 1");
            $getUser->bindParam(':username', $_GET['user']);
            $getUser->execute();
            if ($getUser->RowCount() == 1) {
                $user = $getUser->fetch();
                return filter($user[$variable]);
            } else {
                self::error("user not found!");
                exit;
            }
        }
    }

    public static function EditNews($variable)
    {
        global $dbh;
        if (isset($_GET['news'])) {
            $getNews = $dbh->prepare("SELECT * FROM cms_news WHERE id=:newsid LIMIT 1");
            $getNews->bindParam(':newsid', $_GET['news']);
            $getNews->execute();
            if ($getNews->RowCount() == 1) {
                $news = $getNews->fetch();
                return $news[$variable];
            } else {
                self::error("Nenhuma notícia encontrada!");
                exit;
            }
        }
    }

    public static function LookSollie($variable)
    {
        global $dbh;
        if (isset($_GET['look'])) {
            $getSollie = $dbh->prepare("SELECT * FROM staffapplication WHERE id=:look LIMIT 1");
            $getSollie->bindParam(':look', $_GET['look']);
            $getSollie->execute();
            if ($getSollie->RowCount() == 1) {
                $data = $getSollie->fetch();
                $datenow = date('d-m-Y', $data['date']);
                return filter($data[$variable]);
            } else {
                header('Location: /adminpan/sollie');
            }
        }
    }

    public static function DeleteNews()
    {
        global $dbh;
        if (isset($_GET['delete'])) {
            $deleteNews = $dbh->prepare("DELETE FROM cms_news WHERE id = ?");
            $deleteNews->bindValue(1, $_GET['delete']);
            $deleteNews->execute();

            header('Location: /adminpan/news');
        }
    }

    public static function DeleteSollie()
    {
        global $config, $dbh;
        if (isset($_GET['delete'])) {
            $deleteSollie = $dbh->prepare("DELETE FROM staffapplication WHERE id=:newsid");
            $deleteSollie->bindParam(':newsid', $_GET['delete']);
            $deleteSollie->execute();
            self::succeed('Application removed!');
            header('Location: /adminpan/sollie');
        }
    }

    public static function DeleteBans()
    {
        global $dbh;
        if (isset($_GET['delete']) && User::userData('rank') > 5) {
            $deleteBan = $dbh->prepare("DELETE FROM bans WHERE id=:newsid");
            $deleteBan->bindParam(':newsid', $_GET['delete']);
            $deleteBan->execute();
            self::succeed('Ban removido! Digite ":reload bans" no Hotel para atualizar (apenas membros superiores).');
        }
    }

    public static function PostNews()
    {

        global $dbh;
        if (isset($_POST['postnews'])) {
            $_SESSION['title'] = $_POST['titulo'];
            $_SESSION['news'] = $_POST['news'];
            if ($_POST['titulo'] != "") 
            {
                if ($_POST['news'] != "") {
                    $postNews = $dbh->prepare("
                        INSERT INTO cms_news(title,image,shortstory,longstory,author,date,type,roomid,look,rascunho,formulario)
                        VALUES
                        (
                        :title,
                        :topstory, 
                        :slogan,
                        :news,
                        :id,
                        :time,
                        '1',
                        '1',
                        '',
                        :rascunho,
                        :formulario
                        )");


                    $dateNow = strtotime('now');

                    $postNews->bindValue(':title', $_POST['titulo']);
                    $postNews->bindValue(':topstory', $_POST['link-imagem']);
                    $postNews->bindValue(':slogan', $_POST['subtitulo']);
                    $postNews->bindValue(':news', $_POST['news']);
                    $postNews->bindValue(':id', $_SESSION['id']);
                    $postNews->bindValue(':time', $dateNow);
                    $postNews->bindValue(':rascunho', $_POST['rascunho'] == "on" ? 1 : 0);
                    $postNews->bindValue(':formulario', 0);
                    $postNews->execute();

                    self::succeed("Notícia publicada!");

                } else {
                    self::error("O conteúdo é obrigatório!");
                    return;
                }
            } else {
                self::error("O título é obrigatório!");
                return;
            }
        }
    }

    public static function giveOrRemovePromoPoint()
    {
        global $dbh;
        if (isset($_POST['promo'])) {
            if (!empty($_POST['username'])) {
                if (!empty($_POST['points'])) {
                    if (!empty($_POST['tipo'])) {
                        $user = $dbh->prepare('SELECT username,promo_points FROM players WHERE username = :username');
                        $user->bindParam(':username', $_POST['username']);
                        $user->execute();

                        $getStaff = $dbh->prepare("SELECT id,rank,username FROM players WHERE id = ?");
                        $getStaff->bindValue(1, $_SESSION['id']);
                        $getStaff->execute();
                        $staff = $getStaff->fetch();


                        if ($user->RowCount() == 1) {

                            if ($staff['rank'] < 8) {
                                if ($_POST['points'] > 5) {
                                    self::error("Você pode enviar apenas 5 pontos por vez!");

                                    $reportLog = $dbh->prepare("INSERT INTO cms_adminpan_logs (user_id, message, timestamp) VALUES (?,?,?)");
                                    $reportLog->bindValue(1, $staff['id']);
                                    $reportLog->bindValue(2, "O staff " + $staff['username'] + " tentou enviar mais de " + $_POST['points'] + " pontos de promoção para o usuário " + $_POST['username'] + "");
                                    $reportLog->bindValue(3, time());
                                    return;
                                }
                            }

                            $user = $user->fetch();

                            $updateUser = $dbh->prepare('UPDATE players SET promo_points = :points WHERE username = :username');
                            if ($_POST['tipo'] == 'add') {
                                $updateUser->bindValue(':points', $user['promo_points'] + $_POST['points']);
                            } else if ($_POST['tipo'] == 'rmv') {
                                if ($user['promo_points'] > 0) {
                                    $updateUser->bindValue(':points', $user['promo_points'] - $_POST['points']);
                                } else {
                                    self::error($user['username'] . " não tem nenhum ponto de evento!");
                                    return;
                                }
                            } else {
                                return;
                            }
                            $updateUser->bindParam(':username', $_POST['username']);
                            $updateUser->execute();

                            $msg = $_POST['tipo'] == 'add' ? 'Você deu ' . $_POST['points'] . ' pontos de promoção ao usuário ' . $user['username'] : 'Você removeu ' . $_POST['points'] . ' pontos de promoção de ' . $user['username'];

                            self::succeed($msg);
                        } else {
                            self::error("Usuário " . $_POST['username'] . " não encontrado!");
                        }
                    }
                }
            }
        }
    }

    public static function giveOrRemoveEventPoint()
    {
        global $dbh;
        if (isset($_POST['event'])) {
            if (!empty($_POST['username'])) {
                if (!empty($_POST['points'])) {
                    if (!empty($_POST['tipo'])) {
                        $user = $dbh->prepare('SELECT username,event_points FROM players WHERE username = :username');
                        $user->bindParam(':username', $_POST['username']);
                        $user->execute();

                        $getStaff = $dbh->prepare("SELECT id,rank,username FROM players WHERE id = ?");
                        $getStaff->bindValue(1, $_SESSION['id']);
                        $getStaff->execute();
                        $staff = $getStaff->fetch();


                        if ($user->RowCount() == 1) {

                            if ($staff['rank'] < 8) {
                                if ($_POST['points'] > 5) {
                                    self::error("Você pode enviar apenas 5 pontos por vez!");

                                    $reportLog = $dbh->prepare("INSERT INTO cms_adminpan_logs (user_id, message, timestamp) VALUES (?,?,?)");
                                    $reportLog->bindValue(1, $staff['id']);
                                    $reportLog->bindValue(2, "O staff " + $staff['username'] + " tentou enviar mais de " + $_POST['points'] + " pontos de evento para o usuário " + $_POST['username'] + "");
                                    $reportLog->bindValue(3, time());
                                    return;
                                }
                            }

                            $user = $user->fetch();

                            $updateUser = $dbh->prepare('UPDATE players SET event_points = :points WHERE username = :username');
                            if ($_POST['tipo'] == 'add') {
                                $updateUser->bindValue(':points', $user['event_points'] + $_POST['points']);
                            } else if ($_POST['tipo'] == 'rmv') {
                                if ($user['event_points'] > 0) {
                                    $updateUser->bindValue(':points', $user['event_points'] - $_POST['points']);
                                } else {
                                    self::error($user['username'] . " não tem nenhum ponto de evento!");
                                    return;
                                }
                            } else {
                                return;
                            }
                            $updateUser->bindParam(':username', $_POST['username']);
                            $updateUser->execute();

                            $msg = $_POST['tipo'] == 'add' ? 'Você deu ' . $_POST['points'] . ' pontos de evento ao usuário ' . $user['username'] : 'Você removeu ' . $_POST['points'] . ' pontos de evento de ' . $user['username'];

                            self::succeed($msg);
                        } else {
                            self::error("Usuário " . $_POST['username'] . " não encontrado!");
                        }
                    }
                }
            }
        }
    }

    public static function addWordToWorfilter()
    {
        global $dbh;
        if (isset($_POST['addword']) && User::userData('rank') >= 7) {
            if (!empty($_POST['word'])) {
                $word = $dbh->prepare('SELECT * FROM wordfilter WHERE word = :word');
                $word->bindParam(':word', $_POST['word']);
                $word->execute();

                if ($word->RowCount() > 0) {
                    self::error('Esta palavra já existe no filtro.');
                } else {
                    $addWord = $dbh->prepare('INSERT INTO wordfilter(word) VALUES (:word)');
                    $addWord->bindParam(':word', $_POST['word']);
                    $addWord->execute();

                    self::succeed('A palavra "' . $_POST['word'] . '" foi adicionada ao filtro. Digite ":reload filter" no Hotel para atualizar (apenas membros superiores).');
                }
            }
        }
    }

    public static function removeWordFromWordfilter()
    {
        global $dbh;
        if (isset($_GET['word']) && User::userData('rank') > 5) {
            $rmvWord = $dbh->prepare('DELETE FROM wordfilter WHERE word = :word');
            $rmvWord->bindParam(':word', $_GET['word']);
            $rmvWord->execute();

            if ($rmvWord->RowCount() > 0) {
                self::succeed('A palavra "' . $_GET['word'] . '" foi removida do filtro. Digite ":reload filter" no Hotel para atualizar (apenas membros superiores).');
            }
        }
    }

    public static function addVoucher()
    {
        global $dbh;
        if (isset($_POST['addvoucher'])) {
            if (!empty($_POST['code'])) {
                if (!empty($_POST['type'])) {
                    if (!empty($_POST['amount'])) {
                        $code = $dbh->prepare('SELECT * FROM vouchers WHERE code = :code');
                        $code->bindParam(':code', $_POST['code']);
                        $code->execute();

                        if ($code->RowCount() > 0) {
                            self::error('Este código já existe.');
                        } else {
                            $addVoucher = $dbh->prepare('INSERT INTO vouchers(type, data, created_by, created_at, code) VALUES (:type, :data, :created_by, :created_at, :code)');
                            $addVoucher->bindParam(':type', $_POST['type']);
                            $addVoucher->bindParam(':data', $_POST['amount']);
                            $addVoucher->bindParam(':created_by', $_SESSION['id']);
                            $addVoucher->bindParam(':created_at', strtotime('now'));
                            $addVoucher->bindParam(':code', $_POST['code']);
                            $addVoucher->execute();

                            self::succeed('O código de recompensa "' . $_POST['code'] . '" foi adicionado com sucesso.');
                        }
                    } else {
                        self::error('Informe a quantidade!');
                    }
                } else {
                    self::error('Informe o tipo da moeda (diamantes, moedas ou duckets)!');
                }
            } else {
                self::error('Informe um código!');
            }
        }
    }

    public static function removeVoucher()
    {
        global $dbh;
        if (isset($_GET['code'])) {
            $rmvCode = $dbh->prepare('DELETE FROM vouchers WHERE code = :code');
            $rmvCode->bindParam(':code', $_GET['code']);
            $rmvCode->execute();

            if ($rmvCode->RowCount() > 0) {
                self::succeed('O código de recompensa "' . $_GET['code'] . '" foi removido com sucesso.');
            }
        }
    }

    public static function addBadge()
    {
        if (isset($_POST['addBadge'])) {
            // Pasta onde o arquivo vai ser salvo
            $_UP['pasta'] = '../swf/c_images/album1584/';

            // Tamanho máximo do arquivo (em Bytes)
            $_UP['tamanho'] = 1024 * 1024 * 2; // 2 MB

            // Array com as extensões permitidas
            $_UP['extensoes'] = array('gif');

            $file = $_FILES['arquivo'];
            $codigo = $_POST['cod'];
            $title = $_POST['title'];
            $desc = $_POST['desc'];

            // Array com os tipos de erros de upload do PHP
            $_UP['erros'][0] = 'Não houve erro';
            $_UP['erros'][1] = 'O arquivo no upload é maior do que o limite do PHP';
            $_UP['erros'][2] = 'O arquivo ultrapassa o limite de tamanho especificado no HTML';
            $_UP['erros'][3] = 'O upload do arquivo foi feito parcialmente';
            $_UP['erros'][4] = 'Não foi feito o upload do arquivo';

            // Verifica se houve algum erro com o upload. Se sim, exibe a mensagem do erro
            if ($file['error'] != 0) {
                self::error('Não foi possível fazer o upload, erro: ' . $_UP['erros'][$file['error']]);
                return; // Para a execução do script
            }

            // Caso script chegue a esse ponto, não houve erro com o upload e o PHP pode continuar

            // Faz a verificação da extensão do arquivo
            $extensao = pathinfo($file['name'], PATHINFO_EXTENSION);
            if (array_search($extensao, $_UP['extensoes']) === false) {
                self::error('Por favor, envie apenas arquivos com extensão .gif');
                return;
            }

            if (!preg_match('/^[a-zA-Z\d]{2,10}$/i', $codigo)) {
                self::error('O código deve conter somente letras e números, no mínimo 2 e no máximo 10.');
                return;
            } else if (strlen($title) < 1 || strlen($title) > 50) {
                self::error('O título deve ter no mínimo 1 e no máximo 50 caracteres.');
                return;
            } else if (strlen($desc) < 1 || strlen($desc) > 200) {
                self::error('A descrição deve ter no mínimo 1 e no máximo 200 carateres.');
                return;
            }

            // Faz a verificação do tamanho do arquivo
            if ($_UP['tamanho'] < $file['size']) {
                self::error('O arquivo enviado é muito grande, envie arquivos de até 2 MB.');
                return;
            }

            if (file_exists($_UP['pasta'] . $codigo . '.gif')) {
                self::error('Já existe um emblema com este código hospedado.');
                return;
            }

            // O arquivo passou em todas as verificações, hora de tentar movê-lo para a pasta

            $nome_final = $codigo . '.gif';

            // Depois verifica se é possível mover o arquivo para a pasta escolhida
            if (move_uploaded_file($file['tmp_name'], $_UP['pasta'] . $nome_final)) {
                // Upload efetuado com sucesso, exibe uma mensagem e um link para o arquivo
                self::succeed('Emblema hospedado com sucesso! Use este código no hotel para dar ele a alguém: ' . $codigo);

                $arquivo = "../swf/gamedata/habbo_override_texts.txt"; // o arquivo
                $linhas = file($arquivo); // pegando os valores do arquivo

                $escrever = "\r\n" .
                    'badge_name_' . $codigo . '=' . $title . "\r\n" .
                    'badge_desc_' . $codigo . '=' . $desc;

                $abertoa = fopen($arquivo, 'a'); // abrindo para adicionar no arquivo
                fwrite($abertoa, $escrever); // escrevendo no final do arquivo o texto
            } else {
                // Não foi possível fazer o upload, provavelmente a pasta está incorreta
                self::error('Não foi possível enviar o arquivo, tente novamente');
            }
        }
    }

    public static function addPublicRoom()
    {
        global $dbh;
        if (isset($_POST['addpublicroom'])) {
            if (empty($_POST['room_id'])) {
                self::error('Informe o ID do quarto!');
            } else if (empty($_POST['caption'])) {
                self::error('Informe o nome do quarto!');
            } else if (empty($_POST['desc'])) {
                self::error('Informe a descrição do quarto!');
            } else if (empty($_POST['order_num'])) {
                self::error('Informe o número correspondente à ordem que o quarto irá ficar!');
            }/* else if (empty($_FILES['miniatura']['name'])) {
                self::error('Envie uma miniatura.');
            }*/ else if (empty($_POST['category'])) {
                self::error('Selecione uma categoria.');
            } else {
                if (!empty($_FILES['miniatura']['name'])) {
                    $file = $_FILES['miniatura'];

                    $_UP['tamanho'] = 1024 * 1024 * 5; // 5 MB
                    $_UP['extensoes'] = array('png');

                    $nomeFinal = md5(uniqid(rand(), true)) . '.png';

                    $dbDir = '/navigator-thumbnail/';
                    $systemDir = '../swf/c_images/navigator-thumbnail/';
                    $fullDbDir = $dbDir . $nomeFinal;
                    $fullSystemDir = $systemDir . $nomeFinal;

                    // Array com os tipos de erros de upload do PHP
                    $_UP['erros'][0] = 'Não houve erro';
                    $_UP['erros'][1] = 'O arquivo no upload é maior do que o limite do PHP';
                    $_UP['erros'][2] = 'O arquivo ultrapassa o limite de tamanho especificado: 5 MB';
                    $_UP['erros'][3] = 'O upload do arquivo foi feito parcialmente';
                    $_UP['erros'][4] = 'Não foi feito o upload do arquivo';

                    // Verifica se houve algum erro com o upload. Se sim, exibe a mensagem do erro
                    if ($file['error'] != 0) {
                        self::error('Não foi possível fazer o upload, erro: ' . $_UP['erros'][$file['error']]);
                        return; // Para a execução do script
                    }

                    // Faz a verificação da extensão do arquivo
                    $extensao = pathinfo($file['name'], PATHINFO_EXTENSION);
                    if (array_search($extensao, $_UP['extensoes']) === false) {
                        self::error($file . 'Por favor, envie apenas arquivos com extensão .png');
                        return;
                    }

                    // Faz a verificação do tamanho do arquivo
                    if ($_UP['tamanho'] < $file['size']) {
                        self::error('O arquivo enviado é muito grande, envie arquivos de até 5 MB.');
                        return;
                    }

                    // Depois verifica se é possível mover o arquivo para a pasta escolhida
                    if (!move_uploaded_file($file['tmp_name'], $fullSystemDir)) {
                        self::error('Ocorreu um erro ao enviar a miniatura para o servidor.');
                        return;
                    }
                }

                // =========== Inserção dos dados no banco =========== //
                $roomId = $dbh->prepare('SELECT * FROM navigator_publics WHERE room_id = :room_id');
                $roomId->bindParam(':room_id', $_POST['room_id']);
                $roomId->execute();

                $category = $dbh->prepare('SELECT category_identifier FROM navigator_categories WHERE id = :id');
                $category->bindParam(':id', $_POST['category']);
                $category->execute();

                $miniatura = $fullDbDir != null ? $fullDbDir : '/navigator-thumbnail/default.png';
                $category = $category->rowCount() > 0 ? $category->fetch()['category_identifier'] : 'official-root';

                if ($roomId->RowCount() > 0) {
                    self::error('Este quarto (ID: ' . ($_POST['room_id']) . ') já é público: ' . ($roomId->fetch()['caption']));
                } else {
                    $addVoucher = $dbh->prepare('INSERT INTO navigator_publics(room_id, caption, description, order_num, image_url, category) 
                                                     VALUES (:room_id, :caption, :desc, :order_num, :miniatura, :category)');
                    $addVoucher->bindParam(':room_id', $_POST['room_id']);
                    $addVoucher->bindParam(':caption', $_POST['caption']);
                    $addVoucher->bindParam(':desc', $_POST['desc']);
                    $addVoucher->bindParam(':order_num', $_POST['order_num']);
                    $addVoucher->bindParam(':miniatura', $miniatura);
                    $addVoucher->bindParam(':category', $category);
                    $addVoucher->execute();

                    self::succeed('Adicionado aos Quartos Públicos com sucesso! Digite ":reload navigator" no Hotel para atualizar (apenas membros superiores).');
                }
            }
        }
    }

    public static function removePublicRoom()
    {
        global $dbh;
        if (isset($_GET['room_id'])) {
            $rmvCode = $dbh->prepare('DELETE FROM navigator_publics WHERE room_id = :room_id');
            $rmvCode->bindParam(':room_id', $_GET['room_id']);
            $rmvCode->execute();

            if ($rmvCode->RowCount() > 0) {
                self::succeed('O quarto com ID "' . $_GET['room_id'] . '" foi removido dos Quartos Públicos. Digite ":reload navigator" no Hotel para atualizar (apenas membros superiores).');
            }
        }
    }

    public static function addMusic()
    {
        global $dbh;
        if (isset($_POST['addMusic'])) {
            // Pasta onde o arquivo vai ser salvo
            $_UP['pasta'] = '../swf/hof_furni/mp3/';

            // Tamanho máximo do arquivo (em Bytes)
            $_UP['tamanho'] = 1024 * 1024 * 20; // 20 MB

            // Array com as extensões permitidas
            $_UP['extensoes'] = array('mp3');

            $file = $_FILES['arquivo'];
            $duracao = $_POST['duracao'];
            $titulo = $_POST['titulo'];
            $cantor = $_POST['cantor'];
            $pagina = $_POST['page_id'];

            date_default_timezone_set("America/Sao_Paulo");

            $id = time();
            //$nome = str_replace(" ", "_", strtolower($titulo . ' ' . $cantor));
            $nome = md5($id);
            $nomeUpload = 'sound_machine_sample_' . $id;
            $songData = "1:$id,$duracao:3:0,$duracao:4:0,$duracao";

            // Array com os tipos de erros de upload do PHP
            $_UP['erros'][0] = 'Não houve erro';
            $_UP['erros'][1] = 'O arquivo no upload é maior do que o limite do PHP';
            $_UP['erros'][2] = 'O arquivo ultrapassa o limite de tamanho especificado no HTML';
            $_UP['erros'][3] = 'O upload do arquivo foi feito parcialmente';
            $_UP['erros'][4] = 'Não foi feito o upload do arquivo';

            // Verifica se houve algum erro com o upload. Se sim, exibe a mensagem do erro
            if ($file['error'] != 0) {
                self::error('Não foi possível fazer o upload, erro: ' . $_UP['erros'][$file['error']]);
                return; // Para a execução do script
            }

            // Caso script chegue a esse ponto, não houve erro com o upload e o PHP pode continuar

            // Faz a verificação da extensão do arquivo
            $extensao = pathinfo($file['name'], PATHINFO_EXTENSION);
            if (array_search($extensao, $_UP['extensoes']) === false) {
                self::error('Por favor, envie apenas arquivos com extensão .mp3');
                return;
            }

            if (strlen($titulo) < 2 || strlen($titulo) > 50) {
                self::error('O título deve ter no mínimo 2 e no máximo 50 caracteres.');
                return;
            } else if (strlen($cantor) < 2 || strlen($cantor) > 50) {
                self::error('O nome do cantor deve ter no mínimo 2 e no máximo 50 caracteres.');
                return;
            }

            // Faz a verificação do tamanho do arquivo
            if ($_UP['tamanho'] < $file['size']) {
                self::error('O arquivo enviado é muito grande, envie arquivos de até 20 MB.');
                return;
            }

            if (file_exists($_UP['pasta'] . $nomeUpload . '.mp3')) {
                self::error('Erro interno, por favor tente novamente.');
                return;
            }

            // O arquivo passou em todas as verificações, hora de tentar movê-lo para a pasta

            // Depois verifica se é possível mover o arquivo para a pasta escolhida
            if (move_uploaded_file($file['tmp_name'], $_UP['pasta'] . $nomeUpload . '.mp3')) {
                // Admin::succeed('Emblema hospedado com sucesso! Use este código no hotel para dar ele a alguém: ' . $codigo);

                $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                // insere em furniture_music
                $insertFMusic = $dbh->prepare('INSERT INTO furniture_music(name, title, artist, song_data, length) 
                                                                 VALUES (:nome, :titulo, :cantor, :songData, :duracao)');
                $insertFMusic->bindParam(':nome', $nome);
                $insertFMusic->bindParam(':titulo', $titulo);
                $insertFMusic->bindParam(':cantor', $cantor);
                $insertFMusic->bindParam(':songData', $songData);
                $insertFMusic->bindParam(':duracao', $duracao);
                $insertFMusic->execute();

                $idSalvo = $dbh->prepare('SELECT id FROM furniture_music WHERE song_data = :songData');
                $idSalvo->bindParam(':songData', $songData);
                $idSalvo->execute();
                $idSalvo = $idSalvo->fetch()['id'];

                // insere em furniture
                $insertF = $dbh->prepare('INSERT INTO furniture
                        (item_name, public_name, stack_height, sprite_id, allow_marketplace_sell, interaction_modes_count, revision, specialtype, song_id) 
                        VALUES (:itemName, :publicName, :stackHeigth, :spriteId, :allowMarketplaceSell, :interactionModesCount, :revision, :specialtype, :songId)');
                $insertF->bindValue(':itemName', 'song_disk');
                $insertF->bindParam(':publicName', $titulo);
                $insertF->bindValue(':stackHeigth', 0.1);
                $insertF->bindValue(':spriteId', 2607);
                $insertF->bindValue(':allowMarketplaceSell', '0');
                $insertF->bindValue(':interactionModesCount', 1);
                $insertF->bindValue(':revision', 45508);
                $insertF->bindValue(':specialtype', 8);
                $insertF->bindParam(':songId', $idSalvo);
                $insertF->execute();

                $idFSalvo = $dbh->prepare('SELECT id FROM furniture WHERE song_id = :songId');
                $idFSalvo->bindParam(':songId', $idSalvo);
                $idFSalvo->execute();
                $idFSalvo = $idFSalvo->fetch()['id'];

                // insere em catalog_items
                $insertCatalog = $dbh->prepare('INSERT INTO catalog_items(page_id, item_ids, catalog_name, cost_credits, extradata, badge_id) 
                                                                 VALUES (:pageId, :itemIds, :catalogName, :costCredits, :extraData, :badgeId)');
                $insertCatalog->bindParam(':pageId', $pagina);
                $insertCatalog->bindParam(':itemIds', $idFSalvo);
                $insertCatalog->bindParam(':catalogName', $titulo);
                $insertCatalog->bindValue(':costCredits', 1);
                $insertCatalog->bindParam(':extraData', $nome);
                $insertCatalog->bindValue(':badgeId', '');
                $insertCatalog->execute();

                self::succeed('Música adicionada com sucesso! Digite ":reload music", ":reload items" e ":reload catalog" (nessa ordem) no Hotel para atualizar (apenas membros superiores).');
            } else {
                // Não foi possível fazer o upload, provavelmente a pasta está incorreta
                self::error('Não foi possível enviar o arquivo, tente novamente');
            }
        }
    }

    public static function removeMusic()
    {
        global $dbh;
        if (isset($_GET['music_id'])) {
            $musicId = $_GET['music_id'];

            $id = $dbh->prepare('SELECT id FROM furniture WHERE song_id = :musicId');
            $id->bindParam(':musicId', $musicId);
            $id->execute();

            $m = $dbh->prepare('SELECT song_data FROM furniture_music WHERE id = :id');
            $m->bindParam(':id', $musicId);
            $m->execute();
            $m = $m->fetch();

            $mp3Id = substr($m['song_data'], 2, strpos($m['song_data'], ',') - 2);

            if ($id->RowCount() == 1) {
                $id = $id->fetch()['id'];

                $delFM = $dbh->prepare("DELETE FROM furniture_music WHERE id = :musicId");
                $delF = $dbh->prepare("DELETE FROM furniture WHERE song_id = :musicId");
                $delCI = $dbh->prepare("DELETE FROM catalog_items WHERE item_ids = :id");

                $delFM->bindParam(':musicId', $musicId);
                $delF->bindParam(':musicId', $musicId);
                $delCI->bindParam(':id', $id);

                $delFM->execute();
                $delF->execute();
                $delCI->execute();

                unlink('../swf/hof_furni/mp3/sound_machine_sample_' . $mp3Id . '.mp3');

                if ($delFM->RowCount() > 0 || $delF->RowCount() > 0 || $delCI->RowCount() > 0) {
                    self::succeed('Música excluída com sucesso! Digite ":reload music", ":reload items" e ":reload catalog" (nessa ordem) no Hotel para atualizar (apenas membros superiores).');
                }
            }
        }
    }

    public static function addMusicCategory()
    {
        global $dbh;
        if (isset($_POST['addMusicCategory'])) {
            $nome = $_POST['caption'];

            if (strlen($nome) < 2 || strlen($nome) > 50) {
                self::error('O nome da categoria deve ter no mínimo 2 e no máximo 50 caracteres.');
                return;
            }

            $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

            $insert = $dbh->prepare('INSERT INTO catalog_pages(parent_id, caption, icon_image, order_num, page_layout, page_images, page_texts) 
                                            VALUES(:parentId, :caption, :iconImage, :orderNum, :pageLayout, :pageImages, :pageTexts)');
            $insert->bindValue(':parentId', 423423524);
            $insert->bindParam(':caption', $nome);
            $insert->bindValue(':iconImage', 480);
            $insert->bindValue(':orderNum', 1);
            $insert->bindValue(':pageLayout', soundmachine);
            $insert->bindValue(':pageImages', '');
            $insert->bindValue(':pageTexts', '');
            $insert->execute();

            self::succeed('Categoria adicionada com sucesso!');
        }
    }

    public static function removeMusicCategory()
    {
        global $dbh;
        if (isset($_GET['category_id'])) {
            $delete = $dbh->prepare('DELETE FROM catalog_pages WHERE id = :id');
            $delete->bindParam(':id', $_GET['category_id']);
            $delete->execute();

            if ($delete->RowCount() > 0) {
                self::succeed('Categoria excluída com sucesso!');
            }
        }
    }

    public static function addCatalogItem()
    {
        global $dbh;
        if (isset($_POST['add_catalog_item'])) {
            // insere em catalog_items
            $insertCatalog = $dbh->prepare('INSERT INTO catalog_items(page_id, item_ids, catalog_name, cost_credits, cost_pixels, cost_diamonds, amount, limited_stack, limited_sells, extradata, badge_id) 
                                                                 VALUES (:pageId, :itemIds, :catalogName, :costCredits, :costPixels, :costDiamonds, :amount, :limitedStack, :limitedSells, :extraData, :badgeId)');
            $insertCatalog->bindParam(':pageId', $_POST['page_id']);
            $insertCatalog->bindParam(':itemIds', $_POST['item_ids']);
            $insertCatalog->bindParam(':catalogName', $_POST['catalog_name']);
            $insertCatalog->bindParam(':costCredits', $_POST['cost_credits']);
            $insertCatalog->bindParam(':costPixels', $_POST['cost_pixels']);
            $insertCatalog->bindParam(':costDiamonds', $_POST['cost_diamonds']);
            $insertCatalog->bindParam(':amount', $_POST['amount']);
            $insertCatalog->bindParam(':limitedStack', $_POST['limited_stack']);
            $insertCatalog->bindParam(':limitedSells', $_POST['limited_sells']);
            $insertCatalog->bindParam(':extraData', $_POST['extradata']);
            $insertCatalog->bindParam(':badgeId', $_POST['badge_id']);
            $insertCatalog->execute();

            if ($insertCatalog->RowCount() > 0) {
                self::succeed('catalog_item adicionado com sucesso!');
            }
        }
    }

    public static function inserirLinhaEmArquivo($msg, $arquivo)
    {
        $escrever = "\r\n" . $msg;
        $abertoa = fopen($arquivo, 'a'); // abrindo para adicionar no arquivo
        fwrite($abertoa, $escrever); // escrevendo no final do arquivo o texto
    }

    public static function addFurniture()
    {
        global $dbh;
        if (isset($_POST['add_furniture'])) {
            date_default_timezone_set("America/Sao_Paulo");

            // Pasta onde o arquivo vai ser salvo
            $_UP['pasta1'] = '../swf/hof_furni/';
            $_UP['pasta2'] = '../swf/hof_furni/icons/';

            // Tamanho máximo do arquivo (em Bytes)
            $_UP['tamanho1'] = 1024 * 1024 * 40; // 40 MB
            $_UP['tamanho2'] = 1024 * 1024 * 10; // 10 MB

            // Array com as extensões permitidas
            $_UP['extensoes1'] = array('swf');
            $_UP['extensoes2'] = array('png');

            // Array com os tipos de erros de upload do PHP
            $_UP['erros'][0] = 'Não houve erro';
            $_UP['erros'][1] = 'O arquivo no upload é maior do que o limite do PHP';
            $_UP['erros'][2] = 'O arquivo ultrapassa o limite de tamanho especificado no HTML';
            $_UP['erros'][3] = 'O upload do arquivo foi feito parcialmente';
            $_UP['erros'][4] = 'Não foi feito o upload do arquivo';

            $file1 = $_FILES['swf'];
            $file2 = $_FILES['icon'];
            $itemName = $_POST['item_name'];
            $downloadFrom = $_POST['downloadFrom'];

            $time = time();
            $revision = 50000;
            $xml = '<furnitype id="' . $time . '" classname="' . $itemName . '">
    <revision>' . $revision . '</revision>
    <defaultdir>0</defaultdir>
    <xdim>1</xdim>
    <ydim>1</ydim>
    <partcolors/>
    <name>' . $_POST['public_name'] . '</name>
    <description>' . $_POST['description'] . '</description>
    <adurl/>
    <offerid>-1</offerid>
    <buyout>1</buyout>
    <rentofferid>-1</rentofferid>
    <rentbuyout>0</rentbuyout>
    <bc>1</bc>
    <excludeddynamic>0</excludeddynamic>
    <customparams>' . $_POST['customparams'] . '</customparams>
    <specialtype>' . $_POST['specialtype'] . '</specialtype>
    <canstandon>0</canstandon>
    <cansiton>0</cansiton>
    <canlayon>0</canlayon>
    <furniline>' . $itemName . '</furniline>
</furnitype>';

            $furnitureExists = $dbh->prepare('SELECT id FROM furniture WHERE item_name = :itemName');
            $furnitureExists->bindParam(':itemName', $itemName);
            $furnitureExists->execute();

            if ($furnitureExists->RowCount() > 0) {
                self::error('Já existe um mobi com este item_name (' . $itemName . ') cadastrado no banco.');
                return;
            }

            if (file_exists($_UP['pasta1'] . $itemName . '.swf')) {
                self::error('Este arquivo já existe no servidor (swf).');
                return;
            }
            if (file_exists($_UP['pasta2'] . $itemName . '_icon.png')) {
                self::error('Este arquivo já existe no servidor (icon).');
                return;
            }

            // permite que sejam lançados erros na tela caso algum ocorra
            set_error_handler(
                function ($err_severity, $err_msg, $err_file, $err_line, array $err_context) {
                    // do not throw an exception if the @-operator is used (suppress)
                    if (error_reporting() === 0) return false;

                    throw new ErrorException($err_msg, 0, $err_severity, $err_file, $err_line);
                },
                E_WARNING
            );

            if ($downloadFrom == 'custom') {

                // Verifica se houve algum erro com o upload. Se sim, exibe a mensagem do erro
                if ($file1['error'] != 0) {
                    Admin::error('Não foi possível fazer o upload da swf, erro: ' . $_UP['erros'][$file1['error']]);
                    return; // Para a execução do script
                }
                if ($file2['error'] != 0) {
                    Admin::error('Não foi possível fazer o upload do ícone, erro: ' . $_UP['erros'][$file2['error']]);
                    return; // Para a execução do script
                }

                // [Caso script chegue a esse ponto, não houve erro com o upload e o PHP pode continuar]

                // Faz a verificação da extensão do arquivo
                $extensao1 = pathinfo($file1['name'], PATHINFO_EXTENSION);
                if (array_search($extensao1, $_UP['extensoes1']) === false) {
                    Admin::error('Por favor, envie apenas arquivos com extensão .swf');
                    return;
                }
                $extensao2 = pathinfo($file2['name'], PATHINFO_EXTENSION);
                if (array_search($extensao2, $_UP['extensoes2']) === false) {
                    Admin::error('Por favor, envie apenas arquivos com extensão .png');
                    return;
                }

                // Faz a verificação do tamanho do arquivo
                if ($_UP['tamanho1'] < $file1['size']) {
                    Admin::error('O arquivo swf enviado é muito grande, envie arquivos de até 40 MB.');
                    return;
                }
                if ($_UP['tamanho2'] < $file2['size']) {
                    Admin::error('O ícone enviado é muito grande, envie arquivos de até 10 MB.');
                    return;
                }

                // [O arquivo passou em todas as verificações, hora de tentar movê-lo para a pasta]

                // tenta hospedar a swf no servidor do nosso hotel
                if (move_uploaded_file($file1['tmp_name'], $_UP['pasta1'] . $itemName . '.swf')) {
                    $msg = 'sucesso ao hospedar swf: ' . $itemName . '.swf';
                    self::inserirLinhaEmArquivo($msg, '../adminpan/logs/furnidata.log');
                } else {
                    $msg = 'falha ao hospedar swf: ' . $itemName . '.swf';
                    self::error($msg);
                    self::inserirLinhaEmArquivo($msg, '../adminpan/logs/furnidata.log');
                    return;
                }

                // tenta hospedar o ícone no servidor do nosso hotel
                if (move_uploaded_file($file2['tmp_name'], $_UP['pasta2'] . $itemName . '_icon.png')) {
                    $msg = 'sucesso ao hospedar ícone: ' . $itemName . '_icon.png';
                    self::inserirLinhaEmArquivo($msg, '../adminpan/logs/furnidata.log');
                } else {
                    $msg = 'falha ao hospedar ícone: ' . $itemName . '_icon.png';
                    self::error($msg);
                    self::inserirLinhaEmArquivo($msg, '../adminpan/logs/furnidata.log');
                    return;
                }
            } else {

                if ($downloadFrom == "habblet") {
                    $urlMobi = 'https://images.habblet.in/library/hof_furni/' . $itemName . '.swf';
                    $urlIcon = 'https://images.habblet.in/library/hof_furni/icons/' . $itemName . '_icon.png';
                } else if ($downloadFrom == "habbocity") {
                    $urlMobi = 'https://swf.habbocity.me/dcr/hof_furni/' . $itemName . '.swf';
                    $urlIcon = 'https://swf.habbocity.me/dcr/hof_furni/icons2/' . $itemName . '_icon.png';
                } else if ($downloadFrom == "iron") {
                    $urlMobi = 'https://cdn.ironhotel.biz/static_global/furniture/' . $itemName . '.swf';
                    $urlIcon = 'https://cdn.ironhotel.biz/static_global/furniture/icons/' . $itemName . '_icon.png';
                } else if ($downloadFrom == "habbok") {
                    $urlMobi = 'https://images.habbok.me/dcr/hof_furni/' . $itemName . '.swf';
                    $urlIcon = 'https://images.habbok.me/dcr/hof_furni/icons/' . $itemName . '_icon.png';
                } else if ($downloadFrom == "habboon") {
                    $urlMobi = 'https://assets.habboon.pw/dcr/hof_furni/' . $itemName . '.swf';
                    $urlIcon = 'https://assets.habboon.pw/dcr/hof_furni/icons/' . $itemName . '_icon.png';
                } else if ($downloadFrom == "habbox") {
                    $urlMobi = 'https://habbox.org/swf/dcr/hof_furni/' . $itemName . '.swf';
                    $urlIcon = 'https://habbox.org/swf/dcr/hof_furni/icon/' . $itemName . '_icon.png';
                }

                $destinoMobi = '../swf/hof_furni/' . basename($urlMobi);
                $destinoIcon = '../swf/hof_furni/icons/' . basename($urlIcon);

                ini_set('user_agent', 'Mozilla/4.0 (compatible; MSIE 6.0)');

                // tenta baixar e hospedar a swf no servidor do nosso hotel
                try {
                    $content = curl_get_contents($urlMobi);
                    file_put_contents($destinoMobi, $content);

                    $msg = 'sucesso no download da swf: ' . $itemName . '.swf';
                    self::inserirLinhaEmArquivo($msg, '../adminpan/logs/furnidata.log');
                } catch (Exception $e) {
                    $msg = 'falha no download da swf: ' . $itemName . '.swf (' . $e->getMessage() . ')';
                    self::error($msg);
                    self::inserirLinhaEmArquivo($msg, '../adminpan/logs/furnidata.log');
                    return;
                }

                // tenta baixar e hospedar o ícone no servidor do nosso hotel
                try {
                    $content = curl_get_contents($urlIcon);
                    file_put_contents($destinoIcon, $content);

                    $msg = 'sucesso no download do ícone: ' . $itemName . '_icon.png';
                    self::inserirLinhaEmArquivo($msg, '../adminpan/logs/furnidata.log');
                } catch (Exception $e) {
                    $msg = 'falha no download do ícone: ' . $itemName . '_icon.png (' . $e->getMessage() . ')';
                    self::error($msg);
                    self::inserirLinhaEmArquivo($msg, '../adminpan/logs/furnidata.log');
                    return;
                }
            }

            restore_error_handler();

            // insere em furniture
            $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            $dbh->setAttribute(PDO::ATTR_EMULATE_PREPARES, false);

            $insertFurniture = $dbh->prepare('INSERT INTO furniture(item_name, public_name, type, width, length, stack_height, can_stack, can_sit, is_walkable, sprite_id, allow_recycle, allow_trade, 
                                                                            allow_marketplace_sell, allow_gift, allow_inventory_stack, interaction_type, interaction_modes_count, vending_ids, effect_id, is_arrow, 
                                                                            foot_figure, stack_multiplier, subscriber, variable_heights, flat_id, revision, description, specialtype, canlayon, requires_rights, song_id) 
                        VALUES (:item_name, :public_name, :type, :width, :length, :stack_height, :can_stack, :can_sit, :is_walkable, :sprite_id, :allow_recycle, :allow_trade, 
                                :allow_marketplace_sell, :allow_gift, :allow_inventory_stack, :interaction_type, :interaction_modes_count, :vending_ids, :effect_id, :is_arrow, 
                                :foot_figure, :stack_multiplier, :subscriber, :variable_heights, :flat_id, :revision, :description, :specialtype, :canlayon, :requires_rights, :song_id)');

            $insertFurniture->bindParam(':item_name', $itemName);
            $insertFurniture->bindParam(':public_name', $_POST['public_name']);
            $insertFurniture->bindParam(':type', $_POST['type']);
            $insertFurniture->bindParam(':width', $_POST['width']);
            $insertFurniture->bindParam(':length', $_POST['length']);
            $insertFurniture->bindParam(':stack_height', $_POST['stack_height']);
            $insertFurniture->bindParam(':can_stack', $_POST['can_stack']);
            $insertFurniture->bindParam(':can_sit', $_POST['can_sit']);
            $insertFurniture->bindParam(':is_walkable', $_POST['is_walkable']);
            $insertFurniture->bindParam(':sprite_id', $time); // new
            $insertFurniture->bindParam(':allow_recycle', $_POST['allow_recycle']);
            $insertFurniture->bindParam(':allow_trade', $_POST['allow_trade']);
            $insertFurniture->bindParam(':allow_marketplace_sell', $_POST['allow_marketplace_sell']);
            $insertFurniture->bindParam(':allow_gift', $_POST['allow_gift']);
            $insertFurniture->bindParam(':allow_inventory_stack', $_POST['allow_inventory_stack']);
            $insertFurniture->bindParam(':interaction_type', $_POST['interaction_type']);
            $insertFurniture->bindParam(':interaction_modes_count', $_POST['interaction_modes_count']);
            $insertFurniture->bindParam(':vending_ids', $_POST['vending_ids']);
            $insertFurniture->bindParam(':effect_id', $_POST['effect_id']);
            $insertFurniture->bindValue(':is_arrow', 1);
            $insertFurniture->bindValue(':foot_figure', 0);
            $insertFurniture->bindValue(':stack_multiplier', 0);
            $insertFurniture->bindValue(':subscriber', 0);
            $insertFurniture->bindParam(':variable_heights', $_POST['variable_heights']);
            $insertFurniture->bindValue(':flat_id', -1);
            $insertFurniture->bindParam(':revision', $revision); // new
            $insertFurniture->bindParam(':description', $_POST['description']);
            $insertFurniture->bindValue(':specialtype', 1);
            $insertFurniture->bindParam(':canlayon', $_POST['canlayon']);
            $insertFurniture->bindParam(':requires_rights', $_POST['requires_rights']);
            $insertFurniture->bindParam(':song_id', $_POST['song_id']);

            $insertFurniture->execute();

            $findFurniture = $dbh->prepare('SELECT id FROM furniture WHERE item_name = :itemName');
            $findFurniture->bindParam(':itemName', $_POST['item_name']);
            $findFurniture->execute();
            $findFurniture = $findFurniture->fetch();

            // insere em catalog_items
            $insertCatalogItem = $dbh->prepare('INSERT INTO catalog_items(page_id, item_ids, catalog_name, cost_credits, cost_pixels, cost_diamonds, cost_seasonal, amount, limited_stack, extradata, badge_id) 
                                                                     VALUES (:pageId, :itemIds, :catalogName, :costCredits, :costPixels, :costDiamonds, :costSeasonal, :amount, :limitedStack, :extraData, :badgeId)');
            $insertCatalogItem->bindParam(':pageId', $_POST['page_id']);
            $insertCatalogItem->bindParam(':itemIds', $findFurniture['id']);
            $insertCatalogItem->bindParam(':catalogName', $_POST['catalog_name']);
            $insertCatalogItem->bindParam(':costCredits', $_POST['cost_credits']);
            $insertCatalogItem->bindParam(':costPixels', $_POST['cost_pixels']);
            $insertCatalogItem->bindParam(':costDiamonds', $_POST['cost_diamonds']);
            $insertCatalogItem->bindParam(':costSeasonal', $_POST['cost_seasonal']);
            $insertCatalogItem->bindParam(':amount', $_POST['amount']);
            $insertCatalogItem->bindParam(':limitedStack', $_POST['limited_stack']);
            $insertCatalogItem->bindValue(':extraData', '');
            $insertCatalogItem->bindParam(':badgeId', $_POST['badge_id']);
            $insertCatalogItem->execute();

            self::inserirLinhaEmArquivo($xml, '../swf/gamedata/furnidata_temp.xml');

            self::succeed('Mobi adicionado com sucesso! ID: ' . $findFurniture['id'] . '. Digite ":reload items" e ":reload catalog" (nessa ordem) no Hotel para atualizar (apenas membros superiores).');
        }
    }

    public static function addCatalogPage()
    {
        global $dbh;
        if (isset($_POST['addCatalogPage'])) {
            $caption = $_POST['caption'];
            $link = trim(mb_strtolower($_POST['link']));
            $link = str_replace(' ', '-', $link);
            $link = preg_replace(array("/(á|à|ã|â|ä)/", "/(Á|À|Ã|Â|Ä)/", "/(é|è|ê|ë)/", "/(É|È|Ê|Ë)/", "/(í|ì|î|ï)/", "/(Í|Ì|Î|Ï)/", "/(ó|ò|õ|ô|ö)/", "/(Ó|Ò|Õ|Ô|Ö)/", "/(ú|ù|û|ü)/", "/(Ú|Ù|Û|Ü)/", "/(ñ)/", "/(Ñ)/"), explode(" ", "a A e E i I o O u U n N"), $link);
            $link = str_replace('&', 'e', $link);
            $link = str_replace('\'', '', $link);
            $link = str_replace(':', '', $link);
            $link = str_replace('ç', 'c', $link);
            $link = str_replace('[', '', $link);
            $link = str_replace(']', '', $link);

            if (strlen($caption) < 2 || strlen($caption) > 50) {
                self::error('O título da página deve ter no mínimo 2 e no máximo 50 caracteres.');
                return;
            }

            $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

            $select = $dbh->prepare('SELECT id FROM catalog_pages WHERE caption = :caption AND parent_id = :parentId');
            $select->bindParam(':caption', $caption);
            $select->bindValue(':parentId', 423423581);
            $select->execute();

            if ($select->RowCount() > 0) {
                self::error('Já existe uma página com este título.');
                return;
            }

            $selectLink = $dbh->prepare('SELECT id FROM catalog_pages WHERE link = :link');
            $selectLink->bindParam(':link', $link);
            $selectLink->execute();

            if ($selectLink->RowCount() > 0) {
                self::error('Já existe uma página com o link "' . $link . '". Informe um link único.');
                return;
            }

            $insert = $dbh->prepare('INSERT INTO catalog_pages(parent_id, caption, icon_image, min_rank, order_num, page_layout, page_images, page_texts, link) 
                                            VALUES(:parentId, :caption, :iconImage, :minRank, :orderNum, :pageLayout, :pageImages, :pageTexts, :link)');
            $insert->bindValue(':parentId', 423423581);
            $insert->bindParam(':caption', $caption);
            $insert->bindValue(':iconImage', 289481);
            $insert->bindValue(':minRank', 7);
            $insert->bindValue(':orderNum', 1);
            $insert->bindValue(':pageLayout', 'default_3x3');
            $insert->bindValue(':pageImages', '');
            $insert->bindValue(':pageTexts', '');
            $insert->bindParam(':link', $link);
            $insert->execute();

            self::succeed('Página adicionada com sucesso!');
        }
    }

    public static function deleteCatalogPage()
    {
        global $dbh;
        if (isset($_GET['delete'])) {
            $deletePage = $dbh->prepare("DELETE FROM catalog_pages WHERE id = :id AND parent_id = :parentId");
            $deletePage->bindParam(':id', $_GET['delete']);
            $deletePage->bindValue(':parentId', 423423581);
            $deletePage->execute();
            self::succeed('Página removida! Digite ":reload catalog" no Hotel para atualizar (apenas membros superiores).');
        }
    }

    public static function insertAdminpanLog($userId, $message)
    {
        global $dbh;
        $insert = $dbh->prepare('INSERT INTO cms_adminpan_logs (user_id, message, timestamp) VALUES (:userId, :message, :now)');
        $insert->bindParam(':userId', $userId);
        $insert->bindParam(':message', $message);
        $insert->bindValue(':now', time());
        $insert->execute();
    }

    public static function resetHall()
    {
        global $dbh;
        if (isset($_POST['resethall'])) {
            if (!empty($_POST['tipo'])) {
                $tipo = $_POST['tipo'];
                $txtTipo = '';

                if ($tipo == 'eventos') {
                    $txtTipo = 'O Hall de eventos foi resetado!';
                    $reset = $dbh->prepare('UPDATE players SET event_points = 0');
                    $reset->execute();

                    self::insertAdminpanLog($_SESSION['id'], 'resetou o Hall de Eventos');
                } else if ($tipo == 'promos') {
                    $txtTipo = 'O Hall de promoções foi resetado!';
                    $reset = $dbh->prepare('UPDATE players SET promo_points = 0');
                    $reset->execute();

                    self::insertAdminpanLog($_SESSION['id'], 'resetou o Hall de Promoções');
                } else if ($tipo == 'ambos') {
                    $txtTipo = 'O Hall de eventos e o de promoções foram resetados!';
                    $reset = $dbh->prepare('UPDATE players SET event_points = 0, promo_points = 0');
                    $reset->execute();

                    self::insertAdminpanLog($_SESSION['id'], 'resetou o Hall de Eventos e o Hall de Promoções');
                } else {
                    return;
                }

                self::succeed($txtTipo);
            }
        }
    }

    public static function addOrUpdateText()
    {
        global $dbh;
        if (isset($_POST['addOrUpdateText'])) {
            $conteudo = $_POST['conteudo'];

            $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

            $existente = $dbh->prepare('SELECT * FROM cms_adminpan_text LIMIT 1');
            $existente->execute();

            if ($existente->RowCount() == 1) {
                $existente = $existente->fetch();

                $update = $dbh->prepare('UPDATE cms_adminpan_text SET conteudo = :conteudo WHERE id = :id');
                $update->bindParam(':conteudo', $conteudo);
                $update->bindParam(':id', $existente['id']);
                $update->execute();
            } else {
                $insert = $dbh->prepare('INSERT INTO cms_adminpan_text(conteudo) VALUES (:conteudo)');
                $insert->bindValue(':conteudo', $conteudo);
                $insert->execute();
            }

            self::succeed('Texto atualizado com sucesso!');
        }
    }

    public static function addOrUpdateClubVip()
    {
        global $dbh;
        if (isset($_POST['addOrUpdateClubVip'])) {
            $conteudo = $_POST['conteudo'];

            $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

            $existente = $dbh->prepare('SELECT * FROM cms_clubvip LIMIT 1');
            $existente->execute();

            if ($existente->RowCount() == 1) {
                $existente = $existente->fetch();

                $update = $dbh->prepare('UPDATE cms_clubvip SET conteudo = :conteudo WHERE id = :id');
                $update->bindParam(':conteudo', $conteudo);
                $update->bindParam(':id', $existente['id']);
                $update->execute();
            } else {
                $insert = $dbh->prepare('INSERT INTO cms_clubvip(conteudo) VALUES (:conteudo)');
                $insert->bindValue(':conteudo', $conteudo);
                $insert->execute();
            }

            self::succeed('Texto atualizado com sucesso!');
        }
    }

    public static function deleteFeed()
    {
        global $dbh, $config;
        if (isset($_GET['feed_id']) && User::userData('rank') >= $config['staffFeedMinimumRank']) {
            $deleteNews = $dbh->prepare("DELETE FROM cms_feed WHERE id=:feedid");
            $deleteNews->bindParam(':feedid', $_GET['feed_id']);
            $deleteNews->execute();

            $origin = isset($_GET['origin']) ? $_GET['origin'] : 'adminpan';

            if ($origin == 'me') {
                echo "<script>
                                alert('Puplicação excluída com sucesso!');
                                window.location.href='/me'
                          </script>";
            } else {
                self::succeed('Puplicação excluída com sucesso!');
            }
        }
    }

    public static function postFeed()
    {
        global $dbh;
        if (isset($_POST['postfeed'])) {
            $_SESSION['story'] = $_POST['story'];
            if (!empty($_POST['story'])) {
                $postFeed = $dbh->prepare("INSERT INTO cms_feed(story,player_id,timestamp) VALUES(:story, :player_id, :timestamp)");
                $postFeed->bindParam(':story', $_POST['story']);
                $postFeed->bindParam(':player_id', $_SESSION['id']);
                $postFeed->bindParam(':timestamp', time());
                $postFeed->execute();
                $_SESSION['story'] = '';
                self::succeed("Publicação postada com sucesso!");
            } else {
                self::error("O conteúdo está vazio!");
                return;
            }
        }
    }

    public static function editFeed($variable)
    {
        global $dbh;
        if (isset($_GET['feed_id'])) {
            $getNews = $dbh->prepare("SELECT * FROM cms_feed WHERE id=:feedid LIMIT 1");
            $getNews->bindParam(':feedid', $_GET['feed_id']);
            $getNews->execute();

            if ($getNews->RowCount() == 1) {
                $feed = $getNews->fetch();
                return $feed[$variable];
            } else {
                self::error("Publicação não encontrada!");
                exit;
            }
        }
    }

    public static function updateFeed()
    {
        global $dbh;
        if (isset($_POST['update'])) {
            $editNews = $dbh->prepare("UPDATE cms_feed SET story=:story,updated_timestamp=:updated_timestamp WHERE id = :id");
            $editNews->bindParam(':id', $_POST['id']);
            $editNews->bindParam(':story', $_POST['story']);
            $editNews->bindParam(':updated_timestamp', time());
            $editNews->execute();
            self::succeed("Publicação editada com sucesso!");
        }
    }

    public static function deleteOldBans()
    {
        global $dbh;

        if (isset($_POST['deleteOldBans'])) {
            $delete = $dbh->prepare('DELETE FROM bans WHERE expire != 0 AND expire < :time');
            $delete->bindValue(':time', time());
            $delete->execute();
            self::succeed('Os banimentos antigos foram excluídos.');
        }
    }

    private static function getBadgeCode($txt)
    {
        return substr($txt, 11, strpos($txt, '=') - 11);
    }
    private static function getBadgeName($txt)
    {
        if (startsWith($txt, 'badge_name')) {
            return substr($txt, strpos($txt, '=') + 1, strlen($txt) - 1);
        }
    }
    private static function getBadgeDesc($txt)
    {
        if (startsWith($txt, 'badge_desc')) {
            return substr($txt, strpos($txt, '=') + 1, strlen($txt) - 1);
        }
    }

    public static function getUploadedBadges()
    {
        global $config;

        $badges = array();

        $texts = file($_SERVER['DOCUMENT_ROOT'] . '/swf/gamedata/habbo_override_texts.txt', FILE_IGNORE_NEW_LINES);
        $i = 0;
        foreach ($texts as $line_num => $line) {
            if (startsWith($line, 'badge_')) {
                if ($i % 2 == 0) { // par
                    $lineName = $texts[$line_num];
                    $lineDesc = $texts[$line_num + 1];

                    $code = self::getBadgeCode($lineName);

                    $obj = array();
                    $obj['code'] = $code;
                    $obj['name'] = self::getBadgeName($lineName);
                    $obj['desc'] = self::getBadgeDesc($lineDesc);
                    $obj['link'] = $config['badgeURL'] . $code . '.gif';
                    array_push($badges, $obj);
                }
                $i++;
            }
        }

        return $badges;
    }

    public static function addPoll()
    {
        global $config, $dbh;

        header("Content-Type: application/json; charset=UTF-8");

        $response = array(
            'success' => false
        );

        if (User::userData('rank') >= $config['minRankManagePolls']) {
            if (empty(trim($_POST['titulo']))) {
                $response['error'] = true;
                $response['status_code'] = 400;
                $response['message'] = 'Informe o título da votação.';
            } else if (empty(trim($_POST['descricao']))) {
                $response['error'] = true;
                $response['status_code'] = 400;
                $response['message'] = 'Informe a descrição da votação.';
            } else if (!isset($_POST['data_encerramento'])) {
                $response['error'] = true;
                $response['status_code'] = 400;
                $response['message'] = 'Informe a data de encerramento da votação.';
            } else if (!isset($_POST['precisa_login'])) {
                $response['error'] = true;
                $response['status_code'] = 400;
                $response['message'] = 'Informe se precisa estar logado.';
            } else if (!isset($_POST['votos_por_usuario'])) {
                $response['error'] = true;
                $response['status_code'] = 400;
                $response['message'] = 'Informe o limite de votos por usuário.';
            } else {
                $nomesUsuarios = array_values(isset($_POST['usuarios']) ? $_POST['usuarios'] : []);
                $idsUsuarios = array();
                $usuariosNaoEncontrados = array();

                for ($i = 0; $i < count($nomesUsuarios); $i++) {
                    $usuario = $dbh->prepare('SELECT id FROM players WHERE username = :username');
                    $usuario->bindParam(':username', $nomesUsuarios[$i]);
                    $usuario->execute();

                    if ($usuario->rowCount() == 0) {
                        array_push($usuariosNaoEncontrados, $nomesUsuarios[$i]);
                    } else {
                        array_push($idsUsuarios, $usuario->fetch()['id']);
                    }
                }

                if (count($usuariosNaoEncontrados) > 0) {
                    $response['error'] = true;
                    $response['status_code'] = 404;
                    $response['message'] = 'Os usuários [' . implode(', ', $usuariosNaoEncontrados) . '] não foram encontrados.';
                } else {
                    $votos_por_usuario = $_POST['precisa_login'] == '1' ? ($_POST['votos_por_usuario'] != 'ilimitado' ? $_POST['votos_por_usuario'] : null) : null;
                    $insertPoll = $dbh->prepare('INSERT INTO cms_polls(titulo, descricao, data_encerramento, precisa_login, votos_por_usuario, ativada) 
                                                                VALUES (:titulo, :descricao, :data_encerramento, :precisa_login, :votos_por_usuario, :ativada)');
                    $insertPoll->bindParam(':titulo', $_POST['titulo']);
                    $insertPoll->bindParam(':descricao', $_POST['descricao']);
                    $insertPoll->bindParam(':data_encerramento', $_POST['data_encerramento']);
                    $insertPoll->bindParam(':precisa_login', $_POST['precisa_login']);
                    $insertPoll->bindParam(':votos_por_usuario', $votos_por_usuario);
                    $insertPoll->bindParam(':ativada', $_POST['ativada']);
                    $insertPoll->execute();
                    $pollId = $dbh->lastInsertId();

                    if ($pollId > 0) {
                        for ($i = 0; $i < count($nomesUsuarios); $i++) {
                            $insertUsuario = $dbh->prepare('INSERT INTO cms_polls_users(poll_id, player_id) VALUES (:poll_id, :player_id)');
                            $insertUsuario->bindParam(':poll_id', $pollId);
                            $insertUsuario->bindParam(':player_id', $idsUsuarios[$i]);
                            $insertUsuario->execute();
                        }
                    }

                    $response['success'] = true;
                }
            }
        }

        echo json_encode($response);
    }



    public static function editPoll()
    {
        global $config, $dbh;

        header("Content-Type: application/json; charset=UTF-8");

        $response = array(
            'success' => false
        );

        if (isset($_POST['poll_id']) && User::userData('rank') > $config['minRankManagePolls']) {
            $votos_por_usuario = $_POST['precisa_login'] == '1' ? ($_POST['votos_por_usuario'] != 'ilimitado' ? $_POST['votos_por_usuario'] : null) : null;
            $updatePoll = $dbh->prepare('UPDATE cms_polls SET titulo = :titulo, 
                                                            descricao = :descricao, 
                                                            data_encerramento = :data_encerramento, 
                                                            precisa_login = :precisa_login, 
                                                            votos_por_usuario = :votos_por_usuario, 
                                                            ativada = :ativada 
                                                          WHERE id = :id');
            $updatePoll->bindParam(':id', $_POST['poll_id']);
            $updatePoll->bindParam(':titulo', $_POST['titulo']);
            $updatePoll->bindParam(':descricao', $_POST['descricao']);
            $updatePoll->bindParam(':data_encerramento', $_POST['data_encerramento']);
            $updatePoll->bindParam(':precisa_login', $_POST['precisa_login']);
            $updatePoll->bindParam(':votos_por_usuario', $votos_por_usuario);
            $updatePoll->bindParam(':ativada', $_POST['ativada']);
            $updatePoll->execute();

            $response['success'] = true;
        }

        echo json_encode($response);
    }

    public static function deletePoll()
    {
        global $dbh, $config;
        if (isset($_GET['poll_id']) && User::userData('rank') >= $config['minRankManagePolls']) {
            $deleteBan = $dbh->prepare("DELETE FROM cms_polls WHERE id=:poll_id");
            $deleteBan->bindParam(':poll_id', $_GET['poll_id']);
            $deleteBan->execute();
            self::succeed('Votação excluída com sucesso.');
        }
    }

    public static function getPollAnswers()
    {
        global $config, $dbh;

        header("Content-Type: application/json; charset=UTF-8");

        $op_arr = array();

        if (isset($_GET['poll_id']) && User::userData('rank') > $config['minRankManagePolls']) {
            $options = $dbh->prepare('SELECT player_id FROM `cms_polls_users` WHERE poll_id = :poll_id');
            $options->bindParam(':poll_id', $_GET['poll_id']);
            $options->execute();

            while ($option = $options->fetch()) {
                $respostas = $dbh->prepare("SELECT id FROM cms_polls_answers WHERE poll_id = :poll_id AND resposta = :resposta");
                $respostas->bindParam(':poll_id', $_GET['poll_id']);
                $respostas->bindParam(':resposta', $option['player_id']);
                $respostas->execute();

                $op_arr[$option['player_id']] = $respostas->rowCount() . ' votos';
            }
        }

        echo json_encode($op_arr);
    }

    public static function recoveryUserPassword()
    {
        global $dbh, $config;

        if (isset($_POST['user']) && User::userData('rank') >= $config['minRankChangeUsersPasswords']) {
            $sql = $dbh->prepare('SELECT id,username,rank FROM players WHERE username = :username');
            $sql->bindParam(':username', $_POST['user']);
            $sql->execute();
            $usuarioValido = $sql->rowCount() == 1;

            if ($usuarioValido) {
                $user = $sql->fetch();

                $lastResetkey = $dbh->prepare('SELECT timestamp FROM cms_reset_password WHERE player_id = :playerId ORDER BY id DESC LIMIT 1');
                $lastResetkey->bindParam(':playerId', $user['id']);
                $lastResetkey->execute();

                $time = $lastResetkey->rowCount() > 0 ? $lastResetkey->fetch()['timestamp'] : 0;

                if ($user['rank'] >= $config['staffVerifiedAccountMinimumRank'] && $user['rank'] != 5) {
                    self::error('Você não pode gerar um link de redefinição de senha para este usuário.');
                } else if (($time + (60 * 3)) > time()) {
                    self::error('Espere 3 minutos antes de solicitar um novo link de redefinição de senha.');
                } else {
                    $resetKeyhash = md5(str_shuffle(1290 * 3 + $user['id']));

                    $insert = $dbh->prepare('INSERT INTO cms_reset_password(player_id, staff_id, reset_key, reg_ip, timestamp, enabled) VALUES (:player_id, :staff_id, :reset_key, :reg_ip, :timestamp, :enabled)');
                    $insert->bindParam(':player_id', $user['id']);
                    $insert->bindParam(':staff_id', $_SESSION['id']);
                    $insert->bindParam(':reset_key', $resetKeyhash);
                    $insert->bindParam(':reg_ip', userIp());
                    $insert->bindParam(':timestamp', time());
                    $insert->bindValue(':enabled', '1');
                    $insert->execute();

                    if ($insert->rowCount() > 0) {
                        self::insertAdminpanLog($_SESSION['id'], 'gerou um link de redefinição de senha para: ' . $user['username']);

                        $url = $config['hotelUrl'] . '/new-password/' . $resetKeyhash;
                        self::succeed('Link de redefinição de senha gerado: <a href="' . $url . '" target="_blank">' . $url . '</a>');
                    }
                }
            } else {
                self::error("Usuário não encontrado!");
            }
        }
    }

    public static function isFalsy($text): bool
    {
        return !isset($text) || empty($text);
    }

    public static function isEnabled($c)
    {
        return $c == "" ? 1 : 0;
    }

    public static function getUserConfigurationInfo($username, $key)
    {
        global $dbh;

        $userid = Admin::getUserInfo($username, "id");
        $getConfiguration = $dbh->prepare("SELECT * FROM player_settings WHERE player_id = :playerid");
        $getConfiguration->bindValue(":playerid", $userid);
        $getConfiguration->execute();
        return $getConfiguration->fetch(PDO::FETCH_ASSOC)[$key];
    }

    public static function updateUserConfiguration( $key, $value ) {
        global $dbh;
        $upd = $dbh->prepare("UPDATE users_settings SET ".$key." = :fodase WHERE user_id = :pid");
        $upd->bindValue(":fodase", $value);
        $upd->bindValue(":pid", $_SESSION['id']);
        $upd->execute();
    }

    public static function getNewsFallBack($image): string
    {
        return Admin::isFalsy($image) ? '/templates/binics/dist/img/news-fallback.png' : $image;
    }

    public static function getAvatarFallBack($figure, $headonly = false): string
    {
        if (!$headonly)
            return Admin::isFalsy($figure) ? '/templates/binics/dist/img/avatar-fallback.gif' : 'https://habbo.city/habbo-imaging/avatarimage??size=m&gesture=sml&figure=' . $figure;
        else
            return Admin::isFalsy($figure) ? '/templates/binics/dist/img/avatar-fallback.gif' : 'https://habbo.city/habbo-imaging/avatarimage??size=m&gesture=sml&figure=' . $figure . "&headonly=1";
    }

    public static function getHallFallBack($user)
    {
        $figure   = Admin::getAvatarFallBack($user['look']);
        $amount   = Admin::isFalsy($user['amount']) ? '---' : $user['amount'];
        $username = Admin::isFalsy($user['username']) ? 'Desconhecido' : $user['username'];

        return ['look' => $figure, 'amount' => $amount, 'username' => $username];
    }

    public static function formatCurrency($number)  
    {
        $number = (0 + str_replace(",", "", $number));
        if (!is_numeric($number)) return false;
        if ($number > 1000000000000) return round(($number / 1000000000000), 1) . 'T';
        else if ($number > 1000000000) return round(($number / 1000000000), 1) . 'B';
        else if ($number > 1000000) return round(($number / 1000000), 1) . 'M';
        else if ($number > 1000) return round(($number / 1000), 1) . 'K';
        return number_format($number);
    }

    public static function formatDate($date, $format)
    {
        $datetime = new DateTime("@$date", new DateTimeZone('America/Sao_Paulo'));
        return $datetime->format(!empty($format) ? $format : 'd/m/y à\s H:i:s');
    }

    public static function resolveStr($str, $size)
    {
        return strlen($str) > $size ? trim(substr($str, 0, $size)) . "..." : $str;
    }

    public static function forceRows($array, $size)
    {
        return array_merge($array, array_fill(0, 5 - count($array), []));
    }

    public static function getUserInfo($username, $key)
    {
        global $dbh;
        $username = htmlspecialchars($username);
        $searchUser = $dbh->prepare("SELECT * FROM users WHERE username = :username");
        $searchUser->bindValue(":username", $username);
        $searchUser->execute();
        $found = $searchUser->rowCount() >= 1;
        if ($found) {
            $user = $searchUser->fetch(PDO::FETCH_ASSOC);
            if ($key != "friends") {
                return $user[$key];
            } else {
                $searchFriends = $dbh->prepare("SELECT * FROM messenger_friendships WHERE user_one_id = :playerid OR user_two_id = :playerid");
                $searchFriends->bindValue(":playerid", $user['id']);
                $searchFriends->execute();
                $friendCounter = $searchFriends->rowCount();
                return $friendCounter;
            }
        }
    }    
}