<?php
if (!defined('BRAIN_CMS')) {
    die('Sorry but you cannot access this file!');
}

/*
    Functions list Class User.
    ---------------
    checkUser();
    hashed();
    validName();
    userData();
    emailTaken();
    userTaken();
    refUser();
    login();
    register();
    userRefClaim();
    editPassword();
    editEmail();
    editHotelSettings();
    editUsername();
*/

class User
{
    public static function checkUser($password, $passwordDb, $username)
    {
        global $dbh, $emuUse;
        if (substr($passwordDb, 0, 1) == "$") {
            if (password_verify($password, $passwordDb)) {
                return true;
            }
            return false;
        } else {
            $passwordBcrypt = self::hashed($password);
            if (md5($password) == $passwordDb) {
                $stmt = $dbh->prepare("UPDATE " . $emuUse['users'] . " SET password = :password WHERE username = :username");
                $stmt->bindParam(':username', $username);
                $stmt->bindParam(':password', $passwordBcrypt);
                $stmt->execute();
                return true;
            }
            return false;
        }
    }

    public static function hashed($password)
    {
        return password_hash($password, PASSWORD_BCRYPT);
    }

    public static function validName($username)
    {
        return strlen($username) >= 2 && strlen($username) <= 20;
    }

    public static function userSettingsById($key, $playerId)
    {
        global $dbh;
        $stmt = $dbh->prepare("SELECT " . $key . " FROM player_settings WHERE player_id = :id");
        $stmt->bindParam(':id', $playerId);
        $stmt->execute();
        $row = $stmt->fetch();
        return filter($row[$key]);
    }

    public static function userSettings($key)
    {
        global $dbh;
        $stmt = $dbh->prepare("SELECT " . $key . " FROM player_settings WHERE player_id = :id");
        $stmt->bindParam(':id', $_SESSION['id']);
        $stmt->execute();
        $row = $stmt->fetch();
        return filter($row[$key]);
    }

    public static function userData($key)
    {
        global $dbh, $config;
        if (loggedIn()) {
                if (in_array($key, array('activity_points', 'vip_points'))) {
                    switch ($key) {
                        case "activity_points":
                            $key = '0';
                            break;
                        case "vip_points":
                            $key = '5';
                            break;
                        default:
                            break;
                    }
                    $stmt = $dbh->prepare("SELECT " . $key . ",user_id,type,amount FROM users_currency WHERE user_id = :id AND type = :type");
                    $stmt->bindParam(':id', $_SESSION['id']);
                    $stmt->bindParam(':type', $key);
                    $stmt->execute();
                    if ($stmt->RowCount() > 0) {
                        $row = $stmt->fetch();
                        return $row['amount'];
                    } else {
                        return '0';
                    }
                } else {
                    $stmt = $dbh->prepare("SELECT " . $key . " FROM users WHERE id = :id");
                    $stmt->bindParam(':id', $_SESSION['id']);
                    $stmt->execute();
                    $row = $stmt->fetch();
                    return filter($row[$key]);
                }
            } else {
                $stmt = $dbh->prepare("SELECT " . $key . " FROM users WHERE id = :id");
                $stmt->bindParam(':id', $_SESSION['id']);
                $stmt->execute();
                $row = $stmt->fetch();
                return filter($row[$key]);
            }
        }
    

    public static function tokenCMS()
    {
        $ipuser = $_SESSION['login_ip'];

        if ($ipuser && loggedIn() !== userIp()) {
            setcookie('PHPSESSID', '', time() - 3600);

            header('Location: /index');

            return true;
        }
    }

    public static function popularidade()
    {
        global $dbh;

        if (loggedIn()) {
            $popu = $dbh->prepare("SELECT id, username, popularidade FROM players WHERE id = :id");
            $popu->bindParam(':id', $_SESSION['id']);
            $popu->execute();
            $listarpopu = $popu->fetch();

            if ($listarpopu['popularidade'] == 1) {
                echo "<span class='badge-rooms badge rounded-pill bg-primary' style='background:#daa520 !important;'>RANDOM</span>";
            } else if ($listarpopu['popularidade'] == 2) {
                echo "<span class='badge-rooms badge rounded-pill bg-primary' style='background:#daa520 !important;'>NOVATO</span>";
            } else if ($listarpopu['popularidade'] == 3) {
                echo "<span class='badge-rooms badge rounded-pill bg-primary' style='background:#daa520 !important;'>CONHECIDO</span>";
            } else if ($listarpopu['popularidade'] == 4) {
                echo "<span class='badge-rooms badge rounded-pill bg-primary' style='background:#daa520 !important;'>POPULAR</span>";
            } else if ($listarpopu['popularidade'] == 5) {
                echo "<span class='badge-rooms badge rounded-pill bg-primary' style='background:#daa520 !important;'>PATROCINADO</span>";
            } else if ($listarpopu['popularidade'] == 6) {
                echo "<span class='badge-rooms badge rounded-pill bg-primary' style='background:#daa520 !important;'>COMENTADO</span>";
            } else if ($listarpopu['popularidade'] == 7) {
                echo "<span class='badge-rooms badge rounded-pill bg-primary' style='background:#daa520 !important;'>ESTRELA</span>";
            } else if ($listarpopu['popularidade'] == 8) {
                echo "<span class='badge-rooms badge rounded-pill bg-primary' style='background:#daa520 !important;'>NACIONAL</span>";
            } else if ($listarpopu['popularidade'] == 9) {
                echo "<span class='badge-rooms badge rounded-pill bg-primary' style='background:#daa520 !important;'>INTERNACIONAL</span>";
            } else if ($listarpopu['popularidade'] == 10) {
                echo "<span class='badge-rooms badge rounded-pill bg-primary' style='background:#daa520 !important;'>SUPER STAR</span>";
            } else if ($listarpopu['popularidade'] == 11) {
                echo "<span class='badge-rooms badge rounded-pill bg-primary' style='background:#daa520 !important;'>DEV</span>";
            }
        }
    }

    public static function onlyvips()
    {
        global $dbh;

        $iduser = htmlspecialchars($_SESSION['id']);

        if (loggedIn()) {
            $vip = $dbh->prepare("SELECT id, username, vip FROM players WHERE id = ?");
            $vip->bindParam(1, $iduser);
            $vip->execute();
            $listarvip = $vip->fetch();

            if ($listarvip['vip'] == 1) {
                echo "<span class='badge-rooms badge rounded-pill bg-primary' style='background:#222 !important;'>VIP</span>";
            }
        }
    }

    public static function onlyrank()
    {
        global $dbh;
        $iduser = htmlspecialchars($_SESSION['id']);

        if (loggedIn()) {
            $rank = $dbh->prepare("SELECT id, username, rank FROM players WHERE id = ? and rank >= 4");
            $rank->bindParam(1, $iduser);
            $rank->execute();
            $listarrank = $rank->fetch();

            if ($listarrank['rank'] >= 4) {
                echo "<i class='fas fa-check-circle' data-bs-toggle='tooltip' data-bs-placement='top' title='STAFF'></i>";
            }
        }
    }

    public static function event()
    {
        global $dbh;
        $iduser = htmlspecialchars($_SESSION['id']);

        if (loggedIn()) {
            $eventpoints = $dbh->prepare("SELECT id, username, event_points FROM players WHERE id = ?");
            $eventpoints->bindParam(1, $iduser);
            $eventpoints->execute();
            $listarpoints = $eventpoints->fetch();

            if ($listarpoints['event_points'] >= 1000 && $listarpoints['event_points'] > 999) {
                echo "<i class='fas fa-trophy' data-bs-toggle='tooltip' data-bs-placement='top' title='TOP 1' style='color:#daa520;'></i>";
            } else if ($listarpoints['event_points'] >= 900 && $listarpoints['event_points'] <= 999) {
                echo "<i class='fas fa-trophy' data-bs-toggle='tooltip' data-bs-placement='top' title='TOP 2' style='color:#c0c0c0;'></i>";
            } else if ($listarpoints['event_points'] >= 799 && $listarpoints['event_points'] <= 899) {
                echo "<i class='fas fa-trophy' data-bs-toggle='tooltip' data-bs-placement='top' title='TOP 3' style='color:#cd7f32;'></i>";
            }
        }
    }

    public static function userSettingsData($key)
    {
        global $dbh;
        if (loggedIn()) {
            $stmt = $dbh->prepare("SELECT " . $key . " FROM player_settings WHERE player_id = :id");
            $stmt->bindParam(':id', $_SESSION['id']);
            $stmt->execute();
            $row = $stmt->fetch();
            return $row[$key];
        }
    }

    public static function emailTaken($email)
    {
        global $dbh, $config;
        if ($config['hotelEmu'] == 'comet') {
            $stmt = $dbh->prepare("SELECT email FROM players WHERE email = :email LIMIT 1");
        } else {
            $stmt = $dbh->prepare("SELECT mail FROM users WHERE mail = :email LIMIT 1");
        }
        $stmt->bindParam(':email', $email);
        $stmt->execute();
        if ($stmt->RowCount() > 0) {
            return true;
        } else {
            return false;
        }
    }

    public function UpdateSSO($username)
    {
        global $dbh;

        $ticket = Admin::Random('sso');

        $update_ticket = $dbh->prepare("UPDATE players SET auth_ticket = ? WHERE username = ?");
        $update_ticket->bindValue(1, $ticket);
        $update_ticket->bindValue(2, $username);
        $update_ticket->execute();

        return $ticket;
    }


    public static function userTaken($username)
    {
        global $dbh, $config, $emuUse;
        $stmt = $dbh->prepare("SELECT username FROM " . $emuUse['users'] . " WHERE username = :username LIMIT 1");
        $stmt->bindParam(':username', $username);
        $stmt->execute();
        if ($stmt->RowCount() > 0) {
            return true;
        } else {
            return false;
        }
    }

    public static function userInFilter($username)
    {
        global $dbh;
        $words = $dbh->prepare('SELECT * FROM wordfilter');
        $words->execute();

        if ($words->rowCount() > 0) {
            while ($word = $words->fetch()) {
                if (!(strpos($username, $word['word']) === false) || !(strpos(str_replace(['.', ',', '_', '-'], '', $username), $word['word']) === false)) {
                    return $word['word'];
                }
            }
        }

        return false;
    }

    public static function refUser($refUsername)
    {
        global $dbh, $lang, $config, $emuUse;
        $getUsernameRef = $dbh->prepare("SELECT username,ip_reg FROM " . $emuUse['users'] . " WHERE username = :username LIMIT 1");
        $getUsernameRef->bindParam(':username', $refUsername);
        $getUsernameRef->execute();
        $getUsernameRefData = $getUsernameRef->fetch();
        if ($getUsernameRef->RowCount() > 0) {
            if ($getUsernameRefData['ip_reg'] == userIp()) {
                //Admin::waveError($lang["RsameIpRef"]);
                echo 'Ocorreu um erro com o seu referenciador. O referenciador pode não ser do seu IP.';
            } else {
                return true;
            }
        } else {
            //Admin::waveError($lang["RnotExist"]);
            echo 'Ocorreu um erro com o seu referenciador. O referenciador pode não ser do seu IP.';
            return false;
        }
    }

    public static function checkLoginPin()
    {
        global $dbh, $config, $emuUse;

        if (isset($_POST['access_code'])) {
            $accessCode = $dbh->prepare('SELECT player_id, timestamp FROM cms_login_pin WHERE access_code = :access_code AND timestamp >= :time AND enabled = "1" ORDER BY id DESC LIMIT 1');
            $accessCode->bindParam(':access_code', $_POST['access_code']);
            $accessCode->bindValue(':time', time() - (60 * $config['doubleAuthenticationExpireMinutes']));
            $accessCode->execute();

            if ($accessCode->rowCount() == 1) {
                $code = $accessCode->fetch();
                $_SESSION['id'] = $code['player_id'];

                $updateCode = $dbh->prepare('UPDATE cms_login_pin SET enabled = "0", last_ip = :last_ip WHERE access_code = :access_code');
                $updateCode->bindParam(':access_code', $_POST['access_code']);
                $updateCode->bindParam(':last_ip', userIp());
                $updateCode->execute();

                if (self::canSaveIp($_SESSION['id'])) {
                    $userUpdateIp = $dbh->prepare("UPDATE " . $emuUse['users'] . " SET " . $emuUse['ip_last'] . " = :userip WHERE id = :id");
                    $userUpdateIp->bindParam(':id', $_SESSION['id']);
                    $userUpdateIp->bindParam(':userip', userIp());
                    $userUpdateIp->execute();

                    //User Session Log//
                    $insertUserSession = $dbh->prepare("INSERT INTO user_session_log (userid,ip,date,browser) VALUES (:userid, :ip, :date, :browser)");
                    $insertUserSession->bindParam(':userid', $_SESSION['id']);
                    $insertUserSession->bindParam(':ip', userIp());
                    $insertUserSession->bindParam(':date', strtotime('now'));
                    $insertUserSession->bindParam(':browser', $_SERVER['HTTP_USER_AGENT']);
                    $insertUserSession->execute();
                }

                $userUpdateSso = $dbh->prepare("UPDATE " . $emuUse['users'] . " SET auth_ticket=:sso WHERE id = :id");
                $userUpdateSso->bindParam(':id', $_SESSION['id']);
                $userUpdateSso->bindParam(':sso', game::sso('login'));
                $userUpdateSso->execute();

                header('Location: /me');
                return;
            } else {
                return Admin::waveError("Este código é inválido ou já expirou.");
            }
        }
    }

    public static function login()
    {
        global $config, $dbh;
        if (isset($_POST['login']))
        {
            if(!empty($_POST['username']))
            {
                if(!empty($_POST['password']))
                {
                    $searchUserStatement = $dbh->prepare("SELECT id, mail, password, username, rank, ip_current FROM users WHERE username = :username");
                    $searchUserStatement->bindParam(":username", $_POST['username']);
                    $searchUserStatement->execute();

                    if($searchUserStatement->rowCount() == 1)
                    {
                        $searchUser = $searchUserStatement->fetch();
                        if (self::checkUser($_POST['password'], $searchUser['password'], $searchUser["username"]))
                        {
                            $_SESSION['id'] = $searchUser['id'];
                            $_SESSION['login_ip'] = userIp();

                            if($config['maintenance'] == false)
                            {
                                if(self::canSaveIp($_SESSION['id']))
                                {
                                    $me_url = $config['hotelUrl'] . "/me";

                                    $updateUserIpStmt = $dbh->prepare("UPDATE users SET ip_current = :userip WHERE id = :id");
                                    $updateUserIpStmt->bindParam(":id", $_SESSION['id']);
                                    $updateUserIpStmt->bindParam(":userip", userIp());
                                    $updateUserIpStmt->execute();
                                    header("Location: $me_url");
                                }
                            } 
                        }
                        else
                        {
                            Admin::waveError("Sua senha está incorreta!");
                        }
                    }
                    else
                    {
                        Admin::waveError("Usuário não encontrado!");
                    }
                }
                else
                {
                    Admin::waveError("A senha está vazia!");
                }
            }
            else
            {
                Admin::waveError("O nome de usuário está vazio!");
            }
        }

    }

    public static function register()
    {
        $userRealIp = userIp();
        global $config, $lang, $dbh, $emuUse;
        if (isset($_POST['register'])) {
            $userInFilter = self::userInFilter($_POST['username']);

            if (!$config['registerEnable']) {
                Admin::waveError('O registro de novas contas foi desativado temporariamente.');
                return;
            } else if (empty($_POST['username'])) {
                Admin::waveError('Informe um nome de usuário.');
                return;
            } else if (!self::validName($_POST['username'])) {
                Admin::waveError('Nome de usuário inválido. Deve ter no mínimo 2 e no máximo 20 caracteres.');
                return;
            } else if (!preg_match('/^[\.\,a-zA-Z0-9_-]+$/i', $_POST['username'])) {
                Admin::waveError('Nome de usuário inválido. Somente letras, números, pontos, vírgulas, underlines e traços são permitidos.');
                return;
            } else if (self::userTaken($_POST['username'])) {
                Admin::waveError('Este nome de usuário já está em uso.');
                return;
            } else if (strtolower(substr($_POST['username'], 0, 4)) === "mod_" || strtolower(substr($_POST['username'], 0, 4)) === "mod-") {
                Admin::waveError('O prefixo ' . strtoupper(substr($_POST['username'], 0, 4)) . ' só pode ser utilizado por STAFFS!');
                return;
            } else if ($userInFilter !== false) {
                Admin::waveError('Este nome de usuário foi bloqueado porque contém uma palavra proibida no ' . $config['hotelName'] . ' (' . $userInFilter . ')');
                return;
            } else if (empty($_POST['email'])) {
                Admin::waveError('Informe um e-mail.');
                return;
            } else if (!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
                Admin::waveError('E-mail inválido.');
                return;
            } else if (self::emailTaken($_POST['email'])) {
                Admin::waveError('Este e-mail já está em uso.');
                return;
            } else if (empty($_POST['password'])) {
                Admin::waveError('Informe uma senha.');
                return;
            } else if (strlen($_POST['password']) < 6) {
                Admin::waveError('A senha deve ter no mínimo 6 caracteres.');
                return;
            } else if (empty($_POST['password_repeat'])) {
                Admin::waveError('Por favor, repita a senha.');
                return;
            } else if ($_POST['password'] != $_POST['password_repeat']) {
                Admin::waveError('As senhas não conferem.');
                return;

            } else {
                $stmt = $dbh->prepare("SELECT ip_current FROM users WHERE ip_current = :userip");
                $stmt->bindParam(':userip', userIp());
                $stmt->execute();

                if ($stmt->RowCount() < $config['maxAccountsPerIp']) {
                    
                        $captchaToken = $_POST['g-recaptcha-response'];
                        if($captchaToken){
                            $secretKey = $config['recaptchaSiteKeySecret'];
                            $ip = $_SERVER["REMOTE_ADDR"];
                            $response = file_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=".$secretKey."&response=".$captchaToken."&remoteip=".$ip);
                            $responseKeys = json_decode($response,true);
                            if(intval($responseKeys['success']) !== 1){
                                Admin::waveError("Você é um robô?!");
                                return;
                            }
                        }

                        $genero = $_POST['gender'] == "M" || $_POST['gender'] == "F" ? $_POST['gender'] : "M";
                        $motto = $config['startMotto'];
                        $avatar = $genero == "M" ? $config['avatarM'] : $config['avatarF'];
                        $password = self::hashed($_POST['password']);


                        $addNewUser = $dbh->prepare("
								INSERT INTO
								users
								(username, password, rank, motto, account_created, last_online, mail, look, ip_current, ip_register, credits)
								VALUES
								(
								:username, 
								:password, 
								'1',
								:motto, 
								:time, 
								:last_online,
								:email, 
								:avatar,
								:userip, 
								:userip, 
								:credits
								)");
                            $addNewUser->bindParam(':username', $_POST['username']);
                            $addNewUser->bindParam(':password', $password);
                            $addNewUser->bindParam(':motto', $motto);
                            $addNewUser->bindParam(':sso', game::sso('register'));
                            $addNewUser->bindParam(':email', $_POST['email']);
                            $addNewUser->bindParam(':avatar', $avatar);
                            $addNewUser->bindParam(':credits', $config['credits']);
                            $addNewUser->bindParam(':userip', userIp());
                            $addNewUser->bindParam(':time', strtotime('now'));
                            $addNewUser->bindParam(':last_online', strtotime('now'));

                            

                            $addNewUser->execute();
                        
                        $lastId = $dbh->lastInsertId();
                        if ($lastId) {
                            $_SESSION['id'] = $lastId;
                            $_SESSION['login_ip'] = userIp();

                            $addHc = $dbh->prepare("
                            INSERT INTO users_subscriptions (user_id, subscription_type, timestamp_start, duration, active) 
                            VALUES
                            (
                                :user_id,
                                'HABBO_CLUB',
                                :timestamp_start,
                                '315569260',
                                '1'
                            )

                            ");

                            $addHc->bindParam(":user_id", $lastId);
                            $addHc->bindParam(":timestamp_start", strtotime('now'));
                            $addHc->execute();
                            header('Location: /me');
                            return;
                        }
                    
                } else {
                    Admin::waveError('Você só pode registrar até ' . $config['maxAccountsPerIp'] . ' contas.');
                    return;
                }
            }
        }
    }
    

    public static function userRefClaim()
    {
        global $dbh, $lang;
        if (isset($_POST['claimdiamonds'])) {
            if (User::userData('online') == 0) {
                $bankCount = $dbh->prepare("SELECT userid,diamonds FROM referrerbank WHERE userid = :userid");
                $bankCount->bindParam(':userid', $_SESSION['id']);
                $bankCount->execute();
                $bankCountData = $bankCount->fetch();
                if ($bankCountData['diamonds'] == 0) {
                    return Admin::waveError($lang["MrefNoDia"]);
                } else {
                    $addDiamondsRef = $dbh->prepare("
						UPDATE users SET 
						vip_points=vip_points + :diamonds 
						WHERE 
						id=:id
						");
                    $addDiamondsRef->bindParam(':id', $_SESSION['id']);
                    $addDiamondsRef->bindParam(':diamonds', $bankCountData['diamonds']);
                    $addDiamondsRef->execute();
                    $DiamondsCountRemove = $dbh->prepare("
						UPDATE referrerbank SET 
						diamonds = 0 
						WHERE 
						userid=:userid
						");
                    $DiamondsCountRemove->bindParam(':userid', $_SESSION['id']);
                    $DiamondsCountRemove->execute();
                    return Admin::waveErrorSucces($lang["MrefOnline"]);
                }
            } else {
                return Admin::waveError('Je mag niet online zijn om je diamanten te claimen!');
            }
        }
    }

    public static function editPassword()
    {
        global $dbh, $lang, $emuUse;
        if (isset($_POST['password'])) {
            if (isset($_POST['oldpassword']) && !empty($_POST['oldpassword'])) {
                if (isset($_POST['newpassword']) && !empty($_POST['newpassword'])) {
                    $stmt = $dbh->prepare("SELECT id, password, username FROM " . $emuUse['users'] . " WHERE id = :id");
                    $stmt->bindParam(':id', $_SESSION['id']);
                    $stmt->execute();
                    $getInfo = $stmt->fetch();
                    if (self::checkUser(filter($_POST['oldpassword']), $getInfo['password'], filter($getInfo['username']))) {
                        if (strlen($_POST['newpassword']) >= 6) {
                            $newPassword = self::hashed($_POST['newpassword']);
                            $stmt = $dbh->prepare("
								UPDATE 
								users 
								SET password = 
								:newpassword 
								WHERE id = 
								:id
								");
                            $stmt->bindParam(':newpassword', $newPassword);
                            $stmt->bindParam(':id', $_SESSION['id']);
                            $stmt->execute();
                            return Admin::waveErrorSucces($lang["Ppasswordchanges"]);
                        } else {
                            return Admin::waveError($lang["Ppasswordshort"]);
                        }
                    } else {
                        return Admin::waveError($lang["Poldpasswordwrong"]);
                    }
                } else {
                    return Admin::waveError('Je nieuwe wachtwoord is leeg!');
                }
            } else {
                return Admin::waveError('Oude wachtwoord is leeg!');
            }
        }
    }

    public static function editHotelSettings()
    {
        global $lang, $dbh;
        if (isset($_POST['hinstellingenv'])) {
            $stmt = $dbh->prepare("
				UPDATE 
				users 
				SET ignore_invites = 
				:hinstellingenv
				WHERE id = 
				:id
				");
            $stmt->bindParam(':hinstellingenv', $_POST['hinstellingenv']);
            $stmt->bindParam(':id', $_SESSION['id']);
            $stmt->execute();
        }
        if (isset($_POST['hinstellingenl'])) {
            $stmt = $dbh->prepare("
				UPDATE 
				users 
				SET allow_mimic = 
				:hinstellingenl
				WHERE id = 
				:id
				");
            $stmt->bindParam(':hinstellingenl', $_POST['hinstellingenl']);
            $stmt->bindParam(':id', $_SESSION['id']);
            $stmt->execute();
        }
        if (isset($_POST['hinstellingeno'])) {
            $stmt = $dbh->prepare("
				UPDATE 
				users 
				SET hide_online = 
				:hinstellingeno
				WHERE id = 
				:id
				");
            $stmt->bindParam(':hinstellingeno', $_POST['hinstellingeno']);
            $stmt->bindParam(':id', $_SESSION['id']);
            $stmt->execute();
        }
        if (isset($_POST['hotelsettings'])) {
            return Admin::waveErrorSucces($lang["Hchanges"]);
        }
    }

    public static function editUsername()
    {
        global $config, $lang, $dbh;
        if (isset($_POST['editusername'])) {
            if (!User::userData('fbenable') == 1) {
                if (!self::userTaken($_POST['username'])) {
                    if (self::validName($_POST['username'])) {
                        $stmt = $dbh->prepare("UPDATE users SET username = :username, fbenable = '1' WHERE id = :id");
                        $stmt->bindParam(':username', $_POST['username']);
                        $stmt->bindParam(':id', $_SESSION['id']);
                        $stmt->execute();
                        header('Location: ' . $config['hotelUrl'] . '/me');
                    } else {
                        return Admin::waveError($lang["Cusernameshort"]);
                    }
                } else {
                    return Admin::waveError($lang["Cusernameused"]);
                }
            } else {
                return Admin::waveError($lang["Cchangeno"]);
            }
        }
    }

    public static function editSettingsAccount()
    {
        global $dbh, $emuUse, $config;
        $userdb = $dbh->prepare("SELECT email,password,motto,cms_video FROM players WHERE id = :id");
        $userdb->bindParam(':id', $_SESSION['id']);
        $userdb->execute();
        $userdb = $userdb->fetch();

        if (isset($_POST['settings-account'])) {
            $userOnline = $dbh->prepare('SELECT online FROM players WHERE id = :id');
            $userOnline->bindParam(':id', $_SESSION['id']);
            $userOnline->execute();
            $userOnline = $userOnline->fetch();

            if ($userOnline['online'] != '1') {
                $username = $_POST['username'];

                if (strtolower($username) !== strtolower(User::userData('username'))) {
                    echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								Só é permitido alterar letras maiúsculas e minúsculas do seu nome de usuário.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
                    return;
                }

                if (empty($_POST['birthday'])) {
                    echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								Por favor, informe sua data de nascimento.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
                    return;
                }

                $dataNascimentoMin = (intval(date("Y")) - 100) . '-01-01';
                $dataNascimentoMax = date("Y-m-d");
                if ($_POST['birthday'] < $dataNascimentoMin || $_POST['birthday'] > $dataNascimentoMax) {
                    echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								Informe uma data de nascimento entre " . date('d/m/Y', strtotime($dataNascimentoMin)) . " e " . date('d/m/Y', strtotime($dataNascimentoMax)) . ".
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
                    return;
                }

                $motto = $_POST['motto'];

                if (strlen($motto) > 70) {
                    echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								A sua missão deve ter no máximo 70 caracteres.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
                    return;
                }

                $corNome = strlen(str_replace("#", "", $_POST['cornome'])) <= 6 ? str_replace("#", "", $_POST['cornome']) : "000000";

                $pedidosAmizade = $_POST['amizade'] ? '1' : '0';
                $online = $_POST['online'] ? '0' : '1';
                $lastOnline = $_POST['last_online'] ? '0' : '1';
                $ignoreInvites = $pedidosAmizade == '1' ? '0' : '1';
                $follow = $_POST['seguir'] ? '1' : '0';
                $sussurros = $_POST['sussurros'] ? '0' : '1';
                $copy = $_POST['copy'] ? '1' : '0';
                $trade = $_POST['trade'] ? '1' : '0';
                $sex = $_POST['allow_sex'] ? '1' : '0';
                $events = '0' /*$_POST['eventos'] ? '0' : '1'*/;
                $ativarRadio = User::userData('rank') >= $config['staffCheckHkMinimumRank'] ? ($_POST['enable_radio'] ? '1' : '0') : '1';

                $mencoes = 'FRIENDS';
                if ($_POST['mencoes'] == 'ALL' || $_POST['mencoes'] == 'FRIENDS' || $_POST['mencoes'] == 'NONE') {
                    $mencoes = $_POST['mencoes'];
                }

                $video = $_POST['video'];
                $birthday = $_POST['birthday'];

                $stmt = $dbh->prepare("UPDATE players SET username = :username, motto = :motto, cms_video = :video, name_colour = :name_colour, enable_radio = :enable_radio, birthday = :birthday WHERE id = :userid");
                $stmt->bindParam(':username', $username);
                $stmt->bindParam(':motto', $motto);
                $stmt->bindParam(':video', $video);
                $stmt->bindParam(':userid', $_SESSION['id']);
                $stmt->bindParam(':name_colour', $corNome);
                $stmt->bindParam(':enable_radio', $ativarRadio);
                $stmt->bindParam(':birthday', $birthday);
                $stmt->execute();

                $stmt2 = $dbh->prepare("UPDATE player_settings SET 
												allow_mimic = :copy, 
												allow_trade = :trade, 
												allow_friend_requests = :amizade,
												ignore_invites = :ignore_invites,
												hide_online = :online,
												hide_last_online = :lastOnline,
												allow_follow = :follow,
												disable_whisper = :sussurros,
												allow_sex = :allow_sex,
												ignore_events = :ignore_events,
												mention_type = :mention_type
											WHERE player_id = :userid");
                $stmt2->bindParam(':copy', $copy);
                $stmt2->bindParam(':trade', $trade);
                $stmt2->bindParam(':amizade', $pedidosAmizade);
                $stmt2->bindParam(':ignore_invites', $ignoreInvites);
                $stmt2->bindParam(':online', $online);
                $stmt2->bindParam(':lastOnline', $lastOnline);
                $stmt2->bindParam(':follow', $follow);
                $stmt2->bindParam(':sussurros', $sussurros);
                $stmt2->bindParam(':allow_sex', $sex);
                $stmt2->bindParam(':ignore_events', $events);
                $stmt2->bindParam(':mention_type', $mencoes);
                $stmt2->bindParam(':userid', $_SESSION['id']);
                $stmt2->execute();

                echo "<div class=\"alert alert-success alert-dismissible fade show\" role=\"alert\">
								Preferências salvas com sucesso!
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
            } else {
                echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								Você não pode salvar as preferências enquanto estiver online.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
            }
        } else if (isset($_POST['settings-email'])) {
            $oldEmail = strtolower($_POST['old_email']);
            $email = strtolower($_POST['email']);
            if (!empty($email) && $email !== $userdb['email']) {
                /*if (!self::emailTaken($email)) {*/
                if (filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
                    $stmt = $dbh->prepare("UPDATE players SET email = :email WHERE id = :userid AND email = :old_email");
                    $stmt->bindParam(':old_email', $oldEmail);
                    $stmt->bindParam(':email', $email);
                    $stmt->bindParam(':userid', $_SESSION['id']);
                    $stmt->execute();

                    echo "<div class=\"alert alert-success alert-dismissible fade show\" role=\"alert\">
										E-mail alterado com sucesso!
										<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
                                            <span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
                                        </button>
								  </div>";
                } else {
                    echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
										E-mail em formato inválido.
										<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
                                            <span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
                                        </button>
								  </div>";
                }
                /*} else {
                    echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
									Este e-mail já está em uso.
									<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
                                    	<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
                                    </button>
							  </div>";
                }*/
            }
        } else if (isset($_POST['settings-password'])) {
            $old_password = $_POST['old_password'];
            $new_password = $_POST['new_password'];
            $new_password_repeat = $_POST['new_password_repeat'];
            if (isset($old_password) && !empty($old_password)) {
                if (isset($new_password) && !empty($new_password)) {
                    if (isset($new_password_repeat) && !empty($new_password_repeat)) {
                        if ($new_password == $new_password_repeat) {
                            $stmt = $dbh->prepare("SELECT id, password, username FROM " . $emuUse['users'] . " WHERE id = :id");
                            $stmt->bindParam(':id', $_SESSION['id']);
                            $stmt->execute();
                            $getInfo = $stmt->fetch();
                            if (password_verify($old_password, $userdb['password'])) {
                                if (strlen($new_password) >= 6) {
                                    $newPasswordHashed = self::hashed($new_password);
                                    $stmt = $dbh->prepare("UPDATE " . $emuUse['users'] . " SET password = :newpassword WHERE id = :id");
                                    $stmt->bindParam(':newpassword', $newPasswordHashed);
                                    $stmt->bindParam(':id', $_SESSION['id']);
                                    $stmt->execute();

                                    echo "<div class=\"alert alert-success alert-dismissible fade show\" role=\"alert\">
													Senha alterada com sucesso!
													<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
														<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
													</button>
											  </div>";
                                } else {
                                    echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
													A senha deve ter no mínimo 6 caracteres!
													<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
														<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
													</button>
											  </div>";
                                }
                            } else {
                                echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
												Sua senha antiga está errada!
												<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
													<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
												</button>
										  </div>";
                            }
                        } else {
                            echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
											A nova senha repetida está diferente!
											<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
												<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
											</button>
									  </div>";
                        }
                    } else {
                        echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
										Por favor, repita sua nova senha!
										<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
											<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
										</button>
								  </div>";
                    }
                } else {
                    echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
									Informe sua nova senha!
									<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
										<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
									</button>
							  </div>";
                }
            } else {
                echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								Informe a senha antiga!
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
            }
        }
    }

    public static function hasBan($userId, $userIp)
    {
        global $dbh;
        $ban = $dbh->prepare("SELECT * FROM bans WHERE (type = 'ip' OR type = 'user') AND (data = :userId OR data = :userIp)");
        $ban->bindValue(':userId', $userId);
        $ban->bindValue(':userIp', $userIp);
        $ban->execute();

        if ($ban->RowCount() > 0) {
            while ($row = $ban->fetch()) {
                if ($row['expire'] == 0 || $row['expire'] > time()) {
                    return true;
                }
            }
        }

        return false;
    }

    public static function getBan($userId, $userIp)
    {
        global $dbh;
        $ban = $dbh->prepare("SELECT * FROM bans WHERE (type = 'ip' OR type = 'user') AND (data = :userId OR data = :userIp)");
        $ban->bindValue(':userId', $userId);
        $ban->bindValue(':userIp', $userIp);
        $ban->execute();

        if ($ban->RowCount() > 0) {
            return $ban->fetch();
        }

        return null;
    }

    public static function turnDarkMode()
    {
        if (isset($_COOKIE['darkmode'])) {
            unset($_COOKIE['darkmode']);
        }

        $active = $_POST['active'];

        setcookie("darkmode", ($active == '1' ? true : false), time() + 3600);

        echo $active;
    }

    public static function enviarPedidoRadio()
    {
        global $dbh;

        if (isset($_POST['pedido-radio']) && loggedIn()) {
            $pedido = $_POST['pedido'];

            if (empty(trim($pedido))) {
                echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								O campo do pedido deve ser preenchido.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
                return;
            } else if (strlen($pedido) > 500) {
                echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								O campo texto do pedido deve ter no máximo 500 caracteres.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
                return;
            }

            $lastPedido = $dbh->prepare('SELECT timestamp FROM cms_pedidos_radio WHERE player_id = :playerId ORDER BY id DESC LIMIT 1');
            $lastPedido->bindParam(':playerId', $_SESSION['id']);
            $lastPedido->execute();

            $time = $lastPedido->rowCount() > 0 ? $lastPedido->fetch()['timestamp'] : 0;

            if (($time + 60) > time()) {
                echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								Espere 1 minuto antes de enviar um novo pedido.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
            } else {
                $savePedido = $dbh->prepare('INSERT INTO cms_pedidos_radio(player_id, message, timestamp) VALUES (:player_id, :message, :timestamp)');
                $savePedido->bindParam(':player_id', $_SESSION['id']);
                $savePedido->bindParam(':message', $pedido);
                $savePedido->bindValue(':timestamp', time());
                $savePedido->execute();
                echo "<div class=\"alert alert-success alert-dismissible fade show\" role=\"alert\">
								Seu pedido foi enviado com sucesso.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
                //create table cms_pedidos_radio(id int primary key auto_increment, message varchar(500) not null, player_id int(11) not null, timestamp int(11) not null);
            }
        }
    }

    public static function countLikesFeed($feedId)
    {
        global $dbh;

        $search = $dbh->prepare('SELECT id FROM cms_feed_like WHERE feed_id = :feed_id');
        $search->bindParam(':feed_id', $feedId);
        $search->execute();

        return $search->RowCount();
    }

    public static function likeFeed()
    {
        global $dbh;

        if (isset($_POST['feedId']) && loggedIn()) {
            $feedId = $_POST['feedId'];
            $curtiu = User::userLikedFeed($feedId);

            if ($curtiu) {
                $unlike = $dbh->prepare('DELETE FROM cms_feed_like WHERE player_id = :player_id AND feed_id = :feed_id');
                $unlike->bindParam(':player_id', $_SESSION['id']);
                $unlike->bindParam(':feed_id', $feedId);
                $unlike->execute();
            } else {
                $like = $dbh->prepare('INSERT INTO cms_feed_like(player_id, feed_id) VALUES (:player_id, :feed_id)');
                $like->bindParam(':player_id', $_SESSION['id']);
                $like->bindParam(':feed_id', $feedId);
                $like->execute();
            }

            header("Content-Type: application/json; charset=UTF-8");

            $obj = array(
                'type' => $curtiu ? 'unliked' : 'liked',
                'total_likes' => User::countLikesFeed($feedId),
                'players_who_liked' => User::getLastFeedLikesTxt($feedId)
            );

            echo json_encode($obj);
        }
    }

    public static function userLikedFeed($feedId)
    {
        global $dbh;

        if (loggedIn()) {
            $search = $dbh->prepare('SELECT id FROM cms_feed_like WHERE player_id = :player_id AND feed_id = :feed_id');
            $search->bindParam(':player_id', $_SESSION['id']);
            $search->bindParam(':feed_id', $feedId);
            $search->execute();

            return $search->RowCount() > 0;
        }

        return null;
    }

    public static function getLastFeedLikesTxt($feedId)
    {
        global $dbh;

        $username = User::userData('username');
        $arr = array();

        $players = $dbh->prepare('SELECT username FROM players WHERE id IN (SELECT player_id FROM cms_feed_like WHERE feed_id = :feed_id)');
        $players->bindParam(':feed_id', $feedId);
        $players->execute();

        while ($p = $players->fetch()) {
            array_push($arr, $p['username']);
        }
        shuffle($arr);

        $count = count($arr);
        $txt = "";
        if ($count > 0) {
            $curtiu = in_array($username, $arr);
            $index = array_search($username, $arr);
            if ($curtiu) {
                unset($arr[$index]);
                $arr = array_values($arr);
                // $count = count($arr);
            }
            if ($count === 1) {
                if ($curtiu) {
                    $txt = 'Você curtiu.';
                } else {
                    $txt = $arr[0] . ' curtiu.';
                }
            } else if ($count === 2) {
                if ($curtiu) {
                    $txt = 'Você e ' . $arr[0] . ' curtiram.';
                } else {
                    $txt = $arr[0] . ' e ' . $arr[1] . ' curtiram.';
                }
            } else if ($count === 3) {
                if ($curtiu) {
                    $txt = 'Você, ' . $arr[0] . ' e ' . $arr[1] . ' curtiram.';
                } else {
                    $txt = $arr[0] . ', ' . $arr[1] . ' e ' . $arr[2] . ' curtiram.';
                }
            } else if ($count > 3) {
                if ($curtiu) {
                    $txt = 'Você, ' . $arr[0] . ', ' . $arr[1] . ($count === 4 ? ' e outra pessoa curtiu.' : ' e outras ' . ($count - 3) . ' pessoas curtiram.');
                } else {
                    $txt = $arr[0] . ', ' . $arr[1] . ', ' . $arr[2] . ($count === 4 ? ' e outra pessoa curtiu.' : ' e outras ' . ($count - 3) . ' pessoas curtiram.');
                }
            }
        } else {
            $txt = "Seja o primeiro a curtir!";
        }

        return $txt;
    }

    public static function recoveryPassword()
    {
        global $dbh, $config, $email;

        // create table cms_reset_password(id int primary key auto_increment, player_id int not null, reset_key varchar(255) not null, timestamp int(11) not null, enabled enum('0', '1') default '0')

        if (isset($_POST['recoveryPassword'])) {
            header("Content-Type: application/json; charset=UTF-8");

            $obj = array(
                'success' => false,
                'message' => ''
            );

            if (!isset($_POST['username']) || empty($_POST['username'])) {
                $obj['message'] = 'Informe o nome de usuário da conta que deseja recuperar.';
            } else if (!self::userTaken($_POST['username'])) {
                $obj['message'] = 'Este nome de usuário não existe.';
            } else if (!isset($_POST['email']) || empty($_POST['email'])) {
                $obj['message'] = 'Informe o e-mail utilizado no cadastro da conta.';
            } else if (!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
                $obj['message'] = 'E-mail em formato inválido.';
            } else {
                $username = $_POST['username'];
                $mail = $_POST['email'];

                $sql = $dbh->prepare('SELECT id,username,email FROM players WHERE username = :username AND email = :email');
                $sql->bindParam(':username', $username);
                $sql->bindParam(':email', $mail);
                $sql->execute();
                $emailValido = $sql->rowCount() == 1;

                if ($emailValido) {
                    $user = $sql->fetch();

                    $lastResetkey = $dbh->prepare('SELECT timestamp FROM cms_reset_password WHERE player_id = :playerId ORDER BY id DESC LIMIT 1');
                    $lastResetkey->bindParam(':playerId', $user['id']);
                    $lastResetkey->execute();

                    $time = $lastResetkey->rowCount() > 0 ? $lastResetkey->fetch()['timestamp'] : 0;

                    if (($time + (60 * 3)) > time()) {
                        $obj['message'] = 'Espere 3 minutos antes de solicitar um novo link de redefinição de senha.';
                        echo json_encode($obj);
                        return;
                    } else {
                        $resetKeyhash = sha1(microtime(true) . mt_rand(1000000, 9999999));

                        $insert = $dbh->prepare('INSERT INTO cms_reset_password(player_id, reset_key, reg_ip, timestamp, enabled) VALUES (:player_id, :reset_key, :reg_ip, :timestamp, :enabled)');
                        $insert->bindParam(':player_id', $user['id']);
                        $insert->bindParam(':reset_key', $resetKeyhash);
                        $insert->bindParam(':reg_ip', userIp());
                        $insert->bindParam(':timestamp', time());
                        $insert->bindValue(':enabled', '1');
                        $insert->execute();

                        if ($insert->rowCount() > 0) {
                            $mailBody = file_get_contents($_SERVER['DOCUMENT_ROOT'] . $email['mailTemplate']);
                            $mailBody = str_replace('%logo%', $email['mailLogo'], $mailBody);
                            $mailBody = str_replace('%hotelname%', $config['hotelName'], $mailBody);
                            $mailBody = str_replace('%username%', $user['username'], $mailBody);
                            $mailBody = str_replace('%keylink%', '<a href="' . $config['hotelUrl'] . '/new-password/' . $resetKeyhash . '">' . $config['hotelUrl'] . '/new-password/' . $resetKeyhash . '</a>', $mailBody);

                            $enviou = Email::enviarEmail(strtolower($mail), 'Redefinição de Senha', $mailBody);
                            if (!$enviou) {
                                $obj['message'] = "Ocorreu um erro ao enviar o e-mail. Por favor contate um Staff.";
                                echo json_encode($obj);
                                return;
                            }
                        }
                    }
                }

                $obj['success'] = true;
                $obj['message'] = "Se <b>$mail</b> for o e-mail utilizado na conta <b>$username</b> um e-mail com um link de redefinição de senha acaba de ser enviado.";
            }

            echo json_encode($obj);
        }
    }

    public static function resetPassword()
    {
        global $dbh, $config, $email;

        if (isset($_POST['resetPassword'])) {
            header("Content-Type: application/json; charset=UTF-8");

            $obj = array(
                'success' => false,
                'message' => 'aaa'
            );

            if (!isset($_POST['reset_key'])) {
                $obj['message'] = 'A chave de redefinição de senha não foi informada. <a href="/recovery">Clique aqui para gerar um novo link</a>.';
            } else if (empty($_POST['password'])) {
                $obj['message'] = 'Informe a nova senha.';
            } else if (strlen($_POST['password']) < 6) {
                $obj['message'] = 'A nova senha deve ter no mínimo 6 caracteres.';
            } else if (empty($_POST['password_repeat'])) {
                $obj['message'] = 'Por favor, repita a senha.';
            } else if ($_POST['password'] != $_POST['password_repeat']) {
                $obj['message'] = 'As senhas não conferem.';
            } else {
                $resetKey = $_POST['reset_key'];

                $reset = $dbh->prepare('SELECT * FROM cms_reset_password WHERE reset_key = :reset_key');
                $reset->bindParam(':reset_key', $resetKey);
                $reset->execute();

                if ($reset->rowCount() > 0) {
                    $reset = $reset->fetch();

                    if ($reset['enabled'] == '1') {
                        $time = $reset['timestamp'];

                        if (($time + (60 * 60 * 6)) < time()) {
                            $obj['message'] = 'Este link de redefinição de senha expirou. <a href="/recovery">Clique aqui para gerar um novo</a>.';
                        } else {
                            $desativar = $dbh->prepare('UPDATE cms_reset_password SET enabled = "0", last_ip = :last_ip WHERE reset_key = :reset_key');
                            $desativar->bindParam(':reset_key', $resetKey);
                            $desativar->bindParam(':last_ip', userIp());
                            $desativar->execute();

                            $updateUser = $dbh->prepare('UPDATE players SET password = :newPassword WHERE id = :playerId');
                            $updateUser->bindParam(':newPassword', self::hashed($_POST['password']));
                            $updateUser->bindParam(':playerId', $reset['player_id']);
                            $updateUser->execute();

                            $obj['success'] = true;
                            $obj['message'] = 'Sua senha foi alterada com sucesso! Você será redirecionado...';
                        }
                    } else {
                        $obj['message'] = 'Este link de redefinição de senha é inválido ou já foi usado.';
                    }
                } else {
                    $obj['message'] = 'Este link de redefinição de senha é inválido ou já foi usado.';
                }
            }

            echo json_encode($obj);
        }
    }

    public static function excluirMobi()
    {
        global $dbh, $config;

        header("Content-Type: application/json; charset=UTF-8");
        $obj = array(
            'success' => false,
            'deleted_item' => false,
            'deleted_furni' => false,
            'deleted_swf' => false,
            'deleted_icon' => false
        );

        $allow_id = array(
            '1' => true,
            '2' => false
        );

        if (isset($_POST['nomeMobi']) && loggedIn() && in_array($_SESSION['id'], $allow_id)) {
            $nomeMobi = $_POST['nomeMobi'];

            $captions = [];
            $sql = $dbh->prepare('SELECT caption FROM catalog_pages WHERE id IN (SELECT page_id FROM catalog_items WHERE item_ids IN (SELECT id FROM furniture WHERE item_name LIKE :item_name))');
            $sql->bindParam(':item_name', $nomeMobi);
            $sql->execute();

            $array = $sql->fetchAll(PDO::FETCH_ASSOC);

            foreach ($array as $row) {
                $captions[] = $row['caption'];
            }

            $furni = $dbh->prepare('SELECT id FROM furniture WHERE item_name LIKE :item_name');
            $furni->bindParam(':item_name', $nomeMobi);
            $furni->execute();

            $swfFilename = '../../../swf/hof_furni/' . $nomeMobi . '.swf';
            $iconFilename = '../../../swf/hof_furni/icons/' . $nomeMobi . '_icon.png';

            $existeFurni = $furni->rowCount() > 0 ? true : false;
            $existePagina = implode(',', $captions) ? true : false;
            $existeMobi = file_exists($swfFilename);
            $existeIcon = file_exists($iconFilename);

            $obj['nomeMobi'] = $nomeMobi;
            $obj['existeFurniture'] = $existeFurni;
            $obj['existePagina'] = $existePagina;
            $obj['existeMobi'] = $existeMobi;
            $obj['existeIcon'] = $existeIcon;

            $podeRemover = ($existeFurni || $existeMobi || $existeIcon) && (!$existeFurni || !$existeMobi || !$existeIcon);

            if ($podeRemover) {
                $itemId = $existeFurni ? $furni->fetch()['id'] : 0;
                $obj['itemId'] = $itemId;
                if ($existePagina && $itemId != 0) {
                    $deleteItem = $dbh->prepare('DELETE FROM catalog_items WHERE item_ids = :itemId');
                    $deleteItem->bindParam(':itemId', $itemId);
                    $deleteItem->execute();
                    $obj['deleted_item'] = $deleteItem->rowCount() > 0 ? true : 'rowCount() = 0';
                }
                if ($existeFurni) {
                    $deleteFurni = $dbh->prepare('DELETE FROM furniture WHERE item_name LIKE :item_name');
                    $deleteFurni->bindParam(':item_name', $nomeMobi);
                    $deleteFurni->execute();
                    $obj['deleted_furni'] = $deleteFurni->rowCount() > 0 ? true : 'rowCount() = 0';
                }
                if ($existeMobi) {
                    $obj['deleted_swf'] = unlink($swfFilename) ? true : 'unlink() = false';
                }
                if ($existeIcon) {
                    $obj['deleted_icon'] = unlink($iconFilename) ? true : 'unlink() = false';
                }

                $obj['success'] = true;
            } else {
                $obj['success'] = 'podeRemover=false';
            }

            echo json_encode($obj);
        }
    }

    public static function mentions()
    {
        global $dbh;

        // alter table players add column `mentions_json` mediumtext DEFAULT NULL;
        // alter table players add column `mentions_fetch_time` int(10) UNSIGNED DEFAULT NULL;

        if (false/*loggedIn()*/) {
            header("Content-Type: application/json; charset=UTF-8");

            $cache = $dbh->prepare('SELECT mentions_json FROM players WHERE id = ' . $_SESSION['id'] . ' AND mentions_fetch_time + 120 >= ' . time());
            $cache->execute();

            if ($cache->rowCount() > 0) {
                $cache = $cache->fetch();
                echo json_encode(json_decode($cache['mentions_json']));
            } else {
                $mentions = $dbh->prepare("SELECT players.username, rooms.name, logs.data, logs.timestamp FROM `logs`
                                            INNER JOIN players ON 
                                                logs.user_id = players.id 
                                            INNER JOIN rooms ON
                                                logs.room_id = rooms.id
                                            WHERE 
                                            logs.type = 'ROOM_CHATLOG' AND 
                                            (
                                                logs.data = '@" . User::userData('username') . "' OR
                                                logs.data LIKE '@" . User::userData('username') . " %' OR
                                                logs.data LIKE '% @" . User::userData('username') . "' OR
                                                logs.data LIKE '% @" . User::userData('username') . " %'
                                            )
                                            ORDER BY logs.id DESC LIMIT 10");
                $mentions->execute();
                $mentions = json_encode($mentions->fetchAll(PDO::FETCH_ASSOC));

                $updatePlayer = $dbh->prepare('UPDATE players SET mentions_json = :json, mentions_fetch_time = :time WHERE id = ' . $_SESSION['id']);
                $updatePlayer->bindParam(':json', $mentions);
                $updatePlayer->bindParam(':time', time());
                $updatePlayer->execute();

                echo $mentions;
            }
        }
    }

    public static function usersOnline()
    {
        global $dbh;

        header("Content-Type: application/json; charset=UTF-8");

        $status = $dbh->prepare("SELECT active_players FROM server_status LIMIT 1");
        $status->execute();
        $status = $status->fetch();

        $obj = array(
            'count' => intval($status['active_players'])
        );

        echo json_encode($obj);
    }

    public static function canSaveIp($playerId)
    {
        global $dbh;

        $sql = $dbh->prepare('SELECT player_id FROM private_users WHERE player_id = :playerId LIMIT 1');
        $sql->bindParam(':playerId', $playerId);
        $sql->execute();

        return $sql->rowCount() == 0;
    }

    public static function newsIndex()
    {
    }

    public static function postComment()
    {
        global $dbh;

        //create table cms_news_comment(id int primary key auto_increment, news_id int(11) not null, player_id int(11) not null, message varchar(500) not null, timestamp int(11) not null, updated_timestamp int(11) default null);

        if (isset($_POST['news_id']) && loggedIn()) {
            header("Content-Type: application/json; charset=UTF-8");

            $obj = array(
                'success' => false,
                'alert_html' => '',
                'comment_id' => 0
            );

            $comment = $_POST['comment'];

            if (empty(trim($comment))) {
                $obj['alert_html'] = "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								Espera aí! Você não digitou nada.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
                echo json_encode($obj);
                return;
            } else if (strlen($comment) > 500) {
                $obj['alert_html'] = "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								O seu comentário deve ter no máximo 500 caracteres.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
                echo json_encode($obj);
                return;
            }

            $lastComment = $dbh->prepare('SELECT timestamp FROM cms_news_comment WHERE player_id = :playerId AND news_id = :newsId ORDER BY id DESC LIMIT 1');
            $lastComment->bindParam(':playerId', $_SESSION['id']);
            $lastComment->bindParam(':newsId', $_POST['news_id']);
            $lastComment->execute();

            $time = $lastComment->rowCount() > 0 ? $lastComment->fetch()['timestamp'] : 0;

            if (($time + 30) > time()) {
                $obj['alert_html'] = "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								Aguarde 30 segundos antes de adicionar um novo comentário.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
            } else {
                $limit = $dbh->prepare('SELECT limite_de_comentarios FROM cms_news WHERE id = :id');
                $limit->bindParam(':id', $_POST['news_id']);
                $limit->execute();

                if ($limit->rowCount() > 0) {
                    $limit = $limit->fetch()['limite_de_comentarios'];

                    $playerComments = $dbh->prepare('SELECT id FROM cms_news_comment WHERE player_id = :player_id AND news_id = :news_id ORDER BY id DESC');
                    $playerComments->bindParam(':player_id', $_SESSION['id']);
                    $playerComments->bindParam(':news_id', $_POST['news_id']);
                    $playerComments->execute();
                    $playerComments = $playerComments->rowCount();

                    $obj['playerComments'] = $playerComments;

                    if ($playerComments < $limit) {
                        $obj['limit'] = $limit;

                        $saveComment = $dbh->prepare('INSERT INTO cms_news_comment(news_id, player_id, message, timestamp) VALUES (:news_id, :player_id, :message, :timestamp)');
                        $saveComment->bindParam(':news_id', $_POST['news_id']);
                        $saveComment->bindParam(':player_id', $_SESSION['id']);
                        $saveComment->bindParam(':message', Admin::Filter('xss', $comment));
                        $saveComment->bindValue(':timestamp', time());
                        $saveComment->execute();

                        $obj['success'] = true;
                        $obj['alert_html'] = "<div class=\"alert alert-success alert-dismissible fade show\" role=\"alert\">
										Seu comentário foi enviado com sucesso!
										<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
											<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
										</button>
								  </div>";

                        $savedComment = $dbh->prepare('SELECT id FROM cms_news_comment WHERE player_id = :player_id AND news_id = :news_id ORDER BY id DESC LIMIT 1');
                        $savedComment->bindParam(':player_id', $_SESSION['id']);
                        $savedComment->bindParam(':news_id', $_POST['news_id']);
                        $savedComment->execute();
                        $savedComment = $savedComment->fetch();

                        $obj['comment_id'] = $savedComment['id'];
                    } else {
                        $obj['alert_html'] = "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
									Esta notícia tem o limite de " . $limit . " comentário(s) por usuário.
									<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
										<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
									</button>
							  </div>";
                    }
                } else {
                    $obj['alert_html'] = "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								Desculpe, algo deu errado. Recarregue a página e tente novamente.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
                }
            }

            echo json_encode($obj);
        }
    }

    public static function deleteComment()
    {
        global $dbh, $config;

        if (isset($_POST['comment_id']) && loggedIn()) {
            header("Content-Type: application/json; charset=UTF-8");

            $obj = array(
                'success' => false,
                'alert_html' => ''
            );

            $id = $_POST['comment_id'];

            $comment = $dbh->prepare('SELECT player_id FROM cms_news_comment WHERE id = :id');
            $comment->bindParam(':id', $id);
            $comment->execute();

            if ($comment->rowCount() > 0) {
                $comment = $comment->fetch();

                if ($comment['player_id'] == $_SESSION['id'] || User::userData('rank') >= $config['deleteCommentsMinRank']) {
                    $deleteComment = $dbh->prepare('DELETE FROM cms_news_comment WHERE id = :id');
                    $deleteComment->bindParam(':id', $id);
                    $deleteComment->execute();

                    $obj['success'] = true;
                    $obj['alert_html'] = "<div class=\"alert alert-success alert-dismissible fade show alert-actions\" role=\"alert\">
								Comentário excluído com sucesso.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
                } else {
                    $obj['alert_html'] = "<div class=\"alert alert-danger alert-dismissible fade show alert-actions\" role=\"alert\">
								Você não tem permissão de excluir este comentário.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
                }
            } else {
                $obj['alert_html'] = "<div class=\"alert alert-danger alert-dismissible fade show alert-actions\" role=\"alert\">
								Este comentário não existe ou já foi excluído.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
            }

            echo json_encode($obj);
        }
    }

    public static function updateComment()
    {
        global $dbh;

        if (isset($_POST['comment_id']) && loggedIn()) {
            header("Content-Type: application/json; charset=UTF-8");

            $obj = array(
                'success' => false,
                'alert_html' => ''
            );

            $new_value = $_POST['new_value'];

            if (empty(trim($new_value))) {
                $obj['alert_html'] = "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								Espera aí! Você não digitou nada.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
                echo json_encode($obj);
                return;
            } else if (strlen($new_value) > 500) {
                $obj['alert_html'] = "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								O seu comentário deve ter no máximo 500 caracteres.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
                echo json_encode($obj);
                return;
            }

            $updateComment = $dbh->prepare('UPDATE cms_news_comment SET message = :message, updated_timestamp = :timestamp WHERE id = :id');
            $updateComment->bindParam(':id', $_POST['comment_id']);
            $updateComment->bindParam(':message', trim($new_value));
            $updateComment->bindValue(':timestamp', time());
            $updateComment->execute();

            $obj['success'] = true;
            $obj['alert_html'] = "<div class=\"alert alert-success alert-dismissible fade show\" role=\"alert\">
							Seu comentário foi atualizado com sucesso!
							<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
								<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
							</button>
					  </div>";

            echo json_encode($obj);
        }
    }

    public static function addNewsReaction()
    {
        global $dbh;

        if (isset($_POST['news_id']) && isset($_POST['type']) && loggedIn()) {

            header("Content-Type: application/json; charset=UTF-8");

            $obj = array(
                'success' => true
            );

            $newsId = $_POST['news_id'];
            $type = $_POST['type'];
            $reagiu = User::userHasNewsReaction($newsId);

            if ($reagiu) {
                $select = $dbh->prepare('SELECT type FROM cms_news_like WHERE news_id = :news_id AND player_id = :player_id ORDER BY id DESC LIMIT 1');
                $select->bindParam(':player_id', $_SESSION['id']);
                $select->bindParam(':news_id', $newsId);
                $select->execute();
                $select = $select->rowCount() > 0 ? $select->fetch() : null;

                if ($select !== null && $select['type'] === $type) {
                    $unlike = $dbh->prepare('DELETE FROM cms_news_like WHERE player_id = :player_id AND news_id = :news_id');
                    $unlike->bindParam(':player_id', $_SESSION['id']);
                    $unlike->bindParam(':news_id', $newsId);
                    $unlike->execute();

                    echo json_encode($obj);
                    return;
                }

                $reaction = $dbh->prepare('UPDATE cms_news_like SET type = :type WHERE news_id = :news_id AND player_id = :player_id');
                $reaction->bindParam(':player_id', $_SESSION['id']);
                $reaction->bindParam(':news_id', $newsId);
                $reaction->bindParam(':type', $type);
                $reaction->execute();
            } else {
                $reaction = $dbh->prepare('INSERT INTO cms_news_like(player_id, news_id, type) VALUES (:player_id, :news_id, :type)');
                $reaction->bindParam(':player_id', $_SESSION['id']);
                $reaction->bindParam(':news_id', $newsId);
                $reaction->bindParam(':type', $type);
                $reaction->execute();
            }

            echo json_encode($obj);
        }
    }

    public static function removeVip()
    {
        global $dbh;

        $stmt = $dbh->prepare("UPDATE players SET rank = 1, vip = '0' WHERE id = :userid");
        $stmt->bindParam(':userid', $_SESSION['id']);
        $stmt->execute();
    }

    public static function userHasNewsReaction($newsId)
    {
        global $dbh;

        if (loggedIn()) {
            $search = $dbh->prepare('SELECT id FROM cms_news_like WHERE player_id = :player_id AND news_id = :news_id');
            $search->bindParam(':player_id', $_SESSION['id']);
            $search->bindParam(':news_id', $newsId);
            $search->execute();

            return $search->RowCount() > 0;
        }

        return null;
    }

    public static function deleteAllFriends()
    {
        global $dbh;

        if (isset($_POST['delete_all_friends']) && loggedIn()) {
            if (User::userData('online') != '1') {
                $delete = $dbh->prepare('DELETE FROM messenger_friendships WHERE user_one_id = :player_id OR user_two_id = :player_id');
                $delete->bindParam(':player_id', $_SESSION['id']);
                $delete->execute();

                $deleteRelations = $dbh->prepare('DELETE FROM player_relationships WHERE player_id = :player_id OR partner = :player_id');
                $deleteRelations->bindParam(':player_id', $_SESSION['id']);
                $deleteRelations->execute();
            } else {
                echo "<div class=\"alert alert-danger alert-dismissible fade show\" role=\"alert\">
								Você não pode excluir seus amigos enquanto estiver online.
								<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" style=\"height: 100%;\">
									<span aria-hidden=\"true\" style=\"line-height: 0.5;\">&times;</span>
								</button>
						  </div>";
            }
        }
    }

    public static function getUserInfo()
    {
        global $dbh;

        header("Content-Type: application/json; charset=UTF-8");

        $obj = array();

        if (isset($_GET['username']) && strlen(trim($_GET['username'])) > 0) {
            $user = $dbh->prepare("SELECT id,username,motto,figure,reg_timestamp,last_online,online,rank,vip_points,credits,activity_points,achievement_points,cms_video FROM players WHERE username = :username");
            $user->bindParam(':username', $_GET['username']);
            $user->execute();
            $user = $user->rowCount() == 1 ? $user->fetch() : null;

            if ($user != null) {
                $obj['username'] = $user['username'];
                $obj['motto'] = $user['motto'];
                $obj['figure'] = $user['figure'];
                $obj['reg_timestamp'] = intval($user['reg_timestamp']);
                $obj['last_online'] = self::userSettingsById('hide_last_online', $user['id']) == '0' ? intval($user['last_online']) : null;
                $obj['online'] = $user['online'] == '1' && self::userSettingsById('hide_online', $user['id']) == '0';
                $obj['vip'] = $user['rank'] == 2;
                $obj['diamonds'] = intval($user['vip_points']);
                $obj['credits'] = intval($user['credits']);
                $obj['duckets'] = intval($user['activity_points']);
                $obj['achievement_points'] = intval($user['achievement_points']);
                $obj['favorite_video'] = $user['cms_video'] != null && $user['cms_video'] != '' ? 'https://www.youtube.com/embed/' . $user['cms_video'] . '?rel=0&controls=1' : null;
            } else {
                $obj['error'] = true;
                $obj['status_code'] = 404;
                $obj['message'] = 'Usuário não encontrado.';
            }
        } else {
            $obj['error'] = true;
            $obj['status_code'] = 400;
            $obj['message'] = 'Informe o nome do usuário.';
        }

        echo json_encode($obj);
    }
    public static function getUploadedBadges()
    {
        global $config;

        header("Content-Type: application/json; charset=UTF-8");
        echo json_encode(Admin::getUploadedBadges());
    }

    public static function pollVote()
    {
        global $dbh, $config;

        header("Content-Type: application/json; charset=UTF-8");

        $response = array();

        if (isset($_POST['poll_id']) && isset($_POST['player_id'])) {
            $pollExistente = $dbh->prepare('SELECT * FROM cms_polls WHERE id = :id');
            $pollExistente->bindParam(':id', $_POST['poll_id']);
            $pollExistente->execute();

            $pollExistente = $pollExistente->rowCount() > 0 ? $pollExistente->fetch() : null;

            if ($pollExistente != null && $pollExistente['ativada'] == '1') {
                if ($pollExistente['precisa_login'] == '1' && !isset($_SESSION['id'])) {
                    $response['error'] = true;
                    $response['message'] = 'Você precisa estar logado para votar.';
                } else {
                    if ($pollExistente['data_encerramento'] > time()) {
                        $continue = true;

                        if ($pollExistente['precisa_login'] == '1' && $pollExistente['votos_por_usuario'] != null) {
                            $votosExistentes = $dbh->prepare('SELECT id FROM cms_polls_answers WHERE poll_id = :poll_id AND data = :data');
                            $votosExistentes->bindParam(':poll_id', $_POST['poll_id']);
                            $votosExistentes->bindParam(':data', $_SESSION['id']);
                            $votosExistentes->execute();

                            if ($votosExistentes->rowCount() >= $pollExistente['votos_por_usuario']) {
                                $response['error'] = true;
                                $response['message'] = 'Desculpe, você já atingiu o limite de votos por usuário desta votação.';
                                $continue = false;
                            }
                        }

                        if ($continue) {
                            $player_id = $_POST['player_id'];
                            $captcha_data = isset($_POST['g-recaptcha-response']) ? $_POST['g-recaptcha-response'] : '';

                            if ($captcha_data) {
                                $url = 'https://www.google.com/recaptcha/api/siteverify';
                                $data = array(
                                    'secret' => $config['recaptchaSiteKeySecret'],
                                    'response' => $captcha_data
                                );
                                $options = array(
                                    'http' => array(
                                        'method' => 'POST',
                                        'content' => http_build_query($data)
                                    )
                                );
                                $context = stream_context_create($options);
                                $verify = file_get_contents($url, false, $context);
                                $captcha_success = json_decode($verify);

                                if ($captcha_success->success == false) {
                                    $response['error'] = true;
                                    $response['message'] = 'Espera aí amigão, tô achando que você é um robô...';
                                } else {
                                    $data = $pollExistente['precisa_login'] == '1' ? $_SESSION['id'] : userIp();
                                    $insert = $dbh->prepare('INSERT INTO cms_polls_answers(poll_id, data, resposta, timestamp) VALUES (:poll_id, :data, :resposta, :timestamp)');
                                    $insert->bindParam(':poll_id', $_POST['poll_id']);
                                    $insert->bindParam(':data', $data);
                                    $insert->bindParam(':resposta', $_POST['player_id']);
                                    $insert->bindValue(':timestamp', time());
                                    $insert->execute();

                                    $response['success'] = true;
                                }
                            } else {
                                $response['error'] = true;
                                $response['message'] = 'Confirme que você não é um robô.';
                            }
                        }
                    } else {
                        $response['error'] = true;
                        $response['disabled'] = true;
                        $response['message'] = 'O tempo de voto desta votação já expirou.';
                    }
                }
            } else {
                $response['error'] = true;
                $response['disabled'] = true;
                $response['message'] = 'Esta votação não existe ou já foi finalizada.';
            }

            echo json_encode($response);
        }
    }

    public static function getNewsindex()
    {
        global $dbh;

        header("Content-Type: application/json; charset=UTF-8");

        $obj = array();

        $news = $dbh->prepare("SELECT cms_news.id, cms_news.title, cms_news.image, cms_news.shortstory, players.username AS author FROM cms_news 
                                INNER JOIN players ON
                                players.id = cms_news.author
                                ORDER BY cms_news.id DESC");
        $news->execute();

        while ($currentNews = $news->fetch(PDO::FETCH_ASSOC)) {
            $newsObj = array();

            array_push($obj, $currentNews);
        }

        echo json_encode($obj);
    }

    public static function getNewsById()
    {
        global $dbh;

        header("Content-Type: application/json; charset=UTF-8");

        $obj = array();

        if (isset($_GET['id'])) {
            $news = $dbh->prepare("SELECT cms_news.id, cms_news.title, cms_news.image, cms_news.shortstory, cms_news.longstory, players.username AS author, cms_news.date FROM cms_news 
                                    INNER JOIN players ON
                                    players.id = cms_news.author
                                    WHERE cms_news.id = :id
                                    ORDER BY cms_news.id DESC");
            $news->bindParam(':id', $_GET['id']);
            $news->execute();

            if ($news->rowCount() > 0) {
                $obj = $news->fetch(PDO::FETCH_ASSOC);
            } else {
                $obj['error'] = true;
                $obj['status_code'] = 404;
                $obj['message'] = 'Notícia não encontrada.';
            }
        }

        echo json_encode($obj);
    }

    // luiz code
    public static function editEmail()
    {
        global $dbh, $lang, $emuUse;

        if (isset($_POST['edit-email'])) {


            if (isset($_POST['csrf-token'])) {
                $token = $_POST['csrf-token'];

                if (isset($_POST['email']) && filter_var($_POST["email"], FILTER_VALIDATE_EMAIL) && !empty($_POST['email'])) {
                    $verifyEmailExists = $dbh->prepare("
                    SELECT email FROM players WHERE email = :email
                ");

                    $verifyEmailExists->bindParam(":email", $_POST["email"]);
                    $verifyEmailExists->execute();

                    if ($verifyEmailExists->rowCount() == 0) {

                        if ($token == $_SESSION['token']) {
                            $stmt = $dbh->prepare("
                                UPDATE players
                                SET email = :email
                                WHERE id = :id
                            ");

                            $stmt->bindParam(":email", $_POST["email"]);
                            $stmt->bindParam(":id", $_SESSION["id"]);
                            $stmt->execute();
                            return Html::success("E-mail alterado.");
                        } else {
                            unset($_SESSION['token']);
                            return Admin::waveError("Erro ao alterar e-mail.");
                        }
                    } else {
                        return Admin::waveError("E-mail já existente.");
                    }
                } else {
                    return Admin::waveError("E-mail inválido.");
                }
            }
        }
    }
    // react news
    public static function reactNews()
    {

        global $dbh;

        $userReactedLikes = $dbh->prepare("SELECT * from cms_news_like WHERE player_id = :player_id AND news_id = :news_id");
        $userReactedLikes->bindParam(":player_id", $_SESSION['id']);
        $userReactedLikes->bindParam(":news_id", $_POST['newsId']);
        $userReactedLikes->execute();

        $userReactedDislikes = $dbh->prepare("SELECT * from cms_news_dislike WHERE player_id = :player_id AND news_id = :news_id");
        $userReactedDislikes->bindParam(":player_id", $_SESSION['id']);
        $userReactedDislikes->bindParam(":news_id", $_POST['newsId']);
        $userReactedDislikes->execute();

        $searchForNews = $dbh->prepare("SELECT * from cms_news WHERE id = :news_id");
        $searchForNews->bindParam(":news_id", $_POST['newsId']);
        $searchForNews->execute();

        $newsExists = $searchForNews->rowCount() != 0;

        if ($newsExists) {
            if ($_POST['type'] == "like") {

                if ($userReactedLikes->rowCount() == 0) {

                    if ($userReactedDislikes->rowCount() != 0) {
                        $likeNews = $dbh->prepare("DELETE FROM cms_news_dislike WHERE player_id = :player_id AND news_id = :news_id");
                        $likeNews->bindParam(":player_id", $_SESSION['id']);
                        $likeNews->bindParam(":news_id", $_POST['newsId']);
                        $likeNews->execute();
                    }

                    $likeNews = $dbh->prepare("INSERT INTO cms_news_like (news_id, player_id, type) VALUES  (:news_id, :player_id, :type)");
                    $likeNews->bindParam(":news_id", $_POST['newsId']);
                    $likeNews->bindParam(":player_id", $_SESSION['id']);
                    $likeNews->bindParam(":type", $_POST['type']);
                    $likeNews->execute();
                } else {
                    $likeNews = $dbh->prepare("DELETE FROM cms_news_like WHERE player_id = :player_id AND news_id = :news_id");
                    $likeNews->bindParam(":player_id", $_SESSION['id']);
                    $likeNews->bindParam(":news_id", $_POST['newsId']);
                    $likeNews->execute();
                }
            } else if ($_POST['type'] == "dislike") {
                if ($userReactedDislikes->rowCount() == 0) {

                    if ($userReactedLikes->rowCount() != 0) {
                        $likeNews = $dbh->prepare("DELETE FROM cms_news_like WHERE player_id = :player_id AND news_id = :news_id");
                        $likeNews->bindParam(":player_id", $_SESSION['id']);
                        $likeNews->bindParam(":news_id", $_POST['newsId']);
                        $likeNews->execute();
                    }

                    $dislikeNews = $dbh->prepare("INSERT INTO cms_news_dislike (news_id, player_id, type) VALUES  (:news_id, :player_id, :type)");
                    $dislikeNews->bindParam(":news_id", $_POST['newsId']);
                    $dislikeNews->bindParam(":player_id", $_SESSION['id']);
                    $dislikeNews->bindParam(":type", $_POST['type']);
                    $dislikeNews->execute();
                } else {
                    $dislikeNews = $dbh->prepare("DELETE FROM cms_news_dislike WHERE player_id = :player_id AND news_id = :news_id");
                    $dislikeNews->bindParam(":player_id", $_SESSION['id']);
                    $dislikeNews->bindParam(":news_id", $_POST['newsId']);
                    $dislikeNews->execute();
                }
            }

            header("Content-Type: application/json; charset=UTF-8");
            $obj = array(
                'total_likes' => User::getLikesNews($_POST['newsId']),
                'total_dislikes' => User::getDislikeNews($_POST['newsId'])
            );
            echo json_encode($obj);
        } else {
            header("Content-Type: application/json; charset=UTF-8");
            $obj = array(
                'error' => "true",
                'message' => "a notícia de id " . $_POST['newsId'] . " não existe"
            );
            echo json_encode($obj);
        }
    }

    public static function getLikesNews($newsId)
    {
        global $dbh;

        $type = "like";

        $newsLikeCounts = $dbh->prepare("
            SELECT * FROM cms_news_like WHERE news_id = :news_id AND type = :type
        ");

        $newsLikeCounts->bindParam(":news_id", $newsId);
        $newsLikeCounts->bindParam(":type", $type);
        $newsLikeCounts->execute();

        return $newsLikeCounts->rowCount();
    }

    public static function getDislikeNews($newsId)
    {
        global $dbh;

        $type = "dislike";

        $newsLikeCounts = $dbh->prepare("
            SELECT * FROM cms_news_dislike WHERE news_id = :news_id AND type = :type
        ");

        $newsLikeCounts->bindParam(":news_id", $newsId);
        $newsLikeCounts->bindParam(":type", $type);
        $newsLikeCounts->execute();

        return $newsLikeCounts->rowCount();
    }
}
