<?php
	if(!defined('BRAIN_CMS')) 
	{ 
		die('Sorry but you cannot access this file!'); 
	}
	/* 
		Functions list functions.
		--------------- 
		filter();
		loggedIn();
		userIp();
	*/
	// Filter data
	function filter($data) 
	{
		return htmlspecialchars($data, ENT_QUOTES, 'UTF-8');
	}
	function filterInpute($data) 
	{
		$filter = new Filter();
		$allowed_protocols = array('', '', 'mailto');
		$allowed_tags = array('a', 'i', 'b', 'em', 'span', 'strong', 'ul', 'ol', 'li', 'table', 'tr', 'td', 'thead', 'th', 'tbody');
		$filter->addAllowedProtocols($allowed_protocols);
		$filter->addAllowedTags($allowed_tags);
		$filtered_string = $filter->xss($data);
	}
	// Check version of BrainCMS
	function checkVersion()
	{
		global $config;
		$script = file_get_contents("https://braincms.github.io/version.txt");
		$update = file_get_contents("https://raw.githubusercontent.com/BrainCMS/BrainCMS/master/adminpan/update.md");
		$version = $config['brainversion'];
		if($version == $script) {
			echo'<div style = "width: 100%;
			background-color: green;
			border-radius: 5px;
			padding: 10px;
			color: white;
			margin-bottom: 10px;
			font-size: 17px;">This version of BrainCMS is up to date! You have the V'.$script.'</div>';
			} else {
			echo'<div style = "width: 100%;
			background-color: red;
			border-radius: 5px;
			padding: 10px;
			color: white;
			margin-bottom: 10px;
			font-size: 17px;">There is a new version of BrainCMS available! You have V'.$version.' and the latest version is V'.$script.'</div>
			<div style = "width: 100%;
			background-color: green;
			border-radius: 5px;
			padding: 10px;
			color: white;
			margin-bottom: 10px;
			font-size: 17px;">'.$update.'</div>';
		}	
	}
	// Check if user is logged in
	function loggedIn()
	{
		if (isset($_SESSION['id']))
		{
			return true;
		}
		else
		{
			return false;
		}		
	}
	// Check user real IP
	function userIp()
	{
		$ipaddress = '';
		if (isset($_SERVER["HTTP_CF_CONNECTING_IP"])) {
			$_SERVER['REMOTE_ADDR'] = $_SERVER["HTTP_CF_CONNECTING_IP"];
		}
		return $_SERVER['REMOTE_ADDR'];
	}	

	// Calcula a diferença entre uma determinada data e a data atual
	function dateDiff($date) {
		$mydate = date("Y-m-d H:i:s");
		$theDiff = "";

		$datetime1 = date_create($date);
		$datetime2 = date_create($mydate);
		$interval = date_diff($datetime1, $datetime2);

		$min = $interval->format('%i');
		$sec = $interval->format('%s');
		$hour = $interval->format('%h');
		$mon = $interval->format('%m');
		$day = $interval->format('%d');
		$year = $interval->format('%y');

		if ($interval->format('%i%h%d%m%y') == "00000") {
			return $sec . ($sec > 1 ? ' segundos' : ' segundo') . " atrás";

		} else if ($interval->format('%h%d%m%y') == "0000") {
			return $min . ($min > 1 ? ' minutos' : ' minuto') . " atrás";

		} else if($interval->format('%d%m%y') == "000") {
			return $hour . ($hour > 1 ? ' horas' : ' hora') . " atrás";

		} else if($interval->format('%m%y') == "00"){
			return $day . ($day > 1 ? ' dias' : ' dia') . " atrás";

		} else if($interval->format('%y') == "0"){
			return $mon . ($mon > 1 ? ' meses' : ' mês') . " atrás";

		} else {
			return $year . ($year > 1 ? ' anos' : ' ano') . " atrás";

		}
	}
	
	function startsWith ($string, $startString) { 
        $len = strlen($startString); 
        return (substr($string, 0, $len) === $startString); 
    }

	function get_percentage($total, $number)
	{
		if ($total > 0) {
			return round($number / $total * 100, 0);
		} else {
			return 0;
		}
	}

	function formatThousands($number) {
		return number_format($number, 0, '', '.');
	}
    
	function curl_get_contents($url) {
		$ch = curl_init();

		if ($ch === false) {
			throw new Exception('failed to initialize');
		}

		// set url
		curl_setopt($ch, CURLOPT_URL, $url);

		// return the transfer as a string
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch,CURLOPT_USERAGENT,'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13');

		$output = curl_exec($ch);

		if ($output === false) {
			throw new Exception(curl_error($ch), curl_errno($ch));
		}

		curl_close($ch);

		return $output;
	}