<?php
	$paginaAtual = "ajuda";
?>

<!DOCTYPE html>
<html>
<head>
	<title>Portal de Ajuda | Problemas de acesso na versão em HTML5 do jogo - <?= $config['hotelName'] ?></title>

	<?php include_once("includes/head.php"); ?>

	<style type="text/css">
		p {
			font-size: 10pt;
		}
	</style>
</head>
<body>
	<header>
		<?php include_once("includes/header.php"); ?>
	</header>

	<div class="body" style="margin-top: 30px">
		<div class="container">
			<div class="row">
				<div class="col-md-12 mb-4">
					<div class="card">
						<div class="card-header">
							Problemas de acesso na versão em HTML5 do <?= $config['hotelName'] ?>
							<span style="float: right">
								<i class="fa fa-info-circle" style="margin-top: 4px;"></i>
							</span>
						</div>
						<div class="card-body">
							<img style="float: right; padding: 10px 25px; margin: auto;" src="https://i.imgur.com/mXCV32Z.gif">
							<h4>- Ativar o WebGL no navegador</h4>
							<p style="margin-bottom: 25px">
								Caso o jogo trave em 0% ou apresente a mensagem "Ative o WebGL no seu navegador" na hora do carregamento, significa que seu navegador não está com o WebGL ativado ou não tem suporte para ele. Mas calma, abaixo estão listadas algumas das soluções para resolver esse problema nos navegadores mais utilizados.
							</p>
							<b>• Habilitando "aceleração de hardware" no Chrome</b>
							<p style="margin-top: 10px">
								<strong>1.</strong> Abra uma janela do navegador Chrome e vá para <b>chrome://settings</b><br><br>
								<img src="https://i.imgur.com/l0r8QNe.png"><br><br>

								<strong>2.</strong> Na lateral esquerda, navegue até <b>Avançado > Sistema</b><br><br>
								<img src="https://i.imgur.com/UlPuhN9.png" style="max-width: 100%"><br><br>

								<strong>3.</strong> Habilite a opção <b>"Usar aceleração de hardware quando disponível"</b> (Você precisará reiniciar o Chrome para que as alterações tenham efeito)<br><br>
								<img src="https://i.imgur.com/j95Lg0M.png" style="max-width: 100%"><br><br>

								No caso do Chrome, seguir este passo a passo geralmente resolve os problemas citados acima.
							</p><br>

							<b>• Ativando o WebGL no Firefox</b>
							<p style="margin-top: 10px">
								<strong>1.</strong> Abra uma janela do navegador Firefox e vá para <b>about:config</b><br><br>

								<strong>2.</strong> Na barra de pesquise, digite <b>"webgl.disabled"</b><br><br>

								<strong>3.</strong> Clique no ícone de alternar, até que o valor mostrado seja <b>"false"</b><br><br>
								<img src="https://i.imgur.com/dam5BrW.png" style="max-width: 100%"><br><br>
							</p>

							<p>Se mesmo após seguir este guia você não conseguir entrar na nova versão do hotel, por favor, avise-nos em nosso Discord: <a href="/discord" target="_blank"><?= $config['hotelUrl'] ?>/discord</a> para nos fornecer mais detalhes do seu problema para que possamos solucioná-lo o quanto antes.</p>
						</div>
				</div>
			</div>
		</div>
	</div>
	<br />
  	<br />
  	<br />
	<footer>
		<?php include_once("includes/footer.php"); ?>
	</footer>
</body>
</html>