<?php
	$paginaAtual = "ajuda";
?>

<!DOCTYPE html>
<html>
<head>
	<title>Portal de Ajuda - <?= $config['hotelName'] ?></title>

	<?php include_once("includes/head.php"); ?>

	<style type="text/css">
		p {
			font-size: 10pt;
		}
        .modal-register{
            display: none;
            transition-duration: 4s;
            -webkit-animation-name: fadeIn;
            animation-name: fadeIn;
            -webkit-animation-duration: 1s;
            animation-duration: 1s;
            -webkit-animation-fill-mode: both;
            animation-fill-mode: both;
        }

        @-webkit-keyframes fadeIn {
            0% {opacity: 0;}
            100% {opacity: 1;}
        }
        @keyframes fadeIn {
            0% {opacity: 0;}
            100% {opacity: 1;}
        }

        .col-sm-4-registro {
            width: 340px;
            height: auto;
            background-color: white;
            transform: translateX(-50%);
            left: 50%;
            position: absolute;
            top: 5%;
            border-radius: 6px;
        }

        span.titulo-registro {
            position: relative;
            font-weight: 500;
            top: 10px;
            left: 32%;
        }
	</style>
</head>
<body>
<div class="modal-register" style="z-index: 122;">
    <div class="col-sm-4-registro">
        <div class="card-test">
            <span class="titulo-registro">Seja bem-vindo(a)!</span>
            <div class="card-body">
                <form id="formulario" method="POST" onsubmit="return register()">
                    <div class="alert alert-danger alert-dismissible fade show error" role="alert" style="display: none"></div>
                    <div class="form-label-group">
                        <input type="text" name="username" id="username" class="form-control" placeholder="Nome de usuário..." minlength="2" maxlength="20" autofocus>
                        <label for="username"><small>Nome de usuário...</small></label>
                    </div>
                    <div class="form-label-group">
                        <input type="email" name="email" id="email" class="form-control" placeholder="E-mail..." >
                        <label for="email" data-toggle="tooltip" data-placement="bottom" title="Você vai precisar deste endereço de e-mail para recuperar a sua conta e realizar outras mudanças nela. Por favor, utilize um endereço de e-mail válido."><small>E-mail...</small></label>
                    </div>
                    <div class="form-label-group">
                        <input type="password" name="password" id="password" class="form-control" placeholder="Senha..." >
                        <label for="password"><small>Senha...</small></label>
                    </div>
                    <div class="form-label-group">
                        <input type="password" name="password_repeat" id="password_repeat" class="form-control" placeholder="Senha (repita)..." >
                        <label for="password_repeat"><small>Senha (repita)...</small></label>
                    </div>
                    <div class="form-label-group">
                        <select class="form-control" name="gender" id="gender">
                            <option value="M" selected>Sexo Masculino</option>
                            <option value="F">Sexo Feminino</option>
                        </select>
                    </div>
                    <div class="form-label-group">
                        <input type="date" name="birthday" id="birthday" class="form-control" placeholder="Data de nascimento..." min="<?= intval(date("Y")) - 100 ?>-01-01" max="<?= date("Y-m-d") ?>">
                        <label for="birthday"><small>Data de nascimento...</small></label>
                    </div>
                    <div style="max-width: 100%">
                        <?php
                        if($config['recaptchaSiteKeyEnable'] == true) { ?>
                            <div class="g-recaptcha" data-sitekey="<?= $config['recaptchaSiteKey'] ?>" id="g-recaptcha-response" name="g-recaptcha-response" required></div>
                        <?php } ?>
                    </div>
                    <small>Ao se registrar você aceita todos os nossos <a class="link-underline" href="/terms">Termos e Condições</a>.</small><br><br>
                    <input type="submit" class="btn btn-outline-primary btn-block" id="btnEnviar" value="Registre-me!">
                    <div class="btn btn-outline-primary btn-block" id="btnVoltar" style=" background-color: #f44336; border: 1px solid #f44336; "><span style="position: relative;top: 0;color: white;">Voltar</span></div>
                </form>
            </div>
        </div>
    </div>
</div>
	<header>
		<?php include_once("includes/header.php"); ?>
	</header>

	<div class="body" style="margin-top: 30px">
		<div class="container">
			<div class="row">
				<div class="col-md-12 mb-4">
					<div class="card">
						<div class="card-header">
							Perguntas Frequentes
							<span style="float: right">
								<i class="fa fa-info-circle" style="margin-top: 4px;"></i>
							</span>
						</div>
						<div class="card-body">
							<b> Problemas de acesso</b>
	                        <img style="float: right; padding-top: 20px; padding-right: 150px; margin: auto;" src="https://i1.wp.com/images.habbo.com/c_images/reception/reception_widget_helpers_rev.png" alt=""><br />
							<a href="/ajuda/html5/problemas-acesso">• Problemas ao entrar na versão em HTML5 do jogo</a><br /><br />
                          	
							<b> Informações Gerais</b>
							<a href="/habbo-way">• Lella Etiqueta</a><br />
	                        <a href="/puffin">• Jogue no celular</a><br />
	                        <a href="/aplicativo">• Baixar aplicativo</a><br /><br />

	                        <b>Termos e Condições</b><br />
	                        <a href="/privacy">• Termos e Condições</a><br />
	                        <a href="/privacy">• Política de Privacidade</a><br />
	                        <a href="/cookies">• Política de Cookies</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<br />
  	<br />
  	<br />
	<footer>
		<?php include_once("includes/footer.php"); ?>
	</footer>
</body>
</html>