<?php
	$paginaAtual = "aplicativo";
?>

<!DOCTYPE html>
<html>
<head>
	<title>Download - <?= $config['hotelName'] ?></title>

	<?php include_once("includes/head.php"); ?>

	<style type="text/css">
		#card-body {
			position: relative; background-repeat: no-repeat; background-color: /*transparent*/#f1f1f1; background-size: cover;
		}
		.any-list {
			padding-left: 0;
		}
		.any-list-primary {
			list-style: none;
		}
		.any-list li {
			margin-left: 33px;
			margin-bottom: 10px;
		}
		.any-list-primary li::before {
			background-image: url(/templates/clean/img/checkbox-circle-red.svg);
		}

		.any-list li::before {
			content: '';
			background-size: 19px;
			background-repeat: no-repeat;
			background-position: center center;
			vertical-align: middle;
			color: #fb4137;
			display: inline-block;
			height: 19px;
			width: 19px;
			margin-right: 13px;
			margin-left: -33px;
			margin-bottom: 5px;
		}
		.sub-heading {
			font-size: 1rem;
			color: #8c8c8c;
		}

		.btn-download:not(:disabled):not(.disabled) {
			cursor: pointer;
		}

		.btn-download {
			font-size: 1.1rem;
			white-space: normal;
		}
		.mb-1, .my-1 {
			margin-bottom: .5rem!important;
		}
		.mt-1, .my-1 {
			margin-top: .5rem!important;
		}
		.btn-download {
			display: inline-block;
			font-weight: 700;
			text-align: center;
			white-space: nowrap;
			vertical-align: middle;
			user-select: none;
			border: 1px solid transparent;
			padding: .875rem 1.75rem;
			font-size: 1rem;
			line-height: 1.8;
			border-radius: .25rem;
			transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
		}
        .modal-register{
            display: none;
            transition-duration: 4s;
            -webkit-animation-name: fadeIn;
            animation-name: fadeIn;
            -webkit-animation-duration: 1s;
            animation-duration: 1s;
            -webkit-animation-fill-mode: both;
            animation-fill-mode: both;
        }

        @-webkit-keyframes fadeIn {
            0% {opacity: 0;}
            100% {opacity: 1;}
        }
        @keyframes fadeIn {
            0% {opacity: 0;}
            100% {opacity: 1;}
        }

        .col-sm-4-registro {
            width: 340px;
            height: auto;
            background-color: white;
            transform: translateX(-50%);
            left: 50%;
            position: absolute;
            top: 5%;
            border-radius: 6px;
        }

        span.titulo-registro {
            position: relative;
            font-weight: 500;
            top: 10px;
            left: 32%;
        }
	</style>
</head>

<body>
<div class="modal-register">
    <div class="col-sm-4-registro">
        <div class="card-test">
            <span class="titulo-registro">Seja bem-vindo(a)!</span>
            <div class="card-body">
                <form id="formulario" method="POST" onsubmit="return register()">
                    <div class="alert alert-danger alert-dismissible fade show error" role="alert" style="display: none"></div>
                    <div class="form-label-group">
                        <input type="text" name="username" id="username" class="form-control" placeholder="Nome de usuário..." minlength="2" maxlength="20" autofocus>
                        <label for="username"><small>Nome de usuário...</small></label>
                    </div>
                    <div class="form-label-group">
                        <input type="email" name="email" id="email" class="form-control" placeholder="E-mail..." >
                        <label for="email" data-toggle="tooltip" data-placement="bottom" title="Você vai precisar deste endereço de e-mail para recuperar a sua conta e realizar outras mudanças nela. Por favor, utilize um endereço de e-mail válido."><small>E-mail...</small></label>
                    </div>
                    <div class="form-label-group">
                        <input type="password" name="password" id="password" class="form-control" placeholder="Senha..." >
                        <label for="password"><small>Senha...</small></label>
                    </div>
                    <div class="form-label-group">
                        <input type="password" name="password_repeat" id="password_repeat" class="form-control" placeholder="Senha (repita)..." >
                        <label for="password_repeat"><small>Senha (repita)...</small></label>
                    </div>
                    <div class="form-label-group">
                        <select class="form-control" name="gender" id="gender">
                            <option value="M" selected>Sexo Masculino</option>
                            <option value="F">Sexo Feminino</option>
                        </select>
                    </div>
                    <div class="form-label-group">
                        <input type="date" name="birthday" id="birthday" class="form-control" placeholder="Data de nascimento..." min="<?= intval(date("Y")) - 100 ?>-01-01" max="<?= date("Y-m-d") ?>">
                        <label for="birthday"><small>Data de nascimento...</small></label>
                    </div>
                    <div style="max-width: 100%">
                        <?php
                        if($config['recaptchaSiteKeyEnable'] == true) { ?>
                            <div class="g-recaptcha" data-sitekey="<?= $config['recaptchaSiteKey'] ?>" id="g-recaptcha-response" name="g-recaptcha-response" required></div>
                        <?php } ?>
                    </div>
                    <small>Ao se registrar você aceita todos os nossos <a class="link-underline" href="/terms">Termos e Condições</a>.</small><br><br>
                    <input type="submit" class="btn btn-outline-primary btn-block" id="btnEnviar" value="Registre-me!">
                    <div class="btn btn-outline-primary btn-block" id="btnVoltar" style=" background-color: #f44336; border: 1px solid #f44336; "><span style="position: relative;top: 0;color: white;">Voltar</span></div>
                </form>
            </div>
        </div>
    </div>
</div>
	<header>
		<?php include_once("includes/header.php"); ?>
	</header>

	<div class="body" <?= !isset($_SESSION['id']) ? "style=\"margin-top: 30px\"" : "" ?> style="margin-top: 30px">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="card">
						<div class="card-header" style="text-align: center;">
							APLICATIVO PARA DESKTOP (VERSÃO <?= $config['app-version'] ?>)
							<span style="float: right">
								<i class="" style="margin-top: 4px;"></i>
							</span>
						</div>
						<div class="card-body" style="margin-bottom: -15px;">
							<p style="text-align: center;font-size: 1.5rem;font-weight: bold;font-weight: 500;line-height: 1.2;margin-bottom: 25px">
								Agora você pode jogar e bater um papo com seus amigos através do nosso aplicativo!
							</p>
							<div style="font-size: 10pt">
								<div class="row align-items-center">
									<div class="col-lg-6">
										<ul class="any-list any-list-primary mt-3 mt-lg-0 mb-0">
											<li><span class="sub-heading">Basicamente, uma maneira eficiente de melhorar sua experiência com o <?= $config['hotelName'] ?> Hotel</span></li>
											<li><span class="sub-heading">Não importa de onde você vem, o aplicativo do <?= $config['hotelName'] ?> Hotel torna mais fácil encontrar e reunir com seus amigos pixelados diariamente</span></li>
											<li><span class="sub-heading">Não pesa seu computador, livre de quaisquer vírus, e extremamente veloz para aprimorar a sua jogabilidade</span></li>
											<li><span class="sub-heading">Aproveite essa única experiência sem a necessidade de um Flash Player e mantenha-se conectado por mais tempo</span></li>
											<li><span class="sub-heading">Conecta com o seu Discord (Rich Presence), deixando todos seus amigos cientes que você está jogando o <?= $config['hotelName'] ?> (Indisponivel na versão MAC)</span></li>
										</ul>
									</div>
									<div class="col-lg-6" style="margin-top: 10px!important;">
										<div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
											<ol class="carousel-indicators">
												<li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
												<li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
											</ol>
											<div class="carousel-inner">
												<div class="carousel-item active">
													<img class="d-block w-100" src="https://i.imgur.com/8thXRio.png" alt="Primeiro slide">
												</div>
											</div>
											<a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
												<span class="carousel-control-prev-icon" aria-hidden="true"></span>
												<span class="sr-only">Anterior</span>
											</a>
											<a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
												<span class="carousel-control-next-icon" aria-hidden="true"></span>
												<span class="sr-only">Próximo</span>
											</a>
										</div>
									</div>
								</div>
								<p style="text-align: center;">
									<a class="btn btn-success btn-download" style="margin-top: 40px" href="javascript:baixarApp();">Baixar para Windows</a>
								</p>
                              <p style="text-align: center; margin-left: 450px; margin-top: -114px;">
									<a class="btn btn-success btn-download" style="margin-top: 40px" href="javascript:baixarAppMac();">Baixar para Mac</a>
								</p>
							</div>
						</div>

						<div class="modal fade" id="modalAviso" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
							<div class="modal-dialog" role="document">
								<div class="modal-content">
									<div class="modal-header">
										<h5 class="modal-title" id="exampleModalLabel">Obrigado por baixar o Aplicativo do <?= $config['hotelName'] ?>!</h5>
										<button type="button" class="close" data-dismiss="modal" aria-label="Close">
											<span aria-hidden="true">&times;</span>
										</button>
									</div>
									<div class="modal-body">
										Se o download não iniciar automaticamente, clique no botão abaixo para baixar agora.
									</div>
									<div class="modal-footer">
										<button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
										<button type="button" class="btn btn-primary" onclick="location.href='/download-app'">Baixar agora</button>
									</div>
								</div>
							</div>
						</div>

						<script type="text/javascript">
							function baixarApp() {
								$(document).ready(function($) {
									$('#modalAviso').modal('show');
								});
								window.open('/download-app', '_blank');
							}
						</script>
                      <script type="text/javascript">
							function baixarAppMac() {
								$(document).ready(function($) {
									$('#modalAviso').modal('show');
								});
								window.open('/download-appmac', '_blank');
							}
						</script>
					</div>
					<br>
				</div>
			</div>
		</div>
	</div>
  	
	<?php if (false/*!(User::userData('rank') == 2 || User::userData('rank') >= 6)*/) { ?>
        <div class="col-sm-12">
            <br>
            <div class="d-flex justify-content-center" style="border: none;
                                                              border: 2px solid #000;
                                                              border-radius: 6px;
                                                              box-shadow: inset 2px 2px 0 rgba(255,255,255,.1), inset -2px -2px 0 rgba(255,255,255,.1);
                                                              padding: 1px;
                                                              background-image: linear-gradient(to bottom,#212121,#151515);
                                                              margin: 0 auto;
                                                              overflow: hidden;
                                                              width: 728px;"
                 >
                <script type="text/javascript">
                    atOptions = {
                      'key' : 'ae1d61248d8efbb87d7461cf35375757',
                      'format' : 'iframe',
                      'height' : 90,
                      'width' : 728,
                      'params' : {}
                    };
                    document.write('<scr' + 'ipt type="text/javascript" src="http' + (location.protocol === 'https:' ? 's' : '') + '://www.displaycontentnetwork.com/ae1d61248d8efbb87d7461cf35375757/invoke.js"></scr' + 'ipt>');
                </script>
            </div>
        </div>
		<br />
	<?php } else { ?>
		<br />
        <br />
        <br />
        <br />
        <br />
        <br />
	<?php } ?>
  	
	<footer>
		<?php include_once("includes/footer.php"); ?>
	</footer>
</body>
</html>