<?php
	$paginaAtual = "cookies";
?>

<!DOCTYPE html>
<html>
<head>
	<title>Política de Cookies - <?= $config['hotelName'] ?></title>

	<?php include_once("includes/head.php"); ?>

	<style type="text/css">
		p {
			font-size: 10pt;
		}
	</style>
</head>
<body>
	<header>
		<?php include_once("includes/header.php"); ?>
	</header>

	<div class="body" style="margin-top: 30px">
		<div class="container">
			<div class="row">
				<div class="col-md-12 mb-4">
					<div class="card">
						<div class="card-header">
							Política de Cookies
							<span style="float: right">
								<i class="fa fa-info-circle" style="margin-top: 4px;"></i>
							</span>
						</div>
						<div class="card-body">
							Um "cookie" é uma pequena linha de texto armazenada pelo seu navegador da web. Ele ajuda o site a lembrar informações sobre sua visita, como o idioma desejado e outras configurações. Isso pode tornar sua próxima visita mais fácil e mais útil.
					<br/>
					<br/>
					<strong>Por que usamos cookies?</strong>
					<br/>
					Para vários fins, usamos nossos próprios cookies e cookies fornecidos por outras partes. Por exemplo, nós os usamos para ajudar você a se inscrever, proteger seus dados e tornar os anúncios mais relevantes.
					</p>
					<p><strong>Quais cookies o <?= $config['hotelName'] ?> usa?</strong><br/>
					Abaixo, você encontrará uma visão geral dos tipos de cookies que usamos. Nossa política de privacidade explica como protegemos sua privacidade através do uso de cookies e outras informações. Os nomes específicos dos cookies e outras tecnologias semelhantes que usamos podem mudar de tempos em tempos, mas geralmente elas se encaixam nas seguintes categorias:
					<br/>
					</p>
					<ul>
					<li><span style="text-decoration: underline;">Segurança</span>: Usamos cookies de segurança para verificar usuários, para evitar fraudes durante o login e para proteger os dados do usuário. Esta categoria também inclui os cookies de verificação (estes também pertencem à categoria User-cookies). A Sucuri (desenvolvida pela Sucuri, Inc.) é nossa parceira que nos fornece cookies de segurança.</li>
					</ul>
					<ul>
					<li><span style="text-decoration: underline;">Uso</span>: Os cookies dos usuários ajudam a manter o site funcionando adequadamente e a fornecer o serviço que o visitante espera, como visitar as páginas da Web ou acessar partes seguras do site. Sem esses cookies, o site não pode funcionar corretamente (as preferências, os processos de carregamento e os cookies de status da sessão também pertencem a essa categoria).</li>
					</ul>
					<ul>
					<li><span style="text-decoration: underline;">Publicidade</span>: Utilizamos cookies para tornar a publicidade mais atraente para os usuários e, além disso, para torná-la mais valiosa para os editores e anunciantes. Por exemplo, podemos ler cookies para mostrar anúncios no <?= $config['hotelName'] ?> ou em outros sites que atendam aos seus interesses. Também podemos usar um cookie para ver quem viu um anúncio no <?= $config['hotelName'] ?> e depois visitou o site do anunciante. Nossos parceiros também podem usar cookies ou outras tecnologias semelhantes para determinar se exibimos um anúncio, quais foram os resultados e nos fornecem informações sobre a interação entre o usuário e o anunciante. Também podemos trabalhar com um parceiro para lhe mostrar um anúncio no <?= $config['hotelName'] ?> ou fora dele. Por exemplo, depois de ter visitado um site ou aplicativo do parceiro e usado cookies, armazenamento local em seu dispositivo ou outras tecnologias semelhantes. Nossos parceiros de publicidade são o Google AdSense, DoubleClick (desenvolvido pela Google, Inc.).</li>
					</ul>
					<ul>
					<li><span style="text-decoration: underline;">Analytics</span>: Esses tipos de cookies são usados ​​para entender, melhorar e investigar produtos e serviços, incluindo quando você visita o <?= $config['hotelName'] ?> ou outros sites ou aplicativos de um computador ou dispositivo móvel. Nossos parceiros para isso são o Google Analytics (desenvolvido pela Google, Inc.).</li>
					</ul>
					<ul>
					<li><span style="text-decoration: underline;">Conteúdo de plug-in social e cookies de rastreamento de plug-in social</span>: Nosso site pode conter um ou mais dos módulos de plug-in. O módulo de plug-in social permite que os usuários de redes sociais compartilhem informações com amigos (e também oferecem outras funções relacionadas, como publicação de comentários). Esses plug-ins armazenam cookies e têm acesso a esses cookies no computador do usuário, permitindo que as redes sociais identifiquem seus membros ao interagir com esses plug-ins. Nossos parceiros de plug-in sociais incluem o Facebook.</li>
					</ul>
					<br>
					<p><strong>Como posso deletar os cookies?</strong>
					<br/>
					Com a maioria dos navegadores, você tem a possibilidade de desativar ou excluir cookies e, em alguns casos, os cookies podem ser bloqueados no futuro, ajustando determinadas configurações.
					<br/>
					Cada navegador que você usa deve ser definido separadamente. Os diferentes navegadores têm diferentes funções e opções para isso. Ao optar por desativar os cookies, você não pode se beneficiar totalmente do site (por exemplo, uma parte ou até mesmo o site inteiro nem sempre funciona como deveria).</p>
					<p>Abaixo, você encontrará mais informações sobre a remoção ou a desativação de cookies:</p>
					<ul>
					<li>Internet Explorer: <a href="https://support.microsoft.com/pt-br/help/17442/windows-internet-explorer-delete-manage-cookies" rel="nofollow noreferrer" target="_blank">https://support.microsoft.com/pt-br/help/17442/windows-internet-explorer-delete-m...</a></li>
					<li>Google Chrome: <a href="https://support.google.com/chrome/answer/95647?hl=pt-BR" rel="nofollow noreferrer" target="_blank">https://support.google.com/chrome/answer/95647?hl=pt-BR</a></li>
					<li>Safari: <a href="https://support.apple.com/kb/PH17191?locale=pt_BR" rel="nofollow noreferrer" target="_blank">https://support.apple.com/kb/PH17191?locale=pt_BR</a></li>
					<li>Firefox: <a href="https://support.mozilla.org/pt-BR/kb/desative-cookies-no-firefox-parar-rastreamento" rel="nofollow noreferrer" target="_blank">https://support.mozilla.org/pt-BR/kb/desative-cookies-no-firefox-parar-rastreamento</a></li>
					<li>Opera: <a href="http://help.opera.com/Windows/8.54/pt-BR/cookies.html" rel="nofollow noreferrer" target="_blank">http://help.opera.com/Windows/8.54/pt-BR/cookies.html</a></li>
					</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<br />
  	<br />
  	<br />
	<footer>
		<?php include_once("includes/footer.php"); ?>
	</footer>
</body>
</html>