<?php
	$paginaAtual = "equipe";

	header('Location: /index');
?>

<!DOCTYPE html>
<html>
<head>
	<title>Equipe Staff - <?= $config['hotelName'] ?></title>

	<?php include_once("includes/head.php"); ?>

	<style type="text/css">
		#card-body {
			position: relative; background-repeat: no-repeat; background-color: /*transparent*/#f1f1f1; background-size: cover;
		}
	</style>
</head>
<body>
	<header>
		<?php include_once("includes/header.php"); ?>
	</header>

	<div class="body">
		<div class="container">
			<div class="row">
				<div class="col-md-12 navbar-dropdown">
					<ul>
						<li><a href="/community">Comunidade</a></li>
						<li><a href="/news">Notícias</a></li>
						<li><a href="/staff">Equipe</a></li>
						<li><a href="/ambassadors">Embaixadores</a></li>
					</ul>
				</div>

				<div class="col-md-7">
		            <?php
		                global $dbh;
		                $ranks = $dbh->prepare("SELECT id,name FROM ranks WHERE id >= 6 AND id <= 8 ORDER BY id DESC");
		                $ranks->execute();
		                while ($rank = $ranks->fetch()) { ?>
							<div class="card">
								<div class="card-body" style="margin-bottom: -15px;">
									<div style="margin-bottom: 10px;text-align: center;">
										<b><?= $rank['name'] ?></b>
									</div>
									<hr>
									<?php
		                                $staffs = $dbh->prepare("SELECT username,figure,motto,online,last_online FROM players WHERE rank = :rank ORDER BY username");
		                                $staffs->bindParam(':rank', $rank['id']);
		                                $staffs->execute();
		                                while ($row = $staffs->fetch()) {
		                            ?>
		                            	<div class="d-flex align-items-stretch" style="margin-bottom: -20px;">
		                            		<div class="p-2 bd-highlight">
		                            			<div id="habbo-details">
		                            				<img style="position:absolute;" src="https://www.habbo.city/habbo-imaging/avatarimage?figure=<?= $row['figure'] ?>&gesture=sml">
		                            			</div>
		                            		</div>
		                            		<div class="p-2 bd-highlight">
		                            			<p style="font-size: 9pt;margin-top: 14px">Usuário: <strong><?= $row['username'] ?></strong><br>
	                                            Missão: <strong><?= htmlspecialchars($row['motto'], ENT_QUOTES, 'UTF-8'); ?></strong><br>
	                                            Último login: <strong><?= date("d/m/Y H:i", $row['last_online']) ?></strong>
		                            		</div>
		                            		<div class="p-2 bd-highlight ml-auto" style="font-size: 10pt;margin-top: 30px;">
		                            			<?php if ($row['online'] == '1') { ?>
	                                                <span style="color:darkgreen"><b>Online</b></span>
	                                            <?php } else { ?>
	                                                <span style="color:darkred"><b>Offline</b></span>
	                                            <?php } ?>
		                            		</div>
		                            	</div>
                            		<?php } ?>
								</div>
							</div>
							<br>
                		<?php } ?>
				</div>

				<div class="col-md-5">
					<?php
		                global $dbh;
		                $ranks = $dbh->prepare("SELECT id,name FROM ranks WHERE id >= 9 AND id <= 10 ORDER BY id DESC");
		                $ranks->execute();
		                while ($rank = $ranks->fetch()) { ?>
							<div class="card">
								<div class="card-body" style="margin-bottom: -15px;">
									<div style="margin-bottom: 10px;text-align: center;">
										<b><?= $rank['name'] ?></b>
									</div>
									<hr>
									<?php
		                                $staffs = $dbh->prepare("SELECT username,figure,motto,online,last_online FROM players WHERE rank = :rank ORDER BY username");
		                                $staffs->bindParam(':rank', $rank['id']);
		                                $staffs->execute();
		                                while ($row = $staffs->fetch()) {
		                            ?>
		                            	<div class="d-flex align-items-stretch" style="margin-bottom: -20px;">
		                            		<div class="p-2 bd-highlight">
		                            			<div id="habbo-details">
		                            				<img style="position:absolute;" src="https://www.habbo.city/habbo-imaging/avatarimage?figure=<?= $row['figure'] ?>&gesture=sml">
		                            			</div>
		                            		</div>
		                            		<div class="p-2 bd-highlight">
		                            			<p style="font-size: 9pt;margin-top: 14px">Usuário: <strong><?= $row['username'] ?></strong><br>
	                                            Missão: <strong><?= htmlspecialchars($row['motto'], ENT_QUOTES, 'UTF-8'); ?></strong><br>
	                                            Último login: <strong><?= date("d/m/Y H:i", $row['last_online']) ?></strong>
		                            		</div>
		                            		<div class="p-2 bd-highlight ml-auto" style="font-size: 10pt;margin-top: 30px;">
		                            			<?php if ($row['online'] == '1') { ?>
	                                                <span style="color:darkgreen"><b>Online</b></span>
	                                            <?php } else { ?>
	                                                <span style="color:darkred"><b>Offline</b></span>
	                                            <?php } ?>
		                            		</div>
		                            	</div>
                            		<?php } ?>
								</div>
							</div>
							<br>
                		<?php } ?>
					<div class="card">
						<div class="card-body">
							<div style="margin-bottom: 10px">
								<b>Equipe Staff</b>
							</div>
							<hr>
							A equipe do <?= $config['hotelName'] ?> são pessoas que tem poder e autoridade para administrar o hotel.
	                        Eles cuidam de tudo, desde punindo usuários que desrespeitam as etiquetas, até fazendo eventos e promoções. Para encontrar um Staff no hotel
	                        você precisará procurar um usuário que tenha um emblema como os abaixo.
	                        <br><br>
							<img src="<?= $config['hotelUrl'] ?>/swf/c_images/album1584/CEO.gif">
							<img src="<?= $config['hotelUrl'] ?>/swf/c_images/album1584/GER.gif">
	                        <img src="<?= $config['hotelUrl'] ?>/swf/c_images/album1584/ADM.gif">
							<img src="<?= $config['hotelUrl'] ?>/swf/c_images/album1584/MOD.gif">
						</div>
					</div>
					<br>
					<div class="card">
						<div class="card-body">
							<div style="margin-bottom: 10px">
								<b>Precisa de ajuda?</b>
							</div>
							<hr>
							<img src="https://i.imgur.com/4ZHuBSU.gif" align="right" style="padding: 10px">
							Você precisa de ajuda, está com problemas ao jogar o hotel ou está sendo insultado por outro membro? Para que o problema seja solucionado não hesite em reportar para um membro da equipe, ele está pronto para lhe ajudar.
	                        <br><br>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<footer>
		<?php include_once("includes/footer.php"); ?>
	</footer>
</body>
</html>