function setAnimation(type, interaction, obj) {
	if (interaction === 'enter') {
		obj.style.transform = "scale(1.3)";
	} else if (interaction === 'exit' && type !== lastReaction) {
		obj.style.transform = "unset";
	}
}
function setReaction(type) {
	var btn = document.getElementById('reaction-' + type.toLowerCase());
	btn.style.transform = "scale(1.3)";

	var count = document.getElementById('reaction-' + type.toLowerCase() + '-count');
	count.style.fontWeight = "bold";
	count.innerHTML = parseInt(count.innerHTML) + 1;
}
function addReaction(type) {
	var btn = document.getElementById('reaction-' + type.toLowerCase());
	btn.style.transform = type !== lastReaction ? "scale(1.45)" : "scale(1.3)";

	clearTimeout(timeout)
	timeout = setTimeout(function() {
		if (lastReaction === "") {
			setTimeout(function() {
				setReaction(type)
			}, 100)

			lastReaction = type;
		} else {
			if (type !== lastReaction) {
				var btnLast = document.getElementById('reaction-' + lastReaction.toLowerCase());
				btnLast.style.transform = "unset";

				var countLast = document.getElementById('reaction-' + lastReaction.toLowerCase() + '-count');
				countLast.style.fontWeight = "unset";
				countLast.innerHTML = parseInt(countLast.innerHTML) - 1;

				setTimeout(function() {
					setReaction(type)
				}, 100)

				lastReaction = type;
			} else {
				btn.style.transform = "scale(1)";

				var countLast = document.getElementById('reaction-' + lastReaction.toLowerCase() + '-count');
				countLast.style.fontWeight = "unset";
				countLast.innerHTML = parseInt(countLast.innerHTML) - 1;

				lastReaction = "";
			}
		}

		sendRequest(type);
	}, 200);
}
function calculeLength(id) {
	if (id === undefined) {
		var comment = document.getElementById('comment');
		var count = document.getElementById('comment-count');
		count.innerHTML = comment.value.length;
	} else {
		var comment = document.getElementById('comment-edit-'+id);
		var count = document.getElementById('comment-edit-count-'+id);
		count.innerHTML = comment.value.length;
	}
}
function convertDateToNormalString(date) {
	var ano = date.getFullYear()
	var mes = date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : (date.getMonth() + 1)
	var dia = date.getDate() < 10 ? '0' + date.getDate() : date.getDate()

	var hora = date.getHours() < 10 ? '0' + date.getHours() : date.getHours()
	var min = date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes()

	return dia + '/' + mes + '/' + ano + ' ' + hora + ':' + min
}
function escapeHtml(text) {
	var map = {
		'&': '&amp;',
		'<': '&lt;',
		'>': '&gt;',
		'"': '&quot;',
		"'": '&#039;'
	};
	
	return text.replace(/[&<>"']/g, function(m) { return map[m]; });
}
function deleteComment(id) {
	var commentDiv = $('#comment-'+id);

	clearTimeout(timeout)
	timeout = setTimeout(function() {
		$.ajax({
			type: "POST",
			url: "../templates/clean/api/delete_comment.php",
			async: true,
			data: {
				'comment_id': id
			},
			success: function (response) {
				if (response.success) {
					commentDiv.replaceWith(response.alert_html);

					var commentsCount = $('#comments-count');
					commentsCount.text(parseInt(commentsCount.text()) - 1);
				}
			},
			error: function (error) {
				console.log("ERRO ao excluir comentário:", error);
			},
			complete: function() {}
		});
	}, 250);
}
var previousValues = []
function editComment(id) {
	var commentContent = $('#comment-content-'+id);

	if (getPreviousContent(id) === undefined) {
		previousValues.push({
			id: id,
			content: commentContent.text()
		});
	}

	var replace = `<form method="post" id="comment-content-${id}" onsubmit="return updateComment(${id})">
						<span id="alert-edit-${id}"></span>
						<textarea class="form-control" id="comment-edit-${id}" name="comment" rows="2" placeholder="Adicionar um comentário..." maxlength="500" oninput="calculeLength(${id})">${getPreviousContent(id)}</textarea>
						<div style="margin-top: 3px;margin-bottom: 38px;">
							<small class="text-muted" style="margin-top: 10px">
								<span id="comment-edit-count-${id}">0</span>/500
							</small>
							<button type="submit" class="btn btn-outline-primary btn-sm" id="btnSubmitEdit-${id}" style="float: right; margin-top: 5px">Salvar edição »</button>
							<button type="button" onclick="cancelEdit(${id})" class="btn btn-outline-danger btn-sm" id="btnCancelEdit-${id}" style="float: right; margin-top: 5px;margin-right: 10px;">Cancelar</button>
						</div>
					</form>`

	commentContent.replaceWith(replace);
	calculeLength(id);
}
function cancelEdit(id) {
	var commentContent = $('#comment-content-'+id);
	var replace = `<p id="comment-content-${id}">${escapeHtml(getPreviousContent(id))}</p>`
	commentContent.replaceWith(replace);
}
function getPreviousContent(id) {
	var obj = previousValues[previousValues.findIndex(obj => obj.id === id)];
	return obj !== undefined ? obj.content : undefined;
}
function updatePreviousContent(id, newValue) {
	var obj = previousValues[previousValues.findIndex(obj => obj.id === id)];
	if (obj !== undefined) {
		obj.content = newValue.trim();
	}
}
function updateComment(id) {
	var btnSubmit = $('#btnSubmitEdit-'+id);
	var btnCancel = $('#btnCancelEdit-'+id);
	var comment = $('#comment-edit-'+id);
	var alert = $('#alert-edit-'+id);

	btnSubmit.prop('disabled', true);
	btnCancel.prop('disabled', true);
	comment.prop('disabled', true);

	clearTimeout(timeout)
	timeout = setTimeout(function() {
		$.ajax({
			type: "POST",
			url: "../templates/clean/api/update_comment.php",
			async: true,
			data: {
				'comment_id': id,
				'new_value': comment.val()
			},
			success: function (response) {
				if (response.success) {
					var commentContent = $('#comment-content-'+id);
					var replace = `<p id="comment-content-${id}">${escapeHtml(comment.val())}</p>`
					commentContent.replaceWith(replace);

					var replaceUpdatedTimestamp = `<span id="updated_timestamp-${id}" data-toggle="tooltip" data-placement="top" title="Editado: ${convertDateToNormalString(new Date())}"><b> (editado)</b></span>`;
					var updatedTimestamp = $('#updated_timestamp-'+id);
					if (updatedTimestamp.length) {
						updatedTimestamp.replaceWith(replaceUpdatedTimestamp);
					} else {
						var timestamp = $('#timestamp-'+id);
						timestamp.after(replaceUpdatedTimestamp);
					}

					updatePreviousContent(id, comment.val())

					$('[data-toggle="tooltip"]').tooltip();
				} else {
					alert.html(response.alert_html);
				}
			},
			error: function (error) {
				console.log("ERRO ao editar:", error);
			},
			complete: function() {
				btnSubmit.prop('disabled', false);
				btnCancel.prop('disabled', false);
				comment.prop('disabled', false);
			}
		});
	}, 300);

	return false;
}