<?php
	$paginaAtual = "index";
?>

<!DOCTYPE html>
<html>
<head>
	<title><?= $config['hotelDesc'] ?> - <?= $config['hotelName'] ?></title>
	
	<?php include_once("includes/head.php"); ?>
</head>
<body>
	<header>
		<?php include_once("includes/header.php"); ?>
	</header>
  	
	<div class="body" style="margin-top: 30px">
		<div class="container">
			<div class="row">
				<div class="col-sm-4">
					<div class="card">
						<div class="card-header">
							Acesse sua conta
							<span style="float: right">
								<i class="fa fa-user-circle" style="margin-top: 4px;"></i>
							</span>
						</div>
						<div class="card-body">
							<?php if (isset($_POST['login'])) { ?>
								<div class="alert alert-danger alert-dismissible fade show" role="alert">
									<?php User::checkLoginPin(); ?>
								</div>
							<?php } ?>

							<form method="POST">
								<div class="input-group mb-3">
									<div class="input-group-prepend">
										<span class="input-group-text" style="min-width: 45px;background-color: #1e262cf0;border-color: #303030">
											<span class="" aria-hidden="true" style="background-image: url(/templates/<?= $config['skin'] ?>/img/icons/lock.png);width: 13px;height: 16px;margin-left: 3px;"></span>
										</span>
									</div>
									<input type="text" class="form-control" name="access_code" id="access_code" placeholder="Código de acesso..." required autofocus style="padding: .6rem .7rem;">
								</div>
                              
								<input type="submit" name="login" class="btn btn-outline-primary btn-block" value="Entrar">
							</form>
						</div>
					</div>
					<br>
					<div class="card">
						<div class="card-header">
							O que é o <?= $config['hotelName'] ?>?
							<span style="float: right">
								<i class="fa fa-info-circle" style="margin-top: 4px;"></i>
							</span>
						</div>
						<div class="card-body">
							O <?= $config['hotelName'] ?> é uma comunidade virtual de pixels onde você pode, fazer amigos, conversar, construir quartos, desenvolver jogos e jogá-los e muito mais! Tudo é possível neste lugar inovador com pessoas incríveis!
						</div>
					</div>
					<br>
				</div>

				<?php if($_SERVER["HTTP_HOST"] == 'app.habbling.com.br' && isset($_COOKIE['app_version']) && $_COOKIE['app_version'] != $config['app-version']) { ?>
					<script type="text/javascript">
						$(document).ready(function($) {
							$('#modalAviso').modal('show');
						});
					</script>
				<?php } ?>

				<div class="col-sm-8">
					<div class="card card-index" style="background-image: url(<?= $config['hotelUrl'] ?>/templates/<?= $config['skin'] ?>/img/boxtitle.png);">
						<div class="card-body" style="color: white">
							Ainda não tem uma conta?<br><br>
							<a href="/register" class="btn btn-outline-success">Crie uma conta grátis!</a>
						</div>
					</div>
                  	<br>
					<div class="card card-index" style="background-image: url(<?= $config['hotelUrl'] ?>/templates/<?= $config['skin'] ?>/img/index.png);">
						<div class="card-body" style="color: white">
							<b>Bem-vindo(a) ao <?= $config['hotelName'] ?>!</b>
							<br><br>
							O que está esperando pra entrar no hotel?
							<ul>
								<li>Mobis e visuais atualizados</li>
								<li>Sistema lucrativo</li>
								<li>Eventos 24h por dia</li>
								<li>Uma equipe qualificada para lhe ajudar se necessário.</li>
								<li>Totalmente grátis</li>
							</ul>
						</div>
					</div>
              	</div>
			</div>
		</div>
	</div>
  	
	<footer>
		<?php include_once("includes/footer.php"); ?>
	</footer>
</body>
</html>