<?php
	$paginaAtual = "index";

	if (isset($_GET['reset_key']) && !empty($_GET['reset_key'])) {
		$sql = $dbh->prepare('SELECT cms_reset_password.id, cms_reset_password.player_id, players.username, cms_reset_password.enabled FROM cms_reset_password 
                          INNER JOIN players ON cms_reset_password.player_id=players.id
                          WHERE reset_key = :reset_key
                          ORDER BY id DESC LIMIT 1');
		$sql->bindParam(':reset_key', $_GET['reset_key']);
		$sql->execute();

		$valido = $sql->rowCount() > 0;

		if ($valido) {
			$sql = $sql->fetch();
			$valido = $sql['enabled'] == '1' ? true : false;
		}
	}
?>

<!DOCTYPE html>
<html>
<head>

	<title>Redefinição de senha - <?= $config['hotelName'] ?></title>

	<?php include_once("includes/head.php"); ?>

	<script src="<?= $config['hotelUrl']; ?>/templates/<?= $config['skin'] ?>/js/jquery-3.4.1.min.js?<?= $config['js_version'] ?>"></script>
    <script src="<?= $config['hotelUrl']; ?>/templates/<?= $config['skin'] ?>/js/reset-password.js?<?= $config['js_version'] ?>"></script>
</head>
<body>
	<header>
		<?php include_once("includes/header.php"); ?>
	</header>

	<div class="body" style="margin-top: 30px">
		<div class="container">
			<div class="row">
				<?php if ($valido) { ?>
					<div class="col-sm-8">
						<div class="card">
							<div class="card-header">
								Redefinição de senha
							</div>
							<div class="card-body">
	              			<div class="alert alert-danger alert-dismissible fade show error" role="alert" style="display: none"></div>
								<form method="POST" onsubmit="return resetPassword()">
									<p>Olá <b><?= $sql['username'] ?></b>, informe sua nova senha nos campos abaixo. Após isso você será redirecionado para a página inicial.</p>

									<input type="hidden" id="reset_key" name="reset_key" value="<?= $_GET['reset_key'] ?>">
									<div class="form-label-group">
										<input type="password" name="password" id="password" class="form-control" placeholder="Nova senha..." >
										<label for="password"><small>Nova senha...</small></label>
									</div>
									<div class="form-label-group">
										<input type="password" name="password_repeat" id="password_repeat" class="form-control" placeholder="Nova senha (repita)..." >
										<label for="password_repeat"><small>Nova senha (repita)...</small></label>
									</div>
									<input type="submit" id="btnEnviar" class="btn btn-outline-primary btn-block" value="Redefinir senha">
								</form>
							</div>
						</div>
						<br>
					</div>

					<div class="col-sm-4">
						<div class="card card-index">
							<div class="card-header">
								Informações importantes
								<span style="float: right">
									<i class="fa fa-info" style="margin-top: 4px;"></i>
								</span>
							</div>
							<div class="card-body">
								Lembre-se de escolher uma senha forte, uma senha é considerada forte quando contém letras maiúsculas e minúsculas, números e caracteres especiais. Nunca revele sua senha a ninguém!
								<br><br>
								<a href="/index" class="btn btn-outline-success">Voltar à página inicial</a>
							</div>
						</div>
					</div>
				<?php } else { ?>
					<div class="col-sm-12">
						<div class="card card-index">
							<div class="card-header">
								Link de redefinição de senha inválido
								<span style="float: right">
									<i class="fa fa-info" style="margin-top: 4px;"></i>
								</span>
							</div>
							<div class="card-body">
								Este link de redefinição de senha é inválido ou já foi usado. <a href="/recovery">Clique aqui para gerar um novo</a>.
								<br><br>
								<a href="/index" class="btn btn-outline-success">Voltar à página inicial</a>
							</div>
						</div>
						<br />
						<br />
						<br />
						<br />
						<br />
					</div>
				<?php } ?>
			</div>
		</div>
	</div>
	<br />
	<br />
	<br />
	<footer>
		<?php include_once("includes/footer.php"); ?>
	</footer>
</body>
</html>