<?php
	$paginaAtual = "photos";

	header('Location: /index');
	exit;
?>

<!DOCTYPE html>
<html>
<head>
	<title>Fotos - <?= $config['hotelName'] ?></title>

	<?php include_once("includes/head.php"); ?>

	<style type="text/css">
		#card-body {
			position: relative; background-repeat: no-repeat; background-color: /*transparent*/#f1f1f1; background-size: cover;
		}
		.btn:focus, .btn:active, button:focus, button:active {
			outline: none !important;
			box-shadow: none !important;
		}

		#image-gallery .modal-footer{
			display: block;
		}

		.thumb{
			margin-top: 15px;
			margin-bottom: 15px;
		}
	</style>
</head>

<body>
	<header>
		<?php include_once("includes/header.php"); ?>
	</header>

	<script src="/templates/<?= $config['skin'] ?>/js/gallery.js?<?= $config['js_version'] ?>"></script>

	<div class="body" <?= !isset($_SESSION['id']) ? "style=\"margin-top: 30px\"" : "" ?> style="margin-top: 30px">
			<div class="container">
				<div class="row">
					<div class="row">
						<?php
							$photos = $dbh->prepare('SELECT 
														player_photos.id, 
													    player_photos.player_id, 
													    players.username AS player_username, 
													    player_photos.room_id, 
													    rooms.name AS room_name, 
													    player_photos.photo,
													    player_photos.timestamp
													FROM player_photos
													INNER JOIN 
														players ON players.id = player_photos.player_id
													INNER JOIN 
														rooms ON rooms.id = player_photos.room_id
													ORDER BY player_photos.id DESC
                                                    LIMIT 40');
							$photos->execute();

							while ($photo = $photos->fetch()) { ?>
								<div class="col-lg-3 col-md-4 col-xs-6 thumb">
									<a class="thumbnail" 
										href="#" data-image-id="" data-toggle="modal" 
										data-title="Foto tirada por <a href='/profile/<?= $photo['player_username'] ?>'><?= $photo['player_username'] ?></a>"
										data-room="<?= htmlspecialchars ($photo['room_name'], ENT_QUOTES, 'UTF-8') ?>"
										data-room-link="/jogar/room/<?= $photo['room_id'] ?>"
										data-timestamp="<?= date('d/m/Y H:i', $photo['timestamp']) ?>"
										data-timestamp-title="<?= dateDiff(date('Y-m-d H:i', $photo['timestamp'])) ?>"
										data-image="<?= $photo['photo'] ?>"
										data-target="#image-gallery"
									>
											<img class="img-thumbnail"
													 src="<?= $photo['photo'] ?>"
													 alt="<?= $photo['player_id'] ?>">
									</a>
								</div>
							<?php } ?>
					</div>

					<div class="modal fade bd-example-modal-sm" id="image-gallery" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
						<div class="modal-dialog modal-md" style="width: 354px;">
							<div class="modal-content modal-custom-theme">
								<div class="modal-header">
									<h5 class="modal-title" id="image-gallery-title"></h5>
									<button type="button" class="close" data-dismiss="modal" aria-label="Close">
										<span aria-hidden="true">&times;</span>
									</button>
								</div>
								<div class="modal-body">
									<img id="image-gallery-image" style="margin-bottom: 10px" src="">
									<br>
									<b>Quarto:</b> <a id="image-gallery-room-link" href=""><span id="image-gallery-room"></span></a><br>
									<b>Data:</b> <span id="image-gallery-timestamp" data-toggle="tooltip" data-placement="top" title=""></span>
								</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-secondary float-left" id="show-previous-image" data-toggle="tooltip" data-placement="top" title="Foto anterior">
										<i class="fa fa-arrow-left"></i>
									</button>

									<button type="button" id="show-next-image" class="btn btn-secondary float-right" data-toggle="tooltip" data-placement="top" title="Próxima foto">
										<i class="fa fa-arrow-right"></i>
									</button>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>

	<footer>
		<?php include_once("includes/footer.php"); ?>
	</footer>
</body>
</html>