<?php
	$paginaAtual = "vip";

	if (!isset($_GET['poll_id'])) {
		header('Location: /me');
		exit;
	}

	$pollExistente = $dbh->prepare('SELECT * FROM cms_polls WHERE id = :id AND ativada = "1" AND data_encerramento > '.time());
	$pollExistente->bindParam(':id', $_GET['poll_id']);
	$pollExistente->execute();

	$pollExistente = $pollExistente->rowCount() > 0 ? $pollExistente->fetch(PDO::FETCH_ASSOC) : null;
?>

<!DOCTYPE html>
<html>
<head>
	<title><?= $pollExistente != null ? 'Votação: '.htmlspecialchars($pollExistente['titulo'], ENT_QUOTES, 'UTF-8') : 'Votação não encontrada' ?> - <?= $config['hotelName'] ?></title>

	<?php include_once("includes/head.php"); ?>

	<style type="text/css">
		#card-body {
			position: relative; background-repeat: no-repeat; background-color: /*transparent*/#f1f1f1; background-size: cover;
		}
	</style>
  
	<script type="text/javascript">
		$(function(){
		  function rescaleCaptcha(){
			var width = $('.g-recaptcha').parent().width();
			var scale;
			if (width < 302) {
			  scale = width / 302;
			} else{
			  scale = 1.0; 
			}

			$('.g-recaptcha').css('transform', 'scale(' + scale + ')');
			$('.g-recaptcha').css('-webkit-transform', 'scale(' + scale + ')');
			$('.g-recaptcha').css('transform-origin', '0 0');
			$('.g-recaptcha').css('-webkit-transform-origin', '0 0');
		  }

		  rescaleCaptcha();
		  $( window ).resize(function() { rescaleCaptcha(); });

		});
	</script>

	<script src='https://www.google.com/recaptcha/api.js'></script>
</head>

<body>
	<header>
		<?php include_once("includes/header.php"); ?>
	</header>

	<div class="body" <?= !isset($_SESSION['id']) ? "style=\"margin-top: 30px\"" : "" ?> style="margin-top: 30px">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="card">
						<div class="card-header" style="text-align: center;">
							<?= $pollExistente != null ? 'VOTAÇÃO: '.htmlspecialchars($pollExistente['titulo'], ENT_QUOTES, 'UTF-8') : 'Votação não encontrada' ?>
							<span style="float: right">
								<i class="" style="margin-top: 4px;"></i>
							</span>
						</div>
						<div class="card-body">
							<div style="font-size: 12pt;padding-bottom: 10px">

								<?php if ($pollExistente != null) { ?>
									<div class="mb-4" style="text-align: center">
										<h5><?= htmlspecialchars($pollExistente['descricao'], ENT_QUOTES, 'UTF-8') ?></h5>
									</div>

									<script type="text/javascript">
										function votar(playerId) {
											let btnsVotar = $('.btn-votar');
											let captcha = $("#g-recaptcha-response").val();

											btnsVotar.prop('disabled', true);

											$.ajax({
												type: "POST",
												url: "../templates/clean/api/poll_vote.php",
												async: true,
												data: {
													'poll_id': <?= $pollExistente['id'] ?>,
													'player_id': playerId,
													'g-recaptcha-response': captcha
												},
												success: function (response) {
													console.log("SUCESSO:", response);
													if (response.success) {
														window.alert('Obrigado! Seu voto foi computado.');
														window.location.reload(true);
													} else if (response.disabled) {
														window.location.reload(true);
													} else if (response.error) {
														window.alert(response.message);
													}
												},
												error: function (error) {
													console.log("ERRO:", error);
													window.alert("Ocorreu um erro. Por favor contate um Staff.");
												},
												complete: function() {
													btnsVotar.prop('disabled', false);
												}
											});
										}
									</script>


									<div style="text-align: center;font-size: 10pt;margin-bottom: 6px">Beep boop, boop beep?</div>
									<div class="row d-flex justify-content-center mb-4">
										<div class="g-recaptcha" data-sitekey="<?= $config['recaptchaSiteKey'] ?>" id="g-recaptcha-response" name="g-recaptcha-response" required></div>
									</div>

									<div class="row d-flex justify-content-center">
										<?php
											$players = $dbh->prepare('SELECT cms_polls_users.*, players.username AS player_username, players.figure AS player_figure 
																		FROM cms_polls_users
																		INNER JOIN players
																		ON players.id = cms_polls_users.player_id
																		WHERE cms_polls_users.poll_id = :poll_id');
											$players->bindParam(':poll_id', $_GET['poll_id']);
											$players->execute();

											while ($player = $players->fetch()) {
										?>
											<div class="col col-md-3">
												<div class="card" id="card-me">
													<div class="card-body" id="card-body" style="
																							height: 200px;
																							overflow: hidden;
																							border-bottom: 0.7px solid rgba(0, 0, 0, 0.2);
																							border-top-left-radius: .25rem;
																							border-top-right-radius: .25rem;
																							<?= !isset($_COOKIE['darkmode']) || $_COOKIE['darkmode'] == 'false' ? 'background-color: #1e262c;color: white' : '' ?>"
													>
														<div class="d-flex justify-content-center">
															<div class="p-2" style="margin-right: 25px">
																<div id="habbo-plate">
																	<img src="https://habbo.city/habbo-imaging/avatarimage?figure=<?= $player['player_figure'] ?>&direction=2&head_direction=3&gesture=sml&size=l&action=wav" 
																		 alt="<?= $username ?>">
																</div>
															</div>
														</div>
													</div>
													<div style="padding: 15px;">
														<div class="mb-3" style="text-align: center;"><strong><?= $player['player_username'] ?></strong></div>
														<button style="width: 100%" onclick="votar(<?= $player['player_id'] ?>)" class="btn btn-primary btn-votar">Votar</button>
													</div>
												</div>
											</div>
										<?php } ?>
									</div>

								<?php } else { ?>
									Desculpe, mas a votação que você está procurando não existe ou já foi finalizada.
								<?php } ?>
							</div>
						</div>
					</div>
					<br>
				</div>
			</div>
		</div>
	</div>
  	
	<br />
	<br />
	<br />
  	
	<footer>
		<?php include_once("includes/footer.php"); ?>
	</footer>
</body>
</html>