<?php

	$username = filter($_GET["user"]);
	$userinfo = $dbh->prepare("SELECT * FROM players WHERE username = :username");
	$userinfo->bindParam(':username', $username);
	$userinfo->execute();

	$get2 = $userinfo->fetch();

	$username = $get2['username'];
	$page_name = "Perfil de $username";

	$paginaAtual = strtolower($username) == strtolower(User::userData('username')) ? 'own-profile' : 'profile';

	$id = $get2['id'];
	$looks = $get2['figure'];
	$email = $get2['email'];
	$rank = $get2['rank'];
	$motto = htmlspecialchars($get2['motto'], ENT_QUOTES, 'UTF-8');
	$credits = $get2['credits'];
	$duckets = $get2['activity_points'];
	$seasonal = $get2['seasonal_points'];
	$diamonds = $get2['vip_points'];
	$online = $get2['online'];
	$created = $get2['reg_timestamp'];
	$lonline = $get2['last_online'];
	$youtube = htmlspecialchars($get2['cms_video'], ENT_QUOTES, 'UTF-8');
?>

<!DOCTYPE html>
<html>
<head>
	<title><?= $userinfo->RowCount() == 1 ? "Perfil de $username" : 'Perfil não encontrado' ?> - <?= $config['hotelName'] ?></title>

	<?php include_once("includes/head.php"); ?>

	<style type="text/css">
		#card-body {
			position: relative; background-repeat: no-repeat; background-color: /*transparent*/#f1f1f1; background-size: cover;
		}
	</style>
</head>
<body>
	<header>
		<?php include_once("includes/header.php"); ?>
	</header>

	<div class="body" style="margin-top: 30px">
		<div class="container">
			<div class="row">
				<?php
					if ($userinfo->RowCount() == 1) {
						$userinfo = $userinfo->fetch();
				?>
					<div class="col-md-4">
						<div class="card" id="card-me" style="/*background-image: url(/templates/<?= $config['skin'] ?>/img/hotel_views/htlview_sg.png);*/">
							<div class="card-body" id="card-body" style="
																	min-height: 0px;
																	max-height: 155px;
																	overflow: hidden;
																	border-bottom: 0.7px solid rgba(0, 0, 0, 0.2);
																	/*background-image: url(https://i.imgur.com/0t5obJI.png);color: white;*/
																	border-top-left-radius: .25rem;
																	border-top-right-radius: .25rem;
																	<?= !isset($_COOKIE['darkmode']) || $_COOKIE['darkmode'] == 'false' ? 'background-color: #1e262c;color: white' : '' ?>"
							>
								<div class="d-flex align-items-stretch">
									<div class="p-2" style="margin-right: 25px">
										<div id="habbo-plate">
											<img src="https://habbo.city/habbo-imaging/avatarimage?figure=<?= $looks ?>&direction=2&gesture=sml&size=l" alt="<?= $username ?>">
										</div>
									</div>
									<div class="p-2" style="margin-top: 20px;word-break: break-word;max-width: 230px;">
										<span style="font-weight: bold;font-size: 15pt"><?= $username ?></span>
										<?php if ($rank >= $config['staffVerifiedAccountMinimumRank'] && $rank != '11') { ?>
											<span class="conta-verificada" data-toggle="tooltip" data-placement="top" title="Membro da Equipe Staff">
												<i class="fa fa-check-circle"></i>
											</span>
										<?php } ?>
										<br>
										<?= $motto ?><br>
									</div>
								</div>
							</div>
							<div style="padding: 15px;">
								<?php
									global $tables;
									$linhas = 0;

									if ($id !== $_SESSION['id']) {
										$amigos = $dbh->prepare("SELECT username FROM players WHERE id IN (
																	SELECT user_one_id FROM `messenger_friendships` WHERE user_two_id = ? AND user_one_id IN
																	(SELECT user_one_id FROM `messenger_friendships` WHERE user_two_id = ? AND user_one_id != ?)
																) ORDER BY username");
										$amigos->bindValue(1, $_SESSION['id']);
										$amigos->bindValue(2, $id);
										$amigos->execute();
										$linhas = $amigos->RowCount();
									}
								?>

								<div class="mb-1"><b>Membro desde:</b> <?= date('d/m/Y', $created) ?></div>
								<div><b>Último login:</b> <?= User::userSettingsById('hide_last_online', $id) == '0' ? date('d/m/Y', $lonline) : '--/--/----' ?></div>
								<?php if ($linhas > 0) { ?>
									<div class="mt-2">
										<i class="fa fa-users"></i>
										<a href="#" data-toggle="modal" data-target=".bd-example-modal-sm">
											<span style="margin-left: 2px"><?= $linhas ?> amigo<?= $linhas > 1 ? "s" : "" ?> em comum</span>
										</a>
									</div>
								<?php } ?>

								<!-- Modal -->
								<div class="modal fade bd-example-modal-sm" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
									<div class="modal-dialog modal-sm">
										<div class="modal-content modal-amigos">
											<div class="modal-header">
												<h5 class="modal-title" id="exampleModalLabel">Amigos em comum (<?= $linhas ?>)</h5>
												<button type="button" class="close" data-dismiss="modal" aria-label="Close">
													<span aria-hidden="true">&times;</span>
												</button>
											</div>
											<div class="modal-body modal-long-body modal-amigos">
												<?php
													if ($linhas > 0) {
														while ($user = $amigos->fetch()) {
														?>
															<div class="d-flex align-items-center">
																<div class="p-2" style="font-size: 11pt">
																	<b><a href="/profile/<?= $user['username'] ?>"><?= $user['username'] ?></a></b><br>
																</div>
															</div>
														<?php }
													} else {
														echo "<span><i style=\"font-size: 10pt!important\">Ainda não há usuários nesta categoria.</i></span>";
													}
												?>
											</div>
											<div class="modal-footer">
												<button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
						<br>
						<div class="card">
							<div class="card-header">
								Estatísticas
								<span style="float: right">
									<i class="fa fa-user" style="margin-top: 4px;"></i>
								</span>
							</div>
							<div class="card-body">
								<div class="d-flex align-items-center">
									<div class="p-2">
										<img src="/templates/<?= $config['skin'] ?>/img/diamonds.png"> <b>Diamantes:</b> <?= $diamonds ?><br>
										<img src="/templates/<?= $config['skin'] ?>/img/credits.gif"> <b>Moedas:</b> <?= $credits ?><br>
										<img src="/templates/<?= $config['skin'] ?>/img/_duckets2.png"> <b>Duckets:</b> <?= $duckets ?><br>
										<img src="/templates/<?= $config['skin'] ?>/img/crazzies.png"> <b>Crazzies:</b> <?= $seasonal ?>
									</div>
									<div class="p-2 ml-auto">
										<?php echo(($online) && User::userSettingsById('hide_online', $get2['id']) == '0' ? 
																"<img src='/templates/" . $config[skin] . "/img/habbo_online.gif'/>" : 
																"<img src='/templates/" . $config[skin] . "/img/habbo_offline.gif'/>");
															?>
									</div>
								</div>
							</div>
						</div>
						<br>
					</div>

					<div class="col-md-8">
						<div class="card">
							<div class="card-header">
								Vídeo Favorito
								<span style="float: right">
									<i class="fa fa-youtube-play" style="margin-top: 4px;"></i>
								</span>
							</div>
							<div class="card-body">
								<iframe width="100%" height="400"
														src="https://www.youtube.com/embed/<?= $youtube; ?>?rel=0&amp;controls=1"
														frameborder="0" allowfullscreen></iframe>
							</div>
						</div>
						<br>
						<div class="card">
							<div class="card-header">
								Emblemas
								<span style="float: right">
									<i class="" style="margin-top: 4px;"></i>
								</span>
							</div>
							<div class="card-body">
								<div style='padding-left:15px;padding-right:5px;padding-top:15px;height:165px;overflow-y:scroll;'>

															<?php
															$getmybadges = $dbh->prepare("SELECT badge_code FROM player_badges WHERE player_id = :userid");
															$getmybadges->bindParam(':userid', $id);
															$getmybadges->execute();

															if ($getmybadges->RowCount() == 0) {
																echo 'Nenhum emblema no momento.';
															} else {
																while ($rowing = $getmybadges->fetch()) {
																	$badge = $rowing['badge_code'];
																	echo "<span style=\"padding-left: 33px;padding-right: 33px;\"><img style=\"padding-bottom: 20px;\" title='".$badge."' src='" . $config['badgeURL'] . $badge . ".gif'></span>";
																}
															}
															?>
														</div>
							</div>
						</div>
					</div>
				<?php } else { ?>
					<div class="col-md-12">
						<div class="card">
							<div class="card-body">
								<div style="margin-bottom: 10px">
									<b>Perfil não encontrado</b>
									<span style="float: right">
										<i class=""></i>
									</span>
								</div>
								<hr>
								<i style="font-size: 11pt!important;">O perfil que você está procurando não existe.</i>
							</div>
						</div>
					</div>
				<?php } ?>
			</div>	
		</div>
	</div>

	<footer>
		<?php include_once("includes/footer.php"); ?>
	</footer>
</body>
</html>