<!DOCTYPE html>
<html>
<head>
	<title>Registro - <?= $config['hotelName'] ?></title>

	<?php include_once("includes/head.php"); ?>

    <script src="/templates/<?= $config['skin'] ?>/js/register.js?<?= $config['js_version'] ?>"></script>
	<script src="/templates/<?= $config['skin'] ?>/js/popper-1.12.9.min.js?<?= $config['js_version'] ?>"></script>
  
    <script type="text/javascript">
    	$(function(){
		  function rescaleCaptcha(){
		    var width = $('.g-recaptcha').parent().width();
		    var scale;
		    if (width < 302) {
		      scale = width / 302;
		    } else{
		      scale = 1.0; 
		    }

		    $('.g-recaptcha').css('transform', 'scale(' + scale + ')');
		    $('.g-recaptcha').css('-webkit-transform', 'scale(' + scale + ')');
		    $('.g-recaptcha').css('transform-origin', '0 0');
		    $('.g-recaptcha').css('-webkit-transform-origin', '0 0');
		  }

		  rescaleCaptcha();
		  $( window ).resize(function() { rescaleCaptcha(); });

		});
    </script>

    <script src='https://www.google.com/recaptcha/api.js'></script>
</head>

<body>
	<header>
		<?php include_once("includes/header.php"); ?>
	</header>

	<div class="body" style="margin-top: 30px">
		<div class="container">
			<div class="row">
				<div class="col-md-4">
					<div class="card">
						<div class="card-header">
							Criar uma conta
							<span style="float: right">
								<i class="fa fa-user-circle" style="margin-top: 4px;"></i>
							</span>
						</div>
						<div class="card-body">
                				<form id="formulario" method="POST" onsubmit="return register()">
                					<div class="alert alert-danger alert-dismissible fade show error" role="alert" style="display: none"></div>
									<div class="form-label-group">
										<input type="text" name="username" id="username" class="form-control" placeholder="Nome de usuário..." minlength="2" maxlength="20" autofocus>
										<label for="username"><small>Nome de usuário...</small></label>
									</div>
									<div class="form-label-group">
										<input type="email" name="email" id="email" class="form-control" placeholder="E-mail..." >
										<label for="email" data-toggle="tooltip" data-placement="bottom" title="Você vai precisar deste endereço de e-mail para recuperar a sua conta e realizar outras mudanças nela. Por favor, utilize um endereço de e-mail válido."><small>E-mail...</small></label>
									</div>
									<div class="form-label-group">
										<input type="password" name="password" id="password" class="form-control" placeholder="Senha..." >
										<label for="password"><small>Senha...</small></label>
									</div>
									<div class="form-label-group">
										<input type="password" name="password_repeat" id="password_repeat" class="form-control" placeholder="Senha (repita)..." >
										<label for="password_repeat"><small>Senha (repita)...</small></label>
									</div>
                                  	<div class="form-label-group">
                                        <select class="form-control" name="gender" id="gender">
                                            <option value="M" selected>Sexo Masculino</option>
                                            <option value="F">Sexo Feminino</option>
                                        </select>
									</div>
                                  	<div class="form-label-group">
										<input type="date" name="birthday" id="birthday" class="form-control" placeholder="Data de nascimento..." min="<?= intval(date("Y")) - 100 ?>-01-01" max="<?= date("Y-m-d") ?>">
										<label for="birthday"><small>Data de nascimento...</small></label>
									</div>
                                  	<br>
					                <div style="max-width: 100%">
										<?php
											if($config['recaptchaSiteKeyEnable'] == true) { ?>
												<div class="g-recaptcha" data-sitekey="<?= $config['recaptchaSiteKey'] ?>" id="g-recaptcha-response" name="g-recaptcha-response" required></div>
										<?php } ?>
									</div>

									<br>
									<small>Ao se registrar você aceita todos os nossos <a class="link-underline" href="/terms">Termos e Condições</a>.</small><br><br>
									<input type="submit" class="btn btn-outline-primary btn-block" id="btnEnviar" value="Registre-me!">
                				</form>
						</div>
					</div>
				</div>
				<div class="col-md-8">
					<div class="card" style="background-image: url(<?= $config['hotelUrl'] ?>/templates/<?= $config['skin'] ?>/img/boxtitle.png);">
						<div class="card-body" style="color: white">
							Já tem uma conta?<br><br>
							<a href="/index" class="btn btn-outline-success">Acesse sua conta!</a>
						</div>
					</div>
					<br>
					<div class="card card-index" style="background-image: url(<?= $config['hotelUrl'] ?>/templates/<?= $config['skin'] ?>/img/index.png);">
						<div class="card-body" style="color: white">
							<b>Bem-vindo(a) ao <?= $config['hotelName'] ?>!</b>
							<br><br>
							O que está esperando pra entrar no hotel?
							<ul>
								<li>Mobis e visuais atualizados</li>
								<li>Sistema lucrativo</li>
								<li>Eventos 24h por dia</li>
								<li>Uma equipe qualificada para lhe ajudar se necessário.</li>
								<li>Totalmente grátis</li>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<br />
  	<br />
  	<br />
  	<br />
	<footer>
		<?php include_once("includes/footer.php"); ?>
	</footer>
</body>
</html>