<?php
	$paginaAtual = "settings";
?>

<!DOCTYPE html>
<html>
<head>
	<title>Preferências - <?= $config['hotelName'] ?></title>

	<?php include_once("includes/head.php"); ?>

	<style type="text/css">
		#card-body {
			position: relative; background-repeat: no-repeat; background-color: /*transparent*/#f1f1f1; background-size: cover;
		}
		p {
			margin-bottom: 0.8rem;
		}
		.alert-dismissible .close {
			padding: 0.45rem 1.25rem;
		}
	</style>
</head>
<body>
	<header>
		<?php include_once("includes/header.php"); ?>
	</header>

	<div class="body" style="margin-top: 30px">
		<div class="container">
			<div class="row">
				<div class="col-md-4">
					<div class="card">
						<div class="card-body">
							<b>Preferências</b><br>
							<a href="/settings/email">Alterar E-mail</a><br>
							<a href="/settings/password">Alterar Senha</a>
						</div>
					</div>
					<br>
				</div>

				<div class="col-md-8">
					<div class="card">
						<div class="card-body">
							<?php
								User::editSettingsAccount();
								User::deleteAllFriends();

								$userdata = $dbh->prepare('SELECT username, rank, motto, name_colour, cms_video, enable_radio, birthday FROM players WHERE id = :id');
								$userdata->bindParam(':id', $_SESSION['id']);
								$userdata->execute();
								$userdata = $userdata->fetch();

								$usersettings = $dbh->prepare('SELECT allow_friend_requests, hide_online, hide_last_online, allow_mimic, allow_follow, allow_trade, disable_whisper, allow_sex, ignore_events, mention_type FROM player_settings WHERE player_id = :id');
								$usersettings->bindParam(':id', $_SESSION['id']);
								$usersettings->execute();
								$usersettings = $usersettings->fetch();
							?>
							<form method="post" id="profileForm">
								<input type="hidden" name="email">

								<?php
									$username = $userdata['username'];
								?>

								<b>Nome de usuário</b>
								<p>Você pode alterar as letras do seu nome de usuário para deixá-las maiúsculas ou minúsculas.</p>
								<p><input type="text" class="form-control" name="username" id="username" size="<?= strlen($username) ?>" maxlength="<?= strlen($username) ?>" value="<?= $username ?>" placeholder="<?= $username ?>"></p>
								<br>

								<b>Missão</b>
								<p>Sua missão é o que outros verão na <a class="link-underline" href="/profile/<?= $userdata['username'] ?>">sua página</a> e abaixo de seu perfil dentro do Hotel.</p>
								<p><input type="text" class="form-control" name="motto" id="motto" size="70" maxlength="70" value="<?= htmlspecialchars($userdata['motto'], ENT_QUOTES, 'UTF-8'); ?>" placeholder="Mude sua missão..."></p>
								<br>

								<script type="text/javascript">
									function mudarTextoCorSelecionada(element) {
										document.getElementById('corselecionada').innerHTML = element.value.replace('#', '');
									}
								</script>

								<b>Cor do nome</b>
								<p>
                                  	<span>Altere a cor do seu nome aqui ou dentro do jogo. (comando <i>:cornome [hexadecimal]</i>)</span><br>
									<span>Cor selecionada (hexadecimal): <i><span id="corselecionada"><?= $userdata['name_colour'] ?></span></i></span>
									<span style="float: right;margin-top: -3px">
										<input type="color" name="cornome" value="#<?= $userdata['name_colour'] ?>" onchange="mudarTextoCorSelecionada(this)">
									</span>
								</p>
								<br>

								<b>Pedidos de amizade</b>
								<p>
									<span>Permitir que outros usuários possam te adicionar?</span>
									<span style="float: right;margin-top: -3px">
										<input type="checkbox" name="amizade" <?= $usersettings['allow_friend_requests'] == '1' ? 'checked' : '' ?> data-toggle="toggle" data-size="sm">
									</span>
								</p>
								<br>

								<b>Último online</b>
								<p>
									<span>Permitir que outros usuários vejam a última vez que você entrou no hotel?</span>
									<span style="float: right;margin-top: -3px">
										<input type="checkbox" name="last_online" <?= $usersettings['hide_last_online'] == '0' ? 'checked' : '' ?> data-toggle="toggle" data-size="sm">
									</span>
								</p>
								<br>

								<b>Estado online</b>
								<p>
									<span>Permitir que outros usuários vejam quando você estiver online?</span>
									<span style="float: right;margin-top: -3px">
										<input type="checkbox" name="online" <?= $usersettings['hide_online'] == '0' ? 'checked' : '' ?> data-toggle="toggle" data-size="sm">
									</span>
								</p>
								<br>

								<?php /* pode estar bugado */ ?>
								<b>Copiar visual</b>
								<p>
                                  	<span>Permitir que outros usuários possam copiar o seu visual? (comando <i>:copy</i>)</span>
									<span style="float: right;margin-top: -3px">
										<input type="checkbox" name="copy" <?= $usersettings['allow_mimic'] == '1' ? 'checked' : '' ?> data-toggle="toggle" data-size="sm">
									</span>
								</p>
								<br>

								<b>Te seguir</b>
								<p>
                                  	<span>Permitir que outros usuários possam te seguir? (comando <i>:follow</i>)</span>
									<span style="float: right;margin-top: -3px">
										<input type="checkbox" name="seguir" <?= $usersettings['allow_follow'] == '1' ? 'checked' : '' ?> data-toggle="toggle" data-size="sm">
									</span>
								</p>
								<br>

								<b>Negociações</b>
								<p>
									<span>Permitir que outros usuários possam negociar com você?</span>
									<span style="float: right;margin-top: -3px">
										<input type="checkbox" name="trade" <?= $usersettings['allow_trade'] == '1' ? 'checked' : '' ?> data-toggle="toggle" data-size="sm">
									</span>
								</p>
								<br>

								<b>Sussurros</b>
								<p>
									<span>Permitir que outros usuários sussurrem com você?</span>
									<span style="float: right;margin-top: -3px">
										<input type="checkbox" name="sussurros" <?= $usersettings['disable_whisper'] == '0' ? 'checked' : '' ?> data-toggle="toggle" data-size="sm">
									</span>
								</p>
								<br>

								<b>Sexo</b>
								<p>
                                  	<span>Permitir que outros usuários usem o comando <i>:sexo</i> com você?</span>
									<span style="float: right;margin-top: -3px">
										<input type="checkbox" name="allow_sex" <?= $usersettings['allow_sex'] == '1' ? 'checked' : '' ?> data-toggle="toggle" data-size="sm">
									</span>
								</p>
								<br>

								<?php /* ?>
								<b>Alertas de Eventos</b>
								<p>
									<span>Receber os alertas de eventos que estão acontecendo no hotel?</span>
									<span style="float: right;margin-top: -3px">
										<input type="checkbox" name="eventos" <?= $usersettings['ignore_events'] == '0' ? 'checked' : '' ?> data-toggle="toggle" data-size="sm">
									</span>
								</p>
								<br>
								<?php */ ?>

								<b>Menções</b>
								<p>
                                  	<span>Quem pode usar <i>@<?= $userdata['username'] ?></i> para mencionar você?</span>
									<div class="form-group">
										<select class="form-control" name="mencoes">
											<option value="FRIENDS" <?= $usersettings['mention_type'] == 'FRIENDS' ? 'selected' : '' ?>>Amigos</option>
											<option value="ALL" <?= $usersettings['mention_type'] == 'ALL' ? 'selected' : '' ?>>Todos</option>
											<option value="NONE" <?= $usersettings['mention_type'] == 'NONE' ? 'selected' : '' ?>>Ninguém</option>
										</select>
									</div>
								</p>
                          
                          		<div style="margin-top: 30px;">
                                    <b>Data de nascimento</b>
                                    <input type="date" name="birthday" id="birthday" class="form-control" placeholder="Data de nascimento..." min="<?= intval(date("Y")) - 100 ?>-01-01" max="<?= date("Y-m-d") ?>" value="<?= $userdata['birthday'] ?>">
                                    <br>
								</div>

								<b>Video favorito</b>
								<p>
									<small style="font-size: 100%;">
										Aqui você poderá mostrar a todos seu vídeo favorito. Ele aparecerá na <a class="link-underline" href="/profile/<?= $userdata['username'] ?>">sua página</a>.
										Pegue a URL do vídeo que você quer, e insira abaixo apenas o que estiver destacado em <strong style="color:green">VERDE</strong>, como no exemplo a seguir: 
										<i>https://www.youtube.com/watch?v=</i><strong style="color:green">NhK8Ehv6aPI</strong>
									</small>
								</p>
								<p><input type="text" class="form-control" name="video" id="video" value="<?php echo htmlspecialchars($userdata['cms_video'], ENT_QUOTES, 'UTF-8'); ?>" placeholder="Seu vídeo favorito..." aria-describedby="youtube"></p>
								<br>

								<?php if ($userdata['rank'] >= $config['staffCheckHkMinimumRank']) { ?>
									<h5 class="card-title">Preferências dos Staffs</h5>
									<div class="card">
										<div class="card-body">
											<b>Ativar a rádio</b>
											<p>
												<span>Permitir que o player da rádio seja carregado na client?</span>
												<span style="float: right;margin-top: -3px">
													<input type="checkbox" name="enable_radio" <?= $userdata['enable_radio'] == '1' ? 'checked' : '' ?> data-toggle="toggle" data-size="sm">
												</span>
											</p>
										</div>
									</div>
									<br>
								<?php } ?>

								<h5 class="card-title">Zona de perigo</h5>
								<div class="card" style="border-color: rgb(255 0 0)!important">
									<div class="card-body">
										<?php
											$amigos = $dbh->prepare('SELECT id FROM messenger_friendships WHERE user_one_id = :player_id OR user_two_id = :player_id');
											$amigos->bindParam(':player_id', $_SESSION['id']);
											$amigos->execute();
											$amigos = $amigos->rowCount();
										?>
										
										<b>Excluir todos os amigos (<?= $amigos / 2 ?>)</b>
										<p>
											<span>
												Não é possível reverter esta ação. Por favor, tenha certeza.
											</span>

											<span 
												style="float: right;margin-top: -3px;display: block;"

												<?php if ($amigos == 0) { ?>
													tabindex="0" 
													data-toggle="tooltip" 
													title="Você não tem amigos :("
												<?php } ?>
											>
												<button 
													type="button" 
													class="btn btn-danger" 
													data-toggle="modal" 
													data-target=".modal-confirmation-delete-all-friends"

													<?php if ($amigos == 0) { ?>
														style="pointer-events: none;"
														disabled
													<?php } ?>
												>
													Excluir amigos
												</button>
											</span>
										</p>
									</div>
								</div>

								<br>
								<br>

								<input type="submit" class="btn btn-outline-primary" value="Salvar Preferências" name="settings-account" class="submit" style="float:left">
							</form>

							<div class="modal fade modal-confirmation-delete-all-friends" id="modalAviso" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
								<div class="modal-dialog" role="document">
									<div class="modal-content">
										<div class="modal-header">
											<h5 class="modal-title" id="exampleModalLabel">Excluir todos os seus amigos</h5>
											<button type="button" class="close" data-dismiss="modal" aria-label="Close" onclick="setCookieModalAlertaFechado()">
												<span aria-hidden="true">&times;</span>
											</button>
										</div>
										<div class="modal-body">
											Você está prestes a excluir todos os seus amigos, tem certeza?
										</div>
										<div class="modal-footer">
											<button type="button" class="btn btn-secondary" data-dismiss="modal" onclick="setCookieModalAlertaFechado()">Deixa pra lá</button>
											<form method="post">
												<button type="submit" name="delete_all_friends" class="btn btn-danger">Sim, excluir!</button>
											</form>
										</div>
									</div>
								</div>
							</div>
                      
						</div>
					</div>
					<br>
				</div>
			</div>	
		</div>
	</div>
	<br />
  	<br />
  	<br />
	<footer>
		<?php include_once("includes/footer.php"); ?>
	</footer>
</body>
</html>