 <?php
    define('BRAIN_CMS', 1);
    include_once $_SERVER['DOCUMENT_ROOT'] . '/global.php';
    include_once 'extra/copyright.php';
    $pagina = "settings";

    $figure   = Admin::filter('xss', Admin::getAvatarFallBack(User::userData('figure')));
    $username = Admin::filter('xss', User::userData('username'));
    $motto    = Admin::filter('xss', User::userData('motto'));
    $moedas   = Admin::filter('xss', User::userData('credits'));
    $chets    = Admin::filter('xss', User::userData('seasonal_points'));

    // notícias stories
    $lastNewStatement = $dbh->prepare("SELECT id, title, image, shortstory, date FROM `cms_news` WHERE rascunho = '0' ORDER BY id DESC LIMIT 1");
    $lastNewStatement->execute();
    $lastNew = $lastNewStatement->fetch(PDO::FETCH_ASSOC);

    $finish = $lastNew['id'];

    include("extra/header.php");
    include("extra/navbar.php");
    ?>

 <head>
     <link rel="stylesheet" href="/templates/wave/dist/css/config.css">
     <link rel="stylesheet" href="/templates/wave/dist/css/ajustes.css">
     <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v6.0.0-beta1/css/all.css">
 </head>
 <main>
     <div class="container mt-4">

         <div class="row justify-content-between">
             <div class="col-xl-3">


                 <div class="global-card rooms-p mt-4">
                     <div class="lista-config">
                         <a class="btn-config nav-link" href="/configuracoes">CONFIG. IN-GAME</a>
                         <a class="btn-config nav-link" href="/config-senha">ALTERAR SENHA</a>
                         <a class="btn-config nav-link" href="/config-email">ALTERAR E-MAIL</a>
                         <a class="btn-config nav-link" disabled style="cursor:not-allowed;">GERADOR DE AVATAR</a>
                     </div>


                 </div>
             </div>

             <div class="col-xl-9">
                 <div class="global-card rooms-p mt-4">

                    <?php
                        if (isset($_POST['salvarBtn'])){
                            $senha_atual = $_POST['senha-atual'];
                            $senha_nova = $_POST['senha-nova'];
                            $senha_nova_repetida = $_POST['re-senha-nova'];

                            if (isset($senha_atual) && !empty($senha_atual)){
                                if (isset($senha_nova) && !empty($senha_nova)){
                                    if (isset($senha_nova_repetida) && !empty($senha_nova_repetida)){
                                        if ($senha_nova == $senha_nova_repetida)
                                        {
                                            $getUser = $dbh->prepare("SELECT * FROM users WHERE id = :id");
                                            $getUser->bindValue(":id", $_SESSION['id']);
                                            $getUser->execute();
                                            $user = $getUser->fetch(PDO::FETCH_ASSOC);

                                            if (password_verify($senha_atual, $user['password'])){
                                                if (strlen($senha_nova) >= 6)
                                                {
                                                    $novasenhakk = User::hashed($senha_nova);
                                                    $updatePassword = $dbh->prepare("UPDATE users SET password = :new_password WHERE id = :id");
                                                    $updatePassword->bindValue(":new_password", $novasenhakk);
                                                    $updatePassword->bindValue(":id", $_SESSION['id']);
                                                    $updatePassword->execute();
                                                    Admin::succeed("Senha alterada com sucesso!");
                                                }else{
                                                    Admin::error("A sua nova senha deve ter no mínimo 6 caracteres!");
                                                }
                                            }else{
                                                Admin::error("A sua senha antiga está errada!");
                                            }
                                        }else{
                                            Admin::error("A senha repetida não confere.");
                                        }
                                    }
                                }
                            }

                        }
                    ?>

                     <div class="config-header">
                         Alterar Senha <b class="config-subheader">
                     </div>
                     <hr style="width: 77.1%; margin-left: 11px; position: relative; top: 35px;">
                     <form action="" method="POST">
                        <p class="config-senha">Senha Atual</p>
                        <input type="password" name="senha-atual" class="form-senha" placeholder="Digite sua senha atual" required>
                        <p class="config-senha">Nova Senha</p>
                        <input type="password" name="senha-nova" class="form-senha" placeholder="Digite sua nova senha" required>
                        <p class="config-senha">Confirmar Senha</p>
                        <input type="password" name="re-senha-nova" class="form-senha" placeholder="Confirme sua nova senha" required>
                        <br><br><br>
                        <input type="submit" name="salvarBtn" value="Salvar" class="btn-save">
                        <br><br>
                    </form>

                 </div>

             </div>
         </div>

     </div>

     <?php include("extra/footer.php") ?>
 </main>

 <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
 <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
 <script src="/templates/wave/dist/js/global.js"></script>
 <script>
     $(function() {
         $('[data-bs-toggle="tooltip"]').tooltip()
     })
 </script>
 <script>
     $(document).ready(function() {
         $('a#button').click(function() {
             $(this).toggleClass("down");
         });
     });
 </script>
 </body>

 </html>