<?php
define('BRAIN_CMS', 1);
include_once $_SERVER['DOCUMENT_ROOT'] . '/global.php';
include_once 'extra/copyright.php';
$pagina = "settings";

$figure   = Admin::filter('xss', Admin::getAvatarFallBack(User::userData('figure')));
$username = Admin::filter('xss', User::userData('username'));
$motto    = Admin::filter('xss', User::userData('motto'));
$moedas   = Admin::filter('xss', User::userData('credits'));
$chets    = Admin::filter('xss', User::userData('seasonal_points'));

// notícias stories
$lastNewStatement = $dbh->prepare("SELECT id, title, image, shortstory, date FROM `cms_news` WHERE rascunho = '0' ORDER BY id DESC LIMIT 1");
$lastNewStatement->execute();
$lastNew = $lastNewStatement->fetch(PDO::FETCH_ASSOC);

$finish = $lastNew['id'];

include("extra/header.php");
include("extra/navbar.php");
?>

<head>
    <link rel="stylesheet" href="/templates/wave/dist/css/ajustes.css">
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v6.0.0-beta1/css/all.css">
</head>
<main>
    <div class="container mt-4">

        <div class="row justify-content-between">
            <div class="col-xl-3">


                <div class="global-card rooms-p mt-4">
                    <div class="lista-config">
                        <a class="btn-config nav-link" href="/configuracoes">CONFIG. IN-GAME</a>
                        <a class="btn-config nav-link" href="/config-senha">ALTERAR SENHA</a>
                        <a class="btn-config nav-link" href="/config-email">ALTERAR E-MAIL</a>
                        <a class="btn-config nav-link" disabled style="cursor:not-allowed;">GERADOR DE AVATAR</a>
                    </div>

                </div>
            </div>

            <div class="col-xl-9">
                <div class="global-card rooms-p mt-4">
                <?php
                    if (isset($_POST['salvarBtn'])) {

                        $typeMent = "";

                        $friend_requests = Admin::isEnabled($_POST['enable_friendrequests']);
                        $trade = Admin::isEnabled($_POST['enable_trade']);
                        $mimic = Admin::isEnabled($_POST['enable_mimic']);
                        $follow = Admin::isEnabled($_POST['enable_follow']);
                        $whisper = Admin::isEnabled($_POST['enable_whisper']);
                        $online = Admin::isEnabled($_POST['hide_online']);
                        $lastonline = Admin::isEnabled($_POST['hide_lastonline']);
                        $sex = Admin::isEnabled($_POST['enable_sex']);
                        $mencao = $_POST['mencao'];

                        if ($mencao == "Amigos")
                            $typeMent = "FRIENDS";
                        else if ($mencao == "Todos")
                            $typeMent = "ALL";
                        else if ($mencao == "Ninguém")
                            $typeMent = "NONE";

                        Admin::updateUserConfiguration("allow_friend_requests", $friend_requests);
                        Admin::updateUserConfiguration("allow_trade", $trade);
                        Admin::updateUserConfiguration("allow_mimic", $mimic);
                        Admin::updateUserConfiguration("allow_follow", $follow);
                        Admin::updateUserConfiguration("disable_whisper", $whisper);
                        Admin::updateUserConfiguration("hide_online", $online);
                        Admin::updateUserConfiguration("hide_last_online", $lastonline);
                        Admin::updateUserConfiguration("allow_sex", $sex);
                        Admin::updateUserConfiguration("mention_type", $typeMent);
                        Admin::succeed("Alterações salvas com sucesso.");
                    }
                    ?>
                    <div class="config-header">
                        Minhas Preferências
                    </div>
                    <form method="POST" action="">
                        <hr style="width: 77.1%; margin-left: 11px; position: relative; top: 35px; #8b8b8b;">
                        <div class="form-check form-switch">
                            <input class="form-check-input" type="checkbox" name="enable_friendrequests" id="chkFriendRequests" <?= Admin::getUserConfigurationInfo(User::userData('username'), "allow_friend_requests") == 1 ? "checked" : "" ?>>
                        </div>
                        <p class="config-opcoes">Podem te enviar pedidos de amizade?</p>
                        <div class="form-check form-switch">
                            <input class="form-check-input" name="enable_trade" type="checkbox" id="chkTrade" <?= Admin::getUserConfigurationInfo(User::userData('username'), "allow_trade") == 1 ? "checked" : "" ?>>
                        </div>
                        <p class="config-opcoes">Podem negociar com você?</p>
                        <div class="form-check form-switch">
                            <input class="form-check-input" name="enable_mimic" type="checkbox" id="chkMimic" <?= Admin::getUserConfigurationInfo(User::userData('username'), "allow_mimic") == 1 ? "checked" : "" ?>>
                        </div>
                        <p class="config-opcoes">Podem copiar seu visual?</p>
                        <div class="form-check form-switch">
                            <input class="form-check-input" name="enable_follow" type="checkbox" id="chkFollow" <?= Admin::getUserConfigurationInfo(User::userData('username'), "allow_follow") == 1 ? "checked" : "" ?>>
                        </div>
                        <p class="config-opcoes">Podem te seguir?</p>
                        <div class="form-check form-switch">
                            <input class="form-check-input" name="enable_whisper" type="checkbox" id="chkWhisper" <?= Admin::getUserConfigurationInfo(User::userData('username'), "disable_whisper") == 1 ? "checked" : "" ?>>
                        </div>
                        <p class="config-opcoes">Podem sussurrar com você?</p>
                        <div class="form-check form-switch">
                            <input class="form-check-input" name="hide_online" type="checkbox" id="chkOnline" <?= Admin::getUserConfigurationInfo(User::userData('username'), "hide_online") == 1 ? "checked" : "" ?>>
                        </div>
                        <p class="config-opcoes">Podem ver se você está online?</p>
                        <div class="form-check form-switch">
                            <input class="form-check-input" name="hide_lastonline" type="checkbox" id="chkLastOnline" <?= Admin::getUserConfigurationInfo(User::userData('username'), "hide_last_online") == 1 ? "checked" : "" ?>>
                        </div>
                        <p class="config-opcoes">Podem ver a última vez que você ficou online?</p>
                        <div class="form-check form-switch">
                            <input class="form-check-input" name="enable_sex" type="checkbox" id="chkSex" <?= Admin::getUserConfigurationInfo(User::userData('username'), "allow_sex") == 1 ? "checked" : "" ?>>
                        </div>
                        <p class="config-opcoes">Podem utilizar o comando <b>:sexo</b> em você?</p>
                        <p class="config-opcoes">Quem pode <b>@mencionar</b> você?</p>
                        <select name="mencao" class="form-mencao">
                            <option <?=Admin::getUserConfigurationInfo(User::userData('username'), "mention_type") == "FRIENDS" ? "selected" : ""?>>Amigos</option>
                            <option <?=Admin::getUserConfigurationInfo(User::userData('username'), "mention_type") == "ALL" ? "selected" : ""?>>Todos</option>
                            <option <?=Admin::getUserConfigurationInfo(User::userData('username'), "mention_type") == "NONE" ? "selected" : ""?>>Ninguém</option>
                        </select>
                        <br><br><br>
                        <input type="submit" name="salvarBtn" value="Salvar" class="btn-save">
                        <br><br>
                    </form>

                </div>
            </div>
        </div>

    </div>

    <?php include("extra/footer.php") ?>
</main>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
<script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
<script src="/templates/wave/dist/js/global.js"></script>
<script>
    $(function() {
        $('[data-bs-toggle="tooltip"]').tooltip()
    })
</script>
</body>

</html>