<?php
define('BRAIN_CMS', 1);
include_once $_SERVER['DOCUMENT_ROOT'] . '/global.php';
include_once 'extra/copyright.php';
$pagina = "hall";

$figure   = Admin::filter('xss', Admin::getAvatarFallBack(User::userData('look')));
$username = Admin::filter('xss', User::userData('username'));

extract($cometHall);
$defaultProps = 'id, username, look';
$defaultCondition = 'rank <= ' . $config['hallMaximumRank'];

# Usuário com mais eventos
$eventUserStatement = $dbh->prepare(
    "SELECT $defaultProps, $events AS amount FROM `users` WHERE $defaultCondition AND $events > 0
            ORDER BY $events DESC LIMIT 5"
);
$eventUserStatement->execute();
$eventUsers = Admin::forceRows($eventUserStatement->fetchAll(PDO::FETCH_ASSOC), 5);

# Usuário com mais promoções
$promotionUserStatement = $dbh->prepare(
    "SELECT $defaultProps, $promotions AS amount FROM `users` WHERE $defaultCondition AND $promotions > 0
            ORDER BY $promotions DESC LIMIT 5"
);
$promotionUserStatement->execute();
$promotionUsers = Admin::forceRows($promotionUserStatement->fetchAll(PDO::FETCH_ASSOC), 5);

# Usuário com mais diamantes
$diamondUserStatement = $dbh->prepare(
    "SELECT $defaultProps, $diamonds AS amount FROM `users` WHERE $defaultCondition AND $diamonds > 0
            ORDER BY $diamonds DESC LIMIT 5"
);
$diamondUserStatement->execute();
$diamondUsers = Admin::forceRows($diamondUserStatement->fetchAll(PDO::FETCH_ASSOC), 5);

include("extra/header.php");
include("extra/navbar.php");
?>

<header>
    <link rel="stylesheet" href="templates/wave/dist/css/hall.css">
</header>

    <main>
    <div class="card-menu">
  <div class="card-body-menu">
    <a href="/hall" class="ativo">Eventos e Promoções</a> | <a href="/hallmoedas">Moedas</a> | <a href="/hallpopularidade">Popularidade</a>
  </div>
</div>
    <div class="container mt-4">
        <div class="row justify-content-between">

            <div class="col-xl-3 cards">
                <div class="card-eventos">
                    <div class="header" style="background:url('/templates/wave/dist/img/headerBox1.png');"></div>

                    <div class="pontos">
                        <?php foreach ($eventUsers as $eventUser) {
                            $eventUser = Admin::getHallFallBack($eventUser);
                        ?>
                            <div class="hall">
                                <div class="avatar">
                                    <img src="<?= Admin::getAvatarFallBack($eventUser['look'] . '&headonly=1') ?>">
                                </div>
                                <div class="info">
                                    <strong><?= $eventUser['username'] ?></strong>
                                    <span><?= $eventUser['amount'] ?> eventos.</span>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>

            <div class="col-xl-3 cards">
                <div class="card-eventos">
                    <div class="header" style="background:url('/templates/wave/dist/img/headerBox2.png');"></div>

                    <div class="pontos">
                        <?php foreach ($promotionUsers as $promotionUser) {
                            $promotionUser = Admin::getHallFallBack($promotionUser);
                        ?>
                            <div class="hall">
                                <div class="avatar">
                                    <img src="<?= Admin::getAvatarFallBack($promotionUser['look'] . '&headonly=1') ?>">
                                </div>
                                <div class="info">
                                    <strong><?= $promotionUser['username'] ?></strong>
                                    <span><?= $promotionUser['amount'] ?> promoções.</span>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>

            <div class="col-xl-3 cards">
                <div class="card-eventos">
                    <div class="header" style="background:url('/templates/wave/dist/img/headerBox3.png');"></div>

                    <div class="pontos">
                        <?php foreach ($diamondUsers as $diamondUser) {
                            $diamondUser = Admin::getHallFallBack($diamondUser);
                        ?>
                            <div class="hall">
                                <div class="avatar">
                                    <img src="<?= Admin::getAvatarFallBack($diamondUser['look'] . '&headonly=1') ?>">
                                </div>
                                <div class="info">
                                    <strong><?= $diamondUser['username'] ?></strong>
                                    <span><?= $diamondUser['amount'] ?> diamantes.</span>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>

        </div>
    </div>

    <?php include("extra/footer.php") ?>
    </main>

  
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
    <script src="/templates/wave/dist/js/global.js"></script>
    <script>
        $(function() {
            $('[data-bs-toggle="tooltip"]').tooltip()
        })
    </script> 
</body>
</html>