<?php
define('BRAIN_CMS', 1);
include_once $_SERVER['DOCUMENT_ROOT'] . '/global.php';
include_once 'extra/copyright.php';

$figure   = Admin::filter('xss', Admin::getAvatarFallBack(User::userData('figure')));
$username = Admin::filter('xss', User::userData('username'));
$motto    = Admin::filter('xss', User::userData('motto'));
$moedas   = Admin::filter('xss', User::userData('credits'));
$chets    = Admin::filter('xss', User::userData('seasonal_points'));

// notícias stories
$lastNewStatement = $dbh->prepare("SELECT id, title, image, shortstory, date FROM `cms_news` WHERE rascunho = '0' ORDER BY id DESC LIMIT 1");
$lastNewStatement->execute();
$lastNew = $lastNewStatement->fetch(PDO::FETCH_ASSOC);

$finish = $lastNew['id'];

include("extra/header.php");
include("extra/navbar.php");
?>

<head>
    <link rel="stylesheet" href="/templates/wave/dist/css/ajustes.css">
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v6.0.0-beta1/css/all.css">
</head>
<main>
    <div class="container mt-4">

        <div class="row justify-content-between">
            <div class="col-xl-3">


                <div class="global-card rooms-p mt-4">
                    <div class="lista-config">
                        <a class="btn-config nav-link" href="/configuracoes">CONFIG. IN-GAME</a>
                        <a class="btn-config nav-link" href="/config-senha">ALTERAR SENHA</a>
                        <a class="btn-config nav-link" href="/config-email">ALTERAR E-MAIL</a>
                        <a class="btn-config nav-link" href="/mudar-nick">MUDAR NICK</a>
                        <a class="btn-config nav-link" disabled style="cursor:not-allowed;">GERADOR DE AVATAR</a>
                    </div>

                </div>
            </div>

            <div class="col-xl-9">
                <div class="global-card rooms-p mt-4">
                <?php
                    if (isset($_POST['salvarBtn'])) {

                        $typeMent = "";

                        $friend_requests = Admin::isEnabled($_POST['enable_friendrequests']);
                        $trade = Admin::isEnabled($_POST['enable_trade']);
                        $mimic = Admin::isEnabled($_POST['enable_mimic']);
                        $follow = Admin::isEnabled($_POST['enable_follow']);
                        $whisper = Admin::isEnabled($_POST['enable_whisper']);
                        $online = Admin::isEnabled($_POST['hide_online']);
                        $lastonline = Admin::isEnabled($_POST['hide_lastonline']);
                        $sex = Admin::isEnabled($_POST['enable_sex']);
                        $mencao = $_POST['mencao'];

                        if ($mencao == "Amigos")
                            $typeMent = "FRIENDS";
                        else if ($mencao == "Todos")
                            $typeMent = "ALL";
                        else if ($mencao == "Ninguém")
                            $typeMent = "NONE";

                        Admin::updateUserConfiguration("allow_friend_requests", $friend_requests);
                        Admin::updateUserConfiguration("allow_trade", $trade);
                        Admin::updateUserConfiguration("allow_mimic", $mimic);
                        Admin::updateUserConfiguration("allow_follow", $follow);
                        Admin::updateUserConfiguration("disable_whisper", $whisper);
                        Admin::updateUserConfiguration("hide_online", $online);
                        Admin::updateUserConfiguration("hide_last_online", $lastonline);
                        Admin::updateUserConfiguration("allow_sex", $sex);
                        Admin::updateUserConfiguration("mention_type", $typeMent);
                        Admin::succeed("Alterações salvas com sucesso.");
                    }
                    ?>
                    <div class="config-header">
                        Alterar Nick
                    </div>
                    <form method="POST" action="">
                        <hr style="width: 77.1%; margin-left: 11px; position: relative; top: 35px; #8b8b8b;">
                        <p class="texto-nick">Você poderá alterar seu nickname para um que ainda não existe ou para um que foi criado e está sem uso.<br><br>
                        <i class="fa-solid fa-circle-chevron-right"></i> Custará <b>20 Stars</b> para realizar a troca para um nickname que ainda não existe no Hotel.<br>
                        <i class="lembretevip">Lembre-se: Membros do Club VIP possuem o comando <b>:flagme</b> dentro do Hotel, que será cobrado 450 Duckets pela troca.</i><br><br>
                        <i class="fa-solid fa-circle-chevron-right"></i> Custará <b>80 Stars</b> para nicknames que já foram criados, porém estão sem uso por 1 ano no Hotel.<br>
                        <hr style="width: 97.1%; margin-left: 11px; color: #8b8b8b;">
                        <h5 class="titulonick">Escolher Nick - <font color="green" size="4px">Nick Disponível</font> <font color="red" size="4px">Nick Indisponível</font></h5>
                        <input type="text" class="form-senha" id="exampleFormControlInput1" placeholder="Escolha o seu novo nick">
                        
                        <span class="badgestar badgestar-light">Suas Stars: <b>19</b></span>
                     
                        <input type="submit" name="salvarBtn" value="Alterar" class="btn-nick">
                        
                        
                        
                        </p>
                    </form>

                </div>
            </div>
        </div>

    </div>

    <?php include("extra/footer.php") ?>
</main>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
<script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
<script src="/templates/wave/dist/js/global.js"></script>
<script>
    $(function() {
        $('[data-bs-toggle="tooltip"]').tooltip()
    })
</script>
</body>

</html>