<?php
define('BRAIN_CMS', 1);
include_once $_SERVER['DOCUMENT_ROOT'] . '/global.php';
include_once 'extra/copyright.php';
$pagina = "news";

$figure   = Admin::filter('xss', Admin::getAvatarFallBack(User::userData('look')));
$username = Admin::filter('xss', User::userData('username'));

// notícias
$drafts = (int)User::userData('rank') >= 7 ? 'WHERE 1 = 1' : 'WHERE n.rascunho = \'0\'';

$newsstmt = $dbh->prepare("SELECT * FROM cms_news ORDER BY id DESC");
$newsstmt->execute();
$news = $newsstmt->fetchAll(PDO::FETCH_ASSOC);

$getNews = $dbh->prepare("SELECT * FROM cms_news WHERE id = :news_id");
$getNews->bindValue(":news_id", $_GET['id']);
$getNews->execute();

$getNewsNRascunho = $dbh->prepare("SELECT * FROM cms_news WHERE rascunho = 0 ORDER BY id DESC");
$getNewsNRascunho->execute();

if (!isset($_GET['id'])){
    if($getNewsNRascunho->rowCount() >= 1){
        $lastNewId = $getNewsNRascunho->fetch(PDO::FETCH_ASSOC)['id'];
        header("Location: /noticias/$lastNewId");
    }
}

$lastNew = $getNews->fetch(PDO::FETCH_ASSOC);

include("extra/header.php");
include("extra/navbar.php");

?>

    <main>
        <div class="container mt-4">

           <div class="row justify-content-between">
                <div class="col-xl-3">
                    <div class="global-card rooms-p mt-4">
                        <div class="global-header">
                            Índice de Notícias
                        </div>
                       <div class="lista-indice">
                       <?php foreach ($news as $row) { ?>
                          <a class="noticia-indice" href="/noticias/<?= $row['id'] ?>" <?= $row['id'] === $targetId ? 'active' : '' ?>>
                          <?=
                            Admin::resolveStr(
                                '» ' . ($row['rascunho'] === '0' ? '' : '(rascunho) ') . htmlspecialchars($row['title']),
                                30
                            )
                            ?>
                            </a>
                            <br>
                        <?php } ?>
                     </div>
                    </div>
                </div>

                <div class="col-xl-9">
                <div class="global-card rooms-p mt-4">
                        <div class="noticias-header" style="display:flex;flex-direction:row;justify-content:space-between;padding:5px 20px;background:url(<?= $lastNew['image'] ?>);"> 
                            <?= ($lastNew['rascunho'] === '0' ? '' : '(rascunho) ') . htmlspecialchars($lastNew['title']) ?>

                            <?php if ((int)User::userData('rank') >= 7) { ?>
                                <button data-bs-toggle="tooltip" data-bs-placement="top" title="Edit Mode" id="edit-mode" data-toggled="true"><i class="fas fa-pencil-alt"></i></button>
                            <?php } ?>
                        </div>
                      <div class="noticia-corpo">
                        <p>
                        <?= $lastNew['longstory'] ?>
                        </p>
                        <div class="noticias-autor">
                        <img class="autor-avatar" src="<?= Admin::getFigureByUsername(Admin::getUsernameById($lastNew['author'])) ?>">
                        <a href="" class="col-xl autor-nome"><?= Admin::getUsernameById($lastNew['author']) ?></a>
                        <a class="col-xl noticia-data" style="margin-left:-21px;">Postado em: Dia 24 de Aug de 2021 às 03:15</a>
                        <a href="" class="amei">
                            <b onclick="reactNews('like', <?=$lastNew['id'] ?>)" class="coracao" data-bs-toggle="tooltip" data-bs-placement="top" title="<?= User::getLikesNews($lastNew['id']) ?> Gostaram"><i class="fa fa-heart"></i></b>
                        </a>
                       </div>
                     </div>
                 </div>

                </div>
           </div>

        </div>

        <?php include("extra/footer.php") ?>
    </main>

  
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
    <script src="/templates/wave/dist/js/global.js"></script>
    <script>
        $(function() {
            $('[data-bs-toggle="tooltip"]').tooltip()
        })
    </script>  

    <?php if ((int)User::userData('rank') >= 7) { ?>
        <script>
            const editButton = document.getElementById('edit-mode')
            editButton.addEventListener('click', function() {
                const handle = {
                    'true': true,
                    'false': false
                }
                const state = handle[editButton.dataset.toggled]
                editButton.dataset.toggled = !state

                document.designMode = Boolean(state) ? 'on' : 'off'
                editButton.style.color = Boolean(state) ? '#0f0' : '#fff'
            })
        </script>
    <?php } ?>

<script>
        function reactNews(type, newsId) {
            $.ajax({
                url: "/templates/wave/api/like_news.php",
                type: 'POST',
                async: true,
                data: {"type": type, "newsId": newsId},
                success: function(data) {
                    document.getElementById("total-likes").innerText = data.total_likes;
                }
            });
        }
    </script>
</body>
</html>