<?php

if ($_SERVER["REQUEST_METHOD"] != "POST") die();

define('BRAIN_CMS', 1);
include_once $_SERVER['DOCUMENT_ROOT'] . '/global.php';
include_once 'includes/copyright.php';


if (User::userData('rank') < 8) {    
    header("Location: /");
    die();
    return;
}

header("Content-Type: application/json; charset=UTF-8");

$modificacoes = 0;
$user = htmlspecialchars($_POST['_username']);
$rank = htmlspecialchars($_POST['rank']);
$motto = htmlspecialchars($_POST['motto']);
$promo_points = htmlspecialchars($_POST['promo_points']);
$event_points = htmlspecialchars($_POST['event_points']);
$star_coin = htmlspecialchars($_POST['star_coin']);
$diamantes = htmlspecialchars($_POST['diamantes']);
$duckets = htmlspecialchars($_POST['duckets']);
$moedas = htmlspecialchars($_POST['moedas']);
$email = htmlspecialchars($_POST['email']);
$username = htmlspecialchars($_POST['username']);

if (Admin::getUserInfo($user, 'rank') != $rank && $rank != "" && Admin::getUserInfo($user, 'username') == User::userData('username')) {
    echo json_encode(array(
        'status' => "error",
        'message' => "Você não pode editar seu próprio rank."
    ));
    return;
}

if ($rank <= User::userData('rank')) 
{
    if (User::userData("rank") >= Admin::getUserInfo($user, $rank)) 
    {
        if (Admin::getUserInfo( $user , "rank" ) != $rank && $rank != "") {
            $updateRank = $dbh->prepare("UPDATE users SET rank = :rankf WHERE username = :us");
            $updateRank->bindValue(":rankf", $rank);
            $updateRank->bindValue(":us", $user);
            $updateRank->execute();
            $modificacoes++;
        }
        
        if (Admin::getUserInfo( $user , "motto" ) != $motto && $motto != "") {
            $updateRank = $dbh->prepare("UPDATE users SET motto = :missao WHERE username = :us");
            $updateRank->bindValue(":missao", $motto);
            $updateRank->bindValue(":us", $user);
            $updateRank->execute();
            $modificacoes++;
        }

        if (Admin::getUserInfo( $user , "email" ) != $email && $email != ""){
            $updateRank = $dbh->prepare("UPDATE users SET mail = :email WHERE username = :us");
            $updateRank->bindValue(":email", $email);
            $updateRank->bindValue(":us", $user);
            $updateRank->execute();
            $modificacoes++;
        }
        
        if (Admin::getUserInfo( $user , "credits" ) != $moedas && $moedas != ""){
            $updateRank = $dbh->prepare("UPDATE users SET credits = :credits WHERE username = :us");
            $updateRank->bindValue(":credits", $moedas);
            $updateRank->bindValue(":us", $user);
            $updateRank->execute();
            $modificacoes++;
        }

        if (Admin::getUserInfo( $user , "promo_points" ) != $promo_points && $promo_points != ""){
            $updateRank = $dbh->prepare("UPDATE users SET promo_points = :promo_point WHERE username = :us");
            $updateRank->bindValue(":promo_point", $promo_points);
            $updateRank->bindValue(":us", $user);
            $updateRank->execute();
            $modificacoes++;
        }

        if (Admin::getUserInfo( $user , "vip_points" ) != $diamantes && $diamantes != ""){
            $updateRank = $dbh->prepare("UPDATE users SET vip_points = :vip_points WHERE username = :us");
            $updateRank->bindValue(":vip_points", $diamantes);
            $updateRank->bindValue(":us", $user);
            $updateRank->execute();
            $modificacoes++;
        }

        if (Admin::getUserInfo( $user , "seasonal_points" ) != $star_coin && $star_coin != ""){
            $updateRank = $dbh->prepare("UPDATE users SET seasonal_points = :seasonal_points WHERE username = :us");
            $updateRank->bindValue(":seasonal_points", $star_coin);
            $updateRank->bindValue(":us", $user);
            $updateRank->execute();
            $modificacoes++;
        }

        if (Admin::getUserInfo( $user , "event_points" ) != $event_points && $event_points != ""){
            $updateRank = $dbh->prepare("UPDATE users SET event_points = :event_point WHERE username = :us");
            $updateRank->bindValue(":event_point", $event_points);
            $updateRank->bindValue(":us", $user);
            $updateRank->execute();
            $modificacoes++;
        }

        if (Admin::getUserInfo( $user , "username" ) != $username && $username != ""){
            $updateRank = $dbh->prepare("UPDATE users SET username = :username WHERE username = :us");
            $updateRank->bindValue(":username", $username);
            $updateRank->bindValue(":us", $user);
            $updateRank->execute();
            $modificacoes++;
        }
            
        if (Admin::getUserInfo( $user , "activity_points" ) != $duckets && $duckets != ""){
            $updateRank = $dbh->prepare("UPDATE users SET activity_points = :duckets WHERE username = :us");
            $updateRank->bindValue(":duckets", $duckets);
            $updateRank->bindValue(":us", $user);
            $updateRank->execute();
            $modificacoes++;
        }

        echo json_encode(array(
            'status' => "success",
            'message' => "Usuário atualizado com sucesso ($modificacoes) alterações."
        ));

    }else{
        $myRankName = Admin::getRankNameById(User::userData('rank'));
        $rankName = Admin::getRankNameById(Admin::getUserInfo($user, 'rank'));
        echo json_encode(array(
            'status' => "error",
            'message' => "Seu rank ($myRankName) é menor ou igual ao do usuário $user ($rankName)."
        ));
    }

}else{
    $myRankName = Admin::getRankNameById(User::userData('rank'));
    $rankName = Admin::getRankNameById($rank);
    echo json_encode(array(
        'status' => "error",
        'message' => "Seu rank ($myRankName) é menor do que o rank escolhido ($rankName)."
    ));
}