<?php
define('BRAIN_CMS', 1);
include_once $_SERVER['DOCUMENT_ROOT'] . '/global.php';
include_once 'includes/copyright.php';

Admin::CheckRank(6);

$paginaAtual = "Banimentos";

$get_username = $dbh->prepare("SELECT username FROM users WHERE id = :id");
$get_username->bindValue(":id", $_SESSION['id']);
$get_username->execute();
$username = $get_username->fetchColumn();

$get_bans = $dbh->prepare("SELECT * from bans");
$get_bans->execute();
$bans = $get_bans->fetchAll();

$tipo_account = "user";
$tipo_ip = "ip";
$tipo_machine = "machine";

$account_bans = $dbh->prepare("SELECT * FROM bans WHERE type = :tip");
$account_bans->bindValue(":tip", $tipo_account);
$account_bans->execute();

$ip_bans = $dbh->prepare("SELECT * FROM bans WHERE type = :tip");
$ip_bans->bindValue(":tip", $tipo_ip);
$ip_bans->execute();

$machine_bans = $dbh->prepare("SELECT * FROM bans WHERE type = :tip");
$machine_bans->bindValue(":tip", $tipo_machine);
$machine_bans->execute();

$machineFetch = $machine_bans->fetchAll(PDO::FETCH_ASSOC);
$ipFetch = $ip_bans->fetchAll(PDO::FETCH_ASSOC);
$bansFetch = $account_bans->fetchAll(PDO::FETCH_ASSOC);

$machine_total_bans = $machine_bans->rowCount();
$ip_total_bans = $ip_bans->rowCount();
$account_total_bans = $account_bans->rowCount();
$total_bans = $get_bans->rowCount();


?>
<!DOCTYPE html>
<html lang="pt-br">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="keywords" content="" />
    <meta name="author" content="" />
    <meta name="robots" content="" />
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- PAGE TITLE HERE -->
    <title>WaveHK - Banimentos</title>

    <!-- FAVICONS ICON -->
    <link rel="shortcut icon" type="image/png" href="images/favicon.png" />

    <link href="vendor/jquery-nice-select/css/nice-select.css" rel="stylesheet">
    <link rel="stylesheet" href="vendor/nouislider/nouislider.min.css">
    <!-- Style css -->
    <link href="css/style.css" rel="stylesheet">
    <link href="https://codeseven.github.io/toastr/build/toastr.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous">

</head>

<body>

    <?php include_once("includes/preloader.php") ?>
    <?php include_once("includes/nav-header.php") ?>
    <?php include_once("includes/header.php") ?>
    <?php include_once("includes/sidebar.php") ?>

    <div class="content-body">
        <!-- row -->
        <div class="container-fluid">
            <div class="card-body">
                <div class="alert alert-primary alert-dismissible fade show">
                    <svg viewBox="0 0 24 24" width="24" height="24" stroke="currentColor" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="me-2">
                        <path d="M10.29 3.86L1.82 18a2 2 0 0 0 1.71 3h16.94a2 2 0 0 0 1.71-3L13.71 3.86a2 2 0 0 0-3.42 0z"></path>
                        <line x1="12" y1="9" x2="12" y2="13"></line>
                        <line x1="12" y1="17" x2="12.01" y2="17"></line>
                    </svg>
                    <strong>Em caso de problemas, contate algum dos desenvolvedores.</strong>
                </div>
                <div class="row invoice-card-row">
                    <div class="col-xl-3 col-xxl-6 col-sm-6">
                        <div class="card bg-warning invoice-card">
                            <div class="card-body d-flex">
                                <div class="icon me-3">
                                    <font size="6px" color="white"><i class="fas fa-ban"></i></font>
                                </div>
                                <div>
                                    <h2 class="text-white invoice-num" id="totalIpBans" value="<?= $ip_total_bans ?>"><?= $ip_total_bans ?> </h2>
                                    <span class="text-white fs-18">Banimentos por IP</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-xxl-6 col-sm-6">
                        <div class="card bg-success invoice-card">
                            <div class="card-body d-flex">
                                <div class="icon me-3">
                                    <font size="6px" color="white"><i class="fas fa-desktop"></i></font>
                                </div>
                                <div>
                                    <h2 class="text-white invoice-num" id="totalMachineBans" value="<?= $machine_total_bans ?>"><?= $machine_total_bans ?> </h2>
                                    <span class="text-white fs-18">Banimentos por Máquina</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-xxl-6 col-sm-6">
                        <div class="card bg-info invoice-card">
                            <div class="card-body d-flex">
                                <div class="icon me-3">
                                    <font size="6px" color="white"><i class="fas fa-shield-alt"></i></font>
                                </div>
                                <div>
                                    <h2 class="text-white invoice-num" id="totalAccountBans" value="<?= $account_total_bans ?>"><?= $account_total_bans ?> </h2>
                                    <span class="text-white fs-18">Banimentos por Conta</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-xxl-6 col-sm-6">
                        <div class="card bg-secondary invoice-card">
                            <div class="card-body d-flex">
                                <div class="icon me-3">
                                    <font size="6px" color="white"><i class="fas fa-chart-line"></i></font>
                                </div>
                                <div>
                                    <h2 class="text-white invoice-num" id="totalBans"><?= $total_bans ?></h2>
                                    <span class="text-white fs-18">Total de Banimentos</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">Lista de Banidos</h4>
                                <div class="mb-3"><input class="form-control form-control-sm" id="searchUserInput" onkeyup="searchUser()" type="text" placeholder="🔍 Pesquisar usuário..."></div>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-responsive-sm">
                                        <thead>
                                            <tr>
                                                <th>Staff</th>
                                                <th>Nome</th>
                                                <th>Tipo</th>
                                                <th>Motivo</th>
                                                <th>Expira</th>
                                                <th>Ação</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            foreach ($bans as $ban) { ?>
                                                <tr class="banimento" id="<?= Admin::getUsernameById($ban['user_id']) ?>">
                                                    <?php

                                                    $tipoBanimento = $ban['type'];

                                                    if ($tipoBanimento == "machine")
                                                        $tipoBanimento = "Máquina";
                                                    else if ($tipoBanimento == "ip")
                                                        $tipoBanimento = "Ip";
                                                    else if ($tipoBanimento == "user")
                                                        $tipoBanimento = "Conta";

                                                    $expBanimento = $ban['ban_expire'];

                                                    if ($expBanimento == 0)
                                                        $expBanimento = "<h1 style='font-family: Arial; '>∞</h1>";
                                                    else
                                                        $expBanimento = Admin::formatDate($expBanimento, "d/m/y à\s H:i");
                                                    ?>

                                                    <th><img src="https://habbo.city/habbo-imaging/avatarimage?size=m&gesture=sml&figure=<?= Admin::getFigureByUsername(Admin::getUsernameById($ban['user_staff_id'])) ?>&headonly=1" data-toggle="tooltip" data-placement="top" title="<?= Admin::getUsernameById($ban['user_staff_id']) ?>"></th>
                                                    <td style="color: white;"><?= Admin::getUserInfo(Admin::getUsernameById($ban['user_id']), "username") ?></td>
                                                    <td><span class="badge badge-primary light" style="color: white;"><?= $tipoBanimento ?> </span>
                                                    </td>
                                                    <td style="color: white;"><?= Admin::Filter('xss', $ban['ban_reason']) ?> </td>
                                                    <td><?= $expBanimento ?> </td>
                                                    <td><a title="Desbanir"><button class="btn btn-rounded btn-danger" onclick="desbanir('<?= Admin::getUsernameById($ban['user_id'])  ?>')"><i class="fas fa-user-times"></i></button></a></td>

                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <script src="vendor/global/global.min.js"></script>
    <script src="vendor/chart.js/Chart.bundle.min.js"></script>
    <script src="vendor/jquery-nice-select/js/jquery.nice-select.min.js"></script>

    <script src="vendor/apexchart/apexchart.js"></script>
    <script src="vendor/nouislider/nouislider.min.js"></script>
    <script src="vendor/wnumb/wNumb.js"></script>

    <!-- Dashboard 1 -->
    <script src="js/dashboard/dashboard-1.js"></script>
    <script src="js/toastr.js"></script>
    <script src="js/custom.min.js"></script>
    <script src="js/dlabnav-init.js"></script>
    <script src="js/styleSwitcher.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
    <script src="https://codeseven.github.io/toastr/build/toastr.min.js"></script>

    <script>
        $(function() {
            $('[data-toggle="tooltip"]').tooltip()
        })

        function searchUser() {
            var input, banimento;
            input = document.getElementById("searchUserInput");
            banimento = document.getElementsByClassName("banimento")
            Array.from(banimento).forEach(
                function(elemento) {
                    if (elemento.id.toLowerCase().includes(input.value.toLowerCase())) elemento.hidden = false;
                    else if (input.value == "") elemento.hidden = false;
                    else elemento.hidden = true;
                }
            );
        }


            function desbanir(user) {
                <?php if (User::userData('rank') >= 8) { ?>
                $.ajax('api/desbanir.php', {
                    type: 'POST',
                    data: {
                        username: user
                    },
                    success: function(data, status) {
                        document.getElementById(user).hidden = true;
                        document.getElementById("totalBans").innerText = `${parseInt(document.getElementById("totalBans").innerText) - 1}`
                        if (data.typeBan == "ip") document.getElementById("totalIpBans").innerText = `${parseInt(document.getElementById("totalIpBans").innerText) - 1}`;
                        else if (data.typeBan == "user") document.getElementById("totalAccountBans").innerText = `${parseInt(document.getElementById("totalAccountBans").innerText) - 1}`;
                        else if (data.typeBan == "machine") document.getElementById("totalMachineBans").innerText = `${parseInt(document.getElementById("totalMachineBans").innerText) - 1}`;
                    }
                });
                
                <?php } else { echo 'log("error", "O cargo ' . Admin::getRankNameById(User::userData('rank')) . ' não pode desbanir usuários.") '; } ?>
            }

    </script>

</body>

</html>