<?php
$paginaAtual = "Consolelogs";
?>

<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="keywords" content="" />
	<meta name="author" content="" />
	<meta name="robots" content="" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<!-- PAGE TITLE HERE -->
	<title>WaveHK - Consolelogs</title>
	
	<!-- FAVICONS ICON -->
	<link rel="shortcut icon" type="image/png" href="images/favicon.png" />
	
	<link href="vendor/jquery-nice-select/css/nice-select.css" rel="stylesheet">
	<link rel="stylesheet" href="vendor/nouislider/nouislider.min.css">
	<!-- Style css -->
    <link href="css/style.css" rel="stylesheet">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous">
</head>
<body>
    
	<?php include_once("includes/preloader.php") ?>
    <?php include_once("includes/nav-header.php") ?>
    <?php include_once("includes/header.php") ?>
    <?php include_once("includes/sidebar.php") ?>

    <div class="content-body">
            <div class="container-fluid">
				<!-- row -->
                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
							<div class="card-header">
                                <h4 class="card-title">Mensagens privadas no console (últimas 500 mensagens)</h4>
                                <div class="mb-3"><input class="form-control form-control-sm" type="text" id="messageInput" onkeyup="searchFromUser()" placeholder="🔍 Pesquisar usuário...">                                
                            </div>
                            </div>
                            
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-responsive-sm">
                                        <thead>
                                            <tr>
                                                <th>ID</th>
                                                <th>Remetente</th>
                                                <th>Destinatário</th>
                                                <th>Mensagem</th>
                                                <th>Data</th>
                                            </tr>
                                        </thead>
                                        <tbody>

                                            <?php 

                                                $getLogs = $dbh->prepare("SELECT * FROM chatlogs_private ORDER BY id DESC LIMIT 500");
                                                $getLogs->execute();
                                                
                                                $logs = $getLogs->fetchAll(PDO::FETCH_ASSOC);
                                                foreach ($logs as $log) {
                                                    $userRank = Admin::getUserInfo(Admin::getUsernameById($log['user_from_id']), "rank");
                                                    $username_from = Admin::getUsernameById($log['user_from_id']);
                                                    $username_to = Admin::getUsernameById($log['user_to_id']);
                                            ?>
                
                                            <tr class="user" id="<?=$username_from?>|<?=$username_to?>">
                                                <div class="msg" id="<?=Admin::Filter('xss', $log['message']) ?>"></div>
                                                <td><?=htmlspecialchars($log['id'])?></td>
                                                <?php if ($userRank >= 6) { ?>
												    <td><?=$username_from?> (<strong><?=($log['user_from_id'])?></strong>) <font class="staff">(<?=Admin::getRankNameById($userRank)?>)</font></td>
                                                <?php } else { ?>
                                                    <td><?=$username_to?>
                                                <?php } ?>

                                                <td><?=$username_from == "" ? "<font class='staff'>Chat Staff</font>" : $username_from ?></td>
                                                <td><?=Admin::Filter('xss', $log['message'])?></td>
												<td><?=Admin::formatDate($log['timestamp'], "d/m/y à\s H:i:s")?></td>
                                            </tr>
                                            <?php } ?>

                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>                    
                </div>
            </div>
        </div>
    

    <script src="vendor/global/global.min.js"></script>
    <script src="vendor/chart.js/Chart.bundle.min.js"></script>
	<script src="vendor/lightgallery/js/lightgallery-all.min.js"></script>
	<script src="vendor/jquery-nice-select/js/jquery.nice-select.min.js"></script>
	<script src="js/custom.min.js"></script>
	<script src="js/dlabnav-init.js"></script>
	<script src="js/demo.js"></script>
    <script src="js/styleSwitcher.js"></script>	<script>
		$('#lightgallery').lightGallery({
			thumbnail:true,
		});
	</script>
	<script>
        $(function () {
        $('[data-toggle="tooltip"]').tooltip()
         })

         function searchFromUser(){
            var input, user;
            input = document.getElementById("messageInput");
            user = document.getElementsByClassName("user")
            Array.from(user).forEach(
                function(elemento) {
                    if (elemento.id.toLowerCase().includes(input.value)) elemento.hidden = false;
                    else if (input.value == "") elemento.hidden = false;
                    else elemento.hidden = true;
                }
            );
         }

         function searchMessage(){
            var input, user;
            input = document.getElementById("messageInput");
            user = document.getElementsByClassName("user")
            Array.from(user).forEach(
                function(elemento) {
                    if (elemento.id.toLowerCase().includes(input.value)) elemento.hidden = false;
                    else if (input.value == "") elemento.hidden = false;
                    else elemento.hidden = true;
                }
            );
         }

    </script>
</body>
</html>