<?php

define('BRAIN_CMS', 1);
include_once $_SERVER['DOCUMENT_ROOT'] . '/global.php';
include_once 'includes/copyright.php';

if (User::userData('rank') < 8) {    
    header("Location: /");
    die();
    return;
}

$paginaAtual = "Contas Fakes";

?>

<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="keywords" content="" />
	<meta name="author" content="" />
	<meta name="robots" content="" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<!-- PAGE TITLE HERE -->
	<title>WaveHK - Contas Fake</title>
	
	<!-- FAVICONS ICON -->
	<link rel="shortcut icon" type="image/png" href="images/favicon.png" />
	
	<link href="vendor/jquery-nice-select/css/nice-select.css" rel="stylesheet">
	<link rel="stylesheet" href="vendor/nouislider/nouislider.min.css">
	<!-- Style css -->
    <link href="css/style.css" rel="stylesheet">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous">
</head>
<body>
    
	<?php include_once("includes/preloader.php") ?>
    <?php include_once("includes/nav-header.php") ?>
    <?php include_once("includes/header.php") ?>
    <?php include_once("includes/sidebar.php") ?>

	
	<div class="content-body">
            <div class="container-fluid">
				<div class="row page-titles">
					<form method="POST" id="search-fakes">
					<div class="row">
						<div class="col-md-6 mb-3">
							<label for="firstName" class="form-label">Usuário</label>
							<input type="text" class="form-control" name="username" id="username" placeholder="" value="" required="">
						  </div>
						<div class="col-md-6 mb-3">
							<label for="lastName"  class="form-label">&nbsp;</label>
							<div class="basic-form">
								<button type="submit" name="btnSubmit" class="btn btn-primary d-sm-inline-block d-none">Procurar</button>
							</div>
						 </div>
					</div>
                </div>
				
                <div class="col-lg-12">
					<div class="card">
						<div class="card-header">
							<h4 class="card-title">Contas encontradas</h4>
						</div>
						<div class="card-body">
							<div class="table-responsive">
								<table class="table table-responsive-sm">
									<thead>
										<tr>
											<th>Nick</th>
											<th>Membro Desde</th>
											<th>Último Login</th>
										</tr>
									</thead>
									<tbody>
										<?php
										 	if (isset($_POST['username'])) 
											 {
									 									 
												 $username = htmlspecialchars($_POST['username']);
									 
												 $searchLastIpUserStatement = $dbh->prepare("SELECT * FROM players WHERE username = :username");
												 $searchLastIpUserStatement->bindValue(":username", $username);
												 $searchLastIpUserStatement->execute();
												 $lastIp = $searchLastIpUserStatement->fetch(PDO::FETCH_ASSOC);
									 
												 if ($searchLastIpUserStatement->rowCount() >= 1) {
													 $ipUser = $lastIp['last_ip'];
													 $searchFakesStatement = $dbh->prepare("SELECT * FROM players WHERE last_ip = :last_ip");
													 $searchFakesStatement->bindValue(":last_ip", $ipUser);
													 $searchFakesStatement->execute();
													 $fakes = $searchFakesStatement->fetchAll(PDO::FETCH_ASSOC);
												 
												 foreach ($fakes as $fake) {
													 if ($fake['username'] != $username)  {										 
										?>

										<tr>
											<td><?= Admin::Filter('xss', $fake['username'])?></td>
											<td><?= Admin::formatDate($fake['reg_timestamp'], "") ?></td>
											<td><?= Admin::formatDate($fake['last_online'], "") ?></td>
										</tr>
										<?php  } } } else { ?> 	

											<tr>
												<td>Nenhum usuário encontrado.</td>
												<td>--</td>
												<td>--</td>
											</tr> 

										<?php } } ?>

									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
            </div>
        </div>
    
    <script src="vendor/global/global.min.js"></script>
    <script src="vendor/chart.js/Chart.bundle.min.js"></script>
	<script src="vendor/lightgallery/js/lightgallery-all.min.js"></script>
	<script src="vendor/jquery-nice-select/js/jquery.nice-select.min.js"></script>
	<script src="js/custom.min.js"></script>
	<script src="js/dlabnav-init.js"></script>
	<script src="js/demo.js"></script>
    <script src="js/styleSwitcher.js"></script>

	<script>
		$('#lightgallery').lightGallery({
			thumbnail:true,
		});
	</script>


</body>
</html>