<?php
$paginaAtual = "Editar Usuário";
?>

<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="keywords" content="" />
    <meta name="author" content="" />
    <meta name="robots" content="" />
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- PAGE TITLE HERE -->
    <title>WaveHK - Editar Usuário</title>


<link rel="shortcut icon" type="image/png" href="http://localhost/wavehk/images/favicon.png" />

    <link href="http://localhost/wavehk/vendor/jquery-nice-select/css/nice-select.css" rel="stylesheet">
    <link rel="stylesheet" href="http://localhost/wavehk/vendor/nouislider/nouislider.min.css">
    <!-- Style css -->
    <link href="http://localhost/wavehk/css/style.css" rel="stylesheet">
    <link href="https://codeseven.github.io/toastr/build/toastr.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous">
</head>

<body>

    <?php include_once("includes/preloader.php") ?>
    <?php include_once("includes/nav-header.php") ?>
    <?php include_once("includes/header.php") ?>
    <?php include_once("includes/sidebar.php") ?>

    <div class="content-body">
        <div class="container-fluid">
            <div class="row">
                <div class="col-xl-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-lg-4 order-lg-2 mb-4">
                                    <ul class="list-group mb-3">
                                        <li class="list-group-item d-flex justify-content-between lh-condensed">
                                            <img src="https://habbo.city/habbo-imaging/avatarimage?figure=<?= Admin::getUserInfo($_GET['username'], 'figure') ?>&direction=2&head_direction=3&size=l&gesture=sml&action=wav&&img_format=png">
                                        </li>
                                        
                                        <li class="list-group-item d-flex justify-content-between lh-condensed">
                                            <div>
                                                <h6 class="my-0">Último Login</h6>
                                            </div>
                                            <span class="text-muted"><?= Admin::formatDate(Admin::getUserInfo($_GET['username'], "last_online"), "") ?></span>
                                        </li>
                                        <li class="list-group-item d-flex justify-content-between lh-condensed">
                                            <div>
                                                <h6 class="my-0">Amigos</h6>
                                            </div>
                                            <span class="text-muted"><?= Admin::getUserInfo($_GET['username'], "friends") ?></span>
                                        </li>
                                    </ul>
                                </div>
                                <div class="col-lg-8 order-lg-1">
                                    <h4 class="mb-3">Editando: <?= htmlspecialchars($_GET['username']) ?> (ID: <b><?=Admin::getUserInfo($_GET['username'], 'id')?></b>)

                                        <?php if (Admin::getUserInfo($_GET['username'], 'online') == 0) { ?>
                                            <span class="badge badge-primary light" style="color: red;">Offline</span>
                                    </h4>
                                <?php } else { ?>
                                    <span class="badge badge-primary light" style="color: green;">Online</span></h4>
                                <?php } ?>

                                <div class="row">
                                    <div class="col-md-6 mb-3">
                                        <label for="username" class="form-label">Nome de Usuário</label>
                                        <input type="text" class="form-control" id="username" placeholder="<?= htmlspecialchars($_GET['username']) ?>" value="">
                                    </div>
                                
                                <div class="col-md-6 mb-3">
                                    <label for="motto" class="form-label">Missão</label>
                                    <input type="text" class="form-control" id="motto" placeholder="<?=utf8_encode(htmlspecialchars(Admin::getUserInfo($_GET['username'], "motto")))?>" value="" required="">
                                </div>
                                
                                <div class="row">
                                    <div class="col-md-5 mb-3">
                                        <label class="form-label">Rank</label>
                                        <select class="default-select form-control wide w-100">
                                            <option selected><?= Admin::getRankNameById(Admin::getUserInfo($_GET['username'], "rank")) ?> (<?= Admin::getUserInfo($_GET['username'], 'rank') ?>)</option>
                                            <?php
                                            $getRanksStatement = $dbh->prepare("SELECT * FROM permissions ORDER BY id");
                                            $getRanksStatement->execute();
                                            $ranks = $getRanksStatement->fetchAll(PDO::FETCH_ASSOC);
                                            $rankCount = 0;
                                            foreach ($ranks as $rank) {
                                                if($rank['id'] != 812 and $rank['id'] != 811 and $rank['id'] != Admin::getUserInfo($_GET['username'], "rank")){ 
                                                $rankCount++;
                                                if ($rank['name'] != Admin::getRankNameById(Admin::getUserInfo($_GET['username'], "rank"))) {
                                            ?> 
                                                <option style="color: black!important; "class="rank" id="rank" value=<?= $rankCount ?>><?= Admin::getRankNameById($rank['id']) ?> (<strong><?= $rank['id'] ?></strong>) </option>
                                            <?php } }
                                            } ?>
                                        </select>
                                    </div>
                                </div>

                                <div class="mb-3">
                                    <label for="email" class="form-label">Email</label>
                                    <input type="email" class="form-control" id="email" placeholder="<?= Admin::Filter('xss', Admin::getUserInfo($_GET['username'], "mail")) ?>">
                                </div>

                                <div class="row">
                                    <div class="col-md-6 mb-3">
                                        <label for="moedas" class="form-label">Moedas</label>
                                        <input type="text" class="form-control" id="moedas" placeholder="<?= Admin::getUserInfo($_GET['username'], 'credits') ?>" value="">
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <label for="duckets" class="form-label">Duckets</label>
                                        <input type="text" class="form-control" id="duckets" placeholder="<?= Admin::getUserInfo($_GET['username'], 'pixels') ?>" value="">
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 mb-3">
                                        <label for="diamantes" class="form-label">Diamantes</label>
                                        <input type="text" class="form-control" id="diamantes" placeholder="<?= Admin::getUserInfo($_GET['username'], 'points') ?>" value="">
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <label for="starcoin" class="form-label">Starcoin</label>
                                        <input type="text" class="form-control" id="starcoin" placeholder="<?= Admin::getUserInfo($_GET['username'], 'seasonal_points') ?>" value="">
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 mb-3">
                                        <label for="eventpoints" class="form-label">Pontos de Eventos</label>
                                        <input type="text" class="form-control" id="eventpoints" placeholder="<?= Admin::getUserInfo($_GET['username'], 'event_points') ?>" value="">
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <label for="promopoints" class="form-label">Pontos de Promoções</label>
                                        <input type="text" class="form-control" id="promopoints" placeholder="<?= Admin::getUserInfo($_GET['username'], 'promo_points') ?>" value="">
                                    </div>
                                </div>
                                <hr class="mb-4">
                                <button onclick="edit_user()" class="btn btn-primary btn-lg btn-block">Salvar</button>
                                </form>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script src="http://localhost/wavehk/vendor/global/global.min.js"></script>
    <script src="http://localhost/wavehk/endor/chart.js/Chart.bundle.min.js"></script>
    <script src="http://localhost/wavehk/vendor/lightgallery/js/lightgallery-all.min.js"></script>
    <script src="http://localhost/wavehk/vendor/jquery-nice-select/js/jquery.nice-select.min.js"></script>
    <script src="http://localhost/wavehk/js/custom.min.js"></script>
    <script src="http://localhost/wavehk/js/dlabnav-init.js"></script>
    <script src="http://localhost/wavehk/js/demo.js"></script>
    <script src="http://localhost/wavehk/js/toastr.js"></script>
    <script src="http://localhost/wavehk/js/styleSwitcher.js"></script>
    <script src="https://codeseven.github.io/toastr/build/toastr.min.js"></script>

    <script>
        $('#lightgallery').lightGallery({
            thumbnail: true,
        });

        function edit_user() {
            var rank = document.getElementsByClassName("current")[0].innerText;

            $.ajax('/wavehk/api/editar_usuario', {
                type: 'POST',
                data: { 
                    _username: '<?=htmlspecialchars($_GET['username'])?>',
                    rank: rank.split('(')[1].replace(')', ''),
                    promo_points: document.getElementById("promopoints").value,
                    event_points: document.getElementById("eventpoints").value,
                    star_coin: document.getElementById("starcoin").value,
                    diamantes: document.getElementById("diamantes").value,
                    duckets: document.getElementById("duckets").value,
                    moedas: document.getElementById("moedas").value,
                    email: document.getElementById("email").value,
                    username: document.getElementById("username").value,
                    motto: document.getElementById("motto").value
                 },

                 success: function (data) {
                    if (data.status == "success") log("success", data.message, "toast-top-center");
                    else log("error", data.message, "toast-top-center");
                 }
            });
        }
    </script>
</body>
</html>