<?php
$paginaAtual = "Emblemas Hospedados";
?>

<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="keywords" content="" />
    <meta name="author" content="" />
    <meta name="robots" content="" />
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- PAGE TITLE HERE -->
    <title>WaveHK - Emblemas Hospedados</title>

    <!-- FAVICONS ICON -->
    <link rel="shortcut icon" type="image/png" href="images/favicon.png" />

    <link href="vendor/jquery-nice-select/css/nice-select.css" rel="stylesheet">
    <link rel="stylesheet" href="vendor/nouislider/nouislider.min.css">
    <!-- Style css -->
    <link href="css/style.css" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous">
</head>

<body>

    <?php include_once("includes/preloader.php") ?>
    <?php include_once("includes/nav-header.php") ?>
    <?php include_once("includes/header.php") ?>
    <?php include_once("includes/sidebar.php") ?>


    <div class="content-body">
        <div class="container-fluid">
            <!-- row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title">Lista de Emblemas</h4>
                            <div class="mb-3"><input class="form-control form-control-sm" type="text" id="search-badge" onkeyup="searchBadge()" placeholder="🔍 Pesquisar Emblema..."></div>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-responsive-sm">
                                    <thead>
                                        <tr>
                                            <th>Img</th>
                                            <th>Código</th>
                                            <th>Título</th>
                                            <th>Descrição</th>
                                            <th>Ação</th>
                                        </tr>
                                    </thead>
                                    <tbody>

                                        <?php
                                        $uploadedBadges = Admin::getUploadedBadges();
                                        $badgeCount = 0;
                                        foreach ($uploadedBadges as $badge) { 
                                            $badgeCount++;
                                            if($badgeCount >= 100) break;
                                            ?>
                                            <tr class="badges" id="<?=$badge['code']?>|<?=$badge['name']?>">
                                                <th><img src="<?=$badge['link']?>"></th>
                                                <td><?=$badge['code']?></td>
                                                <td><?=Admin::Filter('xss', $badge['name'])?></td>
                                                <td><?=Admin::Filter('xss', $badge['desc'])?></td>
                                                <td><a href="" title="Editar"><button class="btn btn-rounded btn-danger"><i class="fas fa-edit"></i></button></a> <a href="" title="Excluir"><button class="btn btn-rounded btn-danger"><i class="fas fa-trash"></i></button></a></td>
                                            </tr>
                                        <?php } ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="profile-statistics">
                                <div class="text-center">
                                    <div class="row">
                                        <div class="col">
                                            <h3 class="m-b-0">45</h3><span>Emblemas Hospedados</span>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>



    </div>

    <script src="vendor/global/global.min.js"></script>
    <script src="vendor/chart.js/Chart.bundle.min.js"></script>
    <script src="vendor/lightgallery/js/lightgallery-all.min.js"></script>
    <script src="vendor/jquery-nice-select/js/jquery.nice-select.min.js"></script>
    <script src="js/custom.min.js"></script>
    <script src="js/dlabnav-init.js"></script>
    <script src="js/demo.js"></script>
    <script src="js/styleSwitcher.js"></script>
    <script>
        $('#lightgallery').lightGallery({
            thumbnail: true,
        });

        function searchBadge(){
            var input, room;
            input = document.getElementById("search-badge");
            room = document.getElementsByClassName("badges");
            Array.from(room).forEach(
                function(elemento) {
                    if (elemento.id.toLowerCase().includes(input.value.toLowerCase())) elemento.hidden = false;
                    else if (input.value == "") elemento.hidden = false;
                    else elemento.hidden = true;
                }
            );
         }

    </script>
    <script>
        $(function() {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>
</body>

</html>