<?php
$paginaAtual = "Filtro";
?>

<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="keywords" content="" />
    <meta name="author" content="" />
    <meta name="robots" content="" />
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- PAGE TITLE HERE -->
    <title>WaveHK - Filtro</title>

    <!-- FAVICONS ICON -->
    <link rel="shortcut icon" type="image/png" href="images/favicon.png" />

    <link href="vendor/jquery-nice-select/css/nice-select.css" rel="stylesheet">
    <link rel="stylesheet" href="vendor/nouislider/nouislider.min.css">
    <!-- Style css -->
    <link href="css/style.css" rel="stylesheet">
    <link href="https://codeseven.github.io/toastr/build/toastr.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous">
</head>

<body>

    <?php include_once("includes/preloader.php") ?>
    <?php include_once("includes/nav-header.php") ?>
    <?php include_once("includes/header.php") ?>
    <?php include_once("includes/sidebar.php") ?>

    <?php
        $palavrasProibidasStatement = $dbh->prepare("SELECT * FROM wordfilter");
        $palavrasProibidasStatement->execute();
        $palavras_proibidas = $palavrasProibidasStatement->rowCount();
    ?>

    <div class="content-body">
        <div class="container-fluid">
            <!-- row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title">Palavras proibidas</h4>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6 mb-3">
                                    <label for="word" class="form-label">Palavra</label>
                                    <input type="text" class="form-control" id="word" placeholder="" value="" required="">
                                </div>
                                <div class="col-md-6 mb-3">
                                    <label for="replacement" class="form-label">Substituir por</label>
                                    <input type="text" class="form-control" id="replacement" placeholder="" value="" required="">
                                </div>
                                <div class="col-md-6 mb-3">
                                    <button type="submit" onclick="addWord()" class="btn btn-primary d-sm-inline-block d-none">Adicionar</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Palavras proibidas (<strong id="word-counter"><?=$palavras_proibidas?></strong>)</h4>
                        <div class="mb-3"><input class="form-control form-control-sm" id="searchWordInput" onkeyup="searchWord()" type="text" placeholder="🔍 Pesquisar Filtro..."></div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-responsive-sm">
                                <thead>
                                    <tr>
                                        <th>Palavra</th>
                                        <th>Substituição</th>
                                        <th>Ações</th>
                                    </tr>
                                </thead>
                                <tbody class="word-body">
                                    <?php
                                    $searchWordsStatement = $dbh->prepare("SELECT * FROM wordfilter");
                                    $searchWordsStatement->execute();
                                    $words = $searchWordsStatement->fetchAll(PDO::FETCH_ASSOC);
                                    foreach ($words as $word) { ?>
                                        <tr class="words" id="<?= Admin::Filter('xss', $word['key']) ?>">
                                            <td><?= Admin::Filter('xss', $word['key']) ?></td>
                                            <td><?= Admin::Filter('xss', $word['replacement']) ?></td>
                                            <td><a title="Excluir"><button class="btn btn-rounded btn-danger" onclick="deleteWord('<?=Admin::Filter('xss', $word['key'])?>')"><i class="fas fa-trash"></i></button></a></td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="vendor/global/global.min.js"></script>
    <script src="vendor/chart.js/Chart.bundle.min.js"></script>
    <script src="vendor/lightgallery/js/lightgallery-all.min.js"></script>
    <script src="vendor/jquery-nice-select/js/jquery.nice-select.min.js"></script>
    <script src="js/custom.min.js"></script>
    <script src="js/dlabnav-init.js"></script>
    <script src="js/demo.js"></script>
    <script src="js/toastr.js"></script>
    <script src="https://codeseven.github.io/toastr/build/toastr.min.js"></script>
    <script src="js/styleSwitcher.js"></script>
    <script>
        $('#lightgallery').lightGallery({
            thumbnail: true,
        });
    </script>
    <script>
        $(function() {
            $('[data-toggle="tooltip"]').tooltip()
        })

        function searchWord() {
            var input, banimento;
            input = document.getElementById("searchWordInput");
            words = document.getElementsByClassName("words")
            Array.from(words).forEach(
                function(elemento) {
                    if (elemento.id.toLowerCase().includes(input.value)) elemento.hidden = false;
                    else if (input.value == "") elemento.hidden = false;
                    else elemento.hidden = true;
                }
            );
        }

        function deleteWord(word) {
            <?php if (User::userData('rank') >= 8){ ?>
            
                $.ajax('api/deletar_filtro.php', {
                    type: 'POST',
                    data: { 'word': word },
                    success: function (data) {
                        if (data.status == "success"){
                            document.getElementById(word).style.display = "none";
                            document.getElementById("word-counter").innerText = `${parseInt(document.getElementById("word-counter").innerText) - 1}`;
                            log("success", data.message)

                        }else{
                            log("error", data.message);
                        }
                    }
                });

                <?php } else { echo 'log("error", "O cargo ' . Admin::getRankNameById(User::userData('rank')) . ' não pode remover um filtro.") '; } ?>
        }

        function addWord(){
            <?php if (User::userData('rank') > 8){ ?>

                $.ajax('api/adicionar_filtro.php', {
                    type: 'POST',
                    data: { word: document.getElementById('word').value, replacement: document.getElementById('replacement').value },
                    success: function (data) {
                        if (data.status == "success"){
                            log("success", data.message)
                            window.location.reload();
                        }else{
                            log("error", data.message)
                        }
                    }
                });

            <?php } else { echo 'log("error", "O cargo ' . Admin::getRankNameById(User::userData('rank')) . ' não pode adicionar um filtro.") '; } ?>
        }

    </script>
</body>

</html>