<?php
$paginaAtual = "Logs Compra Raros";
?>

<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="keywords" content="" />
    <meta name="author" content="" />
    <meta name="robots" content="" />
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- PAGE TITLE HERE -->
    <title>WaveHK - Logs Compra Raros</title>

    <!-- FAVICONS ICON -->
    <link rel="shortcut icon" type="image/png" href="images/favicon.png" />

    <link href="vendor/jquery-nice-select/css/nice-select.css" rel="stylesheet">
    <link rel="stylesheet" href="vendor/nouislider/nouislider.min.css">
    <!-- Style css -->
    <link href="css/style.css" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous">
</head>

<body>

    <?php include_once("includes/preloader.php") ?>
    <?php include_once("includes/nav-header.php") ?>
    <?php include_once("includes/header.php") ?>
    <?php include_once("includes/sidebar.php") ?>

    <div class="content-body">
        <div class="container-fluid">
            <!-- row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title">Compras de raros (Edição Limitada)</h4>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-responsive-sm">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Usuário</th>
                                            <th>Raro (nome no catálogo)</th>
                                            <th>Quantidade</th>
                                            <th>Data</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $logsRaros = $dbh->prepare("SELECT * FROM player_recent_purchases WHERE catalog_item IN (SELECT id FROM catalog_items WHERE page_id = :rarosSemanais OR page_id = :rarosMensais) ORDER BY id DESC LIMIT 1000");
                                        $logsRaros->bindParam(':rarosSemanais', $config['idPaginaRarosSemanais']);
                                        $logsRaros->bindParam(':rarosMensais', $config['idPaginaRarosMensais']);
                                        $logsRaros->execute();
                                        foreach ($logsRaros as $log) { ?>
                                        ?>
                                        <tr>
                                            <td><?=$log['id']?></td>
                                            <td><?=Admin::Filter('xss', Admin::getUsernameById($log['player_id']))?> (ID: <b><?=$log['player_id']?></b>)</td>
                                            <td><?=Admin::Filter('xss', Admin::getItemInfobyId($log['catalog_item'], "catalog_name"))?></td>
                                            <td><?=$log['amount']?></td>
                                            <td><?=$log['purchase_data']?></td>
                                        </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--**********************************
        Main wrapper end
    ***********************************-->

    <!--removeIf(production)-->

    <!--**********************************
        Scripts
    ***********************************-->
    <!-- Required vendors -->
    <script src="vendor/global/global.min.js"></script>
    <script src="vendor/chart.js/Chart.bundle.min.js"></script>
    <script src="vendor/lightgallery/js/lightgallery-all.min.js"></script>
    <script src="vendor/jquery-nice-select/js/jquery.nice-select.min.js"></script>
    <script src="js/custom.min.js"></script>
    <script src="js/dlabnav-init.js"></script>
    <script src="js/demo.js"></script>
    <script src="js/styleSwitcher.js"></script>
    <script>
        $('#lightgallery').lightGallery({
            thumbnail: true,
        });
    </script>
    <script>
        $(function() {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>
</body>

</html>