<?php
define('BRAIN_CMS', 1);
include_once $_SERVER['DOCUMENT_ROOT'] . '/global.php';
include_once 'includes/copyright.php';

Admin::CheckRank(6);

$true = 1;
$false = 0;

$search_news = $dbh->prepare("SELECT * FROM cms_news");
$search_news->execute();
$lastNews = $search_news->fetchAll(PDO::FETCH_ASSOC);

$search_real_news = $dbh->prepare("SELECT * FROM cms_news WHERE rascunho = :rsch");
$search_real_news->bindValue(":rsch", $false);
$search_real_news->execute();

$search_formularios = $dbh->prepare("SELECT * FROM cms_news WHERE rascunho - :rsch AND formulario = :form");
$search_formularios->bindValue(":rsch", 0);
$search_formularios->bindValue(":form", 1);
$search_formularios->execute();

$search_rascunhos = $dbh->prepare("SELECT * FROM cms_news WHERE rascunho = :rsch");
$search_rascunhos->bindValue(":rsch", $true);
$search_rascunhos->execute();

$rascunhosFetch = $search_rascunhos->fetchAll(PDO::FETCH_ASSOC);
$newsFetch = $search_real_news->fetchAll(PDO::FETCH_ASSOC);
$formulariosFetch = $search_formularios->fetchAll(PDO::FETCH_ASSOC);

$total_news = $search_real_news->rowCount();
$total_rascunhos = $search_rascunhos->rowCount();
$total_formularios = $search_rascunhos->rowCount();

?>

<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="keywords" content="" />
    <meta name="author" content="" />
    <meta name="robots" content="" />
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- PAGE TITLE HERE -->
    <title>WaveHK - Notícias</title>

    <!-- FAVICONS ICON -->
    <link rel="shortcut icon" type="image/png" href="images/favicon.png" />

    <link href="vendor/jquery-nice-select/css/nice-select.css" rel="stylesheet">
    <link rel="stylesheet" href="vendor/nouislider/nouislider.min.css">
    <!-- Style css -->
    <link href="css/style.css" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous">
</head>

<body>

    <?php include_once("includes/preloader.php") ?>
    <?php include_once("includes/nav-header.php") ?>
    <?php include_once("includes/header.php") ?>
    <?php include_once("includes/sidebar.php") ?>

    <div class="content-body">
        <div class="container-fluid">
            <div class="row page-titles">
            <?=Admin::PostNews()?>
                <ol class="breadcrumb">
                    <form method="POST">
                    <label for="exampleInputTitle" class="noticias"><b>Título</b></label>
                    <input type="text" class="form-control" name="titulo" id="exampleInputTitle" aria-describedby="Text" placeholder="Título da Notícia">
                    <br><br>
                    <label for="exampleInputDescrL" class="noticias"><b>Subtítulo</b></label>
                    <input type="text" class="form-control" name="subtitulo" id="exampleInputDescrL" aria-describedby="Text" placeholder="Subtítulo longa da notícia">
                    <br><br>
                    <textarea class="form-control" name="news" rows="4" id="comment"></textarea>
                    <br><br>
                    <label for="exampleInputThumbnail" class="noticias"><b>TopStory</b></label>
                    <input type="text" class="form-control" name="link-imagem" id="exampleInputThumbnail" aria-describedby="Text" placeholder="Link da Imagem">
                    <br><br>
                    <label for="exampleInputThumbnail" class="noticias">
                        <div class="form-check form-check-inline">
                            <label class="form-check-label">
                                <input type="checkbox" name="rascunho" class="form-check-input">Rascunho
                            </label>
                        </div>
                        <br>
                        <!--<label for="exampleInputThumbnail" class="noticias"><a href="" data-bs-toggle="modal" data-bs-target="#confignotifica" class="configop">Configurações Opcionais</label>!-->
                        <br><br>
                        <input type="submit" name="postnews" class="btn btn-primary mb-1" value="Salvar">
                    </label>
                </ol>
            </div>
            <!-- row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="row">
                        <div class="col-xl-12">
                            <div class="card">
                                <div class="card-body">
                                    <div class="profile-statistics">
                                        <div class="text-center">
                                            <div class="row">
                                                <div class="col">
                                                    <h3 class="m-b-0" id="contador-noticias"><?= $total_news ?> </h3><span>Notícias</span>
                                                </div>
                                                <div class="col">
                                                    <h3 class="m-b-0" id="contador-rascunhos"><?= $total_rascunhos ?></h3><span>Rascunhos</span>
                                                </div>
                                                <div class="col">
                                                    <h3 class="m-b-0" id="contador-formularios"><?= $total_formularios ?></h3><span>Formulários</span>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title">Lista de Notícias</h4>
                            <div class="mb-3"><input class="form-control form-control-sm" type="text" id="searchNewsInput" onkeyup="searchNews()" placeholder="🔍 Pesquisar notícia..."></div>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-responsive-sm">
                                    <thead>
                                        <tr>
                                            <th>Staff</th>
                                            <th>Título</th>
                                            <th>Tipo</th>
                                            <th>Data</th>
                                            <th>Ação</th>
                                        </tr>
                                    </thead>
                                    <tbody class="noticias">

                                        <?php foreach ($lastNews as $noticia) {
                                            $tipo_noticia = $noticia['rascunho'] == 0 ? "Normal" : "Rascunho";

                                        ?>
                                            <tr class="noticia" id="<?= Admin::Filter('xss', $noticia['title']) ?>">
                                                <th><img src="https://habbo.city/habbo-imaging/avatarimage?size=m&gesture=sml&figure=<?= Admin::getFigureByUsername(Admin::getUsernameById($noticia['author'])) ?>&headonly=1" data-toggle="tooltip" data-placement="top" title="<?= Admin::getUsernameById($noticia['author']) ?>"></th>
                                                <td><?= Admin::Filter('xss', $noticia['title']) ?></td>
                                                <td><span class="badge badge-primary light"><?= $tipo_noticia ?></span>
                                                </td>
                                                <td><?= Admin::formatDate($noticia['date'], 'd/m/y') ?></td>
                                                <td><a title="Editar"><button class="btn btn-rounded btn-danger"><i class="fas fa-edit"></i></button></a> <a title="Excluir"><button class="btn btn-rounded btn-danger" onclick="deleteNews(<?= $noticia['id'] ?>, '<?= Admin::Filter('xss', $noticia['title']) ?>')"><i class="fas fa-trash"></i></button></a></td>
                                            </tr>
                                        <?php } ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
    </div>
    </div>
    </div>
    </div>

    <script>
        function searchNews() {
            var input, banimento;
            input = document.getElementById("searchNewsInput");
            noticia = document.getElementsByClassName("noticia")
            Array.from(noticia).forEach(
                function(elemento) {
                    if (elemento.id.toLowerCase().includes(input.value)) elemento.hidden = false;
                    else if (input.value == "") elemento.hidden = false;
                    else elemento.hidden = true;
                }
            );
        }

        function deleteNews(news_id, news_title) {
            <?php if (User::userData('rank') >= 8) { ?>

                $.ajax('api/deletar_noticia.php', {
                    type: 'POST',
                    data: {
                        newsId: news_id
                    },
                    success: function(data) {
                        document.getElementById(news_title).hidden = true;
                        if (data.type == "rascunho") document.getElementById("contador-rascunhos").innerText = `${parseInt(document.getElementById("contador-rascunhos").innerText) - 1}`
                        else if (data.type == "formulario") document.getElementById("contador-formularios").innerText = `${parseInt(document.getElementById("contador-formularios").innerText) - 1}`
                        else if (data.type == "normal") document.getElementById("contador-noticias").innerText = `${parseInt(document.getElementById("contador-noticias").innerText) - 1}`
                    }
                });

        }
        <?php } else {
                echo 'alert("O cargo ' . Admin::getRankNameById(User::userData('rank')) . ' não pode deletar uma notícia") } ';
            } ?>


    </script>

    <script src="vendor/global/global.min.js"></script>
    <script src="vendor/chart.js/Chart.bundle.min.js"></script>
    <script src="vendor/lightgallery/js/lightgallery-all.min.js"></script>
    <script src="vendor/jquery-nice-select/js/jquery.nice-select.min.js"></script>
    <script src="js/custom.min.js"></script>
    <script src="js/dlabnav-init.js"></script>
    <script src="js/demo.js"></script>
    <script src="js/styleSwitcher.js"></script>
    <script src="https://cdn.ckeditor.com/4.9.2/full-all/ckeditor.js"></script>
    <script>
        $('#lightgallery').lightGallery({
            thumbnail: true,
        });
        CKEDITOR.replace('news');
        CKEDITOR.replace(textarea);
    </script>
    <script>
        $(function() {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>
    <!-- Modal Config Opcional -->
    <div class="modal fade" id="confignotifica">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Configurações Opcionais</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal">
                    </button>
                </div>
                <div class="modal-body">
                    <ol class="breadcrumb">
                        <label for="exampleInputThumbnail" class="noticias"><b>TopBG</b></label>
                        <input type="file" class="form-control" id="exampleFormControlFile1">
                        <label for="exampleInputThumbnail" class="noticias"><b>Logo</b></label>
                        <input type="file" class="form-control" id="exampleFormControlFile1">
                        <br><br>
                        <label for="exampleInputThumbnail" class="noticias"><b>Background</b></label>
                        <input type="file" class="form-control" id="exampleFormControlFile1">
                        <br><br>
                        <label for="exampleInputMusic" class="noticias"><b>Música</b></label>
                        <input type="text" class="form-control" id="exampleInputTitle" aria-describedby="Text" placeholder="Link da música">
                        <br><br>
                        <label for="exampleInputPromo" class="noticias"><b>Essa notícia tem um Formulário?</b>
                            <br>
                            <form>
                                <select class="default-select form-control wide mb-3">
                                    <option>Não</option>
                                    <option>Sim</option>
                                </select>
                            </form>
                            <br><br>
                            <label for="exampleInputPromo" class="noticias"><b>Essa notícia é uma promoção?</b>
                                <br>
                                <form>
                                    <select class="default-select form-control wide mb-3">
                                        <option>Não</option>
                                        <option>Sim</option>
                                    </select>
                                </form>
                                <br><br>
                                <a href="" data-bs-toggle="modal" data-bs-target="#modalpromo">Configurar Promoção</a>
                            </label>
                    </ol>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger light" data-bs-dismiss="modal">Fechar</button>
                    <button type="button" class="btn btn-primary">Salvar</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Modal Promo -->
    <div class="modal fade" id="modalpromo">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Promoção</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal">
                    </button>
                </div>
                <div class="modal-body">
                    <label for="exampleInputTitle"><b>Objetivo</b></label>
                    <input type="email" class="form-control" id="exampleInputDQST" aria-describedby="emailHelp" placeholder="Objetivo da promoção">
                    <br>
                    <label for="exampleInputDescrc"><b>Prazo</b></label>
                    <input type="email" class="form-control" id="exampleInputDescrPC" aria-describedby="emailHelp" placeholder="12/12/21 às 18h00">
                    <br>
                    <label for="exampleInputFile"><b>Emblema</b></label><br>
                    <input type="file" id="exampleFormControlFile1">
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger light" data-bs-dismiss="modal">Fechar</button>
                    <button type="button" class="btn btn-primary">Salvar</button>
                </div>
            </div>
        </div>
    </div>
</body>

</html>