<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="keywords" content="" />
	<meta name="author" content="" />
	<meta name="robots" content="" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<!-- PAGE TITLE HERE -->
	<title>WaveHK - Ponto Evento</title>
	
	<!-- FAVICONS ICON -->
	<link rel="shortcut icon" type="image/png" href="images/favicon.png" />
	
	<link href="vendor/jquery-nice-select/css/nice-select.css" rel="stylesheet">
	<link rel="stylesheet" href="vendor/nouislider/nouislider.min.css">
	<!-- Style css -->
    <link href="css/style.css" rel="stylesheet">
	<link href="https://codeseven.github.io/toastr/build/toastr.min.css" rel="stylesheet">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous">
</head>
<body>
    
	<?php include_once("includes/preloader.php") ?>
    <?php include_once("includes/nav-header.php") ?>
    <?php include_once("includes/header.php") ?>
    <?php include_once("includes/sidebar.php") ?>

	
	<div class="content-body">
            <div class="container-fluid">
				<div class="row page-titles">
					<div class="row">
						<div class="col-md-6 mb-3">
							<label for="username" class="form-label">Usuário</label>
							<input type="text" class="form-control" id="username" placeholder="" value="" required="">
						  </div>
						<div class="col-md-6 mb-3">
							<label for="point"  class="form-label">Pontos</label>
							<input type="text" class="form-control" id="point" placeholder="" value="" required="">
						 </div>
						 <a onclick="send_event()" class="btn btn-primary mb-1">Adicionar</a>
					</div>
                </div>
                <!-- row -->
                <div class="row">
                    <div class="col-lg-12">
						<div class="row">
							<div class="col-xl-16">
								<div class="card">
									<div class="card-body">
										<div class="profile-statistics">
											<div class="text-center">
												<div class="row">
													<div class="col">

														<h3 class="m-b-0">TOP 3 Eventos</h3>

														<?php
															$getTopEventsStatement = $dbh->prepare("SELECT * FROM players WHERE rank <= 5 ORDER BY event_points DESC LIMIT 3");
															$getTopEventsStatement->execute();
															$events = $getTopEventsStatement->fetchAll(PDO::FETCH_ASSOC);
															foreach ($events as $player)
															{ 
																$username = Admin::Filter('xss', $player['username']);
																$event_points = $player['event_points'];
														?>
														
														<?php if ($event_points >= 1) { ?>
															<img src="<?=Admin::getFigureByUsername($username)?>" data-toggle="tooltip" data-placement="top" title="<?=$username?>"><span><b><?=$event_points?> pontos</b></span>
														<?php } else {  ?>
															<img src="<?=Admin::getAvatarFallBack("desconhecido", true)?>" data-toggle="tooltip" data-placement="top" title="Desconhecido"><span><b><?=$event_points?> pontos</b></span>
														<?php } } ?>

													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
                    </div> 
                </div>
            </div>
		</div>
    </div>

    <script src="vendor/global/global.min.js"></script>
    <script src="vendor/chart.js/Chart.bundle.min.js"></script>
	<script src="vendor/lightgallery/js/lightgallery-all.min.js"></script>
	<script src="vendor/jquery-nice-select/js/jquery.nice-select.min.js"></script>
	<script src="js/custom.min.js"></script>
	<script src="js/dlabnav-init.js"></script>
	<script src="js/demo.js"></script>
	<script src="js/toastr.js"></script>
    <script src="https://codeseven.github.io/toastr/build/toastr.min.js"></script>
    <script src="js/styleSwitcher.js"></script>	<script>
		$('#lightgallery').lightGallery({
			thumbnail:true,
		});
	</script>
	<script>
        $(function () {
        $('[data-toggle="tooltip"]').tooltip()
         })

		 function send_event(){
			 var username = document.getElementById("username").value;
			 var point = document.getElementById("point").value;

			$.ajax('api/enviar_evento.php', {
				type: 'POST',
				data: { username: username, points: point },
				success: function (result) {
					if (result.sucesso == true){
						log("success", result.mensagem)
					}else{
						log("error", result.mensagem)
					}
				}
			});

		 }

    </script>
</body>
</html>