<?php
$paginaAtual = "Quartos";
?>

<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="keywords" content="" />
    <meta name="author" content="" />
    <meta name="robots" content="" />
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- PAGE TITLE HERE -->
    <title>WaveHK - Quartos</title>

    <!-- FAVICONS ICON -->
    <link rel="shortcut icon" type="image/png" href="images/favicon.png" />

    <link href="vendor/jquery-nice-select/css/nice-select.css" rel="stylesheet">
    <link rel="stylesheet" href="vendor/nouislider/nouislider.min.css">
    <!-- Style css -->
    <link href="css/style.css" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous">
</head>

<body>

    <?php include_once("includes/preloader.php") ?>
    <?php include_once("includes/nav-header.php") ?>
    <?php include_once("includes/header.php") ?>
    <?php include_once("includes/sidebar.php") ?>

    <?php
    $totalquartoscriadosCount = $dbh->query("SELECT COUNT(*) FROM rooms");
    $totalquartoscriados = $totalquartoscriadosCount->fetchColumn();
    ?>

    <div class="content-body">
        <div class="container-fluid">
            <!-- row -->
            <div class="col-xl-12">
                <div class="card">
                    <div class="card-body">
                        <div class="profile-statistics">
                            <div class="text-center">
                                <div class="row">
                                    <div class="col">
                                        <h3 class="m-b-0"><?= $totalquartoscriados ?></h3><span>Total de Quartos</span>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title">Últimos 500 quartos criados</h4>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-responsive-sm">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Nome</th>
                                            <th>Dono</th>
                                            <th>Estado</th>
                                            <th>Modelo</th>
                                        </tr>
                                    </thead>
                                    <tbody>

                                        <?php

                                        $estado = "";

                                        $getRooms = $dbh->prepare("SELECT * FROM rooms ORDER BY id DESC LIMIT 500");
                                        $getRooms->execute();
                                        foreach ($getRooms as $room) {

                                            $nomeSala = Admin::Filter('xss', Admin::getRoomInfo($room['id'], "name"));
                                            $donoSala = Admin::Filter('xss', $room['owner']);
                                            $donoIdSala = $room['owner_id'];
                                            $estadoSala = strtolower($room["access_type"]);
                                            $modeloSala = $room['model'];

                                            if ($estadoSala == "open")
                                                $estado = "Aberto";
                                            else if ($estadoSala == "doorbell")
                                                $estado = "Trancado";
                                            else if ($estado == "password")
                                                $estado = "Trancado c/senha";
                                            else if ($estado == "invisible")
                                                $estado = "Invisível";

                                        ?>

                                            <tr>
                                                <td><?= $room['id'] ?></td>
                                                <td><?= $nomeSala ?></td>
                                                <td><?= $donoSala ?> (ID: <b><?= $donoIdSala ?></b>)</td>
                                                <td><?= $estado ?></td>
                                                <td><?= $modeloSala ?></td>
                                            </tr>

                                        <?php } ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>
    <!--**********************************
        Main wrapper end
    ***********************************-->

    <!--removeIf(production)-->

    <!--**********************************
        Scripts
    ***********************************-->
    <!-- Required vendors -->
    <script src="vendor/global/global.min.js"></script>
    <script src="vendor/chart.js/Chart.bundle.min.js"></script>
    <script src="vendor/lightgallery/js/lightgallery-all.min.js"></script>
    <script src="vendor/jquery-nice-select/js/jquery.nice-select.min.js"></script>
    <script src="js/custom.min.js"></script>
    <script src="js/dlabnav-init.js"></script>
    <script src="js/demo.js"></script>
    <script src="js/styleSwitcher.js"></script>
    <script>
        $('#lightgallery').lightGallery({
            thumbnail: true,
        });
    </script>
    <script>
        $(function() {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>
</body>

</html>