<?php
$paginaAtual = "Quartos Públicos";

?>

<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="keywords" content="" />
	<meta name="author" content="" />
	<meta name="robots" content="" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<!-- PAGE TITLE HERE -->
	<title>WaveHK - Quartos Públicos</title>
	
	<!-- FAVICONS ICON -->
	<link rel="shortcut icon" type="image/png" href="images/favicon.png" />
	
	<link href="vendor/jquery-nice-select/css/nice-select.css" rel="stylesheet">
	<link rel="stylesheet" href="vendor/nouislider/nouislider.min.css">
    <link href="https://codeseven.github.io/toastr/build/toastr.min.css" rel="stylesheet">
	<!-- Style css -->
    <link href="css/style.css" rel="stylesheet">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous">
</head>
<body>
    
	<?php include_once("includes/preloader.php") ?>
    <?php include_once("includes/nav-header.php") ?>
    <?php include_once("includes/header.php") ?>
    <?php include_once("includes/sidebar.php") ?>

    <?php
        $total_quartos_publicosStatement = $dbh->prepare("SELECT * FROM navigator_publics");
        $total_quartos_publicosStatement->execute();
        $total_quartos_publicos = $total_quartos_publicosStatement->rowCount();
    ?>

	<div class="content-body">
            <div class="container-fluid">
				<div class="row page-titles">
					<ol class="breadcrumb">
						<label for="exampleInputTitle" class="noticias"><b>ID do Quarto</b></label>
						<input type="text" class="form-control" id="exampleInputTitle" aria-describedby="Text" placeholder="Ex: 10">
						<br><br>
						<label for="exampleInputDescrL" class="noticias"><b>Nome do Quarto</b></label>
						<input type="text" class="form-control" id="exampleInputDescrL" aria-describedby="Text" placeholder="Nome que aparecerá no navegador">
						<br><br>
						<label for="exampleInputDescrL" class="noticias"><b>Descrição do Quarto</b></label>
						<input type="text" class="form-control" id="exampleInputDescrL" aria-describedby="Text" placeholder="Descrição que aparecerá no navegador">
						<br><br>
						<label for="exampleInputContent" class="noticias"><b>Categoria</b>
						<div class="basic-form">
							<form>
								<select class="default-select form-control wide mb-3">
									<option>Quartos Oficiais</option>
									<option>Gamers em Ação</option>
									<option>Jogos da Comunidade</option>
								</select>
							</form>
						<br><br>
						<label for="exampleInputDescrL" class="noticias"><b>Ordem de Exibição</b>
						<input type="text" class="form-control" id="exampleInputDescrL" aria-describedby="Text" placeholder="Ex: 1, será o primeiro no navegador">
						<br>
						<label for="exampleInputThumbnail" class="noticias"><b>Imagem Miniatura (110x110)</b></label>
						<input type="file" class="form-control" id="exampleFormControlFile1"></label>
					<br><br>
					<a href="" class="btn btn-primary mb-1" style="position: absolute; right: 70px;">Adicionar</a></label>
				<br><br>	
				</ol>
                </div>
                <!-- row -->
                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
							<div class="card-header">
                                <h4 class="card-title">Lista de Quartos Públicos (<strong id="total-quartos-publicos"><?=$total_quartos_publicos?></strong>) </h4>
                                <div class="mb-3"><input class="form-control form-control-sm" id="searchRoomInput" onkeyup="searchRoom()" type="text" placeholder="🔍 Pesquisar quarto..."></div>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-responsive-sm">
                                        <thead>
                                            <tr>
                                                <th>ID</th>
                                                <th>Nome</th>
                                                <th>Descrição</th>
                                                <th>Ação</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                                $publicRoomsStatement = $dbh->prepare("SELECT * FROM navigator_publics ORDER BY public_cat_id ASC");
                                                $publicRoomsStatement->execute();
                                                $rooms = $publicRoomsStatement->fetchAll(PDO::FETCH_ASSOC);
                                                
                                                foreach ($rooms as $room)
                                                { 
                                            ?>
                                            
                                            <tr class="quartos-publicos", id="<?=Admin::Filter('xss', Admin::getRoomInfo($room['room_id'], "name"))?>">
                                                <td><?=$room['room_id']?></td>
                                                <td><?=Admin::Filter('xss', Admin::getRoomInfo($room['room_id'], "name"))?></td>
                                                <td><?=Admin::Filter('xss', Admin::getRoomInfo($room['room_id'], "description"))?></td>
                                                <td>
                                                    <a href="/wavehk/editar-quarto/<?=$room['room_id']?>" title="Editar"><button class="btn btn-rounded btn-danger"><i class="fas fa-edit"></i></button></a> 
                                                    <a title="Excluir"><button onclick="deleteRoom(<?=$room['room_id']?>, '<?=Admin::Filter('xss', Admin::getRoomInfo($room['room_id'], 'name') )?>')"class="btn btn-rounded btn-danger"><i class="fas fa-trash"></i></button></a>
                                                </td>
                                            </tr>
                                            <?php } ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    
    <script src="vendor/global/global.min.js"></script>
    <script src="vendor/chart.js/Chart.bundle.min.js"></script>
	<script src="vendor/lightgallery/js/lightgallery-all.min.js"></script>
	<script src="vendor/jquery-nice-select/js/jquery.nice-select.min.js"></script>
	<script src="js/custom.min.js"></script>
	<script src="js/dlabnav-init.js"></script>
	<script src="js/demo.js"></script>
    <script src="js/toastr.js"></script>
    <script src="https://codeseven.github.io/toastr/build/toastr.min.js"></script>
    <script src="js/styleSwitcher.js"></script>	<script>
    
		$('#lightgallery').lightGallery({
			thumbnail:true,
		});
	</script>
	<script>
        $(function () {
        $('[data-toggle="tooltip"]').tooltip()
         })

         function searchRoom() {
            var input, room;
            input = document.getElementById("searchRoomInput");
            room = document.getElementsByClassName("quartos-publicos")
            Array.from(room).forEach(
                function(elemento) {
                    if (elemento.id.toLowerCase().includes(input.value.toLowerCase())) elemento.hidden = false;
                    else if (input.value == "") elemento.hidden = false;
                    else elemento.hidden = true;
                }
            );
        }

        function deleteRoom( roomid, roomname ){
            <?php if ( User::userData('rank') >= 8) { ?>
                $.ajax('/wavehk/api/deletar_quarto.php', {
                    type: 'POST',
                    data: { room_id: roomid, tipo: 'publico'},
                    success: function (content){
                        if (content.status == "sucesso"){
                            document.getElementById(roomname).style.display = "none";
                            document.getElementById("total-quartos-publicos").innerText = `${parseInt(document.getElementById("total-quartos-publicos").innerText) - 1}`;
                        }
                    }
                });
                <?php } else { echo 'log("error", "O cargo ' . Admin::getRankNameById(User::userData('rank')) . ' não pode deletar quartos.") '; } ?>
        }

    </script>
</body>
</html>