<?php
$paginaAtual = "Staffs";
?>

<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="keywords" content="" />
	<meta name="author" content="" />
	<meta name="robots" content="" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<!-- PAGE TITLE HERE -->
	<title>WaveHK - Staffs</title>
	
	<!-- FAVICONS ICON -->
	<link rel="shortcut icon" type="image/png" href="images/favicon.png" />
	
	<link href="vendor/jquery-nice-select/css/nice-select.css" rel="stylesheet">
	<link rel="stylesheet" href="vendor/nouislider/nouislider.min.css">
	<!-- Style css -->
    <link href="css/style.css" rel="stylesheet">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous">
</head>
<body>
    
	<?php include_once("includes/preloader.php") ?>
    <?php include_once("includes/nav-header.php") ?>
    <?php include_once("includes/header.php") ?>
    <?php include_once("includes/sidebar.php") ?>

	<div class="content-body">
            <div class="container-fluid">
				<!-- row -->
                <div class="row">
					<div class="col-lg-12">
                        <div class="card">
							<div class="card-header">
                                <h4 class="card-title">Lista de Staffs</h4>
                                <div class="mb-3"><input class="form-control form-control-sm" id="inputStaff" onkeyup="searchStaff()" type="text" placeholder="🔍 Pesquisar Usuário..."></div>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-responsive-sm">
                                        <thead>
                                            <tr>
                                                <th>Avatar</th>
                                                <th>Nome</th>
                                                <th>Status</th>
												<th>Cargo</th>
                                                <th>Último Login</th>
                                                <th>Ação</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php 
                                                $getStaffsStatement = $dbh->prepare("
                                                    SELECT * FROM users WHERE rank >= 7 ORDER BY rank DESC
                                                ");
                                                $getStaffsStatement->execute();
                                                $staffs = $getStaffsStatement->fetchAll(PDO::FETCH_ASSOC);

                                                foreach ($staffs as $staff) 
                                                {
                                            ?> 
                                            <tr class="staff" id="<?=htmlspecialchars($staff['username'])?>">
                                                <th><img src="<?=Admin::getFigureByUsername($staff['username'])?>"></th>
                                                <td style="color: black;"><?=htmlspecialchars($staff['username'])?></td>
                                                <td><span class="badge badge-primary light" style="color: <?=$staff['online'] == 1 ? 'green' : 'red'?>"><?=$staff['online'] == 1 ? "Online" : "Offline"?></span>
                                                </td>
												<td><span class="badge badge-primary light" style="color: black;"><?=Admin::getRankNameById($staff['rank'])?></span>
                                                </td>
                                                <td style="color: black;"><?=Admin::formatDate($staff['last_online'], "d/m/y à\s H:i")?></td>
                                                <td><a href="/wavehk/editar-usuario/<?=htmlspecialchars($staff['username'])?>" title="Editar"><button class="btn btn-rounded btn-danger"><i class="fas fa-edit"></i></button></a></td>
                                            </tr>
                                            <?php } ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>            
                </div>
            </div>
        </div>

    <script src="vendor/global/global.min.js"></script>
    <script src="vendor/chart.js/Chart.bundle.min.js"></script>
	<script src="vendor/lightgallery/js/lightgallery-all.min.js"></script>
	<script src="vendor/jquery-nice-select/js/jquery.nice-select.min.js"></script>
	<script src="js/custom.min.js"></script>
	<script src="js/dlabnav-init.js"></script>
	<script src="js/demo.js"></script>
    <script src="js/styleSwitcher.js"></script>	<script>
		$('#lightgallery').lightGallery({
			thumbnail:true,
		});
	</script>
	<script>
        $(function () {
        $('[data-toggle="tooltip"]').tooltip()
         })

         function searchStaff() {
            var input, staff;
            input = document.getElementById("inputStaff");
            staff = document.getElementsByClassName("staff")
            Array.from(staff).forEach(
                function(elemento) {
                    if (elemento.id.toLowerCase().includes(input.value.toLowerCase())) elemento.hidden = false;
                    else if (input.value == "") elemento.hidden = false;
                    else elemento.hidden = true;
                }
            );
        }

    </script>
</body>
</html>