<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="keywords" content="" />
	<meta name="author" content="" />
	<meta name="robots" content="" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<!-- PAGE TITLE HERE -->
	<title>WaveHK - Usuários</title>
	
	<!-- FAVICONS ICON -->
	<link rel="shortcut icon" type="image/png" href="images/favicon.png" />
	
	<link href="vendor/jquery-nice-select/css/nice-select.css" rel="stylesheet">
	<link rel="stylesheet" href="vendor/nouislider/nouislider.min.css">
	<!-- Style css -->
    <link href="css/style.css" rel="stylesheet">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous">
</head>
<body>
    
	<?php include_once("includes/preloader.php") ?>
    <?php include_once("includes/nav-header.php") ?>
    <?php include_once("includes/header.php") ?>
    <?php include_once("includes/sidebar.php") ?>

    <?php
        $getPlayerStatement = $dbh->prepare("SELECT * FROM users ORDER BY rank DESC");
        $getPlayerStatement->execute();
        $players = $getPlayerStatement->fetchAll(PDO::FETCH_ASSOC);
    ?>
	
	<div class="content-body">
            <div class="container-fluid">
				<!-- row -->
                <div class="row">
					<div class="col-lg-12">
                        <div class="card">
							<div class="card-header">
                                <h4 class="card-title">Lista de Usuários</h4>
                                <div class="mb-3"><input class="form-control form-control-sm" onkeyup="searchUser()" type="text" id="players" placeholder="🔍 Pesquisar Usuário..."></div>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-responsive-sm">
                                        <thead>
                                            <tr>
                                                <th>Avatar</th>
                                                <th>Nome</th>
                                                <th>Status</th>
                                                <th>Último Login</th>
                                                <th>Ação</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php foreach ($players as $player) 
                                            { 
                                                if ($player['rank'] <= 6) {
                                            ?>
                                                <tr class="usuario" id='<?=Admin::Filter('xss', $player['username'])?>'>
                                                    <th><img src="<?=Admin::getFigureByUsername($player['username'])?>"></th>
                                                    <td><?=Admin::Filter('xss', $player['username'])?></td>
                                                    <td>
                                                        <?php if ($player['online'] == 0) { ?>
                                                            <span class="badge badge-primary light" style="color: red;">Offline</span>
                                                        <?php } else {
                                                            ?> <span class="badge badge-primary light" style="color: green;">Online</span>
                                                        <?php } ?>
                                                    </td>
                                                    <td><?=Admin::formatDate($player['last_online'], 'd/m/Y à\s H:i')?></td>
                                                    <td><a href="editar-usuario/<?=Admin::Filter('xss', $player['username'])?>" title="Editar"><button class="btn btn-rounded btn-danger"><i class="fas fa-edit"></i></button></a></td>
                                                </tr>
                                            <?php } } ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                </div>
                        </div>
                    </div>
    <script src="vendor/global/global.min.js"></script>
    <script src="vendor/chart.js/Chart.bundle.min.js"></script>
	<script src="vendor/lightgallery/js/lightgallery-all.min.js"></script>
	<script src="vendor/jquery-nice-select/js/jquery.nice-select.min.js"></script>
	<script src="js/custom.min.js"></script>
	<script src="js/dlabnav-init.js"></script>
	<script src="js/demo.js"></script>
    <script src="js/styleSwitcher.js"></script>	<script>
		$('#lightgallery').lightGallery({
			thumbnail:true,
		});

        function searchUser() {
            var input, usuario;
            input = document.getElementById("players");
            usuario = document.getElementsByClassName("usuario")
            Array.from(usuario).forEach(
                function(elemento) {
                    console.log(usuario)
                    if (elemento.id.toLowerCase().includes(input.value.toLowerCase())) elemento.hidden = false;
                    else if (input.value == "") elemento.hidden = false;
                    else elemento.hidden = true;
                }
            );
        }

	</script>
</body>
</html>